;/*
; * Copyright (C) 2013 Texas Instruments Incorporated - http://www.ti.com/ 
; * 
; * 
; *  Redistribution and use in source and binary forms, with or without 
; *  modification, are permitted provided that the following conditions 
; *  are met:
; *
; *    Redistributions of source code must retain the above copyright 
; *    notice, this list of conditions and the following disclaimer.
; *
; *    Redistributions in binary form must reproduce the above copyright
; *    notice, this list of conditions and the following disclaimer in the 
; *    documentation and/or other materials provided with the   
; *    distribution.
; *
; *    Neither the name of Texas Instruments Incorporated nor the names of
; *    its contributors may be used to endorse or promote products derived
; *    from this software without specific prior written permission.
; *
; *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
; *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
; *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
; *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
; *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
; *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
; *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
; *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
; *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
; *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
; *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
; *
;*/

;***********************************************************
; Version 3.00.00                                           
;***********************************************************

	.def twiddle32

	.sect ".const:twiddle32" 

        .align  ; force the twiddle32 label to start on a longword boundary

twiddle32:

 .long 0x7fffffff  ; [0]; 1.000000
 .long 0x00000000  ; [0]; 0.000000
 .long 0x00000000  ; [512]; 0.000000
 .long 0x7fffffff  ; [512]; 1.000000
 .long 0x5a827999  ; [256]; 0.707107
 .long 0x5a827999  ; [256]; 0.707107
 .long 0xa57d8668  ; [768]; -0.707107
 .long 0x5a827999  ; [768]; 0.707107
 .long 0x7641af3c  ; [128]; 0.923880
 .long 0x30fbc54d  ; [128]; 0.382683
 .long 0xcf043ab4  ; [640]; -0.382683
 .long 0x7641af3c  ; [640]; 0.923880
 .long 0x30fbc54d  ; [384]; 0.382683
 .long 0x7641af3c  ; [384]; 0.923880
 .long 0x89be50c5  ; [896]; -0.923880
 .long 0x30fbc54d  ; [896]; 0.382683
 .long 0x7d8a5f3f  ; [64]; 0.980785
 .long 0x18f8b83c  ; [64]; 0.195090
 .long 0xe70747c5  ; [576]; -0.195090
 .long 0x7d8a5f3f  ; [576]; 0.980785
 .long 0x471cece6  ; [320]; 0.555570
 .long 0x6a6d98a3  ; [320]; 0.831470
 .long 0x9592675e  ; [832]; -0.831470
 .long 0x471cece6  ; [832]; 0.555570
 .long 0x6a6d98a3  ; [192]; 0.831470
 .long 0x471cece6  ; [192]; 0.555570
 .long 0xb8e3131b  ; [704]; -0.555570
 .long 0x6a6d98a3  ; [704]; 0.831470
 .long 0x18f8b83c  ; [448]; 0.195090
 .long 0x7d8a5f3f  ; [448]; 0.980785
 .long 0x8275a0c2  ; [960]; -0.980785
 .long 0x18f8b83c  ; [960]; 0.195090
 .long 0x7f62368e  ; [32]; 0.995185
 .long 0x0c8bd35e  ; [32]; 0.098017
 .long 0xf3742ca3  ; [544]; -0.098017
 .long 0x7f62368e  ; [544]; 0.995185
 .long 0x5133cc94  ; [288]; 0.634393
 .long 0x62f201ac  ; [288]; 0.773010
 .long 0x9d0dfe55  ; [800]; -0.773010
 .long 0x5133cc94  ; [800]; 0.634393
 .long 0x70e2cbc5  ; [160]; 0.881921
 .long 0x3c56ba70  ; [160]; 0.471397
 .long 0xc3a94591  ; [672]; -0.471397
 .long 0x70e2cbc5  ; [672]; 0.881921
 .long 0x25280c5d  ; [416]; 0.290285
 .long 0x7a7d055a  ; [416]; 0.956940
 .long 0x8582faa7  ; [928]; -0.956940
 .long 0x25280c5d  ; [928]; 0.290285
 .long 0x7a7d055a  ; [96]; 0.956940
 .long 0x25280c5d  ; [96]; 0.290285
 .long 0xdad7f3a4  ; [608]; -0.290285
 .long 0x7a7d055a  ; [608]; 0.956940
 .long 0x3c56ba70  ; [352]; 0.471397
 .long 0x70e2cbc5  ; [352]; 0.881921
 .long 0x8f1d343c  ; [864]; -0.881921
 .long 0x3c56ba70  ; [864]; 0.471397
 .long 0x62f201ac  ; [224]; 0.773010
 .long 0x5133cc94  ; [224]; 0.634393
 .long 0xaecc336d  ; [736]; -0.634393
 .long 0x62f201ac  ; [736]; 0.773010
 .long 0x0c8bd35e  ; [480]; 0.098017
 .long 0x7f62368e  ; [480]; 0.995185
 .long 0x809dc973  ; [992]; -0.995185
 .long 0x0c8bd35e  ; [992]; 0.098017
 .long 0x7fd8878d  ; [16]; 0.998795
 .long 0x0647d97c  ; [16]; 0.049068
 .long 0xf9b82685  ; [528]; -0.049068
 .long 0x7fd8878d  ; [528]; 0.998795
 .long 0x55f5a4d2  ; [272]; 0.671559
 .long 0x5ed77c89  ; [272]; 0.740951
 .long 0xa1288378  ; [784]; -0.740951
 .long 0x55f5a4d2  ; [784]; 0.671559
 .long 0x73b5ebd0  ; [144]; 0.903989
 .long 0x36ba2013  ; [144]; 0.427555
 .long 0xc945dfee  ; [656]; -0.427555
 .long 0x73b5ebd0  ; [656]; 0.903989
 .long 0x2b1f34eb  ; [400]; 0.336890
 .long 0x78848413  ; [400]; 0.941544
 .long 0x877b7bee  ; [912]; -0.941544
 .long 0x2b1f34eb  ; [912]; 0.336890
 .long 0x7c29fbed  ; [80]; 0.970031
 .long 0x1f19f97b  ; [80]; 0.242980
 .long 0xe0e60686  ; [592]; -0.242980
 .long 0x7c29fbed  ; [592]; 0.970031
 .long 0x41ce1e64  ; [336]; 0.514103
 .long 0x6dca0d14  ; [336]; 0.857729
 .long 0x9235f2ed  ; [848]; -0.857729
 .long 0x41ce1e64  ; [848]; 0.514103
 .long 0x66cf811f  ; [208]; 0.803208
 .long 0x4c3fdff3  ; [208]; 0.595699
 .long 0xb3c0200e  ; [720]; -0.595699
 .long 0x66cf811f  ; [720]; 0.803208
 .long 0x12c8106e  ; [464]; 0.146730
 .long 0x7e9d55fb  ; [464]; 0.989177
 .long 0x8162aa06  ; [976]; -0.989177
 .long 0x12c8106e  ; [976]; 0.146730
 .long 0x7e9d55fb  ; [48]; 0.989177
 .long 0x12c8106e  ; [48]; 0.146730
 .long 0xed37ef93  ; [560]; -0.146730
 .long 0x7e9d55fb  ; [560]; 0.989177
 .long 0x4c3fdff3  ; [304]; 0.595699
 .long 0x66cf811f  ; [304]; 0.803208
 .long 0x99307ee2  ; [816]; -0.803208
 .long 0x4c3fdff3  ; [816]; 0.595699
 .long 0x6dca0d14  ; [176]; 0.857729
 .long 0x41ce1e64  ; [176]; 0.514103
 .long 0xbe31e19d  ; [688]; -0.514103
 .long 0x6dca0d14  ; [688]; 0.857729
 .long 0x1f19f97b  ; [432]; 0.242980
 .long 0x7c29fbed  ; [432]; 0.970031
 .long 0x83d60414  ; [944]; -0.970031
 .long 0x1f19f97b  ; [944]; 0.242980
 .long 0x78848413  ; [112]; 0.941544
 .long 0x2b1f34eb  ; [112]; 0.336890
 .long 0xd4e0cb16  ; [624]; -0.336890
 .long 0x78848413  ; [624]; 0.941544
 .long 0x36ba2013  ; [368]; 0.427555
 .long 0x73b5ebd0  ; [368]; 0.903989
 .long 0x8c4a1431  ; [880]; -0.903989
 .long 0x36ba2013  ; [880]; 0.427555
 .long 0x5ed77c89  ; [240]; 0.740951
 .long 0x55f5a4d2  ; [240]; 0.671559
 .long 0xaa0a5b2f  ; [752]; -0.671559
 .long 0x5ed77c89  ; [752]; 0.740951
 .long 0x0647d97c  ; [496]; 0.049068
 .long 0x7fd8878d  ; [496]; 0.998795
 .long 0x80277874  ; [1008]; -0.998795
 .long 0x0647d97c  ; [1008]; 0.049068
 .long 0x7ff62181  ; [8]; 0.999699
 .long 0x03242abf  ; [8]; 0.024541
 .long 0xfcdbd542  ; [520]; -0.024541
 .long 0x7ff62181  ; [520]; 0.999699
 .long 0x5842dd54  ; [264]; 0.689541
 .long 0x5cb420df  ; [264]; 0.724247
 .long 0xa34bdf22  ; [776]; -0.724247
 .long 0x5842dd54  ; [776]; 0.689541
 .long 0x7504d344  ; [136]; 0.914210
 .long 0x33def287  ; [136]; 0.405241
 .long 0xcc210d7a  ; [648]; -0.405241
 .long 0x7504d344  ; [648]; 0.914210
 .long 0x2e110a62  ; [392]; 0.359895
 .long 0x776c4eda  ; [392]; 0.932993
 .long 0x8893b127  ; [904]; -0.932993
 .long 0x2e110a62  ; [904]; 0.359895
 .long 0x7ce3ceb1  ; [72]; 0.975702
 .long 0x1c0b826a  ; [72]; 0.219101
 .long 0xe3f47d97  ; [584]; -0.219101
 .long 0x7ce3ceb1  ; [584]; 0.975702
 .long 0x447acd50  ; [328]; 0.534998
 .long 0x6c24295f  ; [328]; 0.844854
 .long 0x93dbd6a2  ; [840]; -0.844854
 .long 0x447acd50  ; [840]; 0.534998
 .long 0x68a69e80  ; [200]; 0.817585
 .long 0x49b41533  ; [200]; 0.575808
 .long 0xb64beace  ; [712]; -0.575808
 .long 0x68a69e80  ; [712]; 0.817585
 .long 0x15e21444  ; [456]; 0.170962
 .long 0x7e1d93e9  ; [456]; 0.985278
 .long 0x81e26c18  ; [968]; -0.985278
 .long 0x15e21444  ; [968]; 0.170962
 .long 0x7f0991c3  ; [40]; 0.992480
 .long 0x0fab272b  ; [40]; 0.122411
 .long 0xf054d8d6  ; [552]; -0.122411
 .long 0x7f0991c3  ; [552]; 0.992480
 .long 0x4ebfe8a4  ; [296]; 0.615232
 .long 0x64e88925  ; [296]; 0.788346
 .long 0x9b1776dc  ; [808]; -0.788346
 .long 0x4ebfe8a4  ; [808]; 0.615232
 .long 0x6f5f02b1  ; [168]; 0.870087
 .long 0x3f1749b7  ; [168]; 0.492898
 .long 0xc0e8b64a  ; [680]; -0.492898
 .long 0x6f5f02b1  ; [680]; 0.870087
 .long 0x2223a4c5  ; [424]; 0.266713
 .long 0x7b5d039d  ; [424]; 0.963776
 .long 0x84a2fc64  ; [936]; -0.963776
 .long 0x2223a4c5  ; [936]; 0.266713
 .long 0x798a23b0  ; [104]; 0.949528
 .long 0x2826b928  ; [104]; 0.313682
 .long 0xd7d946d9  ; [616]; -0.313682
 .long 0x798a23b0  ; [616]; 0.949528
 .long 0x398cdd32  ; [360]; 0.449611
 .long 0x72552c84  ; [360]; 0.893224
 .long 0x8daad37d  ; [872]; -0.893224
 .long 0x398cdd32  ; [872]; 0.449611
 .long 0x60ec382f  ; [232]; 0.757209
 .long 0x539b2aef  ; [232]; 0.653173
 .long 0xac64d512  ; [744]; -0.653173
 .long 0x60ec382f  ; [744]; 0.757209
 .long 0x096a9049  ; [488]; 0.073565
 .long 0x7fa736b3  ; [488]; 0.997290
 .long 0x8058c94e  ; [1000]; -0.997290
 .long 0x096a9049  ; [1000]; 0.073565
 .long 0x7fa736b3  ; [24]; 0.997290
 .long 0x096a9049  ; [24]; 0.073565
 .long 0xf6956fb8  ; [536]; -0.073565
 .long 0x7fa736b3  ; [536]; 0.997290
 .long 0x539b2aef  ; [280]; 0.653173
 .long 0x60ec382f  ; [280]; 0.757209
 .long 0x9f13c7d2  ; [792]; -0.757209
 .long 0x539b2aef  ; [792]; 0.653173
 .long 0x72552c84  ; [152]; 0.893224
 .long 0x398cdd32  ; [152]; 0.449611
 .long 0xc67322cf  ; [664]; -0.449611
 .long 0x72552c84  ; [664]; 0.893224
 .long 0x2826b928  ; [408]; 0.313682
 .long 0x798a23b0  ; [408]; 0.949528
 .long 0x8675dc51  ; [920]; -0.949528
 .long 0x2826b928  ; [920]; 0.313682
 .long 0x7b5d039d  ; [88]; 0.963776
 .long 0x2223a4c5  ; [88]; 0.266713
 .long 0xdddc5b3c  ; [600]; -0.266713
 .long 0x7b5d039d  ; [600]; 0.963776
 .long 0x3f1749b7  ; [344]; 0.492898
 .long 0x6f5f02b1  ; [344]; 0.870087
 .long 0x90a0fd50  ; [856]; -0.870087
 .long 0x3f1749b7  ; [856]; 0.492898
 .long 0x64e88925  ; [216]; 0.788346
 .long 0x4ebfe8a4  ; [216]; 0.615232
 .long 0xb140175d  ; [728]; -0.615232
 .long 0x64e88925  ; [728]; 0.788346
 .long 0x0fab272b  ; [472]; 0.122411
 .long 0x7f0991c3  ; [472]; 0.992480
 .long 0x80f66e3e  ; [984]; -0.992480
 .long 0x0fab272b  ; [984]; 0.122411
 .long 0x7e1d93e9  ; [56]; 0.985278
 .long 0x15e21444  ; [56]; 0.170962
 .long 0xea1debbd  ; [568]; -0.170962
 .long 0x7e1d93e9  ; [568]; 0.985278
 .long 0x49b41533  ; [312]; 0.575808
 .long 0x68a69e80  ; [312]; 0.817585
 .long 0x97596181  ; [824]; -0.817585
 .long 0x49b41533  ; [824]; 0.575808
 .long 0x6c24295f  ; [184]; 0.844854
 .long 0x447acd50  ; [184]; 0.534998
 .long 0xbb8532b1  ; [696]; -0.534998
 .long 0x6c24295f  ; [696]; 0.844854
 .long 0x1c0b826a  ; [440]; 0.219101
 .long 0x7ce3ceb1  ; [440]; 0.975702
 .long 0x831c3150  ; [952]; -0.975702
 .long 0x1c0b826a  ; [952]; 0.219101
 .long 0x776c4eda  ; [120]; 0.932993
 .long 0x2e110a62  ; [120]; 0.359895
 .long 0xd1eef59f  ; [632]; -0.359895
 .long 0x776c4eda  ; [632]; 0.932993
 .long 0x33def287  ; [376]; 0.405241
 .long 0x7504d344  ; [376]; 0.914210
 .long 0x8afb2cbd  ; [888]; -0.914210
 .long 0x33def287  ; [888]; 0.405241
 .long 0x5cb420df  ; [248]; 0.724247
 .long 0x5842dd54  ; [248]; 0.689541
 .long 0xa7bd22ad  ; [760]; -0.689541
 .long 0x5cb420df  ; [760]; 0.724247
 .long 0x03242abf  ; [504]; 0.024541
 .long 0x7ff62181  ; [504]; 0.999699
 .long 0x8009de80  ; [1016]; -0.999699
 .long 0x03242abf  ; [1016]; 0.024541
 .long 0x7ffd8859  ; [4]; 0.999925
 .long 0x01921d20  ; [4]; 0.012272
 .long 0xfe6de2e1  ; [516]; -0.012272
 .long 0x7ffd8859  ; [516]; 0.999925
 .long 0x59646497  ; [260]; 0.698376
 .long 0x5b9d1153  ; [260]; 0.715731
 .long 0xa462eeae  ; [772]; -0.715731
 .long 0x59646497  ; [772]; 0.698376
 .long 0x75a585ce  ; [132]; 0.919114
 .long 0x326e54c7  ; [132]; 0.393992
 .long 0xcd91ab3a  ; [644]; -0.393992
 .long 0x75a585ce  ; [644]; 0.919114
 .long 0x2f875262  ; [388]; 0.371317
 .long 0x76d94988  ; [388]; 0.928506
 .long 0x8926b679  ; [900]; -0.928506
 .long 0x2f875262  ; [900]; 0.371317
 .long 0x7d3980eb  ; [68]; 0.978317
 .long 0x1a82a025  ; [68]; 0.207111
 .long 0xe57d5fdc  ; [580]; -0.207111
 .long 0x7d3980eb  ; [580]; 0.978317
 .long 0x45cd358f  ; [324]; 0.545325
 .long 0x6b4af278  ; [324]; 0.838225
 .long 0x94b50d89  ; [836]; -0.838225
 .long 0x45cd358f  ; [836]; 0.545325
 .long 0x698c246b  ; [196]; 0.824589
 .long 0x4869e664  ; [196]; 0.565732
 .long 0xb796199d  ; [708]; -0.565732
 .long 0x698c246b  ; [708]; 0.824589
 .long 0x176dd9de  ; [452]; 0.183040
 .long 0x7dd6668e  ; [452]; 0.983105
 .long 0x82299973  ; [964]; -0.983105
 .long 0x176dd9de  ; [964]; 0.183040
 .long 0x7f3857f5  ; [36]; 0.993907
 .long 0x0e1bc2e4  ; [36]; 0.110222
 .long 0xf1e43d1d  ; [548]; -0.110222
 .long 0x7f3857f5  ; [548]; 0.993907
 .long 0x4ffb654c  ; [292]; 0.624859
 .long 0x63ef328f  ; [292]; 0.780737
 .long 0x9c10cd72  ; [804]; -0.780737
 .long 0x4ffb654c  ; [804]; 0.624859
 .long 0x70231099  ; [164]; 0.876070
 .long 0x3db832a5  ; [164]; 0.482184
 .long 0xc247cd5c  ; [676]; -0.482184
 .long 0x70231099  ; [676]; 0.876070
 .long 0x23a6887e  ; [420]; 0.278520
 .long 0x7aef6323  ; [420]; 0.960431
 .long 0x85109cde  ; [932]; -0.960431
 .long 0x23a6887e  ; [932]; 0.278520
 .long 0x7a05eeac  ; [100]; 0.953306
 .long 0x26a82185  ; [100]; 0.302006
 .long 0xd957de7c  ; [612]; -0.302006
 .long 0x7a05eeac  ; [612]; 0.953306
 .long 0x3af2eeb7  ; [356]; 0.460539
 .long 0x719e2cd1  ; [356]; 0.887640
 .long 0x8e61d330  ; [868]; -0.887640
 .long 0x3af2eeb7  ; [868]; 0.460539
 .long 0x61f1003e  ; [228]; 0.765167
 .long 0x5269126e  ; [228]; 0.643832
 .long 0xad96ed93  ; [740]; -0.643832
 .long 0x61f1003e  ; [740]; 0.765167
 .long 0x0afb6805  ; [484]; 0.085797
 .long 0x7f872bf2  ; [484]; 0.996313
 .long 0x8078d40f  ; [996]; -0.996313
 .long 0x0afb6805  ; [996]; 0.085797
 .long 0x7fc25595  ; [20]; 0.998118
 .long 0x07d95b9e  ; [20]; 0.061321
 .long 0xf826a463  ; [532]; -0.061321
 .long 0x7fc25595  ; [532]; 0.998118
 .long 0x54ca0a4a  ; [276]; 0.662416
 .long 0x5fe3b38d  ; [276]; 0.749136
 .long 0xa01c4c74  ; [788]; -0.749136
 .long 0x54ca0a4a  ; [788]; 0.662416
 .long 0x7307c3cf  ; [148]; 0.898674
 .long 0x382493b0  ; [148]; 0.438616
 .long 0xc7db6c51  ; [660]; -0.438616
 .long 0x7307c3cf  ; [660]; 0.898674
 .long 0x29a3c485  ; [404]; 0.325310
 .long 0x7909a92c  ; [404]; 0.945607
 .long 0x86f656d5  ; [916]; -0.945607
 .long 0x29a3c485  ; [916]; 0.325310
 .long 0x7bc5e28f  ; [84]; 0.966976
 .long 0x209f701c  ; [84]; 0.254866
 .long 0xdf608fe5  ; [596]; -0.254866
 .long 0x7bc5e28f  ; [596]; 0.966976
 .long 0x4073f21d  ; [340]; 0.503538
 .long 0x6e96a99c  ; [340]; 0.863973
 .long 0x91695665  ; [852]; -0.863973
 .long 0x4073f21d  ; [852]; 0.503538
 .long 0x65ddfbd2  ; [212]; 0.795837
 .long 0x4d8162c3  ; [212]; 0.605511
 .long 0xb27e9d3e  ; [724]; -0.605511
 .long 0x65ddfbd2  ; [724]; 0.795837
 .long 0x1139f0cf  ; [468]; 0.134581
 .long 0x7ed5e5c5  ; [468]; 0.990903
 .long 0x812a1a3c  ; [980]; -0.990903
 .long 0x1139f0cf  ; [980]; 0.134581
 .long 0x7e5fe492  ; [52]; 0.987301
 .long 0x145576b1  ; [52]; 0.158858
 .long 0xebaa8950  ; [564]; -0.158858
 .long 0x7e5fe492  ; [564]; 0.987301
 .long 0x4afb6c97  ; [308]; 0.585798
 .long 0x67bd0fbc  ; [308]; 0.810457
 .long 0x9842f045  ; [820]; -0.810457
 .long 0x4afb6c97  ; [820]; 0.585798
 .long 0x6cf934fb  ; [180]; 0.851355
 .long 0x4325c135  ; [180]; 0.524590
 .long 0xbcda3ecc  ; [692]; -0.524590
 .long 0x6cf934fb  ; [692]; 0.851355
 .long 0x1d934fe5  ; [436]; 0.231058
 .long 0x7c894bdd  ; [436]; 0.972940
 .long 0x8376b424  ; [948]; -0.972940
 .long 0x1d934fe5  ; [948]; 0.231058
 .long 0x77fab988  ; [116]; 0.937339
 .long 0x2c98fbba  ; [116]; 0.348419
 .long 0xd3670447  ; [628]; -0.348419
 .long 0x77fab988  ; [628]; 0.937339
 .long 0x354d9056  ; [372]; 0.416430
 .long 0x745f9dd0  ; [372]; 0.909168
 .long 0x8ba06231  ; [884]; -0.909168
 .long 0x354d9056  ; [884]; 0.416430
 .long 0x5dc79d7b  ; [244]; 0.732654
 .long 0x571deef9  ; [244]; 0.680601
 .long 0xa8e21108  ; [756]; -0.680601
 .long 0x5dc79d7b  ; [756]; 0.732654
 .long 0x04b6195d  ; [500]; 0.036807
 .long 0x7fe9cbbf  ; [500]; 0.999322
 .long 0x80163442  ; [1012]; -0.999322
 .long 0x04b6195d  ; [1012]; 0.036807
 .long 0x7fe9cbbf  ; [12]; 0.999322
 .long 0x04b6195d  ; [12]; 0.036807
 .long 0xfb49e6a4  ; [524]; -0.036807
 .long 0x7fe9cbbf  ; [524]; 0.999322
 .long 0x571deef9  ; [268]; 0.680601
 .long 0x5dc79d7b  ; [268]; 0.732654
 .long 0xa2386286  ; [780]; -0.732654
 .long 0x571deef9  ; [780]; 0.680601
 .long 0x745f9dd0  ; [140]; 0.909168
 .long 0x354d9056  ; [140]; 0.416430
 .long 0xcab26fab  ; [652]; -0.416430
 .long 0x745f9dd0  ; [652]; 0.909168
 .long 0x2c98fbba  ; [396]; 0.348419
 .long 0x77fab988  ; [396]; 0.937339
 .long 0x88054679  ; [908]; -0.937339
 .long 0x2c98fbba  ; [908]; 0.348419
 .long 0x7c894bdd  ; [76]; 0.972940
 .long 0x1d934fe5  ; [76]; 0.231058
 .long 0xe26cb01c  ; [588]; -0.231058
 .long 0x7c894bdd  ; [588]; 0.972940
 .long 0x4325c135  ; [332]; 0.524590
 .long 0x6cf934fb  ; [332]; 0.851355
 .long 0x9306cb06  ; [844]; -0.851355
 .long 0x4325c135  ; [844]; 0.524590
 .long 0x67bd0fbc  ; [204]; 0.810457
 .long 0x4afb6c97  ; [204]; 0.585798
 .long 0xb504936a  ; [716]; -0.585798
 .long 0x67bd0fbc  ; [716]; 0.810457
 .long 0x145576b1  ; [460]; 0.158858
 .long 0x7e5fe492  ; [460]; 0.987301
 .long 0x81a01b6f  ; [972]; -0.987301
 .long 0x145576b1  ; [972]; 0.158858
 .long 0x7ed5e5c5  ; [44]; 0.990903
 .long 0x1139f0cf  ; [44]; 0.134581
 .long 0xeec60f32  ; [556]; -0.134581
 .long 0x7ed5e5c5  ; [556]; 0.990903
 .long 0x4d8162c3  ; [300]; 0.605511
 .long 0x65ddfbd2  ; [300]; 0.795837
 .long 0x9a22042f  ; [812]; -0.795837
 .long 0x4d8162c3  ; [812]; 0.605511
 .long 0x6e96a99c  ; [172]; 0.863973
 .long 0x4073f21d  ; [172]; 0.503538
 .long 0xbf8c0de4  ; [684]; -0.503538
 .long 0x6e96a99c  ; [684]; 0.863973
 .long 0x209f701c  ; [428]; 0.254866
 .long 0x7bc5e28f  ; [428]; 0.966976
 .long 0x843a1d72  ; [940]; -0.966976
 .long 0x209f701c  ; [940]; 0.254866
 .long 0x7909a92c  ; [108]; 0.945607
 .long 0x29a3c485  ; [108]; 0.325310
 .long 0xd65c3b7c  ; [620]; -0.325310
 .long 0x7909a92c  ; [620]; 0.945607
 .long 0x382493b0  ; [364]; 0.438616
 .long 0x7307c3cf  ; [364]; 0.898674
 .long 0x8cf83c32  ; [876]; -0.898674
 .long 0x382493b0  ; [876]; 0.438616
 .long 0x5fe3b38d  ; [236]; 0.749136
 .long 0x54ca0a4a  ; [236]; 0.662416
 .long 0xab35f5b7  ; [748]; -0.662416
 .long 0x5fe3b38d  ; [748]; 0.749136
 .long 0x07d95b9e  ; [492]; 0.061321
 .long 0x7fc25595  ; [492]; 0.998118
 .long 0x803daa6c  ; [1004]; -0.998118
 .long 0x07d95b9e  ; [1004]; 0.061321
 .long 0x7f872bf2  ; [28]; 0.996313
 .long 0x0afb6805  ; [28]; 0.085797
 .long 0xf50497fc  ; [540]; -0.085797
 .long 0x7f872bf2  ; [540]; 0.996313
 .long 0x5269126e  ; [284]; 0.643832
 .long 0x61f1003e  ; [284]; 0.765167
 .long 0x9e0effc3  ; [796]; -0.765167
 .long 0x5269126e  ; [796]; 0.643832
 .long 0x719e2cd1  ; [156]; 0.887640
 .long 0x3af2eeb7  ; [156]; 0.460539
 .long 0xc50d114a  ; [668]; -0.460539
 .long 0x719e2cd1  ; [668]; 0.887640
 .long 0x26a82185  ; [412]; 0.302006
 .long 0x7a05eeac  ; [412]; 0.953306
 .long 0x85fa1155  ; [924]; -0.953306
 .long 0x26a82185  ; [924]; 0.302006
 .long 0x7aef6323  ; [92]; 0.960431
 .long 0x23a6887e  ; [92]; 0.278520
 .long 0xdc597783  ; [604]; -0.278520
 .long 0x7aef6323  ; [604]; 0.960431
 .long 0x3db832a5  ; [348]; 0.482184
 .long 0x70231099  ; [348]; 0.876070
 .long 0x8fdcef68  ; [860]; -0.876070
 .long 0x3db832a5  ; [860]; 0.482184
 .long 0x63ef328f  ; [220]; 0.780737
 .long 0x4ffb654c  ; [220]; 0.624859
 .long 0xb0049ab5  ; [732]; -0.624859
 .long 0x63ef328f  ; [732]; 0.780737
 .long 0x0e1bc2e4  ; [476]; 0.110222
 .long 0x7f3857f5  ; [476]; 0.993907
 .long 0x80c7a80c  ; [988]; -0.993907
 .long 0x0e1bc2e4  ; [988]; 0.110222
 .long 0x7dd6668e  ; [60]; 0.983105
 .long 0x176dd9de  ; [60]; 0.183040
 .long 0xe8922623  ; [572]; -0.183040
 .long 0x7dd6668e  ; [572]; 0.983105
 .long 0x4869e664  ; [316]; 0.565732
 .long 0x698c246b  ; [316]; 0.824589
 .long 0x9673db96  ; [828]; -0.824589
 .long 0x4869e664  ; [828]; 0.565732
 .long 0x6b4af278  ; [188]; 0.838225
 .long 0x45cd358f  ; [188]; 0.545325
 .long 0xba32ca72  ; [700]; -0.545325
 .long 0x6b4af278  ; [700]; 0.838225
 .long 0x1a82a025  ; [444]; 0.207111
 .long 0x7d3980eb  ; [444]; 0.978317
 .long 0x82c67f16  ; [956]; -0.978317
 .long 0x1a82a025  ; [956]; 0.207111
 .long 0x76d94988  ; [124]; 0.928506
 .long 0x2f875262  ; [124]; 0.371317
 .long 0xd078ad9f  ; [636]; -0.371317
 .long 0x76d94988  ; [636]; 0.928506
 .long 0x326e54c7  ; [380]; 0.393992
 .long 0x75a585ce  ; [380]; 0.919114
 .long 0x8a5a7a33  ; [892]; -0.919114
 .long 0x326e54c7  ; [892]; 0.393992
 .long 0x5b9d1153  ; [252]; 0.715731
 .long 0x59646497  ; [252]; 0.698376
 .long 0xa69b9b6a  ; [764]; -0.698376
 .long 0x5b9d1153  ; [764]; 0.715731
 .long 0x01921d20  ; [508]; 0.012272
 .long 0x7ffd8859  ; [508]; 0.999925
 .long 0x800277a8  ; [1020]; -0.999925
 .long 0x01921d20  ; [1020]; 0.012272
 .long 0x7fff6215  ; [2]; 0.999981
 .long 0x00c90f88  ; [2]; 0.006136
 .long 0xff36f079  ; [514]; -0.006136
 .long 0x7fff6215  ; [514]; 0.999981
 .long 0x59f3de12  ; [258]; 0.702755
 .long 0x5b1035ce  ; [258]; 0.711432
 .long 0xa4efca33  ; [770]; -0.711432
 .long 0x59f3de12  ; [770]; 0.702755
 .long 0x75f42c0a  ; [130]; 0.921514
 .long 0x31b54a5d  ; [130]; 0.388345
 .long 0xce4ab5a4  ; [642]; -0.388345
 .long 0x75f42c0a  ; [642]; 0.921514
 .long 0x3041c760  ; [386]; 0.377007
 .long 0x768e0ea5  ; [386]; 0.926210
 .long 0x8971f15c  ; [898]; -0.926210
 .long 0x3041c760  ; [898]; 0.377007
 .long 0x7d628ac5  ; [66]; 0.979570
 .long 0x19bdcbf3  ; [66]; 0.201105
 .long 0xe642340e  ; [578]; -0.201105
 .long 0x7d628ac5  ; [578]; 0.979570
 .long 0x46756827  ; [322]; 0.550458
 .long 0x6adcc964  ; [322]; 0.834863
 .long 0x9523369d  ; [834]; -0.834863
 .long 0x46756827  ; [834]; 0.550458
 .long 0x69fd614a  ; [194]; 0.828045
 .long 0x47c3c22e  ; [194]; 0.560662
 .long 0xb83c3dd3  ; [706]; -0.560662
 .long 0x69fd614a  ; [706]; 0.828045
 .long 0x183366e8  ; [450]; 0.189069
 .long 0x7db0fdf7  ; [450]; 0.981964
 .long 0x824f020a  ; [962]; -0.981964
 .long 0x183366e8  ; [962]; 0.189069
 .long 0x7f4de450  ; [34]; 0.994565
 .long 0x0d53db92  ; [34]; 0.104122
 .long 0xf2ac246f  ; [546]; -0.104122
 .long 0x7f4de450  ; [546]; 0.994565
 .long 0x5097fc5e  ; [290]; 0.629638
 .long 0x637114cc  ; [290]; 0.776888
 .long 0x9c8eeb35  ; [802]; -0.776888
 .long 0x5097fc5e  ; [802]; 0.629638
 .long 0x708378fe  ; [162]; 0.879012
 .long 0x3d07c1d5  ; [162]; 0.476799
 .long 0xc2f83e2c  ; [674]; -0.476799
 .long 0x708378fe  ; [674]; 0.879012
 .long 0x24677757  ; [418]; 0.284408
 .long 0x7ab6cba3  ; [418]; 0.958703
 .long 0x8549345e  ; [930]; -0.958703
 .long 0x24677757  ; [930]; 0.284408
 .long 0x7a4210d8  ; [98]; 0.955141
 .long 0x25e845b6  ; [98]; 0.296151
 .long 0xda17ba4b  ; [610]; -0.296151
 .long 0x7a4210d8  ; [610]; 0.955141
 .long 0x3ba51e29  ; [354]; 0.465976
 .long 0x71410804  ; [354]; 0.884797
 .long 0x8ebef7fd  ; [866]; -0.884797
 .long 0x3ba51e29  ; [866]; 0.465976
 .long 0x6271fa68  ; [226]; 0.769103
 .long 0x51ced46e  ; [226]; 0.639124
 .long 0xae312b93  ; [738]; -0.639124
 .long 0x6271fa68  ; [738]; 0.769103
 .long 0x0bc3ac35  ; [482]; 0.091909
 .long 0x7f754e7f  ; [482]; 0.995767
 .long 0x808ab182  ; [994]; -0.995767
 .long 0x0bc3ac35  ; [994]; 0.091909
 .long 0x7fce0c3d  ; [18]; 0.998476
 .long 0x0710a345  ; [18]; 0.055195
 .long 0xf8ef5cbc  ; [530]; -0.055195
 .long 0x7fce0c3d  ; [530]; 0.998476
 .long 0x556040e2  ; [274]; 0.667000
 .long 0x5f5e0db2  ; [274]; 0.745058
 .long 0xa0a1f24f  ; [786]; -0.745058
 .long 0x556040e2  ; [786]; 0.667000
 .long 0x735f6625  ; [146]; 0.901349
 .long 0x376f9e46  ; [146]; 0.433094
 .long 0xc89061bb  ; [658]; -0.433094
 .long 0x735f6625  ; [658]; 0.901349
 .long 0x2a61b101  ; [402]; 0.331106
 .long 0x78c7aba1  ; [402]; 0.943593
 .long 0x87385460  ; [914]; -0.943593
 .long 0x2a61b101  ; [914]; 0.331106
 .long 0x7bf8882f  ; [82]; 0.968522
 .long 0x1fdcdc1b  ; [82]; 0.248928
 .long 0xe02323e6  ; [594]; -0.248928
 .long 0x7bf8882f  ; [594]; 0.968522
 .long 0x4121589a  ; [338]; 0.508830
 .long 0x6e30e349  ; [338]; 0.860867
 .long 0x91cf1cb8  ; [850]; -0.860867
 .long 0x4121589a  ; [850]; 0.508830
 .long 0x66573cbb  ; [210]; 0.799537
 .long 0x4ce10034  ; [210]; 0.600616
 .long 0xb31effcd  ; [722]; -0.600616
 .long 0x66573cbb  ; [722]; 0.799537
 .long 0x120116d5  ; [466]; 0.140658
 .long 0x7eba3a38  ; [466]; 0.990058
 .long 0x8145c5c9  ; [978]; -0.990058
 .long 0x120116d5  ; [978]; 0.140658
 .long 0x7e7f3956  ; [50]; 0.988258
 .long 0x138edbb1  ; [50]; 0.152797
 .long 0xec712450  ; [562]; -0.152797
 .long 0x7e7f3956  ; [562]; 0.988258
 .long 0x4b9e038f  ; [306]; 0.590760
 .long 0x6746c7d7  ; [306]; 0.806848
 .long 0x98b9382a  ; [818]; -0.806848
 .long 0x4b9e038f  ; [818]; 0.590760
 .long 0x6d6227f9  ; [178]; 0.854558
 .long 0x427a41d0  ; [178]; 0.519356
 .long 0xbd85be31  ; [690]; -0.519356
 .long 0x6d6227f9  ; [690]; 0.854558
 .long 0x1e56ca1e  ; [434]; 0.237024
 .long 0x7c5a3d4f  ; [434]; 0.971504
 .long 0x83a5c2b2  ; [946]; -0.971504
 .long 0x1e56ca1e  ; [946]; 0.237024
 .long 0x78403328  ; [114]; 0.939459
 .long 0x2bdc4e6f  ; [114]; 0.342661
 .long 0xd423b192  ; [626]; -0.342661
 .long 0x78403328  ; [626]; 0.939459
 .long 0x36041ad9  ; [370]; 0.422000
 .long 0x740b53fa  ; [370]; 0.906596
 .long 0x8bf4ac07  ; [882]; -0.906596
 .long 0x36041ad9  ; [882]; 0.422000
 .long 0x5e50015d  ; [242]; 0.736817
 .long 0x568a34a9  ; [242]; 0.676093
 .long 0xa975cb58  ; [754]; -0.676093
 .long 0x5e50015d  ; [754]; 0.736817
 .long 0x057f0035  ; [498]; 0.042938
 .long 0x7fe1c76a  ; [498]; 0.999078
 .long 0x801e3897  ; [1010]; -0.999078
 .long 0x057f0035  ; [1010]; 0.042938
 .long 0x7ff09477  ; [10]; 0.999529
 .long 0x03ed26e6  ; [10]; 0.030675
 .long 0xfc12d91b  ; [522]; -0.030675
 .long 0x7ff09477  ; [522]; 0.999529
 .long 0x57b0d255  ; [266]; 0.685084
 .long 0x5d3e5236  ; [266]; 0.728464
 .long 0xa2c1adcb  ; [778]; -0.728464
 .long 0x57b0d255  ; [778]; 0.685084
 .long 0x74b2c883  ; [138]; 0.911706
 .long 0x3496824f  ; [138]; 0.410843
 .long 0xcb697db2  ; [650]; -0.410843
 .long 0x74b2c883  ; [650]; 0.911706
 .long 0x2d553afb  ; [394]; 0.354164
 .long 0x77b417df  ; [394]; 0.935184
 .long 0x884be822  ; [906]; -0.935184
 .long 0x2d553afb  ; [906]; 0.354164
 .long 0x7cb72723  ; [74]; 0.974339
 .long 0x1ccf8cb3  ; [74]; 0.225084
 .long 0xe330734e  ; [586]; -0.225084
 .long 0x7cb72723  ; [586]; 0.974339
 .long 0x43d09aec  ; [330]; 0.529804
 .long 0x6c8f351b  ; [330]; 0.848120
 .long 0x9370cae6  ; [842]; -0.848120
 .long 0x43d09aec  ; [842]; 0.529804
 .long 0x683257aa  ; [202]; 0.814036
 .long 0x4a581c9d  ; [202]; 0.580814
 .long 0xb5a7e364  ; [714]; -0.580814
 .long 0x683257aa  ; [714]; 0.814036
 .long 0x151bdf85  ; [458]; 0.164913
 .long 0x7e3f57fe  ; [458]; 0.986308
 .long 0x81c0a803  ; [970]; -0.986308
 .long 0x151bdf85  ; [970]; 0.164913
 .long 0x7ef0585f  ; [42]; 0.991710
 .long 0x1072a048  ; [42]; 0.128498
 .long 0xef8d5fb9  ; [554]; -0.128498
 .long 0x7ef0585f  ; [554]; 0.991710
 .long 0x4e210617  ; [298]; 0.610383
 .long 0x6563bf91  ; [298]; 0.792107
 .long 0x9a9c4070  ; [810]; -0.792107
 .long 0x4e210617  ; [810]; 0.610383
 .long 0x6efb5f11  ; [170]; 0.867046
 .long 0x3fc5ec97  ; [170]; 0.498228
 .long 0xc03a136a  ; [682]; -0.498228
 .long 0x6efb5f11  ; [682]; 0.867046
 .long 0x2161b39f  ; [426]; 0.260794
 .long 0x7b920b88  ; [426]; 0.965394
 .long 0x846df479  ; [938]; -0.965394
 .long 0x2161b39f  ; [938]; 0.260794
 .long 0x794a7c11  ; [106]; 0.947586
 .long 0x28e5714a  ; [106]; 0.319502
 .long 0xd71a8eb7  ; [618]; -0.319502
 .long 0x794a7c11  ; [618]; 0.947586
 .long 0x38d8fe93  ; [362]; 0.444122
 .long 0x72af05a6  ; [362]; 0.895966
 .long 0x8d50fa5b  ; [874]; -0.895966
 .long 0x38d8fe93  ; [874]; 0.444122
 .long 0x60686cce  ; [234]; 0.753187
 .long 0x5433027d  ; [234]; 0.657807
 .long 0xabccfd84  ; [746]; -0.657807
 .long 0x60686cce  ; [746]; 0.753187
 .long 0x08a2009a  ; [490]; 0.067444
 .long 0x7fb563b2  ; [490]; 0.997723
 .long 0x804a9c4f  ; [1002]; -0.997723
 .long 0x08a2009a  ; [1002]; 0.067444
 .long 0x7f97cebc  ; [26]; 0.996820
 .long 0x0a3308bc  ; [26]; 0.079682
 .long 0xf5ccf745  ; [538]; -0.079682
 .long 0x7f97cebc  ; [538]; 0.996820
 .long 0x53028517  ; [282]; 0.648514
 .long 0x616f146b  ; [282]; 0.761202
 .long 0x9e90eb96  ; [794]; -0.761202
 .long 0x53028517  ; [794]; 0.648514
 .long 0x71fa3948  ; [154]; 0.890449
 .long 0x3a402dd1  ; [154]; 0.455084
 .long 0xc5bfd230  ; [666]; -0.455084
 .long 0x71fa3948  ; [666]; 0.890449
 .long 0x27679df4  ; [410]; 0.307850
 .long 0x79c89f6d  ; [410]; 0.951435
 .long 0x86376094  ; [922]; -0.951435
 .long 0x27679df4  ; [922]; 0.307850
 .long 0x7b26cb4e  ; [90]; 0.962121
 .long 0x22e541af  ; [90]; 0.272621
 .long 0xdd1abe52  ; [602]; -0.272621
 .long 0x7b26cb4e  ; [602]; 0.962121
 .long 0x3e680b2c  ; [346]; 0.487550
 .long 0x6fc19384  ; [346]; 0.873095
 .long 0x903e6c7d  ; [858]; -0.873095
 .long 0x3e680b2c  ; [858]; 0.487550
 .long 0x646c59bf  ; [218]; 0.784557
 .long 0x4f5e08e2  ; [218]; 0.620057
 .long 0xb0a1f71f  ; [730]; -0.620057
 .long 0x646c59bf  ; [730]; 0.784557
 .long 0x0ee38766  ; [474]; 0.116319
 .long 0x7f2191b3  ; [474]; 0.993212
 .long 0x80de6e4e  ; [986]; -0.993212
 .long 0x0ee38766  ; [986]; 0.116319
 .long 0x7dfa98a7  ; [58]; 0.984210
 .long 0x16a81305  ; [58]; 0.177004
 .long 0xe957ecfc  ; [570]; -0.177004
 .long 0x7dfa98a7  ; [570]; 0.984210
 .long 0x490f57ee  ; [314]; 0.570781
 .long 0x6919e31f  ; [314]; 0.821103
 .long 0x96e61ce2  ; [826]; -0.821103
 .long 0x490f57ee  ; [826]; 0.570781
 .long 0x6bb812d0  ; [186]; 0.841555
 .long 0x452456bc  ; [186]; 0.540171
 .long 0xbadba945  ; [698]; -0.540171
 .long 0x6bb812d0  ; [698]; 0.841555
 .long 0x1b4732ef  ; [442]; 0.213110
 .long 0x7d0f4217  ; [442]; 0.977028
 .long 0x82f0bdea  ; [954]; -0.977028
 .long 0x1b4732ef  ; [954]; 0.213110
 .long 0x77235f2c  ; [122]; 0.930767
 .long 0x2ecc681e  ; [122]; 0.365613
 .long 0xd13397e3  ; [634]; -0.365613
 .long 0x77235f2c  ; [634]; 0.930767
 .long 0x3326e2c2  ; [378]; 0.399624
 .long 0x7555bd4b  ; [378]; 0.916679
 .long 0x8aaa42b6  ; [890]; -0.916679
 .long 0x3326e2c2  ; [890]; 0.399624
 .long 0x5c290acc  ; [250]; 0.720003
 .long 0x58d40e8c  ; [250]; 0.693971
 .long 0xa72bf175  ; [762]; -0.693971
 .long 0x5c290acc  ; [762]; 0.720003
 .long 0x025b26d7  ; [506]; 0.018407
 .long 0x7ffa72d0  ; [506]; 0.999831
 .long 0x80058d31  ; [1018]; -0.999831
 .long 0x025b26d7  ; [1018]; 0.018407
 .long 0x7ffa72d0  ; [6]; 0.999831
 .long 0x025b26d7  ; [6]; 0.018407
 .long 0xfda4d92a  ; [518]; -0.018407
 .long 0x7ffa72d0  ; [518]; 0.999831
 .long 0x58d40e8c  ; [262]; 0.693971
 .long 0x5c290acc  ; [262]; 0.720003
 .long 0xa3d6f535  ; [774]; -0.720003
 .long 0x58d40e8c  ; [774]; 0.693971
 .long 0x7555bd4b  ; [134]; 0.916679
 .long 0x3326e2c2  ; [134]; 0.399624
 .long 0xccd91d3f  ; [646]; -0.399624
 .long 0x7555bd4b  ; [646]; 0.916679
 .long 0x2ecc681e  ; [390]; 0.365613
 .long 0x77235f2c  ; [390]; 0.930767
 .long 0x88dca0d5  ; [902]; -0.930767
 .long 0x2ecc681e  ; [902]; 0.365613
 .long 0x7d0f4217  ; [70]; 0.977028
 .long 0x1b4732ef  ; [70]; 0.213110
 .long 0xe4b8cd12  ; [582]; -0.213110
 .long 0x7d0f4217  ; [582]; 0.977028
 .long 0x452456bc  ; [326]; 0.540171
 .long 0x6bb812d0  ; [326]; 0.841555
 .long 0x9447ed31  ; [838]; -0.841555
 .long 0x452456bc  ; [838]; 0.540171
 .long 0x6919e31f  ; [198]; 0.821103
 .long 0x490f57ee  ; [198]; 0.570781
 .long 0xb6f0a813  ; [710]; -0.570781
 .long 0x6919e31f  ; [710]; 0.821103
 .long 0x16a81305  ; [454]; 0.177004
 .long 0x7dfa98a7  ; [454]; 0.984210
 .long 0x8205675a  ; [966]; -0.984210
 .long 0x16a81305  ; [966]; 0.177004
 .long 0x7f2191b3  ; [38]; 0.993212
 .long 0x0ee38766  ; [38]; 0.116319
 .long 0xf11c789b  ; [550]; -0.116319
 .long 0x7f2191b3  ; [550]; 0.993212
 .long 0x4f5e08e2  ; [294]; 0.620057
 .long 0x646c59bf  ; [294]; 0.784557
 .long 0x9b93a642  ; [806]; -0.784557
 .long 0x4f5e08e2  ; [806]; 0.620057
 .long 0x6fc19384  ; [166]; 0.873095
 .long 0x3e680b2c  ; [166]; 0.487550
 .long 0xc197f4d5  ; [678]; -0.487550
 .long 0x6fc19384  ; [678]; 0.873095
 .long 0x22e541af  ; [422]; 0.272621
 .long 0x7b26cb4e  ; [422]; 0.962121
 .long 0x84d934b3  ; [934]; -0.962121
 .long 0x22e541af  ; [934]; 0.272621
 .long 0x79c89f6d  ; [102]; 0.951435
 .long 0x27679df4  ; [102]; 0.307850
 .long 0xd898620d  ; [614]; -0.307850
 .long 0x79c89f6d  ; [614]; 0.951435
 .long 0x3a402dd1  ; [358]; 0.455084
 .long 0x71fa3948  ; [358]; 0.890449
 .long 0x8e05c6b9  ; [870]; -0.890449
 .long 0x3a402dd1  ; [870]; 0.455084
 .long 0x616f146b  ; [230]; 0.761202
 .long 0x53028517  ; [230]; 0.648514
 .long 0xacfd7aea  ; [742]; -0.648514
 .long 0x616f146b  ; [742]; 0.761202
 .long 0x0a3308bc  ; [486]; 0.079682
 .long 0x7f97cebc  ; [486]; 0.996820
 .long 0x80683145  ; [998]; -0.996820
 .long 0x0a3308bc  ; [998]; 0.079682
 .long 0x7fb563b2  ; [22]; 0.997723
 .long 0x08a2009a  ; [22]; 0.067444
 .long 0xf75dff67  ; [534]; -0.067444
 .long 0x7fb563b2  ; [534]; 0.997723
 .long 0x5433027d  ; [278]; 0.657807
 .long 0x60686cce  ; [278]; 0.753187
 .long 0x9f979333  ; [790]; -0.753187
 .long 0x5433027d  ; [790]; 0.657807
 .long 0x72af05a6  ; [150]; 0.895966
 .long 0x38d8fe93  ; [150]; 0.444122
 .long 0xc727016e  ; [662]; -0.444122
 .long 0x72af05a6  ; [662]; 0.895966
 .long 0x28e5714a  ; [406]; 0.319502
 .long 0x794a7c11  ; [406]; 0.947586
 .long 0x86b583f0  ; [918]; -0.947586
 .long 0x28e5714a  ; [918]; 0.319502
 .long 0x7b920b88  ; [86]; 0.965394
 .long 0x2161b39f  ; [86]; 0.260794
 .long 0xde9e4c62  ; [598]; -0.260794
 .long 0x7b920b88  ; [598]; 0.965394
 .long 0x3fc5ec97  ; [342]; 0.498228
 .long 0x6efb5f11  ; [342]; 0.867046
 .long 0x9104a0f0  ; [854]; -0.867046
 .long 0x3fc5ec97  ; [854]; 0.498228
 .long 0x6563bf91  ; [214]; 0.792107
 .long 0x4e210617  ; [214]; 0.610383
 .long 0xb1def9ea  ; [726]; -0.610383
 .long 0x6563bf91  ; [726]; 0.792107
 .long 0x1072a048  ; [470]; 0.128498
 .long 0x7ef0585f  ; [470]; 0.991710
 .long 0x810fa7a2  ; [982]; -0.991710
 .long 0x1072a048  ; [982]; 0.128498
 .long 0x7e3f57fe  ; [54]; 0.986308
 .long 0x151bdf85  ; [54]; 0.164913
 .long 0xeae4207c  ; [566]; -0.164913
 .long 0x7e3f57fe  ; [566]; 0.986308
 .long 0x4a581c9d  ; [310]; 0.580814
 .long 0x683257aa  ; [310]; 0.814036
 .long 0x97cda857  ; [822]; -0.814036
 .long 0x4a581c9d  ; [822]; 0.580814
 .long 0x6c8f351b  ; [182]; 0.848120
 .long 0x43d09aec  ; [182]; 0.529804
 .long 0xbc2f6515  ; [694]; -0.529804
 .long 0x6c8f351b  ; [694]; 0.848120
 .long 0x1ccf8cb3  ; [438]; 0.225084
 .long 0x7cb72723  ; [438]; 0.974339
 .long 0x8348d8de  ; [950]; -0.974339
 .long 0x1ccf8cb3  ; [950]; 0.225084
 .long 0x77b417df  ; [118]; 0.935184
 .long 0x2d553afb  ; [118]; 0.354164
 .long 0xd2aac506  ; [630]; -0.354164
 .long 0x77b417df  ; [630]; 0.935184
 .long 0x3496824f  ; [374]; 0.410843
 .long 0x74b2c883  ; [374]; 0.911706
 .long 0x8b4d377e  ; [886]; -0.911706
 .long 0x3496824f  ; [886]; 0.410843
 .long 0x5d3e5236  ; [246]; 0.728464
 .long 0x57b0d255  ; [246]; 0.685084
 .long 0xa84f2dac  ; [758]; -0.685084
 .long 0x5d3e5236  ; [758]; 0.728464
 .long 0x03ed26e6  ; [502]; 0.030675
 .long 0x7ff09477  ; [502]; 0.999529
 .long 0x800f6b8a  ; [1014]; -0.999529
 .long 0x03ed26e6  ; [1014]; 0.030675
 .long 0x7fe1c76a  ; [14]; 0.999078
 .long 0x057f0035  ; [14]; 0.042938
 .long 0xfa80ffcc  ; [526]; -0.042938
 .long 0x7fe1c76a  ; [526]; 0.999078
 .long 0x568a34a9  ; [270]; 0.676093
 .long 0x5e50015d  ; [270]; 0.736817
 .long 0xa1affea4  ; [782]; -0.736817
 .long 0x568a34a9  ; [782]; 0.676093
 .long 0x740b53fa  ; [142]; 0.906596
 .long 0x36041ad9  ; [142]; 0.422000
 .long 0xc9fbe528  ; [654]; -0.422000
 .long 0x740b53fa  ; [654]; 0.906596
 .long 0x2bdc4e6f  ; [398]; 0.342661
 .long 0x78403328  ; [398]; 0.939459
 .long 0x87bfccd9  ; [910]; -0.939459
 .long 0x2bdc4e6f  ; [910]; 0.342661
 .long 0x7c5a3d4f  ; [78]; 0.971504
 .long 0x1e56ca1e  ; [78]; 0.237024
 .long 0xe1a935e3  ; [590]; -0.237024
 .long 0x7c5a3d4f  ; [590]; 0.971504
 .long 0x427a41d0  ; [334]; 0.519356
 .long 0x6d6227f9  ; [334]; 0.854558
 .long 0x929dd808  ; [846]; -0.854558
 .long 0x427a41d0  ; [846]; 0.519356
 .long 0x6746c7d7  ; [206]; 0.806848
 .long 0x4b9e038f  ; [206]; 0.590760
 .long 0xb461fc72  ; [718]; -0.590760
 .long 0x6746c7d7  ; [718]; 0.806848
 .long 0x138edbb1  ; [462]; 0.152797
 .long 0x7e7f3956  ; [462]; 0.988258
 .long 0x8180c6ab  ; [974]; -0.988258
 .long 0x138edbb1  ; [974]; 0.152797
 .long 0x7eba3a38  ; [46]; 0.990058
 .long 0x120116d5  ; [46]; 0.140658
 .long 0xedfee92c  ; [558]; -0.140658
 .long 0x7eba3a38  ; [558]; 0.990058
 .long 0x4ce10034  ; [302]; 0.600616
 .long 0x66573cbb  ; [302]; 0.799537
 .long 0x99a8c346  ; [814]; -0.799537
 .long 0x4ce10034  ; [814]; 0.600616
 .long 0x6e30e349  ; [174]; 0.860867
 .long 0x4121589a  ; [174]; 0.508830
 .long 0xbedea767  ; [686]; -0.508830
 .long 0x6e30e349  ; [686]; 0.860867
 .long 0x1fdcdc1b  ; [430]; 0.248928
 .long 0x7bf8882f  ; [430]; 0.968522
 .long 0x840777d2  ; [942]; -0.968522
 .long 0x1fdcdc1b  ; [942]; 0.248928
 .long 0x78c7aba1  ; [110]; 0.943593
 .long 0x2a61b101  ; [110]; 0.331106
 .long 0xd59e4f00  ; [622]; -0.331106
 .long 0x78c7aba1  ; [622]; 0.943593
 .long 0x376f9e46  ; [366]; 0.433094
 .long 0x735f6625  ; [366]; 0.901349
 .long 0x8ca099dc  ; [878]; -0.901349
 .long 0x376f9e46  ; [878]; 0.433094
 .long 0x5f5e0db2  ; [238]; 0.745058
 .long 0x556040e2  ; [238]; 0.667000
 .long 0xaa9fbf1f  ; [750]; -0.667000
 .long 0x5f5e0db2  ; [750]; 0.745058
 .long 0x0710a345  ; [494]; 0.055195
 .long 0x7fce0c3d  ; [494]; 0.998476
 .long 0x8031f3c4  ; [1006]; -0.998476
 .long 0x0710a345  ; [1006]; 0.055195
 .long 0x7f754e7f  ; [30]; 0.995767
 .long 0x0bc3ac35  ; [30]; 0.091909
 .long 0xf43c53cc  ; [542]; -0.091909
 .long 0x7f754e7f  ; [542]; 0.995767
 .long 0x51ced46e  ; [286]; 0.639124
 .long 0x6271fa68  ; [286]; 0.769103
 .long 0x9d8e0599  ; [798]; -0.769103
 .long 0x51ced46e  ; [798]; 0.639124
 .long 0x71410804  ; [158]; 0.884797
 .long 0x3ba51e29  ; [158]; 0.465976
 .long 0xc45ae1d8  ; [670]; -0.465976
 .long 0x71410804  ; [670]; 0.884797
 .long 0x25e845b6  ; [414]; 0.296151
 .long 0x7a4210d8  ; [414]; 0.955141
 .long 0x85bdef29  ; [926]; -0.955141
 .long 0x25e845b6  ; [926]; 0.296151
 .long 0x7ab6cba3  ; [94]; 0.958703
 .long 0x24677757  ; [94]; 0.284408
 .long 0xdb9888aa  ; [606]; -0.284408
 .long 0x7ab6cba3  ; [606]; 0.958703
 .long 0x3d07c1d5  ; [350]; 0.476799
 .long 0x708378fe  ; [350]; 0.879012
 .long 0x8f7c8703  ; [862]; -0.879012
 .long 0x3d07c1d5  ; [862]; 0.476799
 .long 0x637114cc  ; [222]; 0.776888
 .long 0x5097fc5e  ; [222]; 0.629638
 .long 0xaf6803a3  ; [734]; -0.629638
 .long 0x637114cc  ; [734]; 0.776888
 .long 0x0d53db92  ; [478]; 0.104122
 .long 0x7f4de450  ; [478]; 0.994565
 .long 0x80b21bb1  ; [990]; -0.994565
 .long 0x0d53db92  ; [990]; 0.104122
 .long 0x7db0fdf7  ; [62]; 0.981964
 .long 0x183366e8  ; [62]; 0.189069
 .long 0xe7cc9919  ; [574]; -0.189069
 .long 0x7db0fdf7  ; [574]; 0.981964
 .long 0x47c3c22e  ; [318]; 0.560662
 .long 0x69fd614a  ; [318]; 0.828045
 .long 0x96029eb7  ; [830]; -0.828045
 .long 0x47c3c22e  ; [830]; 0.560662
 .long 0x6adcc964  ; [190]; 0.834863
 .long 0x46756827  ; [190]; 0.550458
 .long 0xb98a97da  ; [702]; -0.550458
 .long 0x6adcc964  ; [702]; 0.834863
 .long 0x19bdcbf3  ; [446]; 0.201105
 .long 0x7d628ac5  ; [446]; 0.979570
 .long 0x829d753c  ; [958]; -0.979570
 .long 0x19bdcbf3  ; [958]; 0.201105
 .long 0x768e0ea5  ; [126]; 0.926210
 .long 0x3041c760  ; [126]; 0.377007
 .long 0xcfbe38a1  ; [638]; -0.377007
 .long 0x768e0ea5  ; [638]; 0.926210
 .long 0x31b54a5d  ; [382]; 0.388345
 .long 0x75f42c0a  ; [382]; 0.921514
 .long 0x8a0bd3f7  ; [894]; -0.921514
 .long 0x31b54a5d  ; [894]; 0.388345
 .long 0x5b1035ce  ; [254]; 0.711432
 .long 0x59f3de12  ; [254]; 0.702755
 .long 0xa60c21ef  ; [766]; -0.702755
 .long 0x5b1035ce  ; [766]; 0.711432
 .long 0x00c90f88  ; [510]; 0.006136
 .long 0x7fff6215  ; [510]; 0.999981
 .long 0x80009dec  ; [1022]; -0.999981
 .long 0x00c90f88  ; [1022]; 0.006136
 .long 0x7fffd885  ; [1]; 0.999995
 .long 0x006487e3  ; [1]; 0.003068
 .long 0xff9b781e  ; [513]; -0.003068
 .long 0x7fffd885  ; [513]; 0.999995
 .long 0x5a3b47aa  ; [257]; 0.704934
 .long 0x5ac973b4  ; [257]; 0.709273
 .long 0xa5368c4d  ; [769]; -0.709273
 .long 0x5a3b47aa  ; [769]; 0.704934
 .long 0x761b1210  ; [129]; 0.922701
 .long 0x3158970d  ; [129]; 0.385516
 .long 0xcea768f4  ; [641]; -0.385516
 .long 0x761b1210  ; [641]; 0.922701
 .long 0x309ed556  ; [385]; 0.379847
 .long 0x76680375  ; [385]; 0.925049
 .long 0x8997fc8c  ; [897]; -0.925049
 .long 0x309ed556  ; [897]; 0.379847
 .long 0x7d769bb4  ; [65]; 0.980182
 .long 0x195b49ea  ; [65]; 0.198098
 .long 0xe6a4b617  ; [577]; -0.198098
 .long 0x7d769bb4  ; [577]; 0.980182
 .long 0x46c9405c  ; [321]; 0.553017
 .long 0x6aa551e8  ; [321]; 0.833170
 .long 0x955aae19  ; [833]; -0.833170
 .long 0x46c9405c  ; [833]; 0.553017
 .long 0x6a359db8  ; [193]; 0.829761
 .long 0x47706d93  ; [193]; 0.558119
 .long 0xb88f926e  ; [705]; -0.558119
 .long 0x6a359db8  ; [705]; 0.829761
 .long 0x18961728  ; [449]; 0.192080
 .long 0x7d9dd559  ; [449]; 0.981379
 .long 0x82622aa8  ; [961]; -0.981379
 .long 0x18961728  ; [961]; 0.192080
 .long 0x7f5834b6  ; [33]; 0.994879
 .long 0x0cefdb75  ; [33]; 0.101070
 .long 0xf310248c  ; [545]; -0.101070
 .long 0x7f5834b6  ; [545]; 0.994879
 .long 0x50e5fd6c  ; [289]; 0.632019
 .long 0x6331a9d4  ; [289]; 0.774953
 .long 0x9cce562d  ; [801]; -0.774953
 .long 0x50e5fd6c  ; [801]; 0.632019
 .long 0x70b34524  ; [161]; 0.880471
 .long 0x3caf50da  ; [161]; 0.474100
 .long 0xc350af27  ; [673]; -0.474100
 .long 0x70b34524  ; [673]; 0.880471
 .long 0x24c7cd32  ; [417]; 0.287347
 .long 0x7a9a0e4f  ; [417]; 0.957826
 .long 0x8565f1b2  ; [929]; -0.957826
 .long 0x24c7cd32  ; [929]; 0.287347
 .long 0x7a5fb0d7  ; [97]; 0.956045
 .long 0x2588349d  ; [97]; 0.293219
 .long 0xda77cb64  ; [609]; -0.293219
 .long 0x7a5fb0d7  ; [609]; 0.956045
 .long 0x3bfdfecd  ; [353]; 0.468689
 .long 0x71120cc4  ; [353]; 0.883363
 .long 0x8eedf33d  ; [865]; -0.883363
 .long 0x3bfdfecd  ; [865]; 0.468689
 .long 0x62b21c7b  ; [225]; 0.771061
 .long 0x518169a4  ; [225]; 0.636762
 .long 0xae7e965d  ; [737]; -0.636762
 .long 0x62b21c7b  ; [737]; 0.771061
 .long 0x0c27c389  ; [481]; 0.094963
 .long 0x7f6be9d3  ; [481]; 0.995481
 .long 0x8094162e  ; [993]; -0.995481
 .long 0x0c27c389  ; [993]; 0.094963
 .long 0x7fd37152  ; [17]; 0.998640
 .long 0x06ac406f  ; [17]; 0.052132
 .long 0xf953bf92  ; [529]; -0.052132
 .long 0x7fd37152  ; [529]; 0.998640
 .long 0x55ab0d46  ; [273]; 0.669283
 .long 0x5f1ae273  ; [273]; 0.743008
 .long 0xa0e51d8e  ; [785]; -0.743008
 .long 0x55ab0d46  ; [785]; 0.669283
 .long 0x738acc9d  ; [145]; 0.902673
 .long 0x3714f02a  ; [145]; 0.430326
 .long 0xc8eb0fd7  ; [657]; -0.430326
 .long 0x738acc9d  ; [657]; 0.902673
 .long 0x2ac08026  ; [401]; 0.334000
 .long 0x78a63d10  ; [401]; 0.942573
 .long 0x8759c2f1  ; [913]; -0.942573
 .long 0x2ac08026  ; [913]; 0.334000
 .long 0x7c116852  ; [81]; 0.969281
 .long 0x1f7b7480  ; [81]; 0.245955
 .long 0xe0848b81  ; [593]; -0.245955
 .long 0x7c116852  ; [593]; 0.969281
 .long 0x4177cfb0  ; [337]; 0.511469
 .long 0x6dfd9a1b  ; [337]; 0.859302
 .long 0x920265e6  ; [849]; -0.859302
 .long 0x4177cfb0  ; [849]; 0.511469
 .long 0x66937e90  ; [209]; 0.801376
 .long 0x4c9087b1  ; [209]; 0.598161
 .long 0xb36f7850  ; [721]; -0.598161
 .long 0x66937e90  ; [721]; 0.801376
 .long 0x1264994e  ; [465]; 0.143695
 .long 0x7eabef2b  ; [465]; 0.989622
 .long 0x815410d6  ; [977]; -0.989622
 .long 0x1264994e  ; [977]; 0.143695
 .long 0x7e8e6eb1  ; [49]; 0.988722
 .long 0x132b7bf9  ; [49]; 0.149765
 .long 0xecd48408  ; [561]; -0.149765
 .long 0x7e8e6eb1  ; [561]; 0.988722
 .long 0x4bef092c  ; [305]; 0.593232
 .long 0x670b4443  ; [305]; 0.805031
 .long 0x98f4bbbe  ; [817]; -0.805031
 .long 0x4bef092c  ; [817]; 0.593232
 .long 0x6d963c53  ; [177]; 0.856147
 .long 0x42244480  ; [177]; 0.516732
 .long 0xbddbbb81  ; [689]; -0.516732
 .long 0x6d963c53  ; [689]; 0.856147
 .long 0x1eb86b46  ; [433]; 0.240003
 .long 0x7c4242f1  ; [433]; 0.970772
 .long 0x83bdbd10  ; [945]; -0.970772
 .long 0x1eb86b46  ; [945]; 0.240003
 .long 0x786280bf  ; [113]; 0.940506
 .long 0x2b7dcf17  ; [113]; 0.339777
 .long 0xd48230ea  ; [625]; -0.339777
 .long 0x786280bf  ; [625]; 0.940506
 .long 0x365f2e3b  ; [369]; 0.424780
 .long 0x73e0c3a2  ; [369]; 0.905297
 .long 0x8c1f3c5f  ; [881]; -0.905297
 .long 0x365f2e3b  ; [881]; 0.424780
 .long 0x5e93dc1e  ; [241]; 0.738887
 .long 0x56400757  ; [241]; 0.673829
 .long 0xa9bff8aa  ; [753]; -0.673829
 .long 0x5e93dc1e  ; [753]; 0.738887
 .long 0x05e36ea9  ; [497]; 0.046003
 .long 0x7fdd4eeb  ; [497]; 0.998941
 .long 0x8022b116  ; [1009]; -0.998941
 .long 0x05e36ea9  ; [1009]; 0.046003
 .long 0x7ff38273  ; [9]; 0.999619
 .long 0x0388a9ea  ; [9]; 0.027608
 .long 0xfc775617  ; [521]; -0.027608
 .long 0x7ff38273  ; [521]; 0.999619
 .long 0x57f9f2f7  ; [265]; 0.687315
 .long 0x5cf95637  ; [265]; 0.726359
 .long 0xa306a9ca  ; [777]; -0.726359
 .long 0x57f9f2f7  ; [777]; 0.687315
 .long 0x74dbf1ee  ; [137]; 0.912962
 .long 0x343aca87  ; [137]; 0.408044
 .long 0xcbc5357a  ; [649]; -0.408044
 .long 0x74dbf1ee  ; [649]; 0.912962
 .long 0x2db330c7  ; [393]; 0.357031
 .long 0x7790583d  ; [393]; 0.934093
 .long 0x886fa7c4  ; [905]; -0.934093
 .long 0x2db330c7  ; [905]; 0.357031
 .long 0x7ccda168  ; [73]; 0.975025
 .long 0x1c6d9053  ; [73]; 0.222094
 .long 0xe3926fae  ; [585]; -0.222094
 .long 0x7ccda168  ; [585]; 0.975025
 .long 0x4425c923  ; [329]; 0.532403
 .long 0x6c59d0a8  ; [329]; 0.846491
 .long 0x93a62f59  ; [841]; -0.846491
 .long 0x4425c923  ; [841]; 0.532403
 .long 0x686c9b4a  ; [201]; 0.815814
 .long 0x4a062fbd  ; [201]; 0.578314
 .long 0xb5f9d044  ; [713]; -0.578314
 .long 0x686c9b4a  ; [713]; 0.815814
 .long 0x157f0086  ; [457]; 0.167938
 .long 0x7e2e9cde  ; [457]; 0.985798
 .long 0x81d16323  ; [969]; -0.985798
 .long 0x157f0086  ; [969]; 0.167938
 .long 0x7efd1c3b  ; [41]; 0.992099
 .long 0x100ee8ad  ; [41]; 0.125455
 .long 0xeff11754  ; [553]; -0.125455
 .long 0x7efd1c3b  ; [553]; 0.992099
 .long 0x4e708f8f  ; [297]; 0.612810
 .long 0x6526438e  ; [297]; 0.790230
 .long 0x9ad9bc73  ; [809]; -0.790230
 .long 0x4e708f8f  ; [809]; 0.612810
 .long 0x6f2d532b  ; [169]; 0.868571
 .long 0x3f6eaeb8  ; [169]; 0.495565
 .long 0xc0915149  ; [681]; -0.495565
 .long 0x6f2d532b  ; [681]; 0.868571
 .long 0x21c2b69c  ; [425]; 0.263755
 .long 0x7b77ada7  ; [425]; 0.964590
 .long 0x8488525a  ; [937]; -0.964590
 .long 0x21c2b69c  ; [937]; 0.263755
 .long 0x796a7553  ; [105]; 0.948561
 .long 0x288621b9  ; [105]; 0.316593
 .long 0xd779de48  ; [617]; -0.316593
 .long 0x796a7553  ; [617]; 0.948561
 .long 0x3932ff87  ; [361]; 0.446869
 .long 0x72823c66  ; [361]; 0.894599
 .long 0x8d7dc39b  ; [873]; -0.894599
 .long 0x3932ff87  ; [873]; 0.446869
 .long 0x60aa704f  ; [233]; 0.755201
 .long 0x53e73097  ; [233]; 0.655493
 .long 0xac18cf6a  ; [745]; -0.655493
 .long 0x60aa704f  ; [745]; 0.755201
 .long 0x09064b3a  ; [489]; 0.070505
 .long 0x7fae7494  ; [489]; 0.997511
 .long 0x80518b6d  ; [1001]; -0.997511
 .long 0x09064b3a  ; [1001]; 0.070505
 .long 0x7f9faa14  ; [25]; 0.997060
 .long 0x09cecf89  ; [25]; 0.076624
 .long 0xf6313078  ; [537]; -0.076624
 .long 0x7f9faa14  ; [537]; 0.997060
 .long 0x534ef1b5  ; [281]; 0.650847
 .long 0x612dc446  ; [281]; 0.759209
 .long 0x9ed23bbb  ; [793]; -0.759209
 .long 0x534ef1b5  ; [793]; 0.650847
 .long 0x7227d61b  ; [153]; 0.891841
 .long 0x39e6975d  ; [153]; 0.452350
 .long 0xc61968a4  ; [665]; -0.452350
 .long 0x7227d61b  ; [665]; 0.891841
 .long 0x27c737d3  ; [409]; 0.310767
 .long 0x79a98715  ; [409]; 0.950486
 .long 0x865678ec  ; [921]; -0.950486
 .long 0x27c737d3  ; [921]; 0.310767
 .long 0x7b420d79  ; [89]; 0.962953
 .long 0x22847ddf  ; [89]; 0.269668
 .long 0xdd7b8222  ; [601]; -0.269668
 .long 0x7b420d79  ; [601]; 0.962953
 .long 0x3ebfbdcc  ; [345]; 0.490226
 .long 0x6f906d83  ; [345]; 0.871595
 .long 0x906f927e  ; [857]; -0.871595
 .long 0x3ebfbdcc  ; [857]; 0.490226
 .long 0x64aa907e  ; [217]; 0.786455
 .long 0x4f0f1125  ; [217]; 0.617647
 .long 0xb0f0eedc  ; [729]; -0.617647
 .long 0x64aa907e  ; [729]; 0.786455
 .long 0x0f475bff  ; [473]; 0.119365
 .long 0x7f15b8ed  ; [473]; 0.992850
 .long 0x80ea4714  ; [985]; -0.992850
 .long 0x0f475bff  ; [985]; 0.119365
 .long 0x7e0c3d28  ; [57]; 0.984749
 .long 0x16451a83  ; [57]; 0.173984
 .long 0xe9bae57e  ; [569]; -0.173984
 .long 0x7e0c3d28  ; [569]; 0.984749
 .long 0x4961cd32  ; [313]; 0.573297
 .long 0x68e06129  ; [313]; 0.819348
 .long 0x971f9ed8  ; [825]; -0.819348
 .long 0x4961cd32  ; [825]; 0.573297
 .long 0x6bee3f62  ; [185]; 0.843208
 .long 0x44cfa73f  ; [185]; 0.537587
 .long 0xbb3058c2  ; [697]; -0.537587
 .long 0x6bee3f62  ; [697]; 0.843208
 .long 0x1ba96335  ; [441]; 0.216107
 .long 0x7cf9aeef  ; [441]; 0.976370
 .long 0x83065112  ; [953]; -0.976370
 .long 0x1ba96335  ; [953]; 0.216107
 .long 0x7747fbcd  ; [121]; 0.931884
 .long 0x2e6ec792  ; [121]; 0.362756
 .long 0xd191386f  ; [633]; -0.362756
 .long 0x7747fbcd  ; [633]; 0.931884
 .long 0x3382fa88  ; [377]; 0.402435
 .long 0x752d6c6b  ; [377]; 0.915449
 .long 0x8ad29396  ; [889]; -0.915449
 .long 0x3382fa88  ; [889]; 0.402435
 .long 0x5c6eb258  ; [249]; 0.722128
 .long 0x588b913f  ; [249]; 0.691759
 .long 0xa7746ec2  ; [761]; -0.691759
 .long 0x5c6eb258  ; [761]; 0.722128
 .long 0x02bfa9a4  ; [505]; 0.021474
 .long 0x7ff871a1  ; [505]; 0.999769
 .long 0x80078e60  ; [1017]; -0.999769
 .long 0x02bfa9a4  ; [1017]; 0.021474
 .long 0x7ffc250e  ; [5]; 0.999882
 .long 0x01f6a297  ; [5]; 0.015339
 .long 0xfe095d6a  ; [517]; -0.015339
 .long 0x7ffc250e  ; [517]; 0.999882
 .long 0x591c550d  ; [261]; 0.696177
 .long 0x5be32a66  ; [261]; 0.717870
 .long 0xa41cd59b  ; [773]; -0.717870
 .long 0x591c550d  ; [773]; 0.696177
 .long 0x757dc5c9  ; [133]; 0.917901
 .long 0x32caab6f  ; [133]; 0.396810
 .long 0xcd355492  ; [645]; -0.396810
 .long 0x757dc5c9  ; [645]; 0.917901
 .long 0x2f29ebcc  ; [389]; 0.368467
 .long 0x76fe790d  ; [389]; 0.929641
 .long 0x890186f4  ; [901]; -0.929641
 .long 0x2f29ebcc  ; [901]; 0.368467
 .long 0x7d24881a  ; [69]; 0.977677
 .long 0x1ae4f1d6  ; [69]; 0.210112
 .long 0xe51b0e2b  ; [581]; -0.210112
 .long 0x7d24881a  ; [581]; 0.977677
 .long 0x4578db93  ; [325]; 0.542751
 .long 0x6b81a3cc  ; [325]; 0.839894
 .long 0x947e5c35  ; [837]; -0.839894
 .long 0x4578db93  ; [837]; 0.542751
 .long 0x69532441  ; [197]; 0.822850
 .long 0x48bcb598  ; [197]; 0.568259
 .long 0xb7434a69  ; [709]; -0.568259
 .long 0x69532441  ; [709]; 0.822850
 .long 0x170afd8d  ; [453]; 0.180023
 .long 0x7de8a66f  ; [453]; 0.983662
 .long 0x82175992  ; [965]; -0.983662
 .long 0x170afd8d  ; [965]; 0.180023
 .long 0x7f2d1c0d  ; [37]; 0.993564
 .long 0x0e7fa99d  ; [37]; 0.113271
 .long 0xf1805664  ; [549]; -0.113271
 .long 0x7f2d1c0d  ; [549]; 0.993564
 .long 0x4faccfaa  ; [293]; 0.622461
 .long 0x642de50d  ; [293]; 0.782651
 .long 0x9bd21af4  ; [805]; -0.782651
 .long 0x4faccfaa  ; [805]; 0.622461
 .long 0x6ff27496  ; [165]; 0.874587
 .long 0x3e10320d  ; [165]; 0.484869
 .long 0xc1efcdf4  ; [677]; -0.484869
 .long 0x6ff27496  ; [677]; 0.874587
 .long 0x2345eff8  ; [421]; 0.275572
 .long 0x7b0b3d2b  ; [421]; 0.961280
 .long 0x84f4c2d6  ; [933]; -0.961280
 .long 0x2345eff8  ; [933]; 0.275572
 .long 0x79e76ca6  ; [101]; 0.952375
 .long 0x2707ebc6  ; [101]; 0.304929
 .long 0xd8f8143b  ; [613]; -0.304929
 .long 0x79e76ca6  ; [613]; 0.952375
 .long 0x3a99a057  ; [357]; 0.457813
 .long 0x71cc5626  ; [357]; 0.889048
 .long 0x8e33a9db  ; [869]; -0.889048
 .long 0x3a99a057  ; [869]; 0.457813
 .long 0x61b02876  ; [229]; 0.763188
 .long 0x52b5e545  ; [229]; 0.646176
 .long 0xad4a1abc  ; [741]; -0.646176
 .long 0x61b02876  ; [741]; 0.763188
 .long 0x0a973ba5  ; [485]; 0.082740
 .long 0x7f8fa4af  ; [485]; 0.996571
 .long 0x80705b52  ; [997]; -0.996571
 .long 0x0a973ba5  ; [997]; 0.082740
 .long 0x7fbc0409  ; [21]; 0.997925
 .long 0x083db0a7  ; [21]; 0.064383
 .long 0xf7c24f5a  ; [533]; -0.064383
 .long 0x7fbc0409  ; [533]; 0.997925
 .long 0x547ea073  ; [277]; 0.660114
 .long 0x60262dd5  ; [277]; 0.751165
 .long 0x9fd9d22c  ; [789]; -0.751165
 .long 0x547ea073  ; [789]; 0.660114
 .long 0x72db8827  ; [149]; 0.897325
 .long 0x387eda8e  ; [149]; 0.441371
 .long 0xc7812573  ; [661]; -0.441371
 .long 0x72db8827  ; [661]; 0.897325
 .long 0x2944a7a2  ; [405]; 0.322408
 .long 0x792a37fd  ; [405]; 0.946601
 .long 0x86d5c804  ; [917]; -0.946601
 .long 0x2944a7a2  ; [917]; 0.322408
 .long 0x7bac1d30  ; [85]; 0.966190
 .long 0x21009c0c  ; [85]; 0.257831
 .long 0xdeff63f5  ; [597]; -0.257831
 .long 0x7bac1d30  ; [597]; 0.966190
 .long 0x401d0320  ; [341]; 0.500885
 .long 0x6ec92682  ; [341]; 0.865514
 .long 0x9136d97f  ; [853]; -0.865514
 .long 0x401d0320  ; [853]; 0.500885
 .long 0x65a0fd0a  ; [213]; 0.793975
 .long 0x4dd14c6d  ; [213]; 0.607950
 .long 0xb22eb394  ; [725]; -0.607950
 .long 0x65a0fd0a  ; [725]; 0.793975
 .long 0x10d64dbd  ; [469]; 0.131540
 .long 0x7ee34635  ; [469]; 0.991311
 .long 0x811cb9cc  ; [981]; -0.991311
 .long 0x10d64dbd  ; [981]; 0.131540
 .long 0x7e4fc53d  ; [53]; 0.986809
 .long 0x14b8b17f  ; [53]; 0.161886
 .long 0xeb474e82  ; [565]; -0.161886
 .long 0x7e4fc53d  ; [565]; 0.986809
 .long 0x4aa9dba1  ; [309]; 0.583309
 .long 0x67f7d3c4  ; [309]; 0.812251
 .long 0x98082c3d  ; [821]; -0.812251
 .long 0x4aa9dba1  ; [821]; 0.583309
 .long 0x6cc45697  ; [181]; 0.849742
 .long 0x437b42e1  ; [181]; 0.527199
 .long 0xbc84bd20  ; [693]; -0.527199
 .long 0x6cc45697  ; [693]; 0.849742
 .long 0x1d31774d  ; [437]; 0.228072
 .long 0x7ca05ff0  ; [437]; 0.973644
 .long 0x835fa011  ; [949]; -0.973644
 .long 0x1d31774d  ; [949]; 0.228072
 .long 0x77d78da9  ; [117]; 0.936266
 .long 0x2cf72939  ; [117]; 0.351293
 .long 0xd308d6c8  ; [629]; -0.351293
 .long 0x77d78da9  ; [629]; 0.936266
 .long 0x34f219a7  ; [373]; 0.413638
 .long 0x7489571b  ; [373]; 0.910441
 .long 0x8b76a8e6  ; [885]; -0.910441
 .long 0x34f219a7  ; [885]; 0.413638
 .long 0x5d8314b0  ; [245]; 0.730563
 .long 0x57677b9c  ; [245]; 0.682846
 .long 0xa8988465  ; [757]; -0.682846
 .long 0x5d8314b0  ; [757]; 0.730563
 .long 0x0451a177  ; [501]; 0.033741
 .long 0x7fed5790  ; [501]; 0.999431
 .long 0x8012a871  ; [1013]; -0.999431
 .long 0x0451a177  ; [1013]; 0.033741
 .long 0x7fe5f107  ; [13]; 0.999205
 .long 0x051a8e5c  ; [13]; 0.039873
 .long 0xfae571a5  ; [525]; -0.039873
 .long 0x7fe5f107  ; [525]; 0.999205
 .long 0x56d42c99  ; [269]; 0.678350
 .long 0x5e0bec6e  ; [269]; 0.734739
 .long 0xa1f41393  ; [781]; -0.734739
 .long 0x56d42c99  ; [781]; 0.678350
 .long 0x74359cbc  ; [141]; 0.907886
 .long 0x35a8e624  ; [141]; 0.419217
 .long 0xca5719dd  ; [653]; -0.419217
 .long 0x74359cbc  ; [653]; 0.907886
 .long 0x2c3ab2b9  ; [397]; 0.345541
 .long 0x781d9b64  ; [397]; 0.938404
 .long 0x87e2649d  ; [909]; -0.938404
 .long 0x2c3ab2b9  ; [909]; 0.345541
 .long 0x7c71eaf8  ; [77]; 0.972226
 .long 0x1df5163f  ; [77]; 0.234042
 .long 0xe20ae9c2  ; [589]; -0.234042
 .long 0x7c71eaf8  ; [589]; 0.972226
 .long 0x42d0161e  ; [333]; 0.521975
 .long 0x6d2dd027  ; [333]; 0.852961
 .long 0x92d22fda  ; [845]; -0.852961
 .long 0x42d0161e  ; [845]; 0.521975
 .long 0x67820bb6  ; [205]; 0.808656
 .long 0x4b4ccf4d  ; [205]; 0.588282
 .long 0xb4b330b4  ; [717]; -0.588282
 .long 0x67820bb6  ; [717]; 0.808656
 .long 0x13f22f58  ; [461]; 0.155828
 .long 0x7e6fb5f3  ; [461]; 0.987784
 .long 0x81904a0e  ; [973]; -0.987784
 .long 0x13f22f58  ; [973]; 0.155828
 .long 0x7ec83719  ; [45]; 0.990485
 .long 0x119d8941  ; [45]; 0.137620
 .long 0xee6276c0  ; [557]; -0.137620
 .long 0x7ec83719  ; [557]; 0.990485
 .long 0x4d31494a  ; [301]; 0.603067
 .long 0x661abbc4  ; [301]; 0.797691
 .long 0x99e5443d  ; [813]; -0.797691
 .long 0x4d31494a  ; [813]; 0.603067
 .long 0x6e63e87f  ; [173]; 0.862424
 .long 0x40cab957  ; [173]; 0.506187
 .long 0xbf3546aa  ; [685]; -0.506187
 .long 0x6e63e87f  ; [685]; 0.862424
 .long 0x203e300d  ; [429]; 0.251898
 .long 0x7bdf5b93  ; [429]; 0.967754
 .long 0x8420a46e  ; [941]; -0.967754
 .long 0x203e300d  ; [941]; 0.251898
 .long 0x78e8cfb1  ; [109]; 0.944605
 .long 0x2a02c7b8  ; [109]; 0.328210
 .long 0xd5fd3849  ; [621]; -0.328210
 .long 0x78e8cfb1  ; [621]; 0.944605
 .long 0x37ca2a30  ; [365]; 0.435857
 .long 0x7333b882  ; [365]; 0.900016
 .long 0x8ccc477f  ; [877]; -0.900016
 .long 0x37ca2a30  ; [877]; 0.435857
 .long 0x5fa0fe1e  ; [237]; 0.747101
 .long 0x55153fd4  ; [237]; 0.664711
 .long 0xaaeac02d  ; [749]; -0.664711
 .long 0x5fa0fe1e  ; [749]; 0.747101
 .long 0x077501be  ; [493]; 0.058258
 .long 0x7fc85853  ; [493]; 0.998302
 .long 0x8037a7ae  ; [1005]; -0.998302
 .long 0x077501be  ; [1005]; 0.058258
 .long 0x7f7e648b  ; [29]; 0.996045
 .long 0x0b5f8d9f  ; [29]; 0.088854
 .long 0xf4a07262  ; [541]; -0.088854
 .long 0x7f7e648b  ; [541]; 0.996045
 .long 0x521c0cc1  ; [285]; 0.641481
 .long 0x62319b9c  ; [285]; 0.767139
 .long 0x9dce6465  ; [797]; -0.767139
 .long 0x521c0cc1  ; [797]; 0.641481
 .long 0x716fbd67  ; [157]; 0.886223
 .long 0x3b4c18b9  ; [157]; 0.463260
 .long 0xc4b3e748  ; [669]; -0.463260
 .long 0x716fbd67  ; [669]; 0.886223
 .long 0x26483f6c  ; [413]; 0.299080
 .long 0x7a24256e  ; [413]; 0.954228
 .long 0x85dbda93  ; [925]; -0.954228
 .long 0x26483f6c  ; [925]; 0.299080
 .long 0x7ad33d44  ; [93]; 0.959572
 .long 0x24070b07  ; [93]; 0.281465
 .long 0xdbf8f4fa  ; [605]; -0.281465
 .long 0x7ad33d44  ; [605]; 0.959572
 .long 0x3d600d2b  ; [349]; 0.479494
 .long 0x70536770  ; [349]; 0.877545
 .long 0x8fac9891  ; [861]; -0.877545
 .long 0x3d600d2b  ; [861]; 0.479494
 .long 0x63b0426c  ; [221]; 0.778817
 .long 0x5049c998  ; [221]; 0.627252
 .long 0xafb63669  ; [733]; -0.627252
 .long 0x63b0426c  ; [733]; 0.778817
 .long 0x0db7d376  ; [477]; 0.107172
 .long 0x7f434562  ; [477]; 0.994240
 .long 0x80bcba9f  ; [989]; -0.994240
 .long 0x0db7d376  ; [989]; 0.107172
 .long 0x7dc3d90c  ; [61]; 0.982539
 .long 0x17d0a7bc  ; [61]; 0.186055
 .long 0xe82f5845  ; [573]; -0.186055
 .long 0x7dc3d90c  ; [573]; 0.982539
 .long 0x4816ea85  ; [317]; 0.563199
 .long 0x69c4e37a  ; [317]; 0.826321
 .long 0x963b1c87  ; [829]; -0.826321
 .long 0x4816ea85  ; [829]; 0.563199
 .long 0x6b13fef4  ; [189]; 0.836548
 .long 0x4621647c  ; [189]; 0.547894
 .long 0xb9de9b85  ; [701]; -0.547894
 .long 0x6b13fef4  ; [701]; 0.836548
 .long 0x1a203e1b  ; [445]; 0.204109
 .long 0x7d4e2c7e  ; [445]; 0.978948
 .long 0x82b1d383  ; [957]; -0.978948
 .long 0x1a203e1b  ; [957]; 0.204109
 .long 0x76b3d0b3  ; [125]; 0.927363
 .long 0x2fe49ba7  ; [125]; 0.374164
 .long 0xd01b645a  ; [637]; -0.374164
 .long 0x76b3d0b3  ; [637]; 0.927363
 .long 0x3211df03  ; [381]; 0.391170
 .long 0x75ccfd41  ; [381]; 0.920318
 .long 0x8a3302c0  ; [893]; -0.920318
 .long 0x3211df03  ; [893]; 0.391170
 .long 0x5b56bfbc  ; [253]; 0.713585
 .long 0x59ac3cfd  ; [253]; 0.700569
 .long 0xa653c304  ; [765]; -0.700569
 .long 0x5b56bfbc  ; [765]; 0.713585
 .long 0x012d96b1  ; [509]; 0.009204
 .long 0x7ffe9cb1  ; [509]; 0.999958
 .long 0x80016350  ; [1021]; -0.999958
 .long 0x012d96b1  ; [1021]; 0.009204
 .long 0x7ffe9cb1  ; [3]; 0.999958
 .long 0x012d96b1  ; [3]; 0.009204
 .long 0xfed26950  ; [515]; -0.009204
 .long 0x7ffe9cb1  ; [515]; 0.999958
 .long 0x59ac3cfd  ; [259]; 0.700569
 .long 0x5b56bfbc  ; [259]; 0.713585
 .long 0xa4a94045  ; [771]; -0.713585
 .long 0x59ac3cfd  ; [771]; 0.700569
 .long 0x75ccfd41  ; [131]; 0.920318
 .long 0x3211df03  ; [131]; 0.391170
 .long 0xcdee20fe  ; [643]; -0.391170
 .long 0x75ccfd41  ; [643]; 0.920318
 .long 0x2fe49ba7  ; [387]; 0.374164
 .long 0x76b3d0b3  ; [387]; 0.927363
 .long 0x894c2f4e  ; [899]; -0.927363
 .long 0x2fe49ba7  ; [899]; 0.374164
 .long 0x7d4e2c7e  ; [67]; 0.978948
 .long 0x1a203e1b  ; [67]; 0.204109
 .long 0xe5dfc1e6  ; [579]; -0.204109
 .long 0x7d4e2c7e  ; [579]; 0.978948
 .long 0x4621647c  ; [323]; 0.547894
 .long 0x6b13fef4  ; [323]; 0.836548
 .long 0x94ec010d  ; [835]; -0.836548
 .long 0x4621647c  ; [835]; 0.547894
 .long 0x69c4e37a  ; [195]; 0.826321
 .long 0x4816ea85  ; [195]; 0.563199
 .long 0xb7e9157c  ; [707]; -0.563199
 .long 0x69c4e37a  ; [707]; 0.826321
 .long 0x17d0a7bc  ; [451]; 0.186055
 .long 0x7dc3d90c  ; [451]; 0.982539
 .long 0x823c26f5  ; [963]; -0.982539
 .long 0x17d0a7bc  ; [963]; 0.186055
 .long 0x7f434562  ; [35]; 0.994240
 .long 0x0db7d376  ; [35]; 0.107172
 .long 0xf2482c8b  ; [547]; -0.107172
 .long 0x7f434562  ; [547]; 0.994240
 .long 0x5049c998  ; [291]; 0.627252
 .long 0x63b0426c  ; [291]; 0.778817
 .long 0x9c4fbd95  ; [803]; -0.778817
 .long 0x5049c998  ; [803]; 0.627252
 .long 0x70536770  ; [163]; 0.877545
 .long 0x3d600d2b  ; [163]; 0.479494
 .long 0xc29ff2d6  ; [675]; -0.479494
 .long 0x70536770  ; [675]; 0.877545
 .long 0x24070b07  ; [419]; 0.281465
 .long 0x7ad33d44  ; [419]; 0.959572
 .long 0x852cc2bd  ; [931]; -0.959572
 .long 0x24070b07  ; [931]; 0.281465
 .long 0x7a24256e  ; [99]; 0.954228
 .long 0x26483f6c  ; [99]; 0.299080
 .long 0xd9b7c095  ; [611]; -0.299080
 .long 0x7a24256e  ; [611]; 0.954228
 .long 0x3b4c18b9  ; [355]; 0.463260
 .long 0x716fbd67  ; [355]; 0.886223
 .long 0x8e90429a  ; [867]; -0.886223
 .long 0x3b4c18b9  ; [867]; 0.463260
 .long 0x62319b9c  ; [227]; 0.767139
 .long 0x521c0cc1  ; [227]; 0.641481
 .long 0xade3f340  ; [739]; -0.641481
 .long 0x62319b9c  ; [739]; 0.767139
 .long 0x0b5f8d9f  ; [483]; 0.088854
 .long 0x7f7e648b  ; [483]; 0.996045
 .long 0x80819b76  ; [995]; -0.996045
 .long 0x0b5f8d9f  ; [995]; 0.088854
 .long 0x7fc85853  ; [19]; 0.998302
 .long 0x077501be  ; [19]; 0.058258
 .long 0xf88afe43  ; [531]; -0.058258
 .long 0x7fc85853  ; [531]; 0.998302
 .long 0x55153fd4  ; [275]; 0.664711
 .long 0x5fa0fe1e  ; [275]; 0.747101
 .long 0xa05f01e3  ; [787]; -0.747101
 .long 0x55153fd4  ; [787]; 0.664711
 .long 0x7333b882  ; [147]; 0.900016
 .long 0x37ca2a30  ; [147]; 0.435857
 .long 0xc835d5d1  ; [659]; -0.435857
 .long 0x7333b882  ; [659]; 0.900016
 .long 0x2a02c7b8  ; [403]; 0.328210
 .long 0x78e8cfb1  ; [403]; 0.944605
 .long 0x87173050  ; [915]; -0.944605
 .long 0x2a02c7b8  ; [915]; 0.328210
 .long 0x7bdf5b93  ; [83]; 0.967754
 .long 0x203e300d  ; [83]; 0.251898
 .long 0xdfc1cff4  ; [595]; -0.251898
 .long 0x7bdf5b93  ; [595]; 0.967754
 .long 0x40cab957  ; [339]; 0.506187
 .long 0x6e63e87f  ; [339]; 0.862424
 .long 0x919c1782  ; [851]; -0.862424
 .long 0x40cab957  ; [851]; 0.506187
 .long 0x661abbc4  ; [211]; 0.797691
 .long 0x4d31494a  ; [211]; 0.603067
 .long 0xb2ceb6b7  ; [723]; -0.603067
 .long 0x661abbc4  ; [723]; 0.797691
 .long 0x119d8941  ; [467]; 0.137620
 .long 0x7ec83719  ; [467]; 0.990485
 .long 0x8137c8e8  ; [979]; -0.990485
 .long 0x119d8941  ; [979]; 0.137620
 .long 0x7e6fb5f3  ; [51]; 0.987784
 .long 0x13f22f58  ; [51]; 0.155828
 .long 0xec0dd0a9  ; [563]; -0.155828
 .long 0x7e6fb5f3  ; [563]; 0.987784
 .long 0x4b4ccf4d  ; [307]; 0.588282
 .long 0x67820bb6  ; [307]; 0.808656
 .long 0x987df44b  ; [819]; -0.808656
 .long 0x4b4ccf4d  ; [819]; 0.588282
 .long 0x6d2dd027  ; [179]; 0.852961
 .long 0x42d0161e  ; [179]; 0.521975
 .long 0xbd2fe9e3  ; [691]; -0.521975
 .long 0x6d2dd027  ; [691]; 0.852961
 .long 0x1df5163f  ; [435]; 0.234042
 .long 0x7c71eaf8  ; [435]; 0.972226
 .long 0x838e1509  ; [947]; -0.972226
 .long 0x1df5163f  ; [947]; 0.234042
 .long 0x781d9b64  ; [115]; 0.938404
 .long 0x2c3ab2b9  ; [115]; 0.345541
 .long 0xd3c54d48  ; [627]; -0.345541
 .long 0x781d9b64  ; [627]; 0.938404
 .long 0x35a8e624  ; [371]; 0.419217
 .long 0x74359cbc  ; [371]; 0.907886
 .long 0x8bca6345  ; [883]; -0.907886
 .long 0x35a8e624  ; [883]; 0.419217
 .long 0x5e0bec6e  ; [243]; 0.734739
 .long 0x56d42c99  ; [243]; 0.678350
 .long 0xa92bd368  ; [755]; -0.678350
 .long 0x5e0bec6e  ; [755]; 0.734739
 .long 0x051a8e5c  ; [499]; 0.039873
 .long 0x7fe5f107  ; [499]; 0.999205
 .long 0x801a0efa  ; [1011]; -0.999205
 .long 0x051a8e5c  ; [1011]; 0.039873
 .long 0x7fed5790  ; [11]; 0.999431
 .long 0x0451a177  ; [11]; 0.033741
 .long 0xfbae5e8a  ; [523]; -0.033741
 .long 0x7fed5790  ; [523]; 0.999431
 .long 0x57677b9c  ; [267]; 0.682846
 .long 0x5d8314b0  ; [267]; 0.730563
 .long 0xa27ceb51  ; [779]; -0.730563
 .long 0x57677b9c  ; [779]; 0.682846
 .long 0x7489571b  ; [139]; 0.910441
 .long 0x34f219a7  ; [139]; 0.413638
 .long 0xcb0de65a  ; [651]; -0.413638
 .long 0x7489571b  ; [651]; 0.910441
 .long 0x2cf72939  ; [395]; 0.351293
 .long 0x77d78da9  ; [395]; 0.936266
 .long 0x88287258  ; [907]; -0.936266
 .long 0x2cf72939  ; [907]; 0.351293
 .long 0x7ca05ff0  ; [75]; 0.973644
 .long 0x1d31774d  ; [75]; 0.228072
 .long 0xe2ce88b4  ; [587]; -0.228072
 .long 0x7ca05ff0  ; [587]; 0.973644
 .long 0x437b42e1  ; [331]; 0.527199
 .long 0x6cc45697  ; [331]; 0.849742
 .long 0x933ba96a  ; [843]; -0.849742
 .long 0x437b42e1  ; [843]; 0.527199
 .long 0x67f7d3c4  ; [203]; 0.812251
 .long 0x4aa9dba1  ; [203]; 0.583309
 .long 0xb5562460  ; [715]; -0.583309
 .long 0x67f7d3c4  ; [715]; 0.812251
 .long 0x14b8b17f  ; [459]; 0.161886
 .long 0x7e4fc53d  ; [459]; 0.986809
 .long 0x81b03ac4  ; [971]; -0.986809
 .long 0x14b8b17f  ; [971]; 0.161886
 .long 0x7ee34635  ; [43]; 0.991311
 .long 0x10d64dbd  ; [43]; 0.131540
 .long 0xef29b244  ; [555]; -0.131540
 .long 0x7ee34635  ; [555]; 0.991311
 .long 0x4dd14c6d  ; [299]; 0.607950
 .long 0x65a0fd0a  ; [299]; 0.793975
 .long 0x9a5f02f7  ; [811]; -0.793975
 .long 0x4dd14c6d  ; [811]; 0.607950
 .long 0x6ec92682  ; [171]; 0.865514
 .long 0x401d0320  ; [171]; 0.500885
 .long 0xbfe2fce1  ; [683]; -0.500885
 .long 0x6ec92682  ; [683]; 0.865514
 .long 0x21009c0c  ; [427]; 0.257831
 .long 0x7bac1d30  ; [427]; 0.966190
 .long 0x8453e2d1  ; [939]; -0.966190
 .long 0x21009c0c  ; [939]; 0.257831
 .long 0x792a37fd  ; [107]; 0.946601
 .long 0x2944a7a2  ; [107]; 0.322408
 .long 0xd6bb585f  ; [619]; -0.322408
 .long 0x792a37fd  ; [619]; 0.946601
 .long 0x387eda8e  ; [363]; 0.441371
 .long 0x72db8827  ; [363]; 0.897325
 .long 0x8d2477da  ; [875]; -0.897325
 .long 0x387eda8e  ; [875]; 0.441371
 .long 0x60262dd5  ; [235]; 0.751165
 .long 0x547ea073  ; [235]; 0.660114
 .long 0xab815f8e  ; [747]; -0.660114
 .long 0x60262dd5  ; [747]; 0.751165
 .long 0x083db0a7  ; [491]; 0.064383
 .long 0x7fbc0409  ; [491]; 0.997925
 .long 0x8043fbf8  ; [1003]; -0.997925
 .long 0x083db0a7  ; [1003]; 0.064383
 .long 0x7f8fa4af  ; [27]; 0.996571
 .long 0x0a973ba5  ; [27]; 0.082740
 .long 0xf568c45c  ; [539]; -0.082740
 .long 0x7f8fa4af  ; [539]; 0.996571
 .long 0x52b5e545  ; [283]; 0.646176
 .long 0x61b02876  ; [283]; 0.763188
 .long 0x9e4fd78b  ; [795]; -0.763188
 .long 0x52b5e545  ; [795]; 0.646176
 .long 0x71cc5626  ; [155]; 0.889048
 .long 0x3a99a057  ; [155]; 0.457813
 .long 0xc5665faa  ; [667]; -0.457813
 .long 0x71cc5626  ; [667]; 0.889048
 .long 0x2707ebc6  ; [411]; 0.304929
 .long 0x79e76ca6  ; [411]; 0.952375
 .long 0x8618935b  ; [923]; -0.952375
 .long 0x2707ebc6  ; [923]; 0.304929
 .long 0x7b0b3d2b  ; [91]; 0.961280
 .long 0x2345eff8  ; [91]; 0.275572
 .long 0xdcba1009  ; [603]; -0.275572
 .long 0x7b0b3d2b  ; [603]; 0.961280
 .long 0x3e10320d  ; [347]; 0.484869
 .long 0x6ff27496  ; [347]; 0.874587
 .long 0x900d8b6b  ; [859]; -0.874587
 .long 0x3e10320d  ; [859]; 0.484869
 .long 0x642de50d  ; [219]; 0.782651
 .long 0x4faccfaa  ; [219]; 0.622461
 .long 0xb0533057  ; [731]; -0.622461
 .long 0x642de50d  ; [731]; 0.782651
 .long 0x0e7fa99d  ; [475]; 0.113271
 .long 0x7f2d1c0d  ; [475]; 0.993564
 .long 0x80d2e3f4  ; [987]; -0.993564
 .long 0x0e7fa99d  ; [987]; 0.113271
 .long 0x7de8a66f  ; [59]; 0.983662
 .long 0x170afd8d  ; [59]; 0.180023
 .long 0xe8f50274  ; [571]; -0.180023
 .long 0x7de8a66f  ; [571]; 0.983662
 .long 0x48bcb598  ; [315]; 0.568259
 .long 0x69532441  ; [315]; 0.822850
 .long 0x96acdbc0  ; [827]; -0.822850
 .long 0x48bcb598  ; [827]; 0.568259
 .long 0x6b81a3cc  ; [187]; 0.839894
 .long 0x4578db93  ; [187]; 0.542751
 .long 0xba87246e  ; [699]; -0.542751
 .long 0x6b81a3cc  ; [699]; 0.839894
 .long 0x1ae4f1d6  ; [443]; 0.210112
 .long 0x7d24881a  ; [443]; 0.977677
 .long 0x82db77e7  ; [955]; -0.977677
 .long 0x1ae4f1d6  ; [955]; 0.210112
 .long 0x76fe790d  ; [123]; 0.929641
 .long 0x2f29ebcc  ; [123]; 0.368467
 .long 0xd0d61435  ; [635]; -0.368467
 .long 0x76fe790d  ; [635]; 0.929641
 .long 0x32caab6f  ; [379]; 0.396810
 .long 0x757dc5c9  ; [379]; 0.917901
 .long 0x8a823a38  ; [891]; -0.917901
 .long 0x32caab6f  ; [891]; 0.396810
 .long 0x5be32a66  ; [251]; 0.717870
 .long 0x591c550d  ; [251]; 0.696177
 .long 0xa6e3aaf4  ; [763]; -0.696177
 .long 0x5be32a66  ; [763]; 0.717870
 .long 0x01f6a297  ; [507]; 0.015339
 .long 0x7ffc250e  ; [507]; 0.999882
 .long 0x8003daf3  ; [1019]; -0.999882
 .long 0x01f6a297  ; [1019]; 0.015339
 .long 0x7ff871a1  ; [7]; 0.999769
 .long 0x02bfa9a4  ; [7]; 0.021474
 .long 0xfd40565d  ; [519]; -0.021474
 .long 0x7ff871a1  ; [519]; 0.999769
 .long 0x588b913f  ; [263]; 0.691759
 .long 0x5c6eb258  ; [263]; 0.722128
 .long 0xa3914da9  ; [775]; -0.722128
 .long 0x588b913f  ; [775]; 0.691759
 .long 0x752d6c6b  ; [135]; 0.915449
 .long 0x3382fa88  ; [135]; 0.402435
 .long 0xcc7d0579  ; [647]; -0.402435
 .long 0x752d6c6b  ; [647]; 0.915449
 .long 0x2e6ec792  ; [391]; 0.362756
 .long 0x7747fbcd  ; [391]; 0.931884
 .long 0x88b80434  ; [903]; -0.931884
 .long 0x2e6ec792  ; [903]; 0.362756
 .long 0x7cf9aeef  ; [71]; 0.976370
 .long 0x1ba96335  ; [71]; 0.216107
 .long 0xe4569ccc  ; [583]; -0.216107
 .long 0x7cf9aeef  ; [583]; 0.976370
 .long 0x44cfa73f  ; [327]; 0.537587
 .long 0x6bee3f62  ; [327]; 0.843208
 .long 0x9411c09f  ; [839]; -0.843208
 .long 0x44cfa73f  ; [839]; 0.537587
 .long 0x68e06129  ; [199]; 0.819348
 .long 0x4961cd32  ; [199]; 0.573297
 .long 0xb69e32cf  ; [711]; -0.573297
 .long 0x68e06129  ; [711]; 0.819348
 .long 0x16451a83  ; [455]; 0.173984
 .long 0x7e0c3d28  ; [455]; 0.984749
 .long 0x81f3c2d9  ; [967]; -0.984749
 .long 0x16451a83  ; [967]; 0.173984
 .long 0x7f15b8ed  ; [39]; 0.992850
 .long 0x0f475bff  ; [39]; 0.119365
 .long 0xf0b8a402  ; [551]; -0.119365
 .long 0x7f15b8ed  ; [551]; 0.992850
 .long 0x4f0f1125  ; [295]; 0.617647
 .long 0x64aa907e  ; [295]; 0.786455
 .long 0x9b556f83  ; [807]; -0.786455
 .long 0x4f0f1125  ; [807]; 0.617647
 .long 0x6f906d83  ; [167]; 0.871595
 .long 0x3ebfbdcc  ; [167]; 0.490226
 .long 0xc1404235  ; [679]; -0.490226
 .long 0x6f906d83  ; [679]; 0.871595
 .long 0x22847ddf  ; [423]; 0.269668
 .long 0x7b420d79  ; [423]; 0.962953
 .long 0x84bdf288  ; [935]; -0.962953
 .long 0x22847ddf  ; [935]; 0.269668
 .long 0x79a98715  ; [103]; 0.950486
 .long 0x27c737d3  ; [103]; 0.310767
 .long 0xd838c82e  ; [615]; -0.310767
 .long 0x79a98715  ; [615]; 0.950486
 .long 0x39e6975d  ; [359]; 0.452350
 .long 0x7227d61b  ; [359]; 0.891841
 .long 0x8dd829e6  ; [871]; -0.891841
 .long 0x39e6975d  ; [871]; 0.452350
 .long 0x612dc446  ; [231]; 0.759209
 .long 0x534ef1b5  ; [231]; 0.650847
 .long 0xacb10e4c  ; [743]; -0.650847
 .long 0x612dc446  ; [743]; 0.759209
 .long 0x09cecf89  ; [487]; 0.076624
 .long 0x7f9faa14  ; [487]; 0.997060
 .long 0x806055ed  ; [999]; -0.997060
 .long 0x09cecf89  ; [999]; 0.076624
 .long 0x7fae7494  ; [23]; 0.997511
 .long 0x09064b3a  ; [23]; 0.070505
 .long 0xf6f9b4c7  ; [535]; -0.070505
 .long 0x7fae7494  ; [535]; 0.997511
 .long 0x53e73097  ; [279]; 0.655493
 .long 0x60aa704f  ; [279]; 0.755201
 .long 0x9f558fb2  ; [791]; -0.755201
 .long 0x53e73097  ; [791]; 0.655493
 .long 0x72823c66  ; [151]; 0.894599
 .long 0x3932ff87  ; [151]; 0.446869
 .long 0xc6cd007a  ; [663]; -0.446869
 .long 0x72823c66  ; [663]; 0.894599
 .long 0x288621b9  ; [407]; 0.316593
 .long 0x796a7553  ; [407]; 0.948561
 .long 0x86958aae  ; [919]; -0.948561
 .long 0x288621b9  ; [919]; 0.316593
 .long 0x7b77ada7  ; [87]; 0.964590
 .long 0x21c2b69c  ; [87]; 0.263755
 .long 0xde3d4965  ; [599]; -0.263755
 .long 0x7b77ada7  ; [599]; 0.964590
 .long 0x3f6eaeb8  ; [343]; 0.495565
 .long 0x6f2d532b  ; [343]; 0.868571
 .long 0x90d2acd6  ; [855]; -0.868571
 .long 0x3f6eaeb8  ; [855]; 0.495565
 .long 0x6526438e  ; [215]; 0.790230
 .long 0x4e708f8f  ; [215]; 0.612810
 .long 0xb18f7072  ; [727]; -0.612810
 .long 0x6526438e  ; [727]; 0.790230
 .long 0x100ee8ad  ; [471]; 0.125455
 .long 0x7efd1c3b  ; [471]; 0.992099
 .long 0x8102e3c6  ; [983]; -0.992099
 .long 0x100ee8ad  ; [983]; 0.125455
 .long 0x7e2e9cde  ; [55]; 0.985798
 .long 0x157f0086  ; [55]; 0.167938
 .long 0xea80ff7b  ; [567]; -0.167938
 .long 0x7e2e9cde  ; [567]; 0.985798
 .long 0x4a062fbd  ; [311]; 0.578314
 .long 0x686c9b4a  ; [311]; 0.815814
 .long 0x979364b7  ; [823]; -0.815814
 .long 0x4a062fbd  ; [823]; 0.578314
 .long 0x6c59d0a8  ; [183]; 0.846491
 .long 0x4425c923  ; [183]; 0.532403
 .long 0xbbda36de  ; [695]; -0.532403
 .long 0x6c59d0a8  ; [695]; 0.846491
 .long 0x1c6d9053  ; [439]; 0.222094
 .long 0x7ccda168  ; [439]; 0.975025
 .long 0x83325e99  ; [951]; -0.975025
 .long 0x1c6d9053  ; [951]; 0.222094
 .long 0x7790583d  ; [119]; 0.934093
 .long 0x2db330c7  ; [119]; 0.357031
 .long 0xd24ccf3a  ; [631]; -0.357031
 .long 0x7790583d  ; [631]; 0.934093
 .long 0x343aca87  ; [375]; 0.408044
 .long 0x74dbf1ee  ; [375]; 0.912962
 .long 0x8b240e13  ; [887]; -0.912962
 .long 0x343aca87  ; [887]; 0.408044
 .long 0x5cf95637  ; [247]; 0.726359
 .long 0x57f9f2f7  ; [247]; 0.687315
 .long 0xa8060d0a  ; [759]; -0.687315
 .long 0x5cf95637  ; [759]; 0.726359
 .long 0x0388a9ea  ; [503]; 0.027608
 .long 0x7ff38273  ; [503]; 0.999619
 .long 0x800c7d8e  ; [1015]; -0.999619
 .long 0x0388a9ea  ; [1015]; 0.027608
 .long 0x7fdd4eeb  ; [15]; 0.998941
 .long 0x05e36ea9  ; [15]; 0.046003
 .long 0xfa1c9158  ; [527]; -0.046003
 .long 0x7fdd4eeb  ; [527]; 0.998941
 .long 0x56400757  ; [271]; 0.673829
 .long 0x5e93dc1e  ; [271]; 0.738887
 .long 0xa16c23e3  ; [783]; -0.738887
 .long 0x56400757  ; [783]; 0.673829
 .long 0x73e0c3a2  ; [143]; 0.905297
 .long 0x365f2e3b  ; [143]; 0.424780
 .long 0xc9a0d1c6  ; [655]; -0.424780
 .long 0x73e0c3a2  ; [655]; 0.905297
 .long 0x2b7dcf17  ; [399]; 0.339777
 .long 0x786280bf  ; [399]; 0.940506
 .long 0x879d7f42  ; [911]; -0.940506
 .long 0x2b7dcf17  ; [911]; 0.339777
 .long 0x7c4242f1  ; [79]; 0.970772
 .long 0x1eb86b46  ; [79]; 0.240003
 .long 0xe14794bb  ; [591]; -0.240003
 .long 0x7c4242f1  ; [591]; 0.970772
 .long 0x42244480  ; [335]; 0.516732
 .long 0x6d963c53  ; [335]; 0.856147
 .long 0x9269c3ae  ; [847]; -0.856147
 .long 0x42244480  ; [847]; 0.516732
 .long 0x670b4443  ; [207]; 0.805031
 .long 0x4bef092c  ; [207]; 0.593232
 .long 0xb410f6d5  ; [719]; -0.593232
 .long 0x670b4443  ; [719]; 0.805031
 .long 0x132b7bf9  ; [463]; 0.149765
 .long 0x7e8e6eb1  ; [463]; 0.988722
 .long 0x81719150  ; [975]; -0.988722
 .long 0x132b7bf9  ; [975]; 0.149765
 .long 0x7eabef2b  ; [47]; 0.989622
 .long 0x1264994e  ; [47]; 0.143695
 .long 0xed9b66b3  ; [559]; -0.143695
 .long 0x7eabef2b  ; [559]; 0.989622
 .long 0x4c9087b1  ; [303]; 0.598161
 .long 0x66937e90  ; [303]; 0.801376
 .long 0x996c8171  ; [815]; -0.801376
 .long 0x4c9087b1  ; [815]; 0.598161
 .long 0x6dfd9a1b  ; [175]; 0.859302
 .long 0x4177cfb0  ; [175]; 0.511469
 .long 0xbe883051  ; [687]; -0.511469
 .long 0x6dfd9a1b  ; [687]; 0.859302
 .long 0x1f7b7480  ; [431]; 0.245955
 .long 0x7c116852  ; [431]; 0.969281
 .long 0x83ee97af  ; [943]; -0.969281
 .long 0x1f7b7480  ; [943]; 0.245955
 .long 0x78a63d10  ; [111]; 0.942573
 .long 0x2ac08026  ; [111]; 0.334000
 .long 0xd53f7fdb  ; [623]; -0.334000
 .long 0x78a63d10  ; [623]; 0.942573
 .long 0x3714f02a  ; [367]; 0.430326
 .long 0x738acc9d  ; [367]; 0.902673
 .long 0x8c753364  ; [879]; -0.902673
 .long 0x3714f02a  ; [879]; 0.430326
 .long 0x5f1ae273  ; [239]; 0.743008
 .long 0x55ab0d46  ; [239]; 0.669283
 .long 0xaa54f2bb  ; [751]; -0.669283
 .long 0x5f1ae273  ; [751]; 0.743008
 .long 0x06ac406f  ; [495]; 0.052132
 .long 0x7fd37152  ; [495]; 0.998640
 .long 0x802c8eaf  ; [1007]; -0.998640
 .long 0x06ac406f  ; [1007]; 0.052132
 .long 0x7f6be9d3  ; [31]; 0.995481
 .long 0x0c27c389  ; [31]; 0.094963
 .long 0xf3d83c78  ; [543]; -0.094963
 .long 0x7f6be9d3  ; [543]; 0.995481
 .long 0x518169a4  ; [287]; 0.636762
 .long 0x62b21c7b  ; [287]; 0.771061
 .long 0x9d4de386  ; [799]; -0.771061
 .long 0x518169a4  ; [799]; 0.636762
 .long 0x71120cc4  ; [159]; 0.883363
 .long 0x3bfdfecd  ; [159]; 0.468689
 .long 0xc4020134  ; [671]; -0.468689
 .long 0x71120cc4  ; [671]; 0.883363
 .long 0x2588349d  ; [415]; 0.293219
 .long 0x7a5fb0d7  ; [415]; 0.956045
 .long 0x85a04f2a  ; [927]; -0.956045
 .long 0x2588349d  ; [927]; 0.293219
 .long 0x7a9a0e4f  ; [95]; 0.957826
 .long 0x24c7cd32  ; [95]; 0.287347
 .long 0xdb3832cf  ; [607]; -0.287347
 .long 0x7a9a0e4f  ; [607]; 0.957826
 .long 0x3caf50da  ; [351]; 0.474100
 .long 0x70b34524  ; [351]; 0.880471
 .long 0x8f4cbadd  ; [863]; -0.880471
 .long 0x3caf50da  ; [863]; 0.474100
 .long 0x6331a9d4  ; [223]; 0.774953
 .long 0x50e5fd6c  ; [223]; 0.632019
 .long 0xaf1a0295  ; [735]; -0.632019
 .long 0x6331a9d4  ; [735]; 0.774953
 .long 0x0cefdb75  ; [479]; 0.101070
 .long 0x7f5834b6  ; [479]; 0.994879
 .long 0x80a7cb4b  ; [991]; -0.994879
 .long 0x0cefdb75  ; [991]; 0.101070
 .long 0x7d9dd559  ; [63]; 0.981379
 .long 0x18961728  ; [63]; 0.192080
 .long 0xe769e8d9  ; [575]; -0.192080
 .long 0x7d9dd559  ; [575]; 0.981379
 .long 0x47706d93  ; [319]; 0.558119
 .long 0x6a359db8  ; [319]; 0.829761
 .long 0x95ca6249  ; [831]; -0.829761
 .long 0x47706d93  ; [831]; 0.558119
 .long 0x6aa551e8  ; [191]; 0.833170
 .long 0x46c9405c  ; [191]; 0.553017
 .long 0xb936bfa5  ; [703]; -0.553017
 .long 0x6aa551e8  ; [703]; 0.833170
 .long 0x195b49ea  ; [447]; 0.198098
 .long 0x7d769bb4  ; [447]; 0.980182
 .long 0x8289644d  ; [959]; -0.980182
 .long 0x195b49ea  ; [959]; 0.198098
 .long 0x76680375  ; [127]; 0.925049
 .long 0x309ed556  ; [127]; 0.379847
 .long 0xcf612aab  ; [639]; -0.379847
 .long 0x76680375  ; [639]; 0.925049
 .long 0x3158970d  ; [383]; 0.385516
 .long 0x761b1210  ; [383]; 0.922701
 .long 0x89e4edf1  ; [895]; -0.922701
 .long 0x3158970d  ; [895]; 0.385516
 .long 0x5ac973b4  ; [255]; 0.709273
 .long 0x5a3b47aa  ; [255]; 0.704934
 .long 0xa5c4b857  ; [767]; -0.704934
 .long 0x5ac973b4  ; [767]; 0.709273
 .long 0x006487e3  ; [511]; 0.003068
 .long 0x7fffd885  ; [511]; 0.999995
 .long 0x8000277c  ; [1023]; -0.999995
 .long 0x006487e3  ; [1023]; 0.003068
 
  	.global _twiddle
