/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Test for cfft: rand */
#define NX 256
#define FNAME "t6"
#define MAXERROR 130
#pragma DATA_SECTION (x_br,".input")
#pragma DATA_ALIGN (x_br, 2048)
DATA x_br[2*NX]  ;

#pragma DATA_SECTION (scratch,".input")
#pragma DATA_ALIGN (scratch, 2048)
DATA scratch[2*NX]   ;
#pragma DATA_SECTION (x,".input")

DATA x[2*NX] ={
200,	529,	/* 0 */ 
919,	-245,	/* 1 */ 
-433,	-346,	/* 2 */ 
796,	8,	/* 3 */ 
-816,	132,	/* 4 */ 
-891,	547,	/* 5 */ 
-545,	573,	/* 6 */ 
886,	-33,	/* 7 */ 
-895,	618,	/* 8 */ 
-483,	-60,	/* 9 */ 
1022,	-609,	/* 10 */ 
-590,	163,	/* 11 */ 
-4,	340,	/* 12 */ 
-430,	361,	/* 13 */ 
353,	906,	/* 14 */ 
937,	553,	/* 15 */ 
545,	486,	/* 16 */ 
340,	750,	/* 17 */ 
-756,	1005,	/* 18 */ 
-829,	8,	/* 19 */ 
-994,	264,	/* 20 */ 
-434,	599,	/* 21 */ 
648,	-106,	/* 22 */ 
994,	49,	/* 23 */ 
-989,	-673,	/* 24 */ 
654,	-757,	/* 25 */ 
248,	-576,	/* 26 */ 
123,	-808,	/* 27 */ 
-525,	-735,	/* 28 */ 
659,	-89,	/* 29 */ 
-485,	590,	/* 30 */ 
519,	-449,	/* 31 */ 
326,	-564,	/* 32 */ 
-586,	837,	/* 33 */ 
209,	-1009,	/* 34 */ 
214,	181,	/* 35 */ 
326,	86,	/* 36 */ 
-649,	314,	/* 37 */ 
279,	-383,	/* 38 */ 
-676,	-551,	/* 39 */ 
81,	-172,	/* 40 */ 
252,	-413,	/* 41 */ 
380,	353,	/* 42 */ 
363,	897,	/* 43 */ 
771,	-322,	/* 44 */ 
-998,	128,	/* 45 */ 
-389,	-781,	/* 46 */ 
571,	-678,	/* 47 */ 
-395,	-453,	/* 48 */ 
873,	116,	/* 49 */ 
365,	-30,	/* 50 */ 
-872,	926,	/* 51 */ 
-880,	-549,	/* 52 */ 
-1000,	-44,	/* 53 */ 
-559,	54,	/* 54 */ 
33,	599,	/* 55 */ 
-86,	-629,	/* 56 */ 
416,	838,	/* 57 */ 
168,	864,	/* 58 */ 
18,	-997,	/* 59 */ 
-872,	547,	/* 60 */ 
-629,	916,	/* 61 */ 
-247,	641,	/* 62 */ 
-458,	867,	/* 63 */ 
554,	-617,	/* 64 */ 
-382,	356,	/* 65 */ 
282,	874,	/* 66 */ 
996,	-320,	/* 67 */ 
5,	193,	/* 68 */ 
916,	236,	/* 69 */ 
671,	-1017,	/* 70 */ 
855,	987,	/* 71 */ 
-793,	818,	/* 72 */ 
639,	394,	/* 73 */ 
836,	-124,	/* 74 */ 
-704,	411,	/* 75 */ 
-774,	224,	/* 76 */ 
537,	-410,	/* 77 */ 
454,	729,	/* 78 */ 
310,	-795,	/* 79 */ 
520,	-427,	/* 80 */ 
334,	-825,	/* 81 */ 
785,	-211,	/* 82 */ 
-467,	-342,	/* 83 */ 
-165,	909,	/* 84 */ 
-588,	693,	/* 85 */ 
-951,	-495,	/* 86 */ 
-858,	-937,	/* 87 */ 
717,	-1012,	/* 88 */ 
-328,	152,	/* 89 */ 
-70,	499,	/* 90 */ 
847,	628,	/* 91 */ 
-556,	281,	/* 92 */ 
741,	-510,	/* 93 */ 
320,	-729,	/* 94 */ 
801,	310,	/* 95 */ 
-25,	913,	/* 96 */ 
1008,	646,	/* 97 */ 
-260,	881,	/* 98 */ 
64,	-390,	/* 99 */ 
-653,	-474,	/* 100 */ 
3,	74,	/* 101 */ 
-160,	-690,	/* 102 */ 
328,	-592,	/* 103 */ 
355,	-580,	/* 104 */ 
936,	310,	/* 105 */ 
-631,	-916,	/* 106 */ 
-797,	-555,	/* 107 */ 
133,	342,	/* 108 */ 
960,	-388,	/* 109 */ 
-976,	-396,	/* 110 */ 
758,	451,	/* 111 */ 
-969,	930,	/* 112 */ 
39,	-756,	/* 113 */ 
-631,	-885,	/* 114 */ 
441,	-768,	/* 115 */ 
-511,	-684,	/* 116 */ 
888,	842,	/* 117 */ 
-743,	-745,	/* 118 */ 
44,	239,	/* 119 */ 
809,	-474,	/* 120 */ 
905,	-573,	/* 121 */ 
-338,	435,	/* 122 */ 
-129,	100,	/* 123 */ 
-60,	903,	/* 124 */ 
-719,	-349,	/* 125 */ 
-746,	418,	/* 126 */ 
66,	908,	/* 127 */ 
462,	167,	/* 128 */ 
-208,	778,	/* 129 */ 
-290,	511,	/* 130 */ 
-440,	-247,	/* 131 */ 
754,	461,	/* 132 */ 
258,	-691,	/* 133 */ 
-531,	934,	/* 134 */ 
979,	-623,	/* 135 */ 
287,	565,	/* 136 */ 
-554,	232,	/* 137 */ 
371,	-692,	/* 138 */ 
339,	-961,	/* 139 */ 
-749,	-433,	/* 140 */ 
-978,	964,	/* 141 */ 
-487,	922,	/* 142 */ 
-786,	-557,	/* 143 */ 
-882,	938,	/* 144 */ 
722,	368,	/* 145 */ 
-655,	-912,	/* 146 */ 
-958,	204,	/* 147 */ 
479,	-219,	/* 148 */ 
74,	-583,	/* 149 */ 
-459,	-651,	/* 150 */ 
-270,	-867,	/* 151 */ 
-998,	-1009,	/* 152 */ 
797,	591,	/* 153 */ 
749,	-988,	/* 154 */ 
-504,	773,	/* 155 */ 
142,	-302,	/* 156 */ 
-698,	454,	/* 157 */ 
193,	959,	/* 158 */ 
-346,	-706,	/* 159 */ 
324,	-691,	/* 160 */ 
744,	-383,	/* 161 */ 
138,	-964,	/* 162 */ 
983,	-292,	/* 163 */ 
597,	-969,	/* 164 */ 
-712,	601,	/* 165 */ 
681,	1022,	/* 166 */ 
-632,	-799,	/* 167 */ 
284,	251,	/* 168 */ 
346,	-753,	/* 169 */ 
557,	-390,	/* 170 */ 
-247,	-748,	/* 171 */ 
-120,	-567,	/* 172 */ 
-35,	-212,	/* 173 */ 
221,	-748,	/* 174 */ 
-664,	-531,	/* 175 */ 
-1020,	875,	/* 176 */ 
594,	-224,	/* 177 */ 
27,	23,	/* 178 */ 
-588,	-834,	/* 179 */ 
-813,	-980,	/* 180 */ 
-702,	-698,	/* 181 */ 
-190,	705,	/* 182 */ 
-189,	776,	/* 183 */ 
-916,	-641,	/* 184 */ 
904,	1006,	/* 185 */ 
-717,	434,	/* 186 */ 
-237,	760,	/* 187 */ 
-387,	-42,	/* 188 */ 
-679,	-9,	/* 189 */ 
812,	-436,	/* 190 */ 
-364,	-900,	/* 191 */ 
479,	-487,	/* 192 */ 
-183,	-643,	/* 193 */ 
-206,	854,	/* 194 */ 
11,	-772,	/* 195 */ 
-678,	-997,	/* 196 */ 
50,	-267,	/* 197 */ 
289,	406,	/* 198 */ 
-991,	797,	/* 199 */ 
689,	192,	/* 200 */ 
621,	-704,	/* 201 */ 
405,	-376,	/* 202 */ 
-79,	-546,	/* 203 */ 
-855,	-1007,	/* 204 */ 
656,	-212,	/* 205 */ 
-629,	306,	/* 206 */ 
-112,	-850,	/* 207 */ 
-998,	550,	/* 208 */ 
-392,	961,	/* 209 */ 
768,	439,	/* 210 */ 
686,	577,	/* 211 */ 
-342,	-538,	/* 212 */ 
779,	-624,	/* 213 */ 
-42,	-485,	/* 214 */ 
124,	437,	/* 215 */ 
237,	978,	/* 216 */ 
331,	280,	/* 217 */ 
238,	94,	/* 218 */ 
379,	712,	/* 219 */ 
20,	618,	/* 220 */ 
438,	344,	/* 221 */ 
31,	350,	/* 222 */ 
216,	656,	/* 223 */ 
955,	963,	/* 224 */ 
659,	-27,	/* 225 */ 
-374,	650,	/* 226 */ 
179,	289,	/* 227 */ 
-758,	-397,	/* 228 */ 
-504,	329,	/* 229 */ 
620,	-291,	/* 230 */ 
343,	897,	/* 231 */ 
-996,	-26,	/* 232 */ 
126,	-838,	/* 233 */ 
-94,	355,	/* 234 */ 
829,	30,	/* 235 */ 
-447,	-571,	/* 236 */ 
-891,	460,	/* 237 */ 
-48,	-885,	/* 238 */ 
990,	950,	/* 239 */ 
864,	-599,	/* 240 */ 
125,	-694,	/* 241 */ 
311,	283,	/* 242 */ 
558,	-1024,	/* 243 */ 
-807,	-337,	/* 244 */ 
-1022,	-461,	/* 245 */ 
85,	-933,	/* 246 */ 
-1010,	-832,	/* 247 */ 
-100,	-185,	/* 248 */ 
-624,	648,	/* 249 */ 
588,	758,	/* 250 */ 
242,	-978,	/* 251 */ 
-993,	465,	/* 252 */ 
800,	712,	/* 253 */ 
535,	468,	/* 254 */ 
833,	931,	/* 255 */ 
};

#pragma DATA_SECTION (rtest,".test")

DATA rtest[2*NX] ={
-2179,	-3017,	 /* 0 */ 
10689,	5957,	 /* 1 */ 
-8034,	12103,	 /* 2 */ 
-4585,	-4117,	 /* 3 */ 
3781,	7087,	 /* 4 */ 
13363,	-13247,	 /* 5 */ 
27373,	14670,	 /* 6 */ 
2877,	3226,	 /* 7 */ 
11123,	5338,	 /* 8 */ 
-6536,	-3284,	 /* 9 */ 
-7512,	2598,	 /* 10 */ 
741,	-415,	 /* 11 */ 
-10752,	-8824,	 /* 12 */ 
2092,	6322,	 /* 13 */ 
326,	14762,	 /* 14 */ 
7075,	11493,	 /* 15 */ 
-4283,	15711,	 /* 16 */ 
18855,	2755,	 /* 17 */ 
-2810,	17295,	 /* 18 */ 
18883,	-4054,	 /* 19 */ 
-2536,	-12530,	 /* 20 */ 
-4822,	10991,	 /* 21 */ 
16770,	-4075,	 /* 22 */ 
-15388,	-7679,	 /* 23 */ 
-9971,	-11711,	 /* 24 */ 
9618,	10885,	 /* 25 */ 
-7566,	3154,	 /* 26 */ 
-7359,	-15644,	 /* 27 */ 
-2750,	2810,	 /* 28 */ 
-11769,	-100,	 /* 29 */ 
1822,	-4430,	 /* 30 */ 
12309,	10657,	 /* 31 */ 
17474,	-7012,	 /* 32 */ 
-2584,	-5363,	 /* 33 */ 
-14961,	13255,	 /* 34 */ 
11383,	-5012,	 /* 35 */ 
2449,	10641,	 /* 36 */ 
9013,	3795,	 /* 37 */ 
5987,	-23021,	 /* 38 */ 
-24189,	2411,	 /* 39 */ 
6678,	11708,	 /* 40 */ 
-19422,	3889,	 /* 41 */ 
-1122,	16656,	 /* 42 */ 
-4426,	-2040,	 /* 43 */ 
6179,	-1709,	 /* 44 */ 
-19075,	5060,	 /* 45 */ 
-364,	9306,	 /* 46 */ 
5035,	-17948,	 /* 47 */ 
8055,	6637,	 /* 48 */ 
6532,	-688,	 /* 49 */ 
-5409,	-2551,	 /* 50 */ 
913,	6868,	 /* 51 */ 
-6768,	-5848,	 /* 52 */ 
-12326,	-1157,	 /* 53 */ 
-18857,	-5430,	 /* 54 */ 
824,	-7626,	 /* 55 */ 
-3232,	-4038,	 /* 56 */ 
-716,	-160,	 /* 57 */ 
-356,	6066,	 /* 58 */ 
4035,	-6815,	 /* 59 */ 
-651,	-2622,	 /* 60 */ 
-10,	1589,	 /* 61 */ 
15290,	20140,	 /* 62 */ 
-22075,	13049,	 /* 63 */ 
-4293,	-5208,	 /* 64 */ 
-6795,	2835,	 /* 65 */ 
3928,	10288,	 /* 66 */ 
-9751,	-2854,	 /* 67 */ 
-2253,	-993,	 /* 68 */ 
5718,	1575,	 /* 69 */ 
6385,	6174,	 /* 70 */ 
-3189,	10133,	 /* 71 */ 
14324,	393,	 /* 72 */ 
9097,	750,	 /* 73 */ 
-6252,	-17864,	 /* 74 */ 
-6472,	11875,	 /* 75 */ 
12337,	10900,	 /* 76 */ 
-6299,	-11518,	 /* 77 */ 
-2439,	1291,	 /* 78 */ 
17809,	3078,	 /* 79 */ 
7339,	-1084,	 /* 80 */ 
7735,	-366,	 /* 81 */ 
-3451,	-14478,	 /* 82 */ 
3244,	-6093,	 /* 83 */ 
-21451,	-11292,	 /* 84 */ 
-9551,	722,	 /* 85 */ 
-8808,	10720,	 /* 86 */ 
4820,	2454,	 /* 87 */ 
-1947,	-16244,	 /* 88 */ 
1483,	-522,	 /* 89 */ 
14771,	1862,	 /* 90 */ 
1229,	30,	 /* 91 */ 
-13036,	8572,	 /* 92 */ 
-4905,	-4685,	 /* 93 */ 
-3055,	3570,	 /* 94 */ 
-4528,	-6343,	 /* 95 */ 
-6632,	183,	 /* 96 */ 
-5054,	4806,	 /* 97 */ 
-3808,	1581,	 /* 98 */ 
538,	-7285,	 /* 99 */ 
6849,	-20811,	 /* 100 */ 
11272,	8277,	 /* 101 */ 
8445,	16464,	 /* 102 */ 
3843,	10625,	 /* 103 */ 
18553,	-13353,	 /* 104 */ 
4218,	8114,	 /* 105 */ 
-4202,	-8888,	 /* 106 */ 
-1478,	6883,	 /* 107 */ 
109,	-2924,	 /* 108 */ 
-13136,	-230,	 /* 109 */ 
1798,	-7162,	 /* 110 */ 
-1369,	1819,	 /* 111 */ 
-1187,	7682,	 /* 112 */ 
791,	-9595,	 /* 113 */ 
-12963,	-11075,	 /* 114 */ 
-2559,	4693,	 /* 115 */ 
6341,	-8747,	 /* 116 */ 
-17503,	-12215,	 /* 117 */ 
-10850,	-3904,	 /* 118 */ 
2981,	59,	 /* 119 */ 
-3564,	4399,	 /* 120 */ 
-2294,	2782,	 /* 121 */ 
6747,	5897,	 /* 122 */ 
-2839,	-15230,	 /* 123 */ 
-6455,	9733,	 /* 124 */ 
-1108,	-5160,	 /* 125 */ 
-5113,	16625,	 /* 126 */ 
5801,	-7747,	 /* 127 */ 
-19512,	-3526,	 /* 128 */ 
-3893,	508,	 /* 129 */ 
-11977,	-9698,	 /* 130 */ 
6854,	14204,	 /* 131 */ 
6832,	6715,	 /* 132 */ 
-3475,	2174,	 /* 133 */ 
10464,	13882,	 /* 134 */ 
-17231,	-10008,	 /* 135 */ 
8909,	-5400,	 /* 136 */ 
-14818,	13323,	 /* 137 */ 
-17740,	-2616,	 /* 138 */ 
-23697,	-3957,	 /* 139 */ 
365,	10042,	 /* 140 */ 
-1673,	1514,	 /* 141 */ 
-1520,	540,	 /* 142 */ 
1289,	-12637,	 /* 143 */ 
-6775,	8374,	 /* 144 */ 
-3875,	-818,	 /* 145 */ 
-7305,	-4909,	 /* 146 */ 
4820,	10802,	 /* 147 */ 
11338,	434,	 /* 148 */ 
-3042,	10303,	 /* 149 */ 
-7377,	-20942,	 /* 150 */ 
14329,	9218,	 /* 151 */ 
655,	-3239,	 /* 152 */ 
-20681,	-9278,	 /* 153 */ 
-4528,	-9489,	 /* 154 */ 
-2987,	2536,	 /* 155 */ 
18220,	-21684,	 /* 156 */ 
3676,	4434,	 /* 157 */ 
-10586,	-32768,	 /* 158 */ 
29738,	4147,	 /* 159 */ 
982,	6809,	 /* 160 */ 
-4697,	-525,	 /* 161 */ 
2913,	22667,	 /* 162 */ 
958,	4161,	 /* 163 */ 
3883,	-1399,	 /* 164 */ 
-8223,	3838,	 /* 165 */ 
-267,	9819,	 /* 166 */ 
-1853,	9006,	 /* 167 */ 
19827,	3602,	 /* 168 */ 
10566,	1126,	 /* 169 */ 
-28342,	4534,	 /* 170 */ 
7719,	18659,	 /* 171 */ 
-1379,	-934,	 /* 172 */ 
21916,	6307,	 /* 173 */ 
-2556,	3309,	 /* 174 */ 
11431,	-4421,	 /* 175 */ 
9299,	-737,	 /* 176 */ 
984,	-3541,	 /* 177 */ 
15581,	6243,	 /* 178 */ 
3629,	3716,	 /* 179 */ 
4718,	11464,	 /* 180 */ 
-7177,	-7701,	 /* 181 */ 
11515,	4636,	 /* 182 */ 
-4751,	6138,	 /* 183 */ 
6902,	-8848,	 /* 184 */ 
-3066,	32204,	 /* 185 */ 
5817,	4156,	 /* 186 */ 
-11190,	6613,	 /* 187 */ 
-5791,	-12357,	 /* 188 */ 
-18607,	3439,	 /* 189 */ 
10696,	-9169,	 /* 190 */ 
-6904,	-14353,	 /* 191 */ 
-21510,	-3429,	 /* 192 */ 
-6202,	-15037,	 /* 193 */ 
-2295,	9948,	 /* 194 */ 
-8597,	-2304,	 /* 195 */ 
2297,	580,	 /* 196 */ 
1048,	2186,	 /* 197 */ 
954,	486,	 /* 198 */ 
-3527,	3428,	 /* 199 */ 
3866,	-10314,	 /* 200 */ 
-6020,	1747,	 /* 201 */ 
-16770,	5544,	 /* 202 */ 
-2731,	-11156,	 /* 203 */ 
11003,	-7039,	 /* 204 */ 
-7850,	-11595,	 /* 205 */ 
16186,	8473,	 /* 206 */ 
3866,	7019,	 /* 207 */ 
1370,	-5107,	 /* 208 */ 
7168,	-12643,	 /* 209 */ 
11052,	-596,	 /* 210 */ 
12547,	19849,	 /* 211 */ 
-14397,	-14836,	 /* 212 */ 
-6048,	2295,	 /* 213 */ 
6561,	7524,	 /* 214 */ 
7674,	-7665,	 /* 215 */ 
-2198,	1867,	 /* 216 */ 
4771,	5248,	 /* 217 */ 
-10946,	5759,	 /* 218 */ 
-6244,	14709,	 /* 219 */ 
11807,	4767,	 /* 220 */ 
11014,	-3096,	 /* 221 */ 
12057,	2345,	 /* 222 */ 
15769,	386,	 /* 223 */ 
24800,	19568,	 /* 224 */ 
-8134,	-2412,	 /* 225 */ 
10677,	-10294,	 /* 226 */ 
1113,	-5585,	 /* 227 */ 
1727,	5131,	 /* 228 */ 
-3995,	-2145,	 /* 229 */ 
-5022,	3541,	 /* 230 */ 
-19893,	-7961,	 /* 231 */ 
4096,	-11378,	 /* 232 */ 
26016,	10608,	 /* 233 */ 
4680,	-5991,	 /* 234 */ 
-3123,	-6032,	 /* 235 */ 
-8442,	-9664,	 /* 236 */ 
22417,	-18682,	 /* 237 */ 
5681,	4279,	 /* 238 */ 
6435,	-7531,	 /* 239 */ 
12219,	4472,	 /* 240 */ 
9438,	-8864,	 /* 241 */ 
5000,	20404,	 /* 242 */ 
11439,	1248,	 /* 243 */ 
11705,	6646,	 /* 244 */ 
14359,	7896,	 /* 245 */ 
204,	-6705,	 /* 246 */ 
-9440,	-15566,	 /* 247 */ 
15756,	23828,	 /* 248 */ 
-1774,	845,	 /* 249 */ 
-14887,	-5048,	 /* 250 */ 
-16730,	3878,	 /* 251 */ 
-21662,	15738,	 /* 252 */ 
8196,	-8148,	 /* 253 */ 
6593,	-6143,	 /* 254 */ 
-3317,	15005,	 /* 255 */ 
};

DATA error;

