/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Test for cfft: rand */
#define NX 256
#define FNAME "t6"
#define MAXERROR 16
#define SCALING 1
#pragma DATA_SECTION (x_br,".input")
#pragma DATA_ALIGN (x_br, 2048)
DATA x_br[2*NX]  ;

#pragma DATA_SECTION (scratch,".input")
#pragma DATA_ALIGN (scratch, 2048)
DATA scratch[2*NX]   ;
#pragma DATA_SECTION (x,".input")

DATA x[2*NX] ={
12608,	11229,	/* 0 */ 
7857,	17324,	/* 1 */ 
-17457,	23222,	/* 2 */ 
-19138,	185,	/* 3 */ 
-22948,	6105,	/* 4 */ 
-10019,	13840,	/* 5 */ 
14981,	-2429,	/* 6 */ 
22963,	1152,	/* 7 */ 
-22830,	-15540,	/* 8 */ 
15107,	-17470,	/* 9 */ 
5729,	-13302,	/* 10 */ 
2848,	-18662,	/* 11 */ 
-12108,	-16961,	/* 12 */ 
15231,	-2036,	/* 13 */ 
-11201,	13628,	/* 14 */ 
11997,	-10356,	/* 15 */ 
7551,	-13018,	/* 16 */ 
-13526,	19340,	/* 17 */ 
4830,	-23304,	/* 18 */ 
4963,	4197,	/* 19 */ 
7544,	1992,	/* 20 */ 
-14978,	7261,	/* 21 */ 
6458,	-8825,	/* 22 */ 
-15595,	-12717,	/* 23 */ 
1873,	-3971,	/* 24 */ 
5836,	-9518,	/* 25 */ 
8792,	8156,	/* 26 */ 
8388,	20729,	/* 27 */ 
17824,	-7420,	/* 28 */ 
-23041,	2978,	/* 29 */ 
-8969,	-18027,	/* 30 */ 
13200,	-15656,	/* 31 */ 
-9116,	-10459,	/* 32 */ 
20182,	2687,	/* 33 */ 
8453,	-682,	/* 34 */ 
-20135,	21390,	/* 35 */ 
-20308,	-12681,	/* 36 */ 
-23087,	-1010,	/* 37 */ 
-12906,	1254,	/* 38 */ 
768,	13845,	/* 39 */ 
-1977,	-14522,	/* 40 */ 
9611,	19374,	/* 41 */ 
3901,	19970,	/* 42 */ 
435,	-23023,	/* 43 */ 
-20137,	12655,	/* 44 */ 
-14511,	21159,	/* 45 */ 
-5695,	14819,	/* 46 */ 
-10575,	20047,	/* 47 */ 
12812,	-14238,	/* 48 */ 
-8802,	8243,	/* 49 */ 
6536,	20202,	/* 50 */ 
23015,	-7388,	/* 51 */ 
136,	4469,	/* 52 */ 
21176,	5462,	/* 53 */ 
15515,	-23491,	/* 54 */ 
19750,	22799,	/* 55 */ 
-18302,	18897,	/* 56 */ 
14763,	9117,	/* 57 */ 
19311,	-2855,	/* 58 */ 
-16254,	9508,	/* 59 */ 
-17875,	5189,	/* 60 */ 
12424,	-9466,	/* 61 */ 
10491,	16840,	/* 62 */ 
7172,	-18350,	/* 63 */ 
12015,	-9860,	/* 64 */ 
7717,	-19042,	/* 65 */ 
18139,	-4851,	/* 66 */ 
-10778,	-7885,	/* 67 */ 
-3811,	21012,	/* 68 */ 
-13576,	16013,	/* 69 */ 
-21967,	-11427,	/* 70 */ 
-19812,	-21622,	/* 71 */ 
16582,	-23373,	/* 72 */ 
-7559,	3520,	/* 73 */ 
-1601,	11536,	/* 74 */ 
19571,	14513,	/* 75 */ 
-12839,	6507,	/* 76 */ 
17125,	-11766,	/* 77 */ 
7408,	-16824,	/* 78 */ 
18503,	7168,	/* 79 */ 
-561,	21100,	/* 80 */ 
23302,	14941,	/* 81 */ 
-5992,	20351,	/* 82 */ 
1484,	-8990,	/* 83 */ 
-15075,	-10936,	/* 84 */ 
91,	1724,	/* 85 */ 
-3681,	-15928,	/* 86 */ 
7588,	-13671,	/* 87 */ 
8213,	-13396,	/* 88 */ 
21632,	7179,	/* 89 */ 
-14576,	-21155,	/* 90 */ 
-18390,	-12805,	/* 91 */ 
3077,	7919,	/* 92 */ 
22191,	-8944,	/* 93 */ 
-22528,	-9147,	/* 94 */ 
17511,	10438,	/* 95 */ 
-22380,	21493,	/* 96 */ 
923,	-17448,	/* 97 */ 
-14555,	-20421,	/* 98 */ 
10202,	-17728,	/* 99 */ 
-11794,	-15792,	/* 100 */ 
20522,	19460,	/* 101 */ 
-17162,	-17206,	/* 102 */ 
1022,	5533,	/* 103 */ 
18693,	-10928,	/* 104 */ 
20925,	-13213,	/* 105 */ 
-7801,	10070,	/* 106 */ 
-2963,	2317,	/* 107 */ 
-1365,	20876,	/* 108 */ 
-16588,	-8048,	/* 109 */ 
-17224,	9672,	/* 110 */ 
1537,	20974,	/* 111 */ 
10680,	3859,	/* 112 */ 
-4792,	17981,	/* 113 */ 
-6697,	11806,	/* 114 */ 
-10157,	-5695,	/* 115 */ 
17436,	10669,	/* 116 */ 
5979,	-15950,	/* 117 */ 
-12243,	21578,	/* 118 */ 
22613,	-14369,	/* 119 */ 
6645,	13064,	/* 120 */ 
-12779,	5358,	/* 121 */ 
8577,	-15975,	/* 122 */ 
7843,	-22182,	/* 123 */ 
-17279,	-9999,	/* 124 */ 
-22587,	22281,	/* 125 */ 
-11249,	21309,	/* 126 */ 
-18140,	-12864,	/* 127 */ 
-20372,	21688,	/* 128 */ 
16693,	8507,	/* 129 */ 
-15121,	-21051,	/* 130 */ 
-22118,	4722,	/* 131 */ 
11064,	-5055,	/* 132 */ 
1727,	-13464,	/* 133 */ 
-10595,	-15023,	/* 134 */ 
-6223,	-20020,	/* 135 */ 
-23041,	-23300,	/* 136 */ 
18409,	13659,	/* 137 */ 
17313,	-22810,	/* 138 */ 
-11625,	17876,	/* 139 */ 
3286,	-6975,	/* 140 */ 
-16118,	10507,	/* 141 */ 
4463,	22158,	/* 142 */ 
-7990,	-16288,	/* 143 */ 
7502,	-15943,	/* 144 */ 
17200,	-8827,	/* 145 */ 
3198,	-22261,	/* 146 */ 
22727,	-6735,	/* 147 */ 
13803,	-22365,	/* 148 */ 
-16433,	13890,	/* 149 */ 
15752,	23614,	/* 150 */ 
-14576,	-18437,	/* 151 */ 
6574,	5799,	/* 152 */ 
7993,	-17380,	/* 153 */ 
12870,	-8986,	/* 154 */ 
-5685,	-17275,	/* 155 */ 
-2764,	-13087,	/* 156 */ 
-802,	-4894,	/* 157 */ 
5113,	-17259,	/* 158 */ 
-15326,	-12249,	/* 159 */ 
-23555,	20221,	/* 160 */ 
13727,	-5152,	/* 161 */ 
643,	532,	/* 162 */ 
-13565,	-19257,	/* 163 */ 
-18758,	-22625,	/* 164 */ 
-16209,	-16105,	/* 165 */ 
-4375,	16295,	/* 166 */ 
-4364,	17934,	/* 167 */ 
-21159,	-14806,	/* 168 */ 
20898,	23239,	/* 169 */ 
-16557,	10029,	/* 170 */ 
-5470,	17565,	/* 171 */ 
-8938,	-964,	/* 172 */ 
-15679,	-189,	/* 173 */ 
18761,	-10050,	/* 174 */ 
-8386,	-20768,	/* 175 */ 
11068,	-11236,	/* 176 */ 
-4215,	-14841,	/* 177 */ 
-4740,	19728,	/* 178 */ 
261,	-17820,	/* 179 */ 
-15643,	-23015,	/* 180 */ 
1170,	-6164,	/* 181 */ 
6679,	9395,	/* 182 */ 
-22885,	18416,	/* 183 */ 
15933,	4435,	/* 184 */ 
14354,	-16239,	/* 185 */ 
9355,	-8671,	/* 186 */ 
-1803,	-12611,	/* 187 */ 
-19743,	-23253,	/* 188 */ 
15170,	-4877,	/* 189 */ 
-14521,	7088,	/* 190 */ 
-2585,	-19630,	/* 191 */ 
-23038,	12714,	/* 192 */ 
-9047,	22217,	/* 193 */ 
17754,	10160,	/* 194 */ 
15858,	13337,	/* 195 */ 
-7895,	-12414,	/* 196 */ 
18007,	-14393,	/* 197 */ 
-961,	-11201,	/* 198 */ 
2876,	10112,	/* 199 */ 
5482,	22590,	/* 200 */ 
7657,	6485,	/* 201 */ 
5516,	2172,	/* 202 */ 
8757,	16463,	/* 203 */ 
480,	14289,	/* 204 */ 
10120,	7961,	/* 205 */ 
719,	8087,	/* 206 */ 
5007,	15166,	/* 207 */ 
22075,	22253,	/* 208 */ 
15236,	-619,	/* 209 */ 
-8621,	15016,	/* 210 */ 
4148,	6696,	/* 211 */ 
-17492,	-9160,	/* 212 */ 
-11620,	7612,	/* 213 */ 
14333,	-6716,	/* 214 */ 
7939,	20727,	/* 215 */ 
-23006,	-584,	/* 216 */ 
2912,	-19347,	/* 217 */ 
-2150,	8222,	/* 218 */ 
19154,	703,	/* 219 */ 
-10305,	-13170,	/* 220 */ 
-20575,	10643,	/* 221 */ 
-1108,	-20423,	/* 222 */ 
22880,	21953,	/* 223 */ 
19977,	-13829,	/* 224 */ 
2894,	-16030,	/* 225 */ 
7205,	6537,	/* 226 */ 
12897,	-23640,	/* 227 */ 
-18629,	-7775,	/* 228 */ 
-23600,	-10638,	/* 229 */ 
1975,	-21545,	/* 230 */ 
-23327,	-19210,	/* 231 */ 
-2302,	-4258,	/* 232 */ 
-14396,	14989,	/* 233 */ 
13582,	17525,	/* 234 */ 
5608,	-22584,	/* 235 */ 
-22917,	10745,	/* 236 */ 
18487,	16461,	/* 237 */ 
12378,	10812,	/* 238 */ 
19253,	21526,	/* 239 */ 
12230,	7395,	/* 240 */ 
-5642,	11461,	/* 241 */ 
-7989,	-7334,	/* 242 */ 
192,	18164,	/* 243 */ 
3054,	-7226,	/* 244 */ 
12638,	-20838,	/* 245 */ 
13238,	10331,	/* 246 */ 
-753,	21673,	/* 247 */ 
14294,	-16233,	/* 248 */ 
-1372,	-3957,	/* 249 */ 
-14060,	-19203,	/* 250 */ 
3765,	-2368,	/* 251 */ 
7875,	17461,	/* 252 */ 
8361,	-5127,	/* 253 */ 
20931,	-11694,	/* 254 */ 
12778,	-6888,	/* 255 */ 
};

#pragma DATA_SECTION (rtest,".test")

DATA rtest[2*NX] ={
110,	-640,	 /* 0 */ 
1018,	549,	 /* 1 */ 
-934,	-6,	 /* 2 */ 
547,	-737,	 /* 3 */ 
-274,	181,	 /* 4 */ 
1004,	1464,	 /* 5 */ 
-2334,	755,	 /* 6 */ 
-25,	-176,	 /* 7 */ 
-709,	-443,	 /* 8 */ 
685,	575,	 /* 9 */ 
850,	416,	 /* 10 */ 
90,	70,	 /* 11 */ 
-703,	1087,	 /* 12 */ 
638,	145,	 /* 13 */ 
952,	990,	 /* 14 */ 
939,	737,	 /* 15 */ 
-456,	1384,	 /* 16 */ 
1405,	785,	 /* 17 */ 
-1337,	766,	 /* 18 */ 
974,	1220,	 /* 19 */ 
1172,	-486,	 /* 20 */ 
-637,	-1063,	 /* 21 */ 
-617,	1047,	 /* 22 */ 
1821,	-150,	 /* 23 */ 
1246,	848,	 /* 24 */ 
-21,	-1376,	 /* 25 */ 
1125,	235,	 /* 26 */ 
-599,	1207,	 /* 27 */ 
684,	404,	 /* 28 */ 
-35,	1229,	 /* 29 */ 
137,	-70,	 /* 30 */ 
1599,	847,	 /* 31 */ 
1672,	-225,	 /* 32 */ 
-49,	-138,	 /* 33 */ 
-1926,	248,	 /* 34 */ 
596,	1062,	 /* 35 */ 
-1240,	414,	 /* 36 */ 
-942,	705,	 /* 37 */ 
772,	1823,	 /* 38 */ 
1652,	-1170,	 /* 39 */ 
-821,	-1281,	 /* 40 */ 
1622,	57,	 /* 41 */ 
1103,	-1317,	 /* 42 */ 
58,	111,	 /* 43 */ 
20,	-857,	 /* 44 */ 
22,	1523,	 /* 45 */ 
891,	455,	 /* 46 */ 
154,	-1739,	 /* 47 */ 
1084,	627,	 /* 48 */ 
900,	288,	 /* 49 */ 
97,	-311,	 /* 50 */ 
-333,	567,	 /* 51 */ 
652,	-325,	 /* 52 */ 
560,	-698,	 /* 53 */ 
1505,	-588,	 /* 54 */ 
80,	889,	 /* 55 */ 
124,	527,	 /* 56 */ 
-144,	129,	 /* 57 */ 
203,	-350,	 /* 58 */ 
-900,	-161,	 /* 59 */ 
-396,	-67,	 /* 60 */ 
22,	-123,	 /* 61 */ 
2211,	93,	 /* 62 */ 
-1372,	1613,	 /* 63 */ 
-300,	-710,	 /* 64 */ 
-509,	-225,	 /* 65 */ 
-187,	709,	 /* 66 */ 
177,	-1068,	 /* 67 */ 
413,	-307,	 /* 68 */ 
31,	382,	 /* 69 */ 
-416,	45,	 /* 70 */ 
313,	-845,	 /* 71 */ 
-900,	157,	 /* 72 */ 
-361,	-98,	 /* 73 */ 
-409,	1903,	 /* 74 */ 
1486,	574,	 /* 75 */ 
1176,	-598,	 /* 76 */ 
-1085,	699,	 /* 77 */ 
-97,	845,	 /* 78 */ 
1439,	258,	 /* 79 */ 
376,	498,	 /* 80 */ 
239,	779,	 /* 81 */ 
164,	-687,	 /* 82 */ 
-21,	401,	 /* 83 */ 
304,	-1735,	 /* 84 */ 
-485,	-779,	 /* 85 */ 
-877,	-1370,	 /* 86 */ 
-1201,	-325,	 /* 87 */ 
-460,	1031,	 /* 88 */ 
-665,	-567,	 /* 89 */ 
-1210,	-1713,	 /* 90 */ 
-273,	-810,	 /* 91 */ 
697,	455,	 /* 92 */ 
-487,	-451,	 /* 93 */ 
239,	-220,	 /* 94 */ 
-282,	-933,	 /* 95 */ 
-205,	-446,	 /* 96 */ 
-146,	-131,	 /* 97 */ 
117,	-398,	 /* 98 */ 
1083,	-371,	 /* 99 */ 
2313,	529,	 /* 100 */ 
-674,	621,	 /* 101 */ 
-1217,	-505,	 /* 102 */ 
-342,	-721,	 /* 103 */ 
-1347,	1254,	 /* 104 */ 
247,	-758,	 /* 105 */ 
21,	918,	 /* 106 */ 
951,	-3,	 /* 107 */ 
67,	142,	 /* 108 */ 
-144,	1292,	 /* 109 */ 
-31,	-304,	 /* 110 */ 
224,	533,	 /* 111 */ 
109,	1090,	 /* 112 */ 
533,	-325,	 /* 113 */ 
-84,	-1057,	 /* 114 */ 
-554,	428,	 /* 115 */ 
602,	1021,	 /* 116 */ 
1330,	-651,	 /* 117 */ 
564,	-150,	 /* 118 */ 
-685,	275,	 /* 119 */ 
-133,	-349,	 /* 120 */ 
-149,	-236,	 /* 121 */ 
-433,	-1010,	 /* 122 */ 
-1460,	463,	 /* 123 */ 
704,	219,	 /* 124 */ 
-515,	-474,	 /* 125 */ 
815,	1016,	 /* 126 */ 
409,	-1162,	 /* 127 */ 
-1480,	-546,	 /* 128 */ 
-10,	-211,	 /* 129 */ 
200,	-1384,	 /* 130 */ 
-629,	1174,	 /* 131 */ 
-351,	824,	 /* 132 */ 
104,	-90,	 /* 133 */ 
-1494,	88,	 /* 134 */ 
1733,	539,	 /* 135 */ 
-952,	745,	 /* 136 */ 
1469,	-414,	 /* 137 */ 
691,	1390,	 /* 138 */ 
200,	2100,	 /* 139 */ 
639,	-146,	 /* 140 */ 
-147,	-7,	 /* 141 */ 
-202,	-131,	 /* 142 */ 
-379,	-1394,	 /* 143 */ 
-569,	456,	 /* 144 */ 
-167,	-475,	 /* 145 */ 
43,	-1002,	 /* 146 */ 
-494,	617,	 /* 147 */ 
220,	937,	 /* 148 */ 
-502,	-628,	 /* 149 */ 
2031,	902,	 /* 150 */ 
-1332,	-201,	 /* 151 */ 
73,	378,	 /* 152 */ 
1491,	1565,	 /* 153 */ 
-263,	945,	 /* 154 */ 
353,	172,	 /* 155 */ 
-1913,	-1679,	 /* 156 */ 
568,	-229,	 /* 157 */ 
-2660,	-1531,	 /* 158 */ 
2801,	-794,	 /* 159 */ 
335,	515,	 /* 160 */ 
-64,	-266,	 /* 161 */ 
-898,	1634,	 /* 162 */ 
82,	305,	 /* 163 */ 
531,	523,	 /* 164 */ 
351,	-551,	 /* 165 */ 
-267,	-288,	 /* 166 */ 
117,	-384,	 /* 167 */ 
-1603,	160,	 /* 168 */ 
-756,	55,	 /* 169 */ 
2080,	2035,	 /* 170 */ 
1172,	-796,	 /* 171 */ 
-290,	569,	 /* 172 */ 
1005,	-1231,	 /* 173 */ 
-281,	672,	 /* 174 */ 
441,	-553,	 /* 175 */ 
471,	55,	 /* 176 */ 
-152,	-225,	 /* 177 */ 
269,	1351,	 /* 178 */ 
-468,	323,	 /* 179 */ 
-1262,	263,	 /* 180 */ 
725,	-537,	 /* 181 */ 
-1126,	206,	 /* 182 */ 
162,	-924,	 /* 183 */ 
-570,	549,	 /* 184 */ 
1497,	-2815,	 /* 185 */ 
98,	-845,	 /* 186 */ 
1213,	539,	 /* 187 */ 
-774,	417,	 /* 188 */ 
39,	1639,	 /* 189 */ 
533,	-1209,	 /* 190 */ 
-615,	-798,	 /* 191 */ 
-1486,	-39,	 /* 192 */ 
430,	-1086,	 /* 193 */ 
-407,	978,	 /* 194 */ 
189,	-210,	 /* 195 */ 
137,	870,	 /* 196 */ 
-151,	726,	 /* 197 */ 
-157,	766,	 /* 198 */ 
-25,	317,	 /* 199 */ 
-678,	1611,	 /* 200 */ 
120,	668,	 /* 201 */ 
894,	1224,	 /* 202 */ 
-1424,	1006,	 /* 203 */ 
-1248,	-720,	 /* 204 */ 
-1842,	410,	 /* 205 */ 
1007,	-439,	 /* 206 */ 
60,	423,	 /* 207 */ 
-304,	-542,	 /* 208 */ 
689,	-910,	 /* 209 */ 
475,	570,	 /* 210 */ 
-1428,	1668,	 /* 211 */ 
1172,	-1310,	 /* 212 */ 
-137,	-533,	 /* 213 */ 
-1069,	51,	 /* 214 */ 
-589,	1067,	 /* 215 */ 
-81,	27,	 /* 216 */ 
-575,	-401,	 /* 217 */ 
624,	508,	 /* 218 */ 
922,	136,	 /* 219 */ 
-150,	-1023,	 /* 220 */ 
-495,	-1084,	 /* 221 */ 
296,	-791,	 /* 222 */ 
731,	-797,	 /* 223 */ 
1700,	1376,	 /* 224 */ 
-1045,	-957,	 /* 225 */ 
996,	-509,	 /* 226 */ 
282,	-660,	 /* 227 */ 
-563,	-395,	 /* 228 */ 
329,	-768,	 /* 229 */ 
200,	-984,	 /* 230 */ 
2106,	-368,	 /* 231 */ 
-161,	787,	 /* 232 */ 
-1592,	-1914,	 /* 233 */ 
-500,	54,	 /* 234 */ 
-273,	523,	 /* 235 */ 
-830,	878,	 /* 236 */ 
-835,	-2365,	 /* 237 */ 
486,	62,	 /* 238 */ 
33,	-726,	 /* 239 */ 
778,	475,	 /* 240 */ 
706,	-416,	 /* 241 */ 
-1409,	1529,	 /* 242 */ 
-148,	810,	 /* 243 */ 
-1027,	774,	 /* 244 */ 
-1546,	555,	 /* 245 */ 
77,	-4,	 /* 246 */ 
1055,	468,	 /* 247 */ 
-1613,	-2694,	 /* 248 */ 
68,	-576,	 /* 249 */ 
600,	701,	 /* 250 */ 
950,	701,	 /* 251 */ 
1539,	1419,	 /* 252 */ 
-216,	-1467,	 /* 253 */ 
260,	-1274,	 /* 254 */ 
515,	950,	 /* 255 */ 
};

DATA error;

