/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Test for cfft: rand */
#define NX 512
#define FNAME "t7"
#define MAXERROR 520
#pragma DATA_SECTION (x_br,".input")
#pragma DATA_ALIGN (x_br, 2048)
DATA x_br[2*NX]  ;

#pragma DATA_SECTION (scratch,".input")
#pragma DATA_ALIGN (scratch, 2048)
DATA scratch[2*NX]   ;
#pragma DATA_SECTION (x,".input")

DATA x[2*NX] ={
40,	-86,	/* 0 */ 
62,	84,	/* 1 */ 
-40,	36,	/* 2 */ 
98,	-46,	/* 3 */ 
-40,	-122,	/* 4 */ 
-113,	-38,	/* 5 */ 
55,	62,	/* 6 */ 
117,	-52,	/* 7 */ 
-88,	-82,	/* 8 */ 
-22,	-22,	/* 9 */ 
-104,	94,	/* 10 */ 
-13,	31,	/* 11 */ 
94,	-114,	/* 12 */ 
-28,	-25,	/* 13 */ 
-64,	-51,	/* 14 */ 
-38,	-89,	/* 15 */ 
62,	-49,	/* 16 */ 
38,	-128,	/* 17 */ 
112,	-17,	/* 18 */ 
85,	45,	/* 19 */ 
-8,	82,	/* 20 */ 
33,	65,	/* 21 */ 
-114,	-87,	/* 22 */ 
10,	13,	/* 23 */ 
-12,	6,	/* 24 */ 
92,	107,	/* 25 */ 
90,	-15,	/* 26 */ 
-8,	-117,	/* 27 */ 
73,	118,	/* 28 */ 
39,	-125,	/* 29 */ 
-128,	13,	/* 30 */ 
-95,	111,	/* 31 */ 
-2,	102,	/* 32 */ 
-119,	30,	/* 33 */ 
-70,	51,	/* 34 */ 
-45,	112,	/* 35 */ 
102,	-13,	/* 36 */ 
-48,	-83,	/* 37 */ 
-64,	29,	/* 38 */ 
-18,	4,	/* 39 */ 
87,	-35,	/* 40 */ 
-81,	69,	/* 41 */ 
2,	84,	/* 42 */ 
-13,	-47,	/* 43 */ 
-45,	24,	/* 44 */ 
-31,	72,	/* 45 */ 
98,	-120,	/* 46 */ 
66,	91,	/* 47 */ 
98,	46,	/* 48 */ 
-11,	77,	/* 49 */ 
76,	106,	/* 50 */ 
-94,	-29,	/* 51 */ 
-112,	-8,	/* 52 */ 
-32,	-106,	/* 53 */ 
-33,	108,	/* 54 */ 
-5,	45,	/* 55 */ 
120,	36,	/* 56 */ 
-41,	126,	/* 57 */ 
-64,	-1,	/* 58 */ 
21,	-18,	/* 59 */ 
6,	84,	/* 60 */ 
-87,	-99,	/* 61 */ 
-4,	25,	/* 62 */ 
-2,	-72,	/* 63 */ 
87,	-26,	/* 64 */ 
78,	-51,	/* 65 */ 
91,	34,	/* 66 */ 
28,	113,	/* 67 */ 
16,	-127,	/* 68 */ 
28,	81,	/* 69 */ 
-102,	48,	/* 70 */ 
-88,	123,	/* 71 */ 
-23,	-111,	/* 72 */ 
15,	-117,	/* 73 */ 
-60,	61,	/* 74 */ 
72,	81,	/* 75 */ 
-29,	-62,	/* 76 */ 
-121,	52,	/* 77 */ 
21,	-53,	/* 78 */ 
14,	-107,	/* 79 */ 
-77,	96,	/* 80 */ 
-106,	-109,	/* 81 */ 
110,	61,	/* 82 */ 
-62,	-96,	/* 83 */ 
-76,	-15,	/* 84 */ 
-116,	23,	/* 85 */ 
27,	34,	/* 86 */ 
11,	8,	/* 87 */ 
-104,	-75,	/* 88 */ 
35,	44,	/* 89 */ 
-15,	-67,	/* 90 */ 
-111,	56,	/* 91 */ 
-33,	-26,	/* 92 */ 
-65,	-28,	/* 93 */ 
108,	-23,	/* 94 */ 
33,	-90,	/* 95 */ 
96,	96,	/* 96 */ 
36,	-123,	/* 97 */ 
76,	108,	/* 98 */ 
-17,	33,	/* 99 */ 
123,	-111,	/* 100 */ 
-104,	33,	/* 101 */ 
7,	64,	/* 102 */ 
11,	69,	/* 103 */ 
-56,	78,	/* 104 */ 
-34,	11,	/* 105 */ 
-112,	-4,	/* 106 */ 
11,	-16,	/* 107 */ 
86,	32,	/* 108 */ 
-91,	-109,	/* 109 */ 
-85,	11,	/* 110 */ 
-111,	-75,	/* 111 */ 
82,	-59,	/* 112 */ 
-94,	-54,	/* 113 */ 
98,	82,	/* 114 */ 
3,	-23,	/* 115 */ 
118,	6,	/* 116 */ 
-98,	107,	/* 117 */ 
-116,	-31,	/* 118 */ 
-31,	35,	/* 119 */ 
-23,	-84,	/* 120 */ 
-26,	73,	/* 121 */ 
-21,	-35,	/* 122 */ 
-32,	70,	/* 123 */ 
104,	-41,	/* 124 */ 
43,	70,	/* 125 */ 
118,	-91,	/* 126 */ 
-87,	-91,	/* 127 */ 
63,	35,	/* 128 */ 
-33,	-105,	/* 129 */ 
-12,	109,	/* 130 */ 
-119,	-4,	/* 131 */ 
15,	-87,	/* 132 */ 
-33,	-58,	/* 133 */ 
74,	-95,	/* 134 */ 
75,	-123,	/* 135 */ 
-30,	-69,	/* 136 */ 
-64,	88,	/* 137 */ 
-41,	57,	/* 138 */ 
119,	49,	/* 139 */ 
-6,	-30,	/* 140 */ 
-34,	-6,	/* 141 */ 
67,	119,	/* 142 */ 
-32,	72,	/* 143 */ 
102,	-24,	/* 144 */ 
-82,	117,	/* 145 */ 
-34,	-78,	/* 146 */ 
106,	7,	/* 147 */ 
4,	1,	/* 148 */ 
-105,	-5,	/* 149 */ 
60,	-32,	/* 150 */ 
-127,	5,	/* 151 */ 
26,	80,	/* 152 */ 
116,	-75,	/* 153 */ 
-27,	-29,	/* 154 */ 
59,	-117,	/* 155 */ 
47,	-50,	/* 156 */ 
122,	80,	/* 157 */ 
-76,	46,	/* 158 */ 
23,	97,	/* 159 */ 
115,	-108,	/* 160 */ 
-62,	-2,	/* 161 */ 
3,	-18,	/* 162 */ 
34,	-40,	/* 163 */ 
-26,	105,	/* 164 */ 
-4,	-87,	/* 165 */ 
64,	-29,	/* 166 */ 
-96,	119,	/* 167 */ 
-117,	-111,	/* 168 */ 
-34,	-47,	/* 169 */ 
49,	-96,	/* 170 */ 
111,	-99,	/* 171 */ 
-6,	-86,	/* 172 */ 
-95,	-104,	/* 173 */ 
-5,	8,	/* 174 */ 
114,	67,	/* 175 */ 
-34,	-22,	/* 176 */ 
-44,	85,	/* 177 */ 
69,	78,	/* 178 */ 
-52,	-126,	/* 179 */ 
-83,	37,	/* 180 */ 
48,	-100,	/* 181 */ 
-61,	-73,	/* 182 */ 
-11,	104,	/* 183 */ 
87,	-91,	/* 184 */ 
97,	-75,	/* 185 */ 
51,	89,	/* 186 */ 
65,	54,	/* 187 */ 
121,	-108,	/* 188 */ 
-26,	81,	/* 189 */ 
-95,	-39,	/* 190 */ 
57,	-87,	/* 191 */ 
102,	10,	/* 192 */ 
-85,	108,	/* 193 */ 
-117,	-17,	/* 194 */ 
-6,	10,	/* 195 */ 
-104,	50,	/* 196 */ 
38,	-128,	/* 197 */ 
115,	86,	/* 198 */ 
-11,	99,	/* 199 */ 
9,	-123,	/* 200 */ 
-111,	-103,	/* 201 */ 
-2,	-33,	/* 202 */ 
-22,	119,	/* 203 */ 
-54,	30,	/* 204 */ 
-54,	43,	/* 205 */ 
64,	-12,	/* 206 */ 
-104,	86,	/* 207 */ 
-109,	82,	/* 208 */ 
56,	10,	/* 209 */ 
67,	-105,	/* 210 */ 
40,	-53,	/* 211 */ 
79,	26,	/* 212 */ 
-33,	-82,	/* 213 */ 
-50,	59,	/* 214 */ 
-34,	12,	/* 215 */ 
52,	-89,	/* 216 */ 
-85,	108,	/* 217 */ 
80,	-77,	/* 218 */ 
-9,	-126,	/* 219 */ 
56,	48,	/* 220 */ 
126,	-26,	/* 221 */ 
-36,	-31,	/* 222 */ 
59,	103,	/* 223 */ 
38,	113,	/* 224 */ 
46,	-7,	/* 225 */ 
-127,	-124,	/* 226 */ 
39,	81,	/* 227 */ 
113,	-114,	/* 228 */ 
28,	-105,	/* 229 */ 
72,	50,	/* 230 */ 
-128,	-91,	/* 231 */ 
76,	-114,	/* 232 */ 
36,	-112,	/* 233 */ 
-83,	57,	/* 234 */ 
7,	-120,	/* 235 */ 
-72,	50,	/* 236 */ 
12,	-72,	/* 237 */ 
-114,	32,	/* 238 */ 
22,	3,	/* 239 */ 
-22,	19,	/* 240 */ 
-81,	-55,	/* 241 */ 
-112,	100,	/* 242 */ 
-109,	-105,	/* 243 */ 
-49,	-54,	/* 244 */ 
113,	82,	/* 245 */ 
123,	126,	/* 246 */ 
14,	-111,	/* 247 */ 
125,	121,	/* 248 */ 
49,	108,	/* 249 */ 
-67,	117,	/* 250 */ 
79,	16,	/* 251 */ 
111,	115,	/* 252 */ 
-96,	-47,	/* 253 */ 
47,	-60,	/* 254 */ 
-52,	-113,	/* 255 */ 
37,	-43,	/* 256 */ 
-10,	-54,	/* 257 */ 
108,	-25,	/* 258 */ 
-67,	-120,	/* 259 */ 
40,	-55,	/* 260 */ 
-43,	-72,	/* 261 */ 
-6,	16,	/* 262 */ 
-8,	94,	/* 263 */ 
52,	-63,	/* 264 */ 
-67,	23,	/* 265 */ 
55,	5,	/* 266 */ 
93,	-95,	/* 267 */ 
-23,	-128,	/* 268 */ 
-20,	-45,	/* 269 */ 
116,	-36,	/* 270 */ 
97,	126,	/* 271 */ 
50,	112,	/* 272 */ 
-50,	-17,	/* 273 */ 
84,	111,	/* 274 */ 
120,	-1,	/* 275 */ 
-52,	120,	/* 276 */ 
127,	117,	/* 277 */ 
-16,	56,	/* 278 */ 
-127,	37,	/* 279 */ 
-54,	92,	/* 280 */ 
49,	-121,	/* 281 */ 
-2,	-35,	/* 282 */ 
-107,	-104,	/* 283 */ 
-78,	-43,	/* 284 */ 
122,	-127,	/* 285 */ 
-35,	80,	/* 286 */ 
-93,	-122,	/* 287 */ 
-125,	-20,	/* 288 */ 
36,	-120,	/* 289 */ 
60,	45,	/* 290 */ 
-122,	-45,	/* 291 */ 
-102,	15,	/* 292 */ 
100,	-20,	/* 293 */ 
67,	-90,	/* 294 */ 
21,	-112,	/* 295 */ 
47,	29,	/* 296 */ 
119,	33,	/* 297 */ 
12,	-83,	/* 298 */ 
70,	-24,	/* 299 */ 
28,	52,	/* 300 */ 
125,	-18,	/* 301 */ 
-116,	-74,	/* 302 */ 
124,	23,	/* 303 */ 
-76,	86,	/* 304 */ 
105,	99,	/* 305 */ 
42,	98,	/* 306 */ 
-10,	118,	/* 307 */ 
-116,	69,	/* 308 */ 
-11,	-34,	/* 309 */ 
76,	-111,	/* 310 */ 
-54,	-101,	/* 311 */ 
49,	111,	/* 312 */ 
-62,	2,	/* 313 */ 
54,	-74,	/* 314 */ 
56,	-21,	/* 315 */ 
59,	84,	/* 316 */ 
31,	-92,	/* 317 */ 
125,	-46,	/* 318 */ 
-89,	81,	/* 319 */ 
-76,	-53,	/* 320 */ 
81,	-108,	/* 321 */ 
-114,	109,	/* 322 */ 
9,	-86,	/* 323 */ 
-80,	-29,	/* 324 */ 
25,	-4,	/* 325 */ 
-54,	79,	/* 326 */ 
-105,	-25,	/* 327 */ 
1,	75,	/* 328 */ 
98,	-124,	/* 329 */ 
29,	116,	/* 330 */ 
-117,	90,	/* 331 */ 
115,	124,	/* 332 */ 
-85,	-64,	/* 333 */ 
83,	-5,	/* 334 */ 
28,	-45,	/* 335 */ 
88,	-114,	/* 336 */ 
-99,	-54,	/* 337 */ 
38,	45,	/* 338 */ 
-99,	115,	/* 339 */ 
-7,	-118,	/* 340 */ 
46,	82,	/* 341 */ 
-94,	-71,	/* 342 */ 
-10,	127,	/* 343 */ 
-110,	-62,	/* 344 */ 
20,	-70,	/* 345 */ 
16,	6,	/* 346 */ 
-63,	15,	/* 347 */ 
-67,	83,	/* 348 */ 
-124,	-55,	/* 349 */ 
-30,	-64,	/* 350 */ 
65,	-67,	/* 351 */ 
19,	13,	/* 352 */ 
-24,	-73,	/* 353 */ 
-78,	42,	/* 354 */ 
3,	-49,	/* 355 */ 
54,	-8,	/* 356 */ 
94,	1,	/* 357 */ 
61,	48,	/* 358 */ 
126,	-79,	/* 359 */ 
93,	-58,	/* 360 */ 
-4,	109,	/* 361 */ 
103,	-68,	/* 362 */ 
-123,	-96,	/* 363 */ 
35,	-23,	/* 364 */ 
113,	34,	/* 365 */ 
-118,	-82,	/* 366 */ 
-55,	-25,	/* 367 */ 
45,	48,	/* 368 */ 
22,	-45,	/* 369 */ 
-112,	108,	/* 370 */ 
97,	65,	/* 371 */ 
-4,	-26,	/* 372 */ 
100,	-78,	/* 373 */ 
67,	-26,	/* 374 */ 
39,	-89,	/* 375 */ 
120,	-112,	/* 376 */ 
-85,	-98,	/* 377 */ 
-94,	-121,	/* 378 */ 
65,	93,	/* 379 */ 
-48,	-22,	/* 380 */ 
-10,	74,	/* 381 */ 
-42,	80,	/* 382 */ 
-126,	-27,	/* 383 */ 
-43,	83,	/* 384 */ 
-65,	-42,	/* 385 */ 
126,	-78,	/* 386 */ 
103,	2,	/* 387 */ 
-39,	-75,	/* 388 */ 
-57,	20,	/* 389 */ 
-105,	122,	/* 390 */ 
-67,	-9,	/* 391 */ 
102,	77,	/* 392 */ 
-45,	-18,	/* 393 */ 
18,	-67,	/* 394 */ 
-81,	34,	/* 395 */ 
60,	-34,	/* 396 */ 
-100,	-18,	/* 397 */ 
-30,	-51,	/* 398 */ 
92,	-18,	/* 399 */ 
91,	48,	/* 400 */ 
81,	3,	/* 401 */ 
-66,	125,	/* 402 */ 
101,	-81,	/* 403 */ 
26,	15,	/* 404 */ 
-93,	-4,	/* 405 */ 
-87,	-27,	/* 406 */ 
98,	-2,	/* 407 */ 
122,	120,	/* 408 */ 
25,	83,	/* 409 */ 
-36,	-96,	/* 410 */ 
-69,	87,	/* 411 */ 
-13,	74,	/* 412 */ 
36,	-40,	/* 413 */ 
-66,	61,	/* 414 */ 
-9,	-113,	/* 415 */ 
-1,	15,	/* 416 */ 
-109,	72,	/* 417 */ 
68,	-92,	/* 418 */ 
-117,	14,	/* 419 */ 
-86,	-76,	/* 420 */ 
70,	92,	/* 421 */ 
-75,	-63,	/* 422 */ 
-64,	-57,	/* 423 */ 
-27,	-55,	/* 424 */ 
-5,	60,	/* 425 */ 
2,	-1,	/* 426 */ 
31,	-114,	/* 427 */ 
32,	-80,	/* 428 */ 
125,	57,	/* 429 */ 
-37,	121,	/* 430 */ 
-58,	52,	/* 431 */ 
45,	77,	/* 432 */ 
2,	-76,	/* 433 */ 
-58,	69,	/* 434 */ 
20,	95,	/* 435 */ 
82,	78,	/* 436 */ 
113,	65,	/* 437 */ 
-15,	103,	/* 438 */ 
-20,	-21,	/* 439 */ 
127,	40,	/* 440 */ 
29,	-128,	/* 441 */ 
113,	123,	/* 442 */ 
105,	-23,	/* 443 */ 
80,	-40,	/* 444 */ 
48,	43,	/* 445 */ 
-49,	-15,	/* 446 */ 
14,	86,	/* 447 */ 
35,	7,	/* 448 */ 
68,	-63,	/* 449 */ 
-115,	-88,	/* 450 */ 
-99,	14,	/* 451 */ 
88,	118,	/* 452 */ 
-84,	115,	/* 453 */ 
-119,	60,	/* 454 */ 
-48,	-72,	/* 455 */ 
81,	-1,	/* 456 */ 
-68,	-127,	/* 457 */ 
22,	-48,	/* 458 */ 
108,	61,	/* 459 */ 
-44,	74,	/* 460 */ 
-76,	-26,	/* 461 */ 
-35,	-26,	/* 462 */ 
121,	-64,	/* 463 */ 
55,	-105,	/* 464 */ 
36,	26,	/* 465 */ 
72,	85,	/* 466 */ 
-9,	-53,	/* 467 */ 
-69,	-9,	/* 468 */ 
-47,	-117,	/* 469 */ 
73,	-107,	/* 470 */ 
34,	3,	/* 471 */ 
40,	55,	/* 472 */ 
9,	-119,	/* 473 */ 
107,	122,	/* 474 */ 
71,	-1,	/* 475 */ 
-45,	51,	/* 476 */ 
61,	77,	/* 477 */ 
-16,	4,	/* 478 */ 
23,	0,	/* 479 */ 
-99,	65,	/* 480 */ 
-47,	-68,	/* 481 */ 
31,	113,	/* 482 */ 
100,	-106,	/* 483 */ 
118,	11,	/* 484 */ 
-123,	103,	/* 485 */ 
-100,	92,	/* 486 */ 
-25,	33,	/* 487 */ 
-104,	-61,	/* 488 */ 
-53,	-31,	/* 489 */ 
45,	-42,	/* 490 */ 
122,	-48,	/* 491 */ 
-26,	114,	/* 492 */ 
82,	9,	/* 493 */ 
-95,	51,	/* 494 */ 
88,	96,	/* 495 */ 
-69,	124,	/* 496 */ 
-111,	98,	/* 497 */ 
-44,	-25,	/* 498 */ 
19,	32,	/* 499 */ 
-93,	-30,	/* 500 */ 
94,	89,	/* 501 */ 
-44,	6,	/* 502 */ 
-4,	78,	/* 503 */ 
-18,	-28,	/* 504 */ 
-62,	118,	/* 505 */ 
123,	-121,	/* 506 */ 
119,	116,	/* 507 */ 
114,	54,	/* 508 */ 
-13,	37,	/* 509 */ 
-44,	-14,	/* 510 */ 
-127,	-84,	/* 511 */ 
};

#pragma DATA_SECTION (rtest,".test")

DATA rtest[2*NX] ={
905,	-445,	 /* 0 */ 
-1211,	2965,	 /* 1 */ 
802,	1913,	 /* 2 */ 
-16,	223,	 /* 3 */ 
698,	-1688,	 /* 4 */ 
-814,	146,	 /* 5 */ 
-1547,	-1073,	 /* 6 */ 
-901,	-1662,	 /* 7 */ 
-408,	1055,	 /* 8 */ 
-3177,	-1185,	 /* 9 */ 
-731,	-804,	 /* 10 */ 
-249,	-570,	 /* 11 */ 
-596,	-4364,	 /* 12 */ 
-805,	591,	 /* 13 */ 
1727,	175,	 /* 14 */ 
-162,	4858,	 /* 15 */ 
-2344,	-24,	 /* 16 */ 
1091,	267,	 /* 17 */ 
-4647,	-92,	 /* 18 */ 
2398,	51,	 /* 19 */ 
-2014,	2741,	 /* 20 */ 
1390,	587,	 /* 21 */ 
181,	620,	 /* 22 */ 
3966,	-3871,	 /* 23 */ 
966,	1018,	 /* 24 */ 
-342,	841,	 /* 25 */ 
2112,	-317,	 /* 26 */ 
419,	-1334,	 /* 27 */ 
-2649,	-811,	 /* 28 */ 
251,	720,	 /* 29 */ 
1851,	2107,	 /* 30 */ 
613,	806,	 /* 31 */ 
733,	2422,	 /* 32 */ 
595,	-1337,	 /* 33 */ 
-2999,	-1166,	 /* 34 */ 
-2860,	2993,	 /* 35 */ 
1066,	-2999,	 /* 36 */ 
362,	1331,	 /* 37 */ 
-659,	-2663,	 /* 38 */ 
-184,	1246,	 /* 39 */ 
-2954,	-1521,	 /* 40 */ 
1419,	554,	 /* 41 */ 
-1210,	-3661,	 /* 42 */ 
-4125,	1969,	 /* 43 */ 
-1292,	-1055,	 /* 44 */ 
-1318,	671,	 /* 45 */ 
-922,	-1091,	 /* 46 */ 
-1249,	-48,	 /* 47 */ 
-2148,	-1819,	 /* 48 */ 
1012,	-2291,	 /* 49 */ 
1512,	166,	 /* 50 */ 
-2341,	1085,	 /* 51 */ 
-424,	2071,	 /* 52 */ 
3937,	2062,	 /* 53 */ 
4252,	-627,	 /* 54 */ 
1284,	3635,	 /* 55 */ 
2858,	-968,	 /* 56 */ 
-908,	142,	 /* 57 */ 
34,	-153,	 /* 58 */ 
-909,	63,	 /* 59 */ 
-2101,	1500,	 /* 60 */ 
-1789,	212,	 /* 61 */ 
-919,	3202,	 /* 62 */ 
-943,	-2756,	 /* 63 */ 
-92,	-1680,	 /* 64 */ 
1171,	-2540,	 /* 65 */ 
-723,	-2614,	 /* 66 */ 
1034,	-1443,	 /* 67 */ 
-329,	194,	 /* 68 */ 
-298,	-1130,	 /* 69 */ 
-1762,	-100,	 /* 70 */ 
-3746,	-560,	 /* 71 */ 
-637,	-2006,	 /* 72 */ 
166,	-5561,	 /* 73 */ 
2340,	3178,	 /* 74 */ 
1322,	2760,	 /* 75 */ 
3249,	-1345,	 /* 76 */ 
50,	-203,	 /* 77 */ 
-44,	-1035,	 /* 78 */ 
-1189,	2681,	 /* 79 */ 
-1135,	395,	 /* 80 */ 
-410,	-1623,	 /* 81 */ 
-1128,	-588,	 /* 82 */ 
507,	-469,	 /* 83 */ 
653,	-2404,	 /* 84 */ 
2667,	-482,	 /* 85 */ 
3373,	-4571,	 /* 86 */ 
3147,	1646,	 /* 87 */ 
358,	-1471,	 /* 88 */ 
37,	-1593,	 /* 89 */ 
2183,	730,	 /* 90 */ 
-656,	-2548,	 /* 91 */ 
765,	-3553,	 /* 92 */ 
664,	-592,	 /* 93 */ 
1392,	223,	 /* 94 */ 
-50,	177,	 /* 95 */ 
2529,	364,	 /* 96 */ 
-243,	-949,	 /* 97 */ 
-644,	940,	 /* 98 */ 
2358,	-1049,	 /* 99 */ 
-3650,	1441,	 /* 100 */ 
-480,	280,	 /* 101 */ 
1618,	1700,	 /* 102 */ 
-2289,	-376,	 /* 103 */ 
3122,	-116,	 /* 104 */ 
54,	-710,	 /* 105 */ 
-218,	-1109,	 /* 106 */ 
-830,	-648,	 /* 107 */ 
1004,	-612,	 /* 108 */ 
518,	1779,	 /* 109 */ 
638,	-582,	 /* 110 */ 
3250,	1738,	 /* 111 */ 
1817,	-1883,	 /* 112 */ 
-3031,	1142,	 /* 113 */ 
1573,	-435,	 /* 114 */ 
1147,	-1215,	 /* 115 */ 
-3233,	91,	 /* 116 */ 
2264,	-2158,	 /* 117 */ 
2207,	1685,	 /* 118 */ 
1083,	806,	 /* 119 */ 
-649,	-2629,	 /* 120 */ 
-361,	-1400,	 /* 121 */ 
601,	-1706,	 /* 122 */ 
1326,	2787,	 /* 123 */ 
3057,	1195,	 /* 124 */ 
-1162,	2243,	 /* 125 */ 
130,	-1514,	 /* 126 */ 
1559,	727,	 /* 127 */ 
1370,	-151,	 /* 128 */ 
1505,	2199,	 /* 129 */ 
-1968,	1606,	 /* 130 */ 
-1349,	-551,	 /* 131 */ 
2397,	181,	 /* 132 */ 
-1911,	-2147,	 /* 133 */ 
-765,	-1422,	 /* 134 */ 
607,	-1493,	 /* 135 */ 
1261,	1916,	 /* 136 */ 
-298,	-1876,	 /* 137 */ 
650,	3444,	 /* 138 */ 
-3204,	-1584,	 /* 139 */ 
-973,	381,	 /* 140 */ 
-2252,	-589,	 /* 141 */ 
3094,	-2477,	 /* 142 */ 
-1449,	454,	 /* 143 */ 
-173,	-1256,	 /* 144 */ 
1307,	-2935,	 /* 145 */ 
-804,	2107,	 /* 146 */ 
3903,	588,	 /* 147 */ 
-1679,	540,	 /* 148 */ 
-146,	1467,	 /* 149 */ 
50,	-1206,	 /* 150 */ 
-757,	-284,	 /* 151 */ 
-427,	1114,	 /* 152 */ 
855,	874,	 /* 153 */ 
710,	2786,	 /* 154 */ 
1537,	-1753,	 /* 155 */ 
151,	393,	 /* 156 */ 
66,	-471,	 /* 157 */ 
-1378,	-2532,	 /* 158 */ 
-1501,	-76,	 /* 159 */ 
-2739,	1969,	 /* 160 */ 
2448,	-2367,	 /* 161 */ 
-1302,	3752,	 /* 162 */ 
5593,	685,	 /* 163 */ 
554,	-1694,	 /* 164 */ 
-150,	576,	 /* 165 */ 
1284,	-678,	 /* 166 */ 
867,	793,	 /* 167 */ 
-1968,	-2561,	 /* 168 */ 
39,	-1174,	 /* 169 */ 
-315,	-1704,	 /* 170 */ 
2071,	-1353,	 /* 171 */ 
-723,	637,	 /* 172 */ 
529,	1081,	 /* 173 */ 
3425,	-3229,	 /* 174 */ 
-1797,	-588,	 /* 175 */ 
1227,	-476,	 /* 176 */ 
19,	-762,	 /* 177 */ 
-2219,	-1561,	 /* 178 */ 
33,	-2866,	 /* 179 */ 
184,	-1225,	 /* 180 */ 
1323,	368,	 /* 181 */ 
2421,	-2119,	 /* 182 */ 
-1716,	-1394,	 /* 183 */ 
1334,	-1842,	 /* 184 */ 
3498,	-45,	 /* 185 */ 
-2892,	-1127,	 /* 186 */ 
1041,	571,	 /* 187 */ 
1849,	2060,	 /* 188 */ 
55,	407,	 /* 189 */ 
-921,	-2593,	 /* 190 */ 
2328,	954,	 /* 191 */ 
832,	897,	 /* 192 */ 
-3416,	2432,	 /* 193 */ 
662,	334,	 /* 194 */ 
-386,	-4265,	 /* 195 */ 
738,	-1277,	 /* 196 */ 
-336,	1659,	 /* 197 */ 
-124,	1296,	 /* 198 */ 
1579,	1020,	 /* 199 */ 
1009,	454,	 /* 200 */ 
704,	1085,	 /* 201 */ 
360,	-2162,	 /* 202 */ 
2358,	-888,	 /* 203 */ 
-722,	2241,	 /* 204 */ 
-1287,	2166,	 /* 205 */ 
-823,	517,	 /* 206 */ 
-8,	-392,	 /* 207 */ 
399,	526,	 /* 208 */ 
695,	1859,	 /* 209 */ 
-1235,	-2313,	 /* 210 */ 
-1559,	-4968,	 /* 211 */ 
750,	-223,	 /* 212 */ 
66,	1627,	 /* 213 */ 
-1990,	-824,	 /* 214 */ 
-944,	-59,	 /* 215 */ 
-13,	-1432,	 /* 216 */ 
-650,	-1389,	 /* 217 */ 
2546,	-176,	 /* 218 */ 
1350,	2771,	 /* 219 */ 
1842,	1559,	 /* 220 */ 
608,	-2972,	 /* 221 */ 
-1070,	1539,	 /* 222 */ 
-828,	2362,	 /* 223 */ 
-421,	2370,	 /* 224 */ 
3513,	-472,	 /* 225 */ 
-115,	-3113,	 /* 226 */ 
-1744,	-1191,	 /* 227 */ 
-45,	1318,	 /* 228 */ 
-1946,	-1828,	 /* 229 */ 
3228,	373,	 /* 230 */ 
-1598,	1784,	 /* 231 */ 
-2150,	-3657,	 /* 232 */ 
2524,	-1254,	 /* 233 */ 
-1799,	-948,	 /* 234 */ 
-648,	-3870,	 /* 235 */ 
-273,	3288,	 /* 236 */ 
-3283,	1869,	 /* 237 */ 
341,	-756,	 /* 238 */ 
1137,	-863,	 /* 239 */ 
1121,	604,	 /* 240 */ 
-958,	-171,	 /* 241 */ 
2656,	869,	 /* 242 */ 
-3038,	1145,	 /* 243 */ 
1157,	-1785,	 /* 244 */ 
-1795,	429,	 /* 245 */ 
1282,	-867,	 /* 246 */ 
-280,	-2040,	 /* 247 */ 
1804,	320,	 /* 248 */ 
-4249,	-2252,	 /* 249 */ 
-141,	61,	 /* 250 */ 
-895,	630,	 /* 251 */ 
847,	-1468,	 /* 252 */ 
-273,	-1730,	 /* 253 */ 
-2702,	2382,	 /* 254 */ 
1577,	1010,	 /* 255 */ 
2196,	2835,	 /* 256 */ 
-1520,	-3612,	 /* 257 */ 
-991,	668,	 /* 258 */ 
-2703,	-2682,	 /* 259 */ 
52,	298,	 /* 260 */ 
-663,	-3017,	 /* 261 */ 
-173,	-1278,	 /* 262 */ 
-625,	-919,	 /* 263 */ 
1249,	-2405,	 /* 264 */ 
515,	1555,	 /* 265 */ 
829,	-1304,	 /* 266 */ 
1862,	635,	 /* 267 */ 
2308,	-2280,	 /* 268 */ 
3585,	175,	 /* 269 */ 
-1254,	1045,	 /* 270 */ 
111,	-553,	 /* 271 */ 
903,	36,	 /* 272 */ 
333,	-70,	 /* 273 */ 
1885,	630,	 /* 274 */ 
-709,	2324,	 /* 275 */ 
2306,	757,	 /* 276 */ 
2080,	-61,	 /* 277 */ 
-376,	-762,	 /* 278 */ 
-1553,	319,	 /* 279 */ 
938,	2120,	 /* 280 */ 
738,	-1379,	 /* 281 */ 
-302,	3339,	 /* 282 */ 
1129,	1357,	 /* 283 */ 
2079,	1722,	 /* 284 */ 
-1541,	462,	 /* 285 */ 
-4518,	-490,	 /* 286 */ 
1366,	2799,	 /* 287 */ 
284,	1924,	 /* 288 */ 
115,	-1967,	 /* 289 */ 
510,	-2247,	 /* 290 */ 
1376,	725,	 /* 291 */ 
315,	635,	 /* 292 */ 
-843,	3600,	 /* 293 */ 
2428,	-199,	 /* 294 */ 
-3391,	304,	 /* 295 */ 
2533,	31,	 /* 296 */ 
335,	-177,	 /* 297 */ 
930,	-1036,	 /* 298 */ 
-1047,	-303,	 /* 299 */ 
1940,	312,	 /* 300 */ 
1500,	-3228,	 /* 301 */ 
-3035,	-1310,	 /* 302 */ 
-2547,	-997,	 /* 303 */ 
-2482,	344,	 /* 304 */ 
-346,	1017,	 /* 305 */ 
-801,	1167,	 /* 306 */ 
1601,	1553,	 /* 307 */ 
-1460,	-761,	 /* 308 */ 
-1854,	1977,	 /* 309 */ 
-1165,	743,	 /* 310 */ 
-751,	-1512,	 /* 311 */ 
-1274,	1959,	 /* 312 */ 
-2246,	1079,	 /* 313 */ 
733,	262,	 /* 314 */ 
-2980,	-32,	 /* 315 */ 
674,	2164,	 /* 316 */ 
1274,	-2883,	 /* 317 */ 
-414,	-2369,	 /* 318 */ 
-491,	-427,	 /* 319 */ 
3106,	-681,	 /* 320 */ 
-624,	386,	 /* 321 */ 
1656,	-1168,	 /* 322 */ 
-1022,	-1078,	 /* 323 */ 
-1754,	252,	 /* 324 */ 
-2194,	1682,	 /* 325 */ 
-1013,	-168,	 /* 326 */ 
1539,	1891,	 /* 327 */ 
2190,	3483,	 /* 328 */ 
-991,	-183,	 /* 329 */ 
-2347,	-1653,	 /* 330 */ 
2952,	1022,	 /* 331 */ 
-205,	-686,	 /* 332 */ 
3581,	1502,	 /* 333 */ 
429,	-114,	 /* 334 */ 
1037,	1651,	 /* 335 */ 
-889,	2478,	 /* 336 */ 
330,	-1455,	 /* 337 */ 
-483,	-122,	 /* 338 */ 
-259,	1877,	 /* 339 */ 
-3976,	1747,	 /* 340 */ 
2087,	-1697,	 /* 341 */ 
155,	50,	 /* 342 */ 
1216,	-2433,	 /* 343 */ 
-2272,	-1038,	 /* 344 */ 
2621,	2600,	 /* 345 */ 
-2322,	-2812,	 /* 346 */ 
-824,	1953,	 /* 347 */ 
4896,	-1516,	 /* 348 */ 
-1666,	-404,	 /* 349 */ 
818,	2718,	 /* 350 */ 
19,	532,	 /* 351 */ 
1631,	-831,	 /* 352 */ 
1575,	2342,	 /* 353 */ 
-1051,	-1373,	 /* 354 */ 
3389,	-1048,	 /* 355 */ 
632,	1216,	 /* 356 */ 
2479,	-3227,	 /* 357 */ 
702,	-1523,	 /* 358 */ 
-513,	1299,	 /* 359 */ 
-3286,	1388,	 /* 360 */ 
-2453,	-568,	 /* 361 */ 
1366,	-331,	 /* 362 */ 
-2280,	-74,	 /* 363 */ 
430,	698,	 /* 364 */ 
1634,	-1446,	 /* 365 */ 
1548,	1274,	 /* 366 */ 
-950,	3042,	 /* 367 */ 
3787,	2261,	 /* 368 */ 
2680,	-3368,	 /* 369 */ 
3030,	608,	 /* 370 */ 
-444,	-2524,	 /* 371 */ 
-921,	-950,	 /* 372 */ 
-105,	-418,	 /* 373 */ 
-656,	12,	 /* 374 */ 
2057,	-1820,	 /* 375 */ 
2209,	-2054,	 /* 376 */ 
-1255,	2556,	 /* 377 */ 
-733,	-850,	 /* 378 */ 
-2033,	3706,	 /* 379 */ 
-2714,	-1757,	 /* 380 */ 
610,	1514,	 /* 381 */ 
-2290,	49,	 /* 382 */ 
2889,	-2362,	 /* 383 */ 
2700,	-1832,	 /* 384 */ 
-1857,	-2290,	 /* 385 */ 
-136,	1351,	 /* 386 */ 
-314,	-2355,	 /* 387 */ 
814,	-755,	 /* 388 */ 
748,	-636,	 /* 389 */ 
-225,	-2655,	 /* 390 */ 
-413,	368,	 /* 391 */ 
84,	-2264,	 /* 392 */ 
1647,	1107,	 /* 393 */ 
-1177,	138,	 /* 394 */ 
-1963,	-1106,	 /* 395 */ 
-5244,	-451,	 /* 396 */ 
-24,	730,	 /* 397 */ 
854,	-1922,	 /* 398 */ 
176,	86,	 /* 399 */ 
-2212,	1051,	 /* 400 */ 
-1579,	-908,	 /* 401 */ 
-1537,	-1625,	 /* 402 */ 
-1591,	-1676,	 /* 403 */ 
-690,	1718,	 /* 404 */ 
-845,	-890,	 /* 405 */ 
-780,	488,	 /* 406 */ 
-1397,	-607,	 /* 407 */ 
-337,	1500,	 /* 408 */ 
1503,	1731,	 /* 409 */ 
669,	956,	 /* 410 */ 
-1530,	3940,	 /* 411 */ 
270,	2723,	 /* 412 */ 
-479,	-1690,	 /* 413 */ 
1029,	-343,	 /* 414 */ 
-1357,	898,	 /* 415 */ 
-1088,	1154,	 /* 416 */ 
-372,	118,	 /* 417 */ 
431,	2723,	 /* 418 */ 
977,	824,	 /* 419 */ 
-1431,	-858,	 /* 420 */ 
-2011,	-524,	 /* 421 */ 
1795,	-1356,	 /* 422 */ 
2317,	281,	 /* 423 */ 
-721,	4253,	 /* 424 */ 
403,	-862,	 /* 425 */ 
-883,	1498,	 /* 426 */ 
0,	801,	 /* 427 */ 
-825,	328,	 /* 428 */ 
763,	31,	 /* 429 */ 
-737,	1027,	 /* 430 */ 
2010,	1066,	 /* 431 */ 
466,	-366,	 /* 432 */ 
-2060,	-169,	 /* 433 */ 
62,	2018,	 /* 434 */ 
1856,	437,	 /* 435 */ 
-3154,	72,	 /* 436 */ 
840,	-1117,	 /* 437 */ 
-588,	-834,	 /* 438 */ 
3275,	-596,	 /* 439 */ 
-818,	471,	 /* 440 */ 
-356,	-781,	 /* 441 */ 
1478,	-494,	 /* 442 */ 
450,	-795,	 /* 443 */ 
-3197,	435,	 /* 444 */ 
-2251,	898,	 /* 445 */ 
-395,	-83,	 /* 446 */ 
-1499,	363,	 /* 447 */ 
-624,	1790,	 /* 448 */ 
938,	1549,	 /* 449 */ 
-1078,	2018,	 /* 450 */ 
-721,	-1308,	 /* 451 */ 
761,	582,	 /* 452 */ 
-2938,	2074,	 /* 453 */ 
0,	175,	 /* 454 */ 
538,	-1652,	 /* 455 */ 
-242,	-2234,	 /* 456 */ 
-246,	1837,	 /* 457 */ 
2059,	1154,	 /* 458 */ 
-1003,	-2331,	 /* 459 */ 
1165,	-618,	 /* 460 */ 
-2188,	-907,	 /* 461 */ 
-2914,	1457,	 /* 462 */ 
-855,	-706,	 /* 463 */ 
-882,	-965,	 /* 464 */ 
-352,	3292,	 /* 465 */ 
-748,	-507,	 /* 466 */ 
-337,	652,	 /* 467 */ 
1382,	1204,	 /* 468 */ 
822,	1253,	 /* 469 */ 
121,	345,	 /* 470 */ 
982,	-1679,	 /* 471 */ 
1374,	486,	 /* 472 */ 
-1353,	1759,	 /* 473 */ 
-1510,	-4518,	 /* 474 */ 
1687,	356,	 /* 475 */ 
470,	-278,	 /* 476 */ 
-2093,	367,	 /* 477 */ 
-193,	-750,	 /* 478 */ 
1369,	766,	 /* 479 */ 
-1211,	-803,	 /* 480 */ 
499,	-2353,	 /* 481 */ 
-1476,	-780,	 /* 482 */ 
1918,	570,	 /* 483 */ 
-339,	1969,	 /* 484 */ 
-858,	-488,	 /* 485 */ 
321,	113,	 /* 486 */ 
-592,	2810,	 /* 487 */ 
-196,	-4518,	 /* 488 */ 
97,	-140,	 /* 489 */ 
1829,	-1811,	 /* 490 */ 
702,	273,	 /* 491 */ 
2822,	-1418,	 /* 492 */ 
-2338,	1085,	 /* 493 */ 
-554,	-2176,	 /* 494 */ 
-981,	2765,	 /* 495 */ 
1799,	-3538,	 /* 496 */ 
-413,	-1619,	 /* 497 */ 
2977,	-130,	 /* 498 */ 
-164,	698,	 /* 499 */ 
-523,	1353,	 /* 500 */ 
-685,	-1525,	 /* 501 */ 
3120,	1325,	 /* 502 */ 
2128,	-1046,	 /* 503 */ 
1537,	-59,	 /* 504 */ 
3060,	-417,	 /* 505 */ 
892,	254,	 /* 506 */ 
-1414,	323,	 /* 507 */ 
-390,	96,	 /* 508 */ 
216,	-1365,	 /* 509 */ 
862,	-236,	 /* 510 */ 
-311,	1419,	 /* 511 */ 
};

DATA error;

