/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Test for cfft: rand */
#define NX 512
#define FNAME "t7"
#define MAXERROR 16
#define SCALING 1
#pragma DATA_SECTION (x_br,".input")
#pragma DATA_ALIGN (x_br, 2048)
DATA x_br[2*NX]  ;

#pragma DATA_SECTION (scratch,".input")
#pragma DATA_ALIGN (scratch, 2048)
DATA scratch[2*NX]   ;
#pragma DATA_SECTION (x,".input")

DATA x[2*NX] ={
11550,	-9072,	/* 0 */ 
7170,	-23614,	/* 1 */ 
20906,	-2976,	/* 2 */ 
15820,	8386,	/* 3 */ 
-1428,	15350,	/* 4 */ 
6173,	12162,	/* 5 */ 
-21003,	-16038,	/* 6 */ 
2005,	2473,	/* 7 */ 
-2105,	1192,	/* 8 */ 
17260,	19934,	/* 9 */ 
16885,	-2762,	/* 10 */ 
-1319,	-21639,	/* 11 */ 
13639,	22084,	/* 12 */ 
7414,	-23129,	/* 13 */ 
-23767,	2473,	/* 14 */ 
-17530,	20645,	/* 15 */ 
-244,	18948,	/* 16 */ 
-21947,	5608,	/* 17 */ 
-12957,	9503,	/* 18 */ 
-8182,	20873,	/* 19 */ 
18989,	-2278,	/* 20 */ 
-8855,	-15371,	/* 21 */ 
-11805,	5550,	/* 22 */ 
-3186,	873,	/* 23 */ 
16275,	-6442,	/* 24 */ 
-14999,	12992,	/* 25 */ 
388,	15605,	/* 26 */ 
-2271,	-8634,	/* 27 */ 
-8292,	4562,	/* 28 */ 
-5701,	13396,	/* 29 */ 
18372,	-22172,	/* 30 */ 
12419,	16969,	/* 31 */ 
18243,	8680,	/* 32 */ 
-2025,	14349,	/* 33 */ 
14223,	19856,	/* 34 */ 
-17395,	-5319,	/* 35 */ 
-20664,	-1332,	/* 36 */ 
-5936,	-19583,	/* 37 */ 
-6013,	20208,	/* 38 */ 
-760,	8484,	/* 39 */ 
22316,	6704,	/* 40 */ 
-7508,	23574,	/* 41 */ 
-11757,	-22,	/* 42 */ 
4035,	-3326,	/* 43 */ 
1126,	15647,	/* 44 */ 
-16001,	-18222,	/* 45 */ 
-647,	4691,	/* 46 */ 
-188,	-13253,	/* 47 */ 
16314,	-4817,	/* 48 */ 
14555,	-9453,	/* 49 */ 
17008,	6348,	/* 50 */ 
5217,	21153,	/* 51 */ 
3124,	-23490,	/* 52 */ 
5319,	15050,	/* 53 */ 
-18874,	9074,	/* 54 */ 
-16243,	22864,	/* 55 */ 
-4105,	-20454,	/* 56 */ 
2871,	-21632,	/* 57 */ 
-10997,	11406,	/* 58 */ 
13512,	15170,	/* 59 */ 
-5331,	-11369,	/* 60 */ 
-22296,	9698,	/* 61 */ 
4064,	-9675,	/* 62 */ 
2783,	-19857,	/* 63 */ 
-14229,	17844,	/* 64 */ 
-19613,	-20087,	/* 65 */ 
20594,	11455,	/* 66 */ 
-11439,	-17824,	/* 67 */ 
-14063,	-2676,	/* 68 */ 
-21430,	4396,	/* 69 */ 
5046,	6481,	/* 70 */ 
2203,	1556,	/* 71 */ 
-19213,	-13847,	/* 72 */ 
6512,	8258,	/* 73 */ 
-2713,	-12269,	/* 74 */ 
-20613,	10483,	/* 75 */ 
-5976,	-4756,	/* 76 */ 
-11927,	-5038,	/* 77 */ 
20197,	-4207,	/* 78 */ 
6156,	-16651,	/* 79 */ 
17983,	17980,	/* 80 */ 
6734,	-22735,	/* 81 */ 
14184,	20147,	/* 82 */ 
-3089,	6304,	/* 83 */ 
22872,	-20588,	/* 84 */ 
-19208,	6306,	/* 85 */ 
1306,	12062,	/* 86 */ 
2169,	12819,	/* 87 */ 
-10252,	14643,	/* 88 */ 
-6142,	2059,	/* 89 */ 
-20694,	-710,	/* 90 */ 
2130,	-2795,	/* 91 */ 
15990,	6013,	/* 92 */ 
-16861,	-20071,	/* 93 */ 
-15615,	2094,	/* 94 */ 
-20534,	-13829,	/* 95 */ 
15402,	-10934,	/* 96 */ 
-17400,	-9903,	/* 97 */ 
18291,	15317,	/* 98 */ 
700,	-4208,	/* 99 */ 
22039,	1281,	/* 100 */ 
-18041,	19975,	/* 101 */ 
-21474,	-5746,	/* 102 */ 
-5698,	6602,	/* 103 */ 
-4146,	-15510,	/* 104 */ 
-4688,	13586,	/* 105 */ 
-3756,	-6388,	/* 106 */ 
-5850,	13165,	/* 107 */ 
19363,	-7504,	/* 108 */ 
8089,	13033,	/* 109 */ 
21954,	-16742,	/* 110 */ 
-16022,	-16722,	/* 111 */ 
11820,	6610,	/* 112 */ 
-5987,	-19330,	/* 113 */ 
-2176,	20383,	/* 114 */ 
-21936,	-707,	/* 115 */ 
2967,	-16009,	/* 116 */ 
-6070,	-10633,	/* 117 */ 
13918,	-17543,	/* 118 */ 
14034,	-22665,	/* 119 */ 
-5566,	-12774,	/* 120 */ 
-11752,	16412,	/* 121 */ 
-7467,	10760,	/* 122 */ 
22238,	9254,	/* 123 */ 
-960,	-5557,	/* 124 */ 
-6260,	-959,	/* 125 */ 
12576,	22203,	/* 126 */ 
-5840,	13478,	/* 127 */ 
19029,	-4291,	/* 128 */ 
-15049,	21741,	/* 129 */ 
-6260,	-14405,	/* 130 */ 
19844,	1394,	/* 131 */ 
756,	199,	/* 132 */ 
-19476,	-789,	/* 133 */ 
11186,	-5818,	/* 134 */ 
-23545,	937,	/* 135 */ 
4902,	15010,	/* 136 */ 
21718,	-13851,	/* 137 */ 
-4876,	-5287,	/* 138 */ 
11007,	-21576,	/* 139 */ 
8777,	-9280,	/* 140 */ 
22746,	14919,	/* 141 */ 
-14082,	8656,	/* 142 */ 
4435,	18179,	/* 143 */ 
21465,	-19881,	/* 144 */ 
-11396,	-246,	/* 145 */ 
697,	-3312,	/* 146 */ 
6480,	-7347,	/* 147 */ 
-4709,	19664,	/* 148 */ 
-637,	-16155,	/* 149 */ 
11906,	-5331,	/* 150 */ 
-17770,	22210,	/* 151 */ 
-21722,	-20597,	/* 152 */ 
-6136,	-8713,	/* 153 */ 
9189,	-17745,	/* 154 */ 
20717,	-18264,	/* 155 */ 
-1066,	-15956,	/* 156 */ 
-17632,	-19303,	/* 157 */ 
-769,	1527,	/* 158 */ 
21182,	12473,	/* 159 */ 
-6288,	-3923,	/* 160 */ 
-8154,	15950,	/* 161 */ 
12971,	14485,	/* 162 */ 
-9638,	-23333,	/* 163 */ 
-15314,	6879,	/* 164 */ 
9070,	-18428,	/* 165 */ 
-11222,	-13515,	/* 166 */ 
-2009,	19456,	/* 167 */ 
16338,	-16891,	/* 168 */ 
18135,	-13906,	/* 169 */ 
9508,	16668,	/* 170 */ 
12154,	10130,	/* 171 */ 
22557,	-19946,	/* 172 */ 
-4652,	15150,	/* 173 */ 
-17528,	-7181,	/* 174 */ 
10683,	-16042,	/* 175 */ 
18991,	1889,	/* 176 */ 
-15654,	20123,	/* 177 */ 
-21724,	-2989,	/* 178 */ 
-991,	1907,	/* 179 */ 
-19304,	9429,	/* 180 */ 
7132,	-23671,	/* 181 */ 
21499,	16001,	/* 182 */ 
-2011,	18512,	/* 183 */ 
1753,	-22830,	/* 184 */ 
-20608,	-19090,	/* 185 */ 
-292,	-5983,	/* 186 */ 
-3920,	22222,	/* 187 */ 
-9876,	5684,	/* 188 */ 
-9999,	8083,	/* 189 */ 
12067,	-2084,	/* 190 */ 
-19168,	16069,	/* 191 */ 
-20113,	15359,	/* 192 */ 
10501,	2001,	/* 193 */ 
12593,	-19377,	/* 194 */ 
7508,	-9732,	/* 195 */ 
14755,	4860,	/* 196 */ 
-5979,	-15077,	/* 197 */ 
-9212,	11084,	/* 198 */ 
-6147,	2324,	/* 199 */ 
9828,	-16346,	/* 200 */ 
-15765,	20206,	/* 201 */ 
14913,	-14159,	/* 202 */ 
-1606,	-23367,	/* 203 */ 
10566,	8989,	/* 204 */ 
23524,	-4708,	/* 205 */ 
-6537,	-5725,	/* 206 */ 
10972,	19166,	/* 207 */ 
7114,	21075,	/* 208 */ 
8620,	-1237,	/* 209 */ 
-23407,	-22925,	/* 210 */ 
7327,	15209,	/* 211 */ 
21165,	-21041,	/* 212 */ 
5384,	-19485,	/* 213 */ 
13449,	9348,	/* 214 */ 
-23619,	-16774,	/* 215 */ 
14116,	-21032,	/* 216 */ 
6741,	-20757,	/* 217 */ 
-15285,	10592,	/* 218 */ 
1397,	-22167,	/* 219 */ 
-13371,	9303,	/* 220 */ 
2284,	-13255,	/* 221 */ 
-21001,	5960,	/* 222 */ 
4163,	631,	/* 223 */ 
-3989,	3598,	/* 224 */ 
-14906,	-10114,	/* 225 */ 
-20731,	18667,	/* 226 */ 
-20214,	-19367,	/* 227 */ 
-9031,	-9865,	/* 228 */ 
21110,	15302,	/* 229 */ 
22852,	23484,	/* 230 */ 
2620,	-20545,	/* 231 */ 
23223,	22489,	/* 232 */ 
9106,	20098,	/* 233 */ 
-12281,	21806,	/* 234 */ 
14727,	3002,	/* 235 */ 
20655,	21416,	/* 236 */ 
-17646,	-8642,	/* 237 */ 
8881,	-11129,	/* 238 */ 
-9639,	-20865,	/* 239 */ 
6998,	-7950,	/* 240 */ 
-1723,	-9868,	/* 241 */ 
20098,	-4636,	/* 242 */ 
-12278,	-22147,	/* 243 */ 
7613,	-10104,	/* 244 */ 
-7973,	-13329,	/* 245 */ 
-1106,	3134,	/* 246 */ 
-1485,	17593,	/* 247 */ 
9789,	-11648,	/* 248 */ 
-12363,	4364,	/* 249 */ 
10325,	1078,	/* 250 */ 
17360,	-17630,	/* 251 */ 
-4232,	-23590,	/* 252 */ 
-3576,	-8281,	/* 253 */ 
21595,	-6619,	/* 254 */ 
18131,	23485,	/* 255 */ 
9440,	20914,	/* 256 */ 
-9251,	-3131,	/* 257 */ 
15655,	20702,	/* 258 */ 
22371,	-151,	/* 259 */ 
-9503,	22393,	/* 260 */ 
23676,	21756,	/* 261 */ 
-2817,	10492,	/* 262 */ 
-23473,	7033,	/* 263 */ 
-9893,	17236,	/* 264 */ 
9121,	-22300,	/* 265 */ 
-340,	-6376,	/* 266 */ 
-19801,	-19309,	/* 267 */ 
-14462,	-7861,	/* 268 */ 
22703,	-23421,	/* 269 */ 
-6361,	14999,	/* 270 */ 
-17141,	-22580,	/* 271 */ 
-23068,	-3604,	/* 272 */ 
6685,	-22162,	/* 273 */ 
11300,	8399,	/* 274 */ 
-22497,	-8179,	/* 275 */ 
-18913,	2855,	/* 276 */ 
18697,	-3575,	/* 277 */ 
12543,	-16634,	/* 278 */ 
3929,	-20709,	/* 279 */ 
8814,	5535,	/* 280 */ 
22206,	6132,	/* 281 */ 
2393,	-15372,	/* 282 */ 
13177,	-4378,	/* 283 */ 
5245,	9799,	/* 284 */ 
23226,	-3338,	/* 285 */ 
-21475,	-13742,	/* 286 */ 
23074,	4325,	/* 287 */ 
-14037,	16029,	/* 288 */ 
19607,	18458,	/* 289 */ 
7869,	18330,	/* 290 */ 
-1792,	22005,	/* 291 */ 
-21471,	12817,	/* 292 */ 
-1881,	-6278,	/* 293 */ 
14258,	-20530,	/* 294 */ 
-10010,	-18592,	/* 295 */ 
9274,	20765,	/* 296 */ 
-11444,	525,	/* 297 */ 
10136,	-13726,	/* 298 */ 
10475,	-3751,	/* 299 */ 
11089,	15665,	/* 300 */ 
5815,	-16996,	/* 301 */ 
23282,	-8480,	/* 302 */ 
-16525,	15112,	/* 303 */ 
-14104,	-9822,	/* 304 */ 
15179,	-19968,	/* 305 */ 
-20991,	20360,	/* 306 */ 
1830,	-15841,	/* 307 */ 
-14730,	-5383,	/* 308 */ 
4729,	-666,	/* 309 */ 
-9876,	14778,	/* 310 */ 
-19430,	-4483,	/* 311 */ 
321,	14024,	/* 312 */ 
18260,	-22848,	/* 313 */ 
5493,	21708,	/* 314 */ 
-21564,	16871,	/* 315 */ 
21483,	23117,	/* 316 */ 
-15734,	-11852,	/* 317 */ 
15529,	-832,	/* 318 */ 
5294,	-8338,	/* 319 */ 
16509,	-21040,	/* 320 */ 
-18344,	-9937,	/* 321 */ 
7093,	8370,	/* 322 */ 
-18311,	21494,	/* 323 */ 
-1264,	-21855,	/* 324 */ 
8707,	15288,	/* 325 */ 
-17432,	-13139,	/* 326 */ 
-1708,	23754,	/* 327 */ 
-20382,	-11384,	/* 328 */ 
3860,	-12822,	/* 329 */ 
3136,	1192,	/* 330 */ 
-11635,	2884,	/* 331 */ 
-12432,	15498,	/* 332 */ 
-23011,	-10056,	/* 333 */ 
-5479,	-11756,	/* 334 */ 
12231,	-12348,	/* 335 */ 
3572,	2447,	/* 336 */ 
-4370,	-13533,	/* 337 */ 
-14466,	7867,	/* 338 */ 
578,	-9087,	/* 339 */ 
10141,	-1437,	/* 340 */ 
17464,	275,	/* 341 */ 
11494,	8955,	/* 342 */ 
23522,	-14601,	/* 343 */ 
17434,	-10765,	/* 344 */ 
-675,	20266,	/* 345 */ 
19171,	-12610,	/* 346 */ 
-22803,	-17685,	/* 347 */ 
6502,	-4154,	/* 348 */ 
21109,	6404,	/* 349 */ 
-21831,	-15139,	/* 350 */ 
-10189,	-4601,	/* 351 */ 
8426,	8973,	/* 352 */ 
4096,	-8277,	/* 353 */ 
-20681,	20121,	/* 354 */ 
18026,	12223,	/* 355 */ 
-575,	-4701,	/* 356 */ 
18609,	-14447,	/* 357 */ 
12468,	-4741,	/* 358 */ 
7382,	-16426,	/* 359 */ 
22412,	-20700,	/* 360 */ 
-15634,	-18048,	/* 361 */ 
-17306,	-22374,	/* 362 */ 
12131,	17359,	/* 363 */ 
-8880,	-4079,	/* 364 */ 
-1747,	13877,	/* 365 */ 
-7633,	15040,	/* 366 */ 
-23312,	-4977,	/* 367 */ 
-7901,	15494,	/* 368 */ 
-12036,	-7719,	/* 369 */ 
23486,	-14387,	/* 370 */ 
19279,	478,	/* 371 */ 
-7142,	-13792,	/* 372 */ 
-10548,	3802,	/* 373 */ 
-19352,	22780,	/* 374 */ 
-12335,	-1563,	/* 375 */ 
19093,	14361,	/* 376 */ 
-8355,	-3188,	/* 377 */ 
3456,	-12304,	/* 378 */ 
-14972,	6399,	/* 379 */ 
11309,	-6314,	/* 380 */ 
-18456,	-3259,	/* 381 */ 
-5527,	-9417,	/* 382 */ 
17225,	-3225,	/* 383 */ 
16974,	9056,	/* 384 */ 
15181,	584,	/* 385 */ 
-12089,	23358,	/* 386 */ 
18900,	-15019,	/* 387 */ 
4949,	2803,	/* 388 */ 
-17127,	-616,	/* 389 */ 
-16101,	-4874,	/* 390 */ 
18213,	-340,	/* 391 */ 
22750,	22287,	/* 392 */ 
4816,	15546,	/* 393 */ 
-6570,	-17666,	/* 394 */ 
-12769,	16270,	/* 395 */ 
-2390,	13760,	/* 396 */ 
6802,	-7377,	/* 397 */ 
-12112,	11337,	/* 398 */ 
-1521,	-20940,	/* 399 */ 
-123,	2787,	/* 400 */ 
-20205,	13439,	/* 401 */ 
12673,	-17077,	/* 402 */ 
-21612,	2740,	/* 403 */ 
-15920,	-14003,	/* 404 */ 
13177,	17136,	/* 405 */ 
-13865,	-11535,	/* 406 */ 
-11800,	-10571,	/* 407 */ 
-4919,	-10070,	/* 408 */ 
-919,	11160,	/* 409 */ 
441,	-143,	/* 410 */ 
5932,	-21170,	/* 411 */ 
5968,	-14676,	/* 412 */ 
23348,	10675,	/* 413 */ 
-6693,	22516,	/* 414 */ 
-10649,	9720,	/* 415 */ 
8467,	14333,	/* 416 */ 
416,	-13965,	/* 417 */ 
-10608,	12961,	/* 418 */ 
3747,	17717,	/* 419 */ 
15346,	14612,	/* 420 */ 
20985,	12199,	/* 421 */ 
-2647,	19234,	/* 422 */ 
-3650,	-3756,	/* 423 */ 
23587,	7529,	/* 424 */ 
5424,	-23707,	/* 425 */ 
21109,	22912,	/* 426 */ 
19589,	-4169,	/* 427 */ 
14973,	-7245,	/* 428 */ 
9014,	7994,	/* 429 */ 
-9097,	-2678,	/* 430 */ 
2766,	16156,	/* 431 */ 
6501,	1403,	/* 432 */ 
12791,	-11545,	/* 433 */ 
-21201,	-16339,	/* 434 */ 
-18310,	2748,	/* 435 */ 
16447,	21928,	/* 436 */ 
-15574,	21452,	/* 437 */ 
-22011,	11164,	/* 438 */ 
-8911,	-13189,	/* 439 */ 
15082,	-161,	/* 440 */ 
-12615,	-23435,	/* 441 */ 
4156,	-8738,	/* 442 */ 
20164,	11333,	/* 443 */ 
-8079,	13801,	/* 444 */ 
-13998,	-4741,	/* 445 */ 
-6442,	-4760,	/* 446 */ 
22614,	-11804,	/* 447 */ 
10310,	-19400,	/* 448 */ 
6812,	4858,	/* 449 */ 
13432,	15803,	/* 450 */ 
-1594,	-9818,	/* 451 */ 
-12727,	-1639,	/* 452 */ 
-8658,	-21605,	/* 453 */ 
13728,	-19694,	/* 454 */ 
6391,	624,	/* 455 */ 
7595,	10240,	/* 456 */ 
1786,	-22085,	/* 457 */ 
19928,	22797,	/* 458 */ 
13334,	-122,	/* 459 */ 
-8238,	9542,	/* 460 */ 
11349,	14409,	/* 461 */ 
-2960,	792,	/* 462 */ 
4363,	128,	/* 463 */ 
-18326,	12109,	/* 464 */ 
-8597,	-12450,	/* 465 */ 
5792,	21062,	/* 466 */ 
18755,	-19556,	/* 467 */ 
22037,	2044,	/* 468 */ 
-22815,	19178,	/* 469 */ 
-18509,	17176,	/* 470 */ 
-4611,	6250,	/* 471 */ 
-19149,	-11297,	/* 472 */ 
-9838,	-5752,	/* 473 */ 
8495,	-7734,	/* 474 */ 
22807,	-8814,	/* 475 */ 
-4781,	21254,	/* 476 */ 
15253,	1671,	/* 477 */ 
-17512,	9600,	/* 478 */ 
16395,	17828,	/* 479 */ 
-12706,	23114,	/* 480 */ 
-20577,	18316,	/* 481 */ 
-8013,	-4524,	/* 482 */ 
3576,	6044,	/* 483 */ 
-17265,	-5446,	/* 484 */ 
17484,	16536,	/* 485 */ 
-8117,	1276,	/* 486 */ 
-571,	14613,	/* 487 */ 
-3255,	-5063,	/* 488 */ 
-11384,	21949,	/* 489 */ 
22960,	-22337,	/* 490 */ 
22137,	21569,	/* 491 */ 
21321,	10191,	/* 492 */ 
-2295,	6966,	/* 493 */ 
-8001,	-2537,	/* 494 */ 
-23400,	-15468,	/* 495 */ 
-15886,	15936,	/* 496 */ 
15600,	22346,	/* 497 */ 
6816,	-17353,	/* 498 */ 
-8449,	-11838,	/* 499 */ 
-22516,	19490,	/* 500 */ 
-6872,	8388,	/* 501 */ 
11593,	5854,	/* 502 */ 
-9571,	580,	/* 503 */ 
-15154,	-23604,	/* 504 */ 
-4032,	-12983,	/* 505 */ 
17462,	22744,	/* 506 */ 
5939,	17172,	/* 507 */ 
-21145,	-23085,	/* 508 */ 
-4560,	-677,	/* 509 */ 
-9415,	-3974,	/* 510 */ 
-16528,	12973,	/* 511 */ 
};

#pragma DATA_SECTION (rtest,".test")

DATA rtest[2*NX] ={
206,	51,	 /* 0 */ 
-784,	1164,	 /* 1 */ 
-158,	927,	 /* 2 */ 
-225,	216,	 /* 3 */ 
426,	-126,	 /* 4 */ 
-400,	-114,	 /* 5 */ 
-49,	-591,	 /* 6 */ 
336,	-387,	 /* 7 */ 
-568,	-121,	 /* 8 */ 
471,	-1043,	 /* 9 */ 
209,	-149,	 /* 10 */ 
77,	6,	 /* 11 */ 
1146,	919,	 /* 12 */ 
18,	-397,	 /* 13 */ 
-688,	118,	 /* 14 */ 
-350,	-1805,	 /* 15 */ 
808,	-55,	 /* 16 */ 
-391,	-231,	 /* 17 */ 
1541,	626,	 /* 18 */ 
-701,	-537,	 /* 19 */ 
1245,	-210,	 /* 20 */ 
-67,	-545,	 /* 21 */ 
225,	-136,	 /* 22 */ 
-1611,	-1108,	 /* 23 */ 
416,	-304,	 /* 24 */ 
318,	246,	 /* 25 */ 
224,	-670,	 /* 26 */ 
-290,	-299,	 /* 27 */ 
-872,	581,	 /* 28 */ 
223,	287,	 /* 29 */ 
900,	578,	 /* 30 */ 
246,	377,	 /* 31 */ 
220,	1014,	 /* 32 */ 
244,	-298,	 /* 33 */ 
-922,	-675,	 /* 34 */ 
-1559,	453,	 /* 35 */ 
935,	-377,	 /* 36 */ 
-448,	487,	 /* 37 */ 
671,	-492,	 /* 38 */ 
-594,	109,	 /* 39 */ 
407,	-997,	 /* 40 */ 
-446,	527,	 /* 41 */ 
1244,	152,	 /* 42 */ 
86,	-1604,	 /* 43 */ 
452,	-35,	 /* 44 */ 
114,	-452,	 /* 45 */ 
315,	244,	 /* 46 */ 
306,	-73,	 /* 47 */ 
641,	651,	 /* 48 */ 
-656,	728,	 /* 49 */ 
-615,	-286,	 /* 50 */ 
797,	119,	 /* 51 */ 
514,	-452,	 /* 52 */ 
-295,	-1637,	 /* 53 */ 
-922,	-1376,	 /* 54 */ 
1081,	-757,	 /* 55 */ 
-472,	-1085,	 /* 56 */ 
-134,	278,	 /* 57 */ 
-166,	-95,	 /* 58 */ 
-282,	216,	 /* 59 */ 
-270,	843,	 /* 60 */ 
-610,	333,	 /* 61 */ 
28,	1098,	 /* 62 */ 
-633,	-1029,	 /* 63 */ 
-127,	-737,	 /* 64 */ 
513,	-961,	 /* 65 */ 
51,	-1128,	 /* 66 */ 
548,	-389,	 /* 67 */ 
-170,	-206,	 /* 68 */ 
265,	-497,	 /* 69 */ 
-205,	-788,	 /* 70 */ 
-36,	-1558,	 /* 71 */ 
782,	-416,	 /* 72 */ 
2047,	273,	 /* 73 */ 
-1283,	172,	 /* 74 */ 
-968,	-316,	 /* 75 */ 
-333,	1036,	 /* 76 */ 
203,	-52,	 /* 77 */ 
356,	241,	 /* 78 */ 
447,	-1111,	 /* 79 */ 
639,	-187,	 /* 80 */ 
268,	594,	 /* 81 */ 
538,	374,	 /* 82 */ 
-6,	93,	 /* 83 */ 
-546,	536,	 /* 84 */ 
-454,	-588,	 /* 85 */ 
-1785,	-345,	 /* 86 */ 
561,	-1056,	 /* 87 */ 
-357,	76,	 /* 88 */ 
-413,	103,	 /* 89 */ 
672,	-382,	 /* 90 */ 
-806,	-53,	 /* 91 */ 
-651,	-834,	 /* 92 */ 
113,	-33,	 /* 93 */ 
499,	162,	 /* 94 */ 
-34,	344,	 /* 95 */ 
860,	403,	 /* 96 */ 
-103,	-94,	 /* 97 */ 
-454,	472,	 /* 98 */ 
794,	389,	 /* 99 */ 
-1451,	-354,	 /* 100 */ 
-340,	105,	 /* 101 */ 
-514,	952,	 /* 102 */ 
-203,	-687,	 /* 103 */ 
-137,	1268,	 /* 104 */ 
70,	188,	 /* 105 */ 
226,	184,	 /* 106 */ 
191,	-29,	 /* 107 */ 
-266,	495,	 /* 108 */ 
-673,	-359,	 /* 109 */ 
-285,	352,	 /* 110 */ 
-1424,	-322,	 /* 111 */ 
-799,	750,	 /* 112 */ 
1023,	-122,	 /* 113 */ 
-722,	1,	 /* 114 */ 
-727,	215,	 /* 115 */ 
713,	892,	 /* 116 */ 
-1253,	-156,	 /* 117 */ 
104,	-876,	 /* 118 */ 
44,	-341,	 /* 119 */ 
-1134,	339,	 /* 120 */ 
-720,	133,	 /* 121 */ 
-702,	-338,	 /* 122 */ 
875,	255,	 /* 123 */ 
839,	-394,	 /* 124 */ 
-168,	981,	 /* 125 */ 
-454,	-472,	 /* 126 */ 
304,	181,	 /* 127 */ 
182,	-46,	 /* 128 */ 
55,	871,	 /* 129 */ 
-1213,	219,	 /* 130 */ 
-629,	-515,	 /* 131 */ 
237,	553,	 /* 132 */ 
-62,	-1148,	 /* 133 */ 
57,	-623,	 /* 134 */ 
276,	-88,	 /* 135 */ 
-973,	232,	 /* 136 */ 
434,	-223,	 /* 137 */ 
-1473,	-531,	 /* 138 */ 
924,	-934,	 /* 139 */ 
-16,	-646,	 /* 140 */ 
663,	-583,	 /* 141 */ 
-795,	950,	 /* 142 */ 
413,	-572,	 /* 143 */ 
24,	155,	 /* 144 */ 
-683,	661,	 /* 145 */ 
578,	-870,	 /* 146 */ 
-1019,	-1221,	 /* 147 */ 
629,	55,	 /* 148 */ 
547,	-466,	 /* 149 */ 
-324,	-40,	 /* 150 */ 
46,	123,	 /* 151 */ 
500,	12,	 /* 152 */ 
467,	-362,	 /* 153 */ 
1123,	51,	 /* 154 */ 
-137,	-896,	 /* 155 */ 
211,	-1,	 /* 156 */ 
-17,	-206,	 /* 157 */ 
-770,	-698,	 /* 158 */ 
-512,	44,	 /* 159 */ 
-981,	682,	 /* 160 */ 
1036,	-702,	 /* 161 */ 
-973,	1039,	 /* 162 */ 
1521,	1288,	 /* 163 */ 
539,	-348,	 /* 164 */ 
-248,	4,	 /* 165 */ 
357,	257,	 /* 166 */ 
-270,	271,	 /* 167 */ 
882,	-821,	 /* 168 */ 
374,	-23,	 /* 169 */ 
582,	-1,	 /* 170 */ 
-32,	755,	 /* 171 */ 
13,	-500,	 /* 172 */ 
-372,	-376,	 /* 173 */ 
-679,	1398,	 /* 174 */ 
718,	-77,	 /* 175 */ 
-391,	16,	 /* 176 */ 
9,	119,	 /* 177 */ 
611,	688,	 /* 178 */ 
-490,	726,	 /* 179 */ 
-252,	148,	 /* 180 */ 
-37,	-578,	 /* 181 */ 
-921,	-606,	 /* 182 */ 
-246,	636,	 /* 183 */ 
-538,	-541,	 /* 184 */ 
360,	-1288,	 /* 185 */ 
-654,	787,	 /* 186 */ 
501,	-211,	 /* 187 */ 
1114,	54,	 /* 188 */ 
201,	122,	 /* 189 */ 
-576,	-722,	 /* 190 */ 
977,	200,	 /* 191 */ 
372,	354,	 /* 192 */ 
-1327,	654,	 /* 193 */ 
226,	234,	 /* 194 */ 
785,	-1335,	 /* 195 */ 
551,	-113,	 /* 196 */ 
-540,	254,	 /* 197 */ 
-427,	155,	 /* 198 */ 
-229,	646,	 /* 199 */ 
-143,	373,	 /* 200 */ 
-413,	177,	 /* 201 */ 
700,	421,	 /* 202 */ 
-179,	889,	 /* 203 */ 
-356,	-761,	 /* 204 */ 
-10,	-912,	 /* 205 */ 
246,	-284,	 /* 206 */ 
77,	148,	 /* 207 */ 
-95,	-174,	 /* 208 */ 
-64,	-686,	 /* 209 */ 
145,	981,	 /* 210 */ 
-481,	1857,	 /* 211 */ 
-203,	-79,	 /* 212 */ 
518,	-281,	 /* 213 */ 
32,	858,	 /* 214 */ 
67,	427,	 /* 215 */ 
-511,	100,	 /* 216 */ 
-546,	235,	 /* 217 */ 
273,	-772,	 /* 218 */ 
1069,	259,	 /* 219 */ 
815,	34,	 /* 220 */ 
-491,	-916,	 /* 221 */ 
-238,	761,	 /* 222 */ 
-238,	986,	 /* 223 */ 
-279,	934,	 /* 224 */ 
1142,	140,	 /* 225 */ 
241,	-1017,	 /* 226 */ 
-448,	-687,	 /* 227 */ 
-518,	330,	 /* 228 */ 
-13,	-973,	 /* 229 */ 
151,	1095,	 /* 230 */ 
-917,	-502,	 /* 231 */ 
1163,	-860,	 /* 232 */ 
113,	887,	 /* 233 */ 
424,	-588,	 /* 234 */ 
1169,	452,	 /* 235 */ 
-887,	-1058,	 /* 236 */ 
517,	-1380,	 /* 237 */ 
-88,	138,	 /* 238 */ 
-404,	221,	 /* 239 */ 
-448,	-388,	 /* 240 */ 
305,	-39,	 /* 241 */ 
-777,	-824,	 /* 242 */ 
1155,	109,	 /* 243 */ 
-732,	11,	 /* 244 */ 
525,	315,	 /* 245 */ 
-425,	-439,	 /* 246 */ 
-655,	126,	 /* 247 */ 
172,	-760,	 /* 248 */ 
-1043,	1258,	 /* 249 */ 
61,	-27,	 /* 250 */ 
69,	325,	 /* 251 */ 
-103,	-657,	 /* 252 */ 
-378,	-522,	 /* 253 */ 
-527,	1125,	 /* 254 */ 
675,	205,	 /* 255 */ 
833,	989,	 /* 256 */ 
-254,	-1430,	 /* 257 */ 
-399,	49,	 /* 258 */ 
-253,	-1391,	 /* 259 */ 
-45,	51,	 /* 260 */ 
791,	-849,	 /* 261 */ 
417,	-279,	 /* 262 */ 
295,	-333,	 /* 263 */ 
885,	404,	 /* 264 */ 
-576,	23,	 /* 265 */ 
338,	407,	 /* 266 */ 
-548,	381,	 /* 267 */ 
13,	1124,	 /* 268 */ 
-1093,	618,	 /* 269 */ 
301,	-574,	 /* 270 */ 
28,	158,	 /* 271 */ 
-298,	-56,	 /* 272 */ 
-93,	-37,	 /* 273 */ 
-515,	-507,	 /* 274 */ 
710,	-587,	 /* 275 */ 
-373,	-810,	 /* 276 */ 
-417,	-635,	 /* 277 */ 
-188,	215,	 /* 278 */ 
233,	516,	 /* 279 */ 
771,	-353,	 /* 280 */ 
-444,	-373,	 /* 281 */ 
1064,	550,	 /* 282 */ 
616,	-85,	 /* 283 */ 
946,	-114,	 /* 284 */ 
-407,	421,	 /* 285 */ 
-1624,	426,	 /* 286 */ 
637,	853,	 /* 287 */ 
53,	642,	 /* 288 */ 
128,	-758,	 /* 289 */ 
431,	-760,	 /* 290 */ 
219,	406,	 /* 291 */ 
-128,	143,	 /* 292 */ 
-1296,	360,	 /* 293 */ 
370,	665,	 /* 294 */ 
-373,	-1315,	 /* 295 */ 
-27,	781,	 /* 296 */ 
35,	-12,	 /* 297 */ 
225,	307,	 /* 298 */ 
321,	-405,	 /* 299 */ 
-548,	266,	 /* 300 */ 
239,	1125,	 /* 301 */ 
1251,	-131,	 /* 302 */ 
1038,	29,	 /* 303 */ 
970,	-266,	 /* 304 */ 
272,	-474,	 /* 305 */ 
514,	-411,	 /* 306 */ 
-82,	-917,	 /* 307 */ 
271,	448,	 /* 308 */ 
1065,	44,	 /* 309 */ 
507,	174,	 /* 310 */ 
-386,	264,	 /* 311 */ 
810,	353,	 /* 312 */ 
326,	767,	 /* 313 */ 
293,	-319,	 /* 314 */ 
-504,	781,	 /* 315 */ 
839,	269,	 /* 316 */ 
-80,	-1242,	 /* 317 */ 
-343,	-856,	 /* 318 */ 
-71,	-239,	 /* 319 */ 
1271,	-370,	 /* 320 */ 
-91,	-31,	 /* 321 */ 
890,	-284,	 /* 322 */ 
98,	-650,	 /* 323 */ 
-308,	-498,	 /* 324 */ 
-725,	-426,	 /* 325 */ 
158,	-454,	 /* 326 */ 
-304,	606,	 /* 327 */ 
-988,	739,	 /* 328 */ 
426,	-372,	 /* 329 */ 
1181,	-563,	 /* 330 */ 
-593,	707,	 /* 331 */ 
543,	178,	 /* 332 */ 
-1068,	357,	 /* 333 */ 
182,	221,	 /* 334 */ 
-187,	-357,	 /* 335 */ 
606,	-707,	 /* 336 */ 
42,	718,	 /* 337 */ 
381,	362,	 /* 338 */ 
662,	-233,	 /* 339 */ 
1637,	875,	 /* 340 */ 
-802,	33,	 /* 341 */ 
83,	273,	 /* 342 */ 
-908,	76,	 /* 343 */ 
-378,	1159,	 /* 344 */ 
1063,	-422,	 /* 345 */ 
-1356,	698,	 /* 346 */ 
291,	930,	 /* 347 */ 
697,	-1386,	 /* 348 */ 
-786,	438,	 /* 349 */ 
422,	981,	 /* 350 */ 
-206,	328,	 /* 351 */ 
329,	-208,	 /* 352 */ 
126,	989,	 /* 353 */ 
-428,	-610,	 /* 354 */ 
978,	315,	 /* 355 */ 
-387,	376,	 /* 356 */ 
1262,	-42,	 /* 357 */ 
429,	-153,	 /* 358 */ 
-639,	-299,	 /* 359 */ 
-600,	-1424,	 /* 360 */ 
326,	-1081,	 /* 361 */ 
-79,	247,	 /* 362 */ 
531,	-929,	 /* 363 */ 
-190,	-316,	 /* 364 */ 
-55,	536,	 /* 365 */ 
-505,	-416,	 /* 366 */ 
352,	-1320,	 /* 367 */ 
-1112,	-951,	 /* 368 */ 
-904,	922,	 /* 369 */ 
-626,	-661,	 /* 370 */ 
-61,	866,	 /* 371 */ 
306,	548,	 /* 372 */ 
199,	237,	 /* 373 */ 
381,	390,	 /* 374 */ 
-534,	-384,	 /* 375 */ 
-521,	-540,	 /* 376 */ 
1002,	924,	 /* 377 */ 
-252,	454,	 /* 378 */ 
790,	1707,	 /* 379 */ 
-1120,	604,	 /* 380 */ 
459,	695,	 /* 381 */ 
-848,	689,	 /* 382 */ 
717,	-706,	 /* 383 */ 
783,	-351,	 /* 384 */ 
-742,	-666,	 /* 385 */ 
-519,	673,	 /* 386 */ 
59,	-581,	 /* 387 */ 
54,	155,	 /* 388 */ 
-25,	182,	 /* 389 */ 
481,	-417,	 /* 390 */ 
-538,	-153,	 /* 391 */ 
452,	-60,	 /* 392 */ 
-862,	362,	 /* 393 */ 
-209,	-612,	 /* 394 */ 
436,	-615,	 /* 395 */ 
1207,	-1516,	 /* 396 */ 
-348,	-545,	 /* 397 */ 
-178,	416,	 /* 398 */ 
-176,	-384,	 /* 399 */ 
749,	-757,	 /* 400 */ 
497,	58,	 /* 401 */ 
342,	387,	 /* 402 */ 
244,	469,	 /* 403 */ 
765,	-600,	 /* 404 */ 
91,	125,	 /* 405 */ 
496,	-83,	 /* 406 */ 
136,	299,	 /* 407 */ 
820,	-79,	 /* 408 */ 
1014,	-573,	 /* 409 */ 
714,	-211,	 /* 410 */ 
1183,	1177,	 /* 411 */ 
1067,	590,	 /* 412 */ 
-195,	-416,	 /* 413 */ 
573,	-228,	 /* 414 */ 
-163,	474,	 /* 415 */ 
-160,	501,	 /* 416 */ 
69,	117,	 /* 417 */ 
-50,	1088,	 /* 418 */ 
286,	570,	 /* 419 */ 
-15,	-459,	 /* 420 */ 
-140,	-585,	 /* 421 */ 
788,	536,	 /* 422 */ 
128,	958,	 /* 423 */ 
-1496,	-159,	 /* 424 */ 
312,	294,	 /* 425 */ 
-356,	-430,	 /* 426 */ 
-224,	-103,	 /* 427 */ 
143,	-253,	 /* 428 */ 
-220,	172,	 /* 429 */ 
125,	-433,	 /* 430 */ 
-763,	-236,	 /* 431 */ 
-133,	124,	 /* 432 */ 
768,	190,	 /* 433 */ 
318,	-706,	 /* 434 */ 
-400,	-529,	 /* 435 */ 
911,	768,	 /* 436 */ 
-410,	-47,	 /* 437 */ 
-91,	299,	 /* 438 */ 
-327,	-1129,	 /* 439 */ 
296,	300,	 /* 440 */ 
-171,	85,	 /* 441 */ 
176,	-539,	 /* 442 */ 
-10,	-259,	 /* 443 */ 
-569,	980,	 /* 444 */ 
-360,	785,	 /* 445 */ 
-8,	99,	 /* 446 */ 
-377,	317,	 /* 447 */ 
-101,	740,	 /* 448 */ 
343,	716,	 /* 449 */ 
-529,	632,	 /* 450 */ 
151,	-429,	 /* 451 */ 
144,	459,	 /* 452 */ 
-1127,	-350,	 /* 453 */ 
25,	145,	 /* 454 */ 
703,	197,	 /* 455 */ 
882,	36,	 /* 456 */ 
-570,	-93,	 /* 457 */ 
-611,	655,	 /* 458 */ 
962,	293,	 /* 459 */ 
-87,	584,	 /* 460 */ 
891,	-39,	 /* 461 */ 
819,	-763,	 /* 462 */ 
395,	323,	 /* 463 */ 
355,	485,	 /* 464 */ 
388,	-1009,	 /* 465 */ 
204,	413,	 /* 466 */ 
250,	13,	 /* 467 */ 
-37,	-520,	 /* 468 */ 
212,	-357,	 /* 469 */ 
90,	55,	 /* 470 */ 
-686,	-88,	 /* 471 */ 
147,	-359,	 /* 472 */ 
490,	741,	 /* 473 */ 
-1774,	8,	 /* 474 */ 
387,	-316,	 /* 475 */ 
-20,	-81,	 /* 476 */ 
-634,	632,	 /* 477 */ 
-251,	-137,	 /* 478 */ 
454,	249,	 /* 479 */ 
-528,	-233,	 /* 480 */ 
256,	-759,	 /* 481 */ 
-471,	-439,	 /* 482 */ 
385,	570,	 /* 483 */ 
-662,	415,	 /* 484 */ 
-84,	-373,	 /* 485 */ 
-38,	96,	 /* 486 */ 
-1070,	-48,	 /* 487 */ 
1627,	-113,	 /* 488 */ 
51,	-1,	 /* 489 */ 
380,	820,	 /* 490 */ 
-177,	116,	 /* 491 */ 
-294,	1054,	 /* 492 */ 
570,	-821,	 /* 493 */ 
588,	643,	 /* 494 */ 
267,	-1045,	 /* 495 */ 
-527,	1311,	 /* 496 */ 
165,	654,	 /* 497 */ 
-878,	-297,	 /* 498 */ 
328,	-81,	 /* 499 */ 
615,	-92,	 /* 500 */ 
-196,	658,	 /* 501 */ 
125,	-1063,	 /* 502 */ 
-424,	-496,	 /* 503 */ 
58,	-353,	 /* 504 */ 
126,	-898,	 /* 505 */ 
243,	-32,	 /* 506 */ 
-180,	730,	 /* 507 */ 
-94,	366,	 /* 508 */ 
-256,	-214,	 /* 509 */ 
184,	36,	 /* 510 */ 
-108,	752,	 /* 511 */ 
};

DATA error;

