/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Test for cfft: rand */
#define NX 1024
#define FNAME "t8"
#define MAXERROR 1030
#pragma DATA_SECTION (x_br,".input")
#pragma DATA_ALIGN (x_br, 2048)
DATA x_br[2*NX]  ;

#pragma DATA_SECTION (scratch,".input")
#pragma DATA_ALIGN (scratch, 2048)
DATA scratch[2*NX]   ;
#pragma DATA_SECTION (x,".input")

DATA x[2*NX] ={
85,	-3,	/* 0 */ 
120,	47,	/* 1 */ 
-94,	-36,	/* 2 */ 
-64,	-26,	/* 3 */ 
104,	3,	/* 4 */ 
45,	-117,	/* 5 */ 
31,	125,	/* 6 */ 
3,	-49,	/* 7 */ 
-128,	-63,	/* 8 */ 
-70,	28,	/* 9 */ 
122,	-14,	/* 10 */ 
92,	-21,	/* 11 */ 
-125,	-23,	/* 12 */ 
-4,	54,	/* 13 */ 
-22,	-102,	/* 14 */ 
69,	-31,	/* 15 */ 
-4,	64,	/* 16 */ 
5,	-90,	/* 17 */ 
72,	41,	/* 18 */ 
23,	-68,	/* 19 */ 
-96,	58,	/* 20 */ 
-100,	-62,	/* 21 */ 
41,	-8,	/* 22 */ 
127,	91,	/* 23 */ 
-40,	85,	/* 24 */ 
-83,	-7,	/* 25 */ 
-111,	-41,	/* 26 */ 
-49,	10,	/* 27 */ 
-43,	15,	/* 28 */ 
-32,	108,	/* 29 */ 
115,	-58,	/* 30 */ 
56,	-53,	/* 31 */ 
71,	28,	/* 32 */ 
30,	99,	/* 33 */ 
38,	54,	/* 34 */ 
65,	-77,	/* 35 */ 
-91,	-101,	/* 36 */ 
25,	60,	/* 37 */ 
102,	67,	/* 38 */ 
-84,	-57,	/* 39 */ 
81,	88,	/* 40 */ 
-111,	31,	/* 41 */ 
116,	31,	/* 42 */ 
-47,	116,	/* 43 */ 
-127,	-53,	/* 44 */ 
66,	33,	/* 45 */ 
-49,	8,	/* 46 */ 
55,	95,	/* 47 */ 
-108,	21,	/* 48 */ 
88,	26,	/* 49 */ 
55,	-4,	/* 50 */ 
94,	113,	/* 51 */ 
95,	-40,	/* 52 */ 
66,	-77,	/* 53 */ 
43,	-103,	/* 54 */ 
102,	38,	/* 55 */ 
82,	27,	/* 56 */ 
85,	79,	/* 57 */ 
35,	-10,	/* 58 */ 
-89,	-104,	/* 59 */ 
72,	-102,	/* 60 */ 
59,	95,	/* 61 */ 
16,	-113,	/* 62 */ 
57,	88,	/* 63 */ 
-67,	-12,	/* 64 */ 
-3,	-65,	/* 65 */ 
-20,	125,	/* 66 */ 
75,	16,	/* 67 */ 
67,	-72,	/* 68 */ 
-67,	96,	/* 69 */ 
34,	58,	/* 70 */ 
-69,	90,	/* 71 */ 
29,	-83,	/* 72 */ 
-60,	10,	/* 73 */ 
125,	-8,	/* 74 */ 
66,	59,	/* 75 */ 
-5,	123,	/* 76 */ 
113,	42,	/* 77 */ 
-36,	46,	/* 78 */ 
-107,	96,	/* 79 */ 
114,	1,	/* 80 */ 
48,	-9,	/* 81 */ 
29,	-66,	/* 82 */ 
101,	16,	/* 83 */ 
-125,	66,	/* 84 */ 
-51,	-40,	/* 85 */ 
119,	-14,	/* 86 */ 
-102,	4,	/* 87 */ 
24,	-88,	/* 88 */ 
-8,	123,	/* 89 */ 
55,	-52,	/* 90 */ 
91,	-89,	/* 91 */ 
-81,	111,	/* 92 */ 
-10,	44,	/* 93 */ 
103,	-19,	/* 94 */ 
-123,	85,	/* 95 */ 
66,	-85,	/* 96 */ 
75,	-16,	/* 97 */ 
-48,	64,	/* 98 */ 
-68,	29,	/* 99 */ 
-2,	-63,	/* 100 */ 
47,	-39,	/* 101 */ 
113,	28,	/* 102 */ 
-16,	-42,	/* 103 */ 
-1,	34,	/* 104 */ 
-103,	4,	/* 105 */ 
13,	5,	/* 106 */ 
-17,	32,	/* 107 */ 
-82,	114,	/* 108 */ 
-89,	-71,	/* 109 */ 
111,	126,	/* 110 */ 
-94,	96,	/* 111 */ 
127,	32,	/* 112 */ 
48,	-74,	/* 113 */ 
118,	106,	/* 114 */ 
70,	-94,	/* 115 */ 
-128,	119,	/* 116 */ 
-45,	30,	/* 117 */ 
11,	36,	/* 118 */ 
-50,	-125,	/* 119 */ 
44,	74,	/* 120 */ 
-40,	102,	/* 121 */ 
123,	-128,	/* 122 */ 
-38,	4,	/* 123 */ 
-123,	31,	/* 124 */ 
80,	-61,	/* 125 */ 
123,	-26,	/* 126 */ 
-49,	122,	/* 127 */ 
-31,	-51,	/* 128 */ 
63,	17,	/* 129 */ 
-15,	-73,	/* 130 */ 
-103,	-94,	/* 131 */ 
126,	122,	/* 132 */ 
9,	-74,	/* 133 */ 
-94,	-94,	/* 134 */ 
-95,	-115,	/* 135 */ 
93,	-61,	/* 136 */ 
53,	65,	/* 137 */ 
127,	-17,	/* 138 */ 
80,	1,	/* 139 */ 
72,	-2,	/* 140 */ 
67,	-104,	/* 141 */ 
103,	120,	/* 142 */ 
-102,	-20,	/* 143 */ 
-74,	-59,	/* 144 */ 
89,	111,	/* 145 */ 
62,	-72,	/* 146 */ 
-25,	-80,	/* 147 */ 
-50,	-57,	/* 148 */ 
-7,	44,	/* 149 */ 
-91,	25,	/* 150 */ 
-2,	-29,	/* 151 */ 
7,	111,	/* 152 */ 
2,	83,	/* 153 */ 
-70,	-115,	/* 154 */ 
111,	83,	/* 155 */ 
4,	-29,	/* 156 */ 
-11,	-14,	/* 157 */ 
70,	-126,	/* 158 */ 
59,	-57,	/* 159 */ 
26,	-54,	/* 160 */ 
-114,	-18,	/* 161 */ 
-110,	51,	/* 162 */ 
34,	-126,	/* 163 */ 
96,	-68,	/* 164 */ 
-19,	-26,	/* 165 */ 
53,	-106,	/* 166 */ 
-111,	98,	/* 167 */ 
-124,	-17,	/* 168 */ 
2,	-49,	/* 169 */ 
94,	83,	/* 170 */ 
76,	47,	/* 171 */ 
76,	7,	/* 172 */ 
-78,	-83,	/* 173 */ 
54,	101,	/* 174 */ 
-73,	79,	/* 175 */ 
73,	-29,	/* 176 */ 
-84,	-6,	/* 177 */ 
-76,	27,	/* 178 */ 
-10,	38,	/* 179 */ 
-109,	67,	/* 180 */ 
24,	-14,	/* 181 */ 
-80,	36,	/* 182 */ 
111,	-57,	/* 183 */ 
-50,	-15,	/* 184 */ 
-10,	-65,	/* 185 */ 
84,	-90,	/* 186 */ 
-52,	-76,	/* 187 */ 
53,	106,	/* 188 */ 
-109,	21,	/* 189 */ 
64,	49,	/* 190 */ 
-8,	91,	/* 191 */ 
113,	-4,	/* 192 */ 
-125,	-41,	/* 193 */ 
-115,	-21,	/* 194 */ 
61,	-98,	/* 195 */ 
34,	4,	/* 196 */ 
110,	120,	/* 197 */ 
-10,	-44,	/* 198 */ 
3,	-42,	/* 199 */ 
-20,	77,	/* 200 */ 
-22,	-88,	/* 201 */ 
-29,	-88,	/* 202 */ 
91,	-87,	/* 203 */ 
82,	106,	/* 204 */ 
105,	70,	/* 205 */ 
86,	-18,	/* 206 */ 
94,	-62,	/* 207 */ 
70,	31,	/* 208 */ 
-18,	124,	/* 209 */ 
-17,	35,	/* 210 */ 
-71,	-69,	/* 211 */ 
-125,	72,	/* 212 */ 
-32,	-128,	/* 213 */ 
86,	76,	/* 214 */ 
-55,	-75,	/* 215 */ 
-56,	-77,	/* 216 */ 
-45,	122,	/* 217 */ 
-7,	31,	/* 218 */ 
-71,	-114,	/* 219 */ 
118,	-92,	/* 220 */ 
-50,	-24,	/* 221 */ 
71,	71,	/* 222 */ 
101,	-87,	/* 223 */ 
-64,	-122,	/* 224 */ 
-91,	89,	/* 225 */ 
-41,	-64,	/* 226 */ 
59,	-27,	/* 227 */ 
-120,	47,	/* 228 */ 
11,	94,	/* 229 */ 
14,	46,	/* 230 */ 
43,	-93,	/* 231 */ 
21,	19,	/* 232 */ 
47,	47,	/* 233 */ 
68,	-48,	/* 234 */ 
101,	3,	/* 235 */ 
119,	-14,	/* 236 */ 
103,	5,	/* 237 */ 
-83,	-35,	/* 238 */ 
122,	38,	/* 239 */ 
101,	95,	/* 240 */ 
-121,	94,	/* 241 */ 
-56,	7,	/* 242 */ 
-80,	117,	/* 243 */ 
27,	23,	/* 244 */ 
-75,	-123,	/* 245 */ 
127,	-82,	/* 246 */ 
-124,	-9,	/* 247 */ 
-16,	29,	/* 248 */ 
-91,	-93,	/* 249 */ 
31,	-74,	/* 250 */ 
65,	125,	/* 251 */ 
-57,	-44,	/* 252 */ 
6,	-19,	/* 253 */ 
-49,	-91,	/* 254 */ 
-82,	11,	/* 255 */ 
71,	-105,	/* 256 */ 
79,	-17,	/* 257 */ 
57,	-107,	/* 258 */ 
-117,	14,	/* 259 */ 
29,	-124,	/* 260 */ 
-43,	36,	/* 261 */ 
21,	-28,	/* 262 */ 
105,	-45,	/* 263 */ 
0,	-61,	/* 264 */ 
-22,	2,	/* 265 */ 
76,	-12,	/* 266 */ 
99,	79,	/* 267 */ 
3,	-9,	/* 268 */ 
-29,	4,	/* 269 */ 
110,	-77,	/* 270 */ 
-56,	20,	/* 271 */ 
69,	25,	/* 272 */ 
58,	40,	/* 273 */ 
106,	20,	/* 274 */ 
-101,	67,	/* 275 */ 
99,	-87,	/* 276 */ 
24,	86,	/* 277 */ 
-125,	127,	/* 278 */ 
-67,	40,	/* 279 */ 
-97,	-97,	/* 280 */ 
97,	22,	/* 281 */ 
80,	-91,	/* 282 */ 
67,	115,	/* 283 */ 
79,	61,	/* 284 */ 
46,	95,	/* 285 */ 
31,	-86,	/* 286 */ 
-34,	-7,	/* 287 */ 
-77,	-40,	/* 288 */ 
-58,	-52,	/* 289 */ 
-5,	-118,	/* 290 */ 
-26,	-31,	/* 291 */ 
51,	-95,	/* 292 */ 
-46,	-92,	/* 293 */ 
-116,	-31,	/* 294 */ 
71,	35,	/* 295 */ 
13,	71,	/* 296 */ 
-111,	-19,	/* 297 */ 
-1,	-85,	/* 298 */ 
86,	-35,	/* 299 */ 
-10,	122,	/* 300 */ 
71,	-11,	/* 301 */ 
-3,	95,	/* 302 */ 
50,	-90,	/* 303 */ 
124,	-15,	/* 304 */ 
-38,	107,	/* 305 */ 
31,	122,	/* 306 */ 
4,	-10,	/* 307 */ 
80,	-40,	/* 308 */ 
-3,	-75,	/* 309 */ 
59,	-48,	/* 310 */ 
53,	101,	/* 311 */ 
85,	-110,	/* 312 */ 
-126,	-65,	/* 313 */ 
-116,	-123,	/* 314 */ 
0,	127,	/* 315 */ 
-54,	-103,	/* 316 */ 
-125,	107,	/* 317 */ 
75,	-94,	/* 318 */ 
-111,	-76,	/* 319 */ 
-49,	-86,	/* 320 */ 
-41,	70,	/* 321 */ 
81,	15,	/* 322 */ 
-127,	42,	/* 323 */ 
-2,	95,	/* 324 */ 
29,	28,	/* 325 */ 
-33,	112,	/* 326 */ 
-78,	-55,	/* 327 */ 
101,	67,	/* 328 */ 
124,	-90,	/* 329 */ 
107,	30,	/* 330 */ 
-28,	31,	/* 331 */ 
41,	78,	/* 332 */ 
10,	-47,	/* 333 */ 
-74,	-39,	/* 334 */ 
-50,	-64,	/* 335 */ 
-125,	107,	/* 336 */ 
-127,	52,	/* 337 */ 
124,	52,	/* 338 */ 
79,	-90,	/* 339 */ 
69,	52,	/* 340 */ 
103,	-110,	/* 341 */ 
-97,	-115,	/* 342 */ 
-104,	6,	/* 343 */ 
13,	38,	/* 344 */ 
-127,	-69,	/* 345 */ 
-96,	-93,	/* 346 */ 
-114,	-68,	/* 347 */ 
67,	95,	/* 348 */ 
-110,	92,	/* 349 */ 
55,	38,	/* 350 */ 
-93,	95,	/* 351 */ 
29,	118,	/* 352 */ 
-8,	114,	/* 353 */ 
2,	98,	/* 354 */ 
-40,	9,	/* 355 */ 
-107,	80,	/* 356 */ 
-63,	-66,	/* 357 */ 
6,	-35,	/* 358 */ 
-93,	45,	/* 359 */ 
-98,	-78,	/* 360 */ 
0,	-79,	/* 361 */ 
-55,	12,	/* 362 */ 
-100,	-124,	/* 363 */ 
0,	-87,	/* 364 */ 
-32,	9,	/* 365 */ 
-59,	-19,	/* 366 */ 
116,	-24,	/* 367 */ 
-11,	85,	/* 368 */ 
-66,	-79,	/* 369 */ 
84,	46,	/* 370 */ 
-51,	107,	/* 371 */ 
-120,	-117,	/* 372 */ 
124,	97,	/* 373 */ 
-6,	-20,	/* 374 */ 
26,	-12,	/* 375 */ 
4,	30,	/* 376 */ 
122,	62,	/* 377 */ 
-65,	126,	/* 378 */ 
43,	109,	/* 379 */ 
-91,	-124,	/* 380 */ 
-25,	-31,	/* 381 */ 
-92,	40,	/* 382 */ 
-40,	-121,	/* 383 */ 
12,	28,	/* 384 */ 
-118,	6,	/* 385 */ 
-69,	31,	/* 386 */ 
-26,	-93,	/* 387 */ 
-98,	-13,	/* 388 */ 
-15,	-24,	/* 389 */ 
-115,	104,	/* 390 */ 
127,	-26,	/* 391 */ 
49,	-80,	/* 392 */ 
29,	81,	/* 393 */ 
29,	-20,	/* 394 */ 
84,	-30,	/* 395 */ 
122,	55,	/* 396 */ 
-17,	26,	/* 397 */ 
88,	-108,	/* 398 */ 
-27,	-95,	/* 399 */ 
-21,	-34,	/* 400 */ 
100,	15,	/* 401 */ 
-40,	61,	/* 402 */ 
78,	123,	/* 403 */ 
126,	-4,	/* 404 */ 
71,	-128,	/* 405 */ 
90,	72,	/* 406 */ 
41,	-40,	/* 407 */ 
-59,	-53,	/* 408 */ 
-67,	84,	/* 409 */ 
-19,	-103,	/* 410 */ 
24,	-33,	/* 411 */ 
-21,	35,	/* 412 */ 
68,	-120,	/* 413 */ 
-122,	-47,	/* 414 */ 
49,	118,	/* 415 */ 
64,	42,	/* 416 */ 
116,	-106,	/* 417 */ 
-29,	-63,	/* 418 */ 
-114,	-92,	/* 419 */ 
-32,	-58,	/* 420 */ 
40,	70,	/* 421 */ 
51,	53,	/* 422 */ 
-105,	26,	/* 423 */ 
114,	-118,	/* 424 */ 
8,	88,	/* 425 */ 
105,	-70,	/* 426 */ 
-49,	-2,	/* 427 */ 
57,	-121,	/* 428 */ 
-30,	37,	/* 429 */ 
102,	-26,	/* 430 */ 
-111,	68,	/* 431 */ 
-61,	-30,	/* 432 */ 
31,	100,	/* 433 */ 
46,	-24,	/* 434 */ 
60,	-32,	/* 435 */ 
110,	-106,	/* 436 */ 
29,	123,	/* 437 */ 
61,	107,	/* 438 */ 
34,	-10,	/* 439 */ 
-85,	15,	/* 440 */ 
-59,	-2,	/* 441 */ 
79,	126,	/* 442 */ 
-25,	-122,	/* 443 */ 
40,	-62,	/* 444 */ 
-55,	-45,	/* 445 */ 
118,	-97,	/* 446 */ 
19,	62,	/* 447 */ 
119,	33,	/* 448 */ 
3,	-78,	/* 449 */ 
93,	-10,	/* 450 */ 
-71,	-60,	/* 451 */ 
-66,	-128,	/* 452 */ 
102,	-99,	/* 453 */ 
53,	15,	/* 454 */ 
121,	100,	/* 455 */ 
-11,	102,	/* 456 */ 
61,	51,	/* 457 */ 
43,	-69,	/* 458 */ 
-121,	7,	/* 459 */ 
-39,	78,	/* 460 */ 
-107,	51,	/* 461 */ 
-113,	-128,	/* 462 */ 
66,	-56,	/* 463 */ 
32,	-85,	/* 464 */ 
7,	-76,	/* 465 */ 
125,	-104,	/* 466 */ 
-51,	-119,	/* 467 */ 
-82,	-28,	/* 468 */ 
17,	-69,	/* 469 */ 
-9,	-100,	/* 470 */ 
-28,	-18,	/* 471 */ 
-121,	-56,	/* 472 */ 
-41,	90,	/* 473 */ 
121,	-120,	/* 474 */ 
19,	123,	/* 475 */ 
69,	116,	/* 476 */ 
32,	123,	/* 477 */ 
59,	81,	/* 478 */ 
-90,	-117,	/* 479 */ 
-22,	-54,	/* 480 */ 
-111,	56,	/* 481 */ 
98,	-102,	/* 482 */ 
84,	111,	/* 483 */ 
-48,	-11,	/* 484 */ 
101,	124,	/* 485 */ 
64,	-23,	/* 486 */ 
-89,	79,	/* 487 */ 
55,	-116,	/* 488 */ 
87,	29,	/* 489 */ 
72,	-25,	/* 490 */ 
127,	26,	/* 491 */ 
22,	-69,	/* 492 */ 
-36,	84,	/* 493 */ 
-33,	-111,	/* 494 */ 
124,	-69,	/* 495 */ 
99,	-4,	/* 496 */ 
-81,	115,	/* 497 */ 
-66,	-111,	/* 498 */ 
-65,	-15,	/* 499 */ 
-84,	-75,	/* 500 */ 
-43,	78,	/* 501 */ 
-25,	1,	/* 502 */ 
31,	68,	/* 503 */ 
101,	-72,	/* 504 */ 
45,	76,	/* 505 */ 
-95,	-119,	/* 506 */ 
-7,	59,	/* 507 */ 
119,	116,	/* 508 */ 
-1,	-43,	/* 509 */ 
-27,	-45,	/* 510 */ 
124,	15,	/* 511 */ 
68,	58,	/* 512 */ 
123,	-51,	/* 513 */ 
-67,	81,	/* 514 */ 
-9,	79,	/* 515 */ 
-119,	-4,	/* 516 */ 
60,	-18,	/* 517 */ 
89,	-93,	/* 518 */ 
4,	19,	/* 519 */ 
-92,	-77,	/* 520 */ 
70,	-22,	/* 521 */ 
-14,	-76,	/* 522 */ 
-86,	47,	/* 523 */ 
-63,	84,	/* 524 */ 
58,	-56,	/* 525 */ 
-113,	-33,	/* 526 */ 
-99,	14,	/* 527 */ 
80,	-42,	/* 528 */ 
-10,	103,	/* 529 */ 
104,	-68,	/* 530 */ 
101,	-25,	/* 531 */ 
-76,	-45,	/* 532 */ 
95,	-27,	/* 533 */ 
-68,	-57,	/* 534 */ 
47,	36,	/* 535 */ 
117,	-54,	/* 536 */ 
-19,	119,	/* 537 */ 
-84,	-25,	/* 538 */ 
-27,	-75,	/* 539 */ 
43,	-122,	/* 540 */ 
-4,	67,	/* 541 */ 
-31,	-16,	/* 542 */ 
16,	-104,	/* 543 */ 
-3,	-128,	/* 544 */ 
-89,	-74,	/* 545 */ 
38,	73,	/* 546 */ 
58,	81,	/* 547 */ 
-128,	-91,	/* 548 */ 
104,	34,	/* 549 */ 
41,	21,	/* 550 */ 
-116,	-76,	/* 551 */ 
-13,	52,	/* 552 */ 
-86,	127,	/* 553 */ 
-8,	82,	/* 554 */ 
82,	68,	/* 555 */ 
89,	-29,	/* 556 */ 
118,	-127,	/* 557 */ 
80,	-19,	/* 558 */ 
-61,	-45,	/* 559 */ 
-76,	73,	/* 560 */ 
110,	-17,	/* 561 */ 
-28,	53,	/* 562 */ 
-113,	115,	/* 563 */ 
-117,	53,	/* 564 */ 
-127,	-93,	/* 565 */ 
81,	-46,	/* 566 */ 
106,	73,	/* 567 */ 
61,	-55,	/* 568 */ 
-76,	76,	/* 569 */ 
-69,	-74,	/* 570 */ 
102,	-30,	/* 571 */ 
73,	110,	/* 572 */ 
-82,	123,	/* 573 */ 
1,	64,	/* 574 */ 
-113,	30,	/* 575 */ 
-94,	-114,	/* 576 */ 
-123,	-42,	/* 577 */ 
94,	-67,	/* 578 */ 
29,	8,	/* 579 */ 
-42,	45,	/* 580 */ 
47,	-72,	/* 581 */ 
-73,	41,	/* 582 */ 
-69,	-98,	/* 583 */ 
-15,	90,	/* 584 */ 
-43,	-86,	/* 585 */ 
-60,	29,	/* 586 */ 
65,	34,	/* 587 */ 
-22,	68,	/* 588 */ 
115,	11,	/* 589 */ 
86,	-24,	/* 590 */ 
101,	-74,	/* 591 */ 
-63,	32,	/* 592 */ 
5,	84,	/* 593 */ 
-42,	67,	/* 594 */ 
39,	67,	/* 595 */ 
-27,	51,	/* 596 */ 
-103,	81,	/* 597 */ 
-10,	-80,	/* 598 */ 
14,	-78,	/* 599 */ 
-51,	-74,	/* 600 */ 
33,	68,	/* 601 */ 
6,	105,	/* 602 */ 
-49,	-69,	/* 603 */ 
-10,	-40,	/* 604 */ 
-95,	50,	/* 605 */ 
66,	-124,	/* 606 */ 
-94,	14,	/* 607 */ 
-18,	27,	/* 608 */ 
91,	-13,	/* 609 */ 
-9,	-121,	/* 610 */ 
-55,	125,	/* 611 */ 
-112,	-118,	/* 612 */ 
40,	-116,	/* 613 */ 
33,	-99,	/* 614 */ 
59,	-49,	/* 615 */ 
116,	53,	/* 616 */ 
-34,	-97,	/* 617 */ 
-111,	3,	/* 618 */ 
94,	-104,	/* 619 */ 
-53,	49,	/* 620 */ 
13,	-58,	/* 621 */ 
72,	-10,	/* 622 */ 
-111,	36,	/* 623 */ 
34,	-119,	/* 624 */ 
-118,	101,	/* 625 */ 
-122,	119,	/* 626 */ 
56,	-79,	/* 627 */ 
98,	-89,	/* 628 */ 
111,	-73,	/* 629 */ 
108,	14,	/* 630 */ 
65,	99,	/* 631 */ 
-32,	-47,	/* 632 */ 
85,	-13,	/* 633 */ 
47,	-13,	/* 634 */ 
14,	22,	/* 635 */ 
-106,	54,	/* 636 */ 
14,	54,	/* 637 */ 
45,	-63,	/* 638 */ 
-19,	-99,	/* 639 */ 
-87,	-101,	/* 640 */ 
49,	-99,	/* 641 */ 
4,	-39,	/* 642 */ 
76,	58,	/* 643 */ 
71,	-31,	/* 644 */ 
109,	52,	/* 645 */ 
57,	-37,	/* 646 */ 
-104,	-125,	/* 647 */ 
-13,	-86,	/* 648 */ 
121,	93,	/* 649 */ 
120,	14,	/* 650 */ 
37,	-120,	/* 651 */ 
-105,	-86,	/* 652 */ 
69,	-85,	/* 653 */ 
-25,	-104,	/* 654 */ 
-57,	65,	/* 655 */ 
-71,	-66,	/* 656 */ 
-91,	67,	/* 657 */ 
-105,	9,	/* 658 */ 
51,	114,	/* 659 */ 
46,	125,	/* 660 */ 
-11,	-117,	/* 661 */ 
8,	123,	/* 662 */ 
-52,	-47,	/* 663 */ 
-25,	-12,	/* 664 */ 
-89,	55,	/* 665 */ 
74,	110,	/* 666 */ 
-78,	12,	/* 667 */ 
-2,	-98,	/* 668 */ 
-51,	6,	/* 669 */ 
-91,	16,	/* 670 */ 
118,	-80,	/* 671 */ 
60,	-49,	/* 672 */ 
4,	117,	/* 673 */ 
101,	112,	/* 674 */ 
52,	-73,	/* 675 */ 
-27,	78,	/* 676 */ 
36,	-60,	/* 677 */ 
-51,	79,	/* 678 */ 
-107,	-23,	/* 679 */ 
98,	31,	/* 680 */ 
-104,	12,	/* 681 */ 
115,	3,	/* 682 */ 
30,	-123,	/* 683 */ 
66,	-19,	/* 684 */ 
30,	-123,	/* 685 */ 
20,	-122,	/* 686 */ 
-57,	-7,	/* 687 */ 
-103,	6,	/* 688 */ 
56,	116,	/* 689 */ 
87,	70,	/* 690 */ 
82,	-87,	/* 691 */ 
11,	31,	/* 692 */ 
-35,	63,	/* 693 */ 
0,	-89,	/* 694 */ 
-44,	21,	/* 695 */ 
-69,	110,	/* 696 */ 
26,	-8,	/* 697 */ 
-116,	72,	/* 698 */ 
60,	31,	/* 699 */ 
-4,	-117,	/* 700 */ 
124,	-108,	/* 701 */ 
122,	-8,	/* 702 */ 
-92,	-19,	/* 703 */ 
109,	125,	/* 704 */ 
-124,	11,	/* 705 */ 
58,	113,	/* 706 */ 
59,	-101,	/* 707 */ 
-111,	-85,	/* 708 */ 
76,	-34,	/* 709 */ 
-12,	47,	/* 710 */ 
-75,	122,	/* 711 */ 
60,	-115,	/* 712 */ 
19,	-105,	/* 713 */ 
74,	-108,	/* 714 */ 
-107,	45,	/* 715 */ 
-32,	106,	/* 716 */ 
-77,	-110,	/* 717 */ 
37,	23,	/* 718 */ 
-97,	-70,	/* 719 */ 
1,	121,	/* 720 */ 
-101,	-26,	/* 721 */ 
-121,	3,	/* 722 */ 
-116,	2,	/* 723 */ 
-82,	23,	/* 724 */ 
2,	-34,	/* 725 */ 
37,	-100,	/* 726 */ 
2,	27,	/* 727 */ 
25,	7,	/* 728 */ 
-42,	1,	/* 729 */ 
57,	-92,	/* 730 */ 
-98,	-46,	/* 731 */ 
5,	2,	/* 732 */ 
126,	62,	/* 733 */ 
-48,	57,	/* 734 */ 
1,	54,	/* 735 */ 
81,	-21,	/* 736 */ 
-52,	20,	/* 737 */ 
53,	-63,	/* 738 */ 
94,	28,	/* 739 */ 
40,	31,	/* 740 */ 
92,	103,	/* 741 */ 
109,	27,	/* 742 */ 
112,	126,	/* 743 */ 
42,	107,	/* 744 */ 
25,	-127,	/* 745 */ 
-25,	110,	/* 746 */ 
-94,	-67,	/* 747 */ 
-51,	123,	/* 748 */ 
-11,	52,	/* 749 */ 
0,	58,	/* 750 */ 
67,	101,	/* 751 */ 
113,	-16,	/* 752 */ 
38,	123,	/* 753 */ 
114,	72,	/* 754 */ 
-10,	13,	/* 755 */ 
-59,	-78,	/* 756 */ 
-111,	7,	/* 757 */ 
-81,	-103,	/* 758 */ 
-39,	-15,	/* 759 */ 
106,	-49,	/* 760 */ 
-125,	73,	/* 761 */ 
124,	75,	/* 762 */ 
-84,	14,	/* 763 */ 
-25,	51,	/* 764 */ 
-26,	-114,	/* 765 */ 
73,	-52,	/* 766 */ 
1,	-116,	/* 767 */ 
15,	104,	/* 768 */ 
51,	-55,	/* 769 */ 
-55,	92,	/* 770 */ 
124,	-29,	/* 771 */ 
-71,	-15,	/* 772 */ 
0,	-21,	/* 773 */ 
-18,	122,	/* 774 */ 
4,	26,	/* 775 */ 
-116,	-78,	/* 776 */ 
118,	19,	/* 777 */ 
-112,	119,	/* 778 */ 
2,	45,	/* 779 */ 
52,	-123,	/* 780 */ 
31,	-24,	/* 781 */ 
-70,	29,	/* 782 */ 
33,	-61,	/* 783 */ 
-89,	87,	/* 784 */ 
-49,	-54,	/* 785 */ 
38,	-71,	/* 786 */ 
85,	-71,	/* 787 */ 
-124,	-56,	/* 788 */ 
-25,	84,	/* 789 */ 
76,	13,	/* 790 */ 
-88,	1,	/* 791 */ 
-49,	26,	/* 792 */ 
33,	41,	/* 793 */ 
23,	22,	/* 794 */ 
-115,	108,	/* 795 */ 
94,	-1,	/* 796 */ 
58,	86,	/* 797 */ 
-124,	107,	/* 798 */ 
62,	27,	/* 799 */ 
-54,	91,	/* 800 */ 
65,	-76,	/* 801 */ 
-102,	-6,	/* 802 */ 
-70,	-31,	/* 803 */ 
-4,	-20,	/* 804 */ 
95,	-1,	/* 805 */ 
20,	-106,	/* 806 */ 
-21,	21,	/* 807 */ 
80,	-123,	/* 808 */ 
49,	-127,	/* 809 */ 
-16,	13,	/* 810 */ 
-8,	-100,	/* 811 */ 
97,	50,	/* 812 */ 
37,	64,	/* 813 */ 
-91,	-65,	/* 814 */ 
-74,	-65,	/* 815 */ 
-96,	118,	/* 816 */ 
9,	-39,	/* 817 */ 
86,	-7,	/* 818 */ 
-67,	92,	/* 819 */ 
-123,	-100,	/* 820 */ 
-91,	-28,	/* 821 */ 
-7,	90,	/* 822 */ 
96,	61,	/* 823 */ 
92,	67,	/* 824 */ 
126,	-68,	/* 825 */ 
65,	65,	/* 826 */ 
98,	-69,	/* 827 */ 
-34,	-11,	/* 828 */ 
55,	-119,	/* 829 */ 
-55,	6,	/* 830 */ 
74,	-26,	/* 831 */ 
-76,	102,	/* 832 */ 
-18,	-85,	/* 833 */ 
32,	-122,	/* 834 */ 
15,	23,	/* 835 */ 
-65,	17,	/* 836 */ 
40,	21,	/* 837 */ 
-95,	-41,	/* 838 */ 
3,	15,	/* 839 */ 
-58,	-27,	/* 840 */ 
22,	114,	/* 841 */ 
-60,	96,	/* 842 */ 
72,	125,	/* 843 */ 
-90,	-28,	/* 844 */ 
69,	107,	/* 845 */ 
5,	-11,	/* 846 */ 
22,	41,	/* 847 */ 
4,	5,	/* 848 */ 
-93,	123,	/* 849 */ 
-48,	102,	/* 850 */ 
92,	33,	/* 851 */ 
-18,	-40,	/* 852 */ 
-113,	-50,	/* 853 */ 
98,	102,	/* 854 */ 
-63,	-101,	/* 855 */ 
-55,	-53,	/* 856 */ 
-71,	89,	/* 857 */ 
23,	58,	/* 858 */ 
16,	36,	/* 859 */ 
93,	-60,	/* 860 */ 
-72,	58,	/* 861 */ 
-51,	100,	/* 862 */ 
22,	2,	/* 863 */ 
102,	13,	/* 864 */ 
6,	97,	/* 865 */ 
43,	91,	/* 866 */ 
45,	25,	/* 867 */ 
115,	-5,	/* 868 */ 
31,	-125,	/* 869 */ 
-11,	-57,	/* 870 */ 
37,	18,	/* 871 */ 
122,	83,	/* 872 */ 
-21,	52,	/* 873 */ 
121,	-41,	/* 874 */ 
4,	-26,	/* 875 */ 
10,	9,	/* 876 */ 
-31,	-80,	/* 877 */ 
89,	-17,	/* 878 */ 
11,	-24,	/* 879 */ 
80,	-76,	/* 880 */ 
-4,	-53,	/* 881 */ 
-99,	-63,	/* 882 */ 
-92,	-48,	/* 883 */ 
72,	12,	/* 884 */ 
-60,	84,	/* 885 */ 
14,	-52,	/* 886 */ 
-94,	96,	/* 887 */ 
-20,	65,	/* 888 */ 
-114,	-45,	/* 889 */ 
75,	-62,	/* 890 */ 
15,	59,	/* 891 */ 
69,	-17,	/* 892 */ 
126,	-49,	/* 893 */ 
-106,	103,	/* 894 */ 
56,	49,	/* 895 */ 
127,	65,	/* 896 */ 
-101,	-60,	/* 897 */ 
-12,	28,	/* 898 */ 
-94,	-84,	/* 899 */ 
52,	-90,	/* 900 */ 
-50,	47,	/* 901 */ 
-112,	-73,	/* 902 */ 
-84,	67,	/* 903 */ 
-79,	-111,	/* 904 */ 
43,	-67,	/* 905 */ 
-29,	-38,	/* 906 */ 
-111,	27,	/* 907 */ 
46,	-23,	/* 908 */ 
91,	29,	/* 909 */ 
-104,	-18,	/* 910 */ 
-28,	-22,	/* 911 */ 
-32,	55,	/* 912 */ 
3,	96,	/* 913 */ 
100,	-61,	/* 914 */ 
36,	-121,	/* 915 */ 
-76,	36,	/* 916 */ 
-111,	83,	/* 917 */ 
76,	71,	/* 918 */ 
-20,	-7,	/* 919 */ 
100,	87,	/* 920 */ 
125,	-66,	/* 921 */ 
-26,	-34,	/* 922 */ 
-41,	118,	/* 923 */ 
-47,	-8,	/* 924 */ 
-35,	8,	/* 925 */ 
29,	-115,	/* 926 */ 
24,	31,	/* 927 */ 
47,	42,	/* 928 */ 
121,	66,	/* 929 */ 
-57,	44,	/* 930 */ 
-84,	-45,	/* 931 */ 
107,	123,	/* 932 */ 
-62,	3,	/* 933 */ 
-32,	81,	/* 934 */ 
37,	-27,	/* 935 */ 
-47,	-5,	/* 936 */ 
-79,	57,	/* 937 */ 
-69,	20,	/* 938 */ 
-72,	-72,	/* 939 */ 
-108,	-71,	/* 940 */ 
-97,	-38,	/* 941 */ 
9,	36,	/* 942 */ 
48,	36,	/* 943 */ 
56,	-115,	/* 944 */ 
112,	126,	/* 945 */ 
-126,	-29,	/* 946 */ 
20,	-52,	/* 947 */ 
14,	-65,	/* 948 */ 
48,	-116,	/* 949 */ 
66,	13,	/* 950 */ 
83,	35,	/* 951 */ 
7,	-74,	/* 952 */ 
-41,	-71,	/* 953 */ 
-111,	-111,	/* 954 */ 
-61,	12,	/* 955 */ 
126,	-39,	/* 956 */ 
-30,	-113,	/* 957 */ 
73,	37,	/* 958 */ 
94,	121,	/* 959 */ 
-107,	-2,	/* 960 */ 
-5,	-23,	/* 961 */ 
88,	122,	/* 962 */ 
-9,	12,	/* 963 */ 
25,	45,	/* 964 */ 
-75,	2,	/* 965 */ 
4,	84,	/* 966 */ 
-88,	81,	/* 967 */ 
62,	-72,	/* 968 */ 
-3,	-105,	/* 969 */ 
38,	-13,	/* 970 */ 
-118,	68,	/* 971 */ 
-43,	-61,	/* 972 */ 
-18,	113,	/* 973 */ 
-103,	-10,	/* 974 */ 
46,	-3,	/* 975 */ 
-122,	58,	/* 976 */ 
-46,	105,	/* 977 */ 
-115,	13,	/* 978 */ 
-34,	-14,	/* 979 */ 
-30,	65,	/* 980 */ 
-43,	49,	/* 981 */ 
100,	26,	/* 982 */ 
-68,	-97,	/* 983 */ 
-108,	-28,	/* 984 */ 
-51,	45,	/* 985 */ 
-82,	78,	/* 986 */ 
55,	-104,	/* 987 */ 
74,	-58,	/* 988 */ 
-44,	-119,	/* 989 */ 
72,	-12,	/* 990 */ 
70,	8,	/* 991 */ 
-102,	-60,	/* 992 */ 
-44,	-102,	/* 993 */ 
-62,	12,	/* 994 */ 
-29,	111,	/* 995 */ 
101,	-92,	/* 996 */ 
68,	10,	/* 997 */ 
-66,	-76,	/* 998 */ 
-12,	19,	/* 999 */ 
-59,	-64,	/* 1000 */ 
-20,	38,	/* 1001 */ 
50,	-127,	/* 1002 */ 
81,	-126,	/* 1003 */ 
83,	59,	/* 1004 */ 
-25,	-103,	/* 1005 */ 
38,	70,	/* 1006 */ 
-89,	62,	/* 1007 */ 
-41,	-90,	/* 1008 */ 
-124,	-125,	/* 1009 */ 
68,	-115,	/* 1010 */ 
-11,	-30,	/* 1011 */ 
-117,	-16,	/* 1012 */ 
-103,	-119,	/* 1013 */ 
116,	85,	/* 1014 */ 
27,	72,	/* 1015 */ 
-65,	91,	/* 1016 */ 
109,	54,	/* 1017 */ 
-18,	24,	/* 1018 */ 
-116,	64,	/* 1019 */ 
103,	-76,	/* 1020 */ 
122,	-104,	/* 1021 */ 
40,	-72,	/* 1022 */ 
58,	-88,	/* 1023 */ 
};

#pragma DATA_SECTION (rtest,".test")

DATA rtest[2*NX] ={
2573,	-1395,	 /* 0 */ 
-1139,	491,	 /* 1 */ 
617,	-3083,	 /* 2 */ 
649,	-2817,	 /* 3 */ 
3466,	188,	 /* 4 */ 
-30,	-6713,	 /* 5 */ 
1129,	-482,	 /* 6 */ 
1281,	-1098,	 /* 7 */ 
-167,	-3486,	 /* 8 */ 
-2192,	452,	 /* 9 */ 
1534,	-2693,	 /* 10 */ 
2740,	431,	 /* 11 */ 
-801,	2841,	 /* 12 */ 
2096,	-1606,	 /* 13 */ 
866,	685,	 /* 14 */ 
4056,	-566,	 /* 15 */ 
1289,	863,	 /* 16 */ 
-124,	-255,	 /* 17 */ 
1090,	2036,	 /* 18 */ 
2127,	1962,	 /* 19 */ 
-1302,	-370,	 /* 20 */ 
2084,	77,	 /* 21 */ 
172,	4473,	 /* 22 */ 
-3408,	648,	 /* 23 */ 
-4178,	-3067,	 /* 24 */ 
-2660,	-1943,	 /* 25 */ 
-331,	1012,	 /* 26 */ 
-1628,	-2142,	 /* 27 */ 
3038,	-4191,	 /* 28 */ 
-1747,	2544,	 /* 29 */ 
5245,	3445,	 /* 30 */ 
4814,	-2888,	 /* 31 */ 
-672,	-4080,	 /* 32 */ 
285,	3106,	 /* 33 */ 
-2250,	3306,	 /* 34 */ 
985,	-564,	 /* 35 */ 
3648,	1091,	 /* 36 */ 
-3332,	-2837,	 /* 37 */ 
1202,	893,	 /* 38 */ 
2148,	-4359,	 /* 39 */ 
-1708,	2534,	 /* 40 */ 
190,	2059,	 /* 41 */ 
-2575,	-3307,	 /* 42 */ 
460,	1904,	 /* 43 */ 
4071,	340,	 /* 44 */ 
-525,	-626,	 /* 45 */ 
-2951,	365,	 /* 46 */ 
79,	1956,	 /* 47 */ 
-752,	-223,	 /* 48 */ 
-1842,	2627,	 /* 49 */ 
1801,	2449,	 /* 50 */ 
-4466,	-3506,	 /* 51 */ 
4474,	393,	 /* 52 */ 
-1126,	681,	 /* 53 */ 
1920,	2335,	 /* 54 */ 
469,	-619,	 /* 55 */ 
3010,	392,	 /* 56 */ 
811,	-2132,	 /* 57 */ 
-426,	3316,	 /* 58 */ 
258,	-109,	 /* 59 */ 
-503,	-2594,	 /* 60 */ 
4950,	-4026,	 /* 61 */ 
-402,	-3794,	 /* 62 */ 
-451,	1241,	 /* 63 */ 
283,	3475,	 /* 64 */ 
3120,	1920,	 /* 65 */ 
1243,	-3060,	 /* 66 */ 
22,	-939,	 /* 67 */ 
-98,	2673,	 /* 68 */ 
-3646,	202,	 /* 69 */ 
1913,	-1644,	 /* 70 */ 
-2568,	100,	 /* 71 */ 
-2570,	-2205,	 /* 72 */ 
3363,	1232,	 /* 73 */ 
-3749,	-183,	 /* 74 */ 
-1066,	-5262,	 /* 75 */ 
2410,	-950,	 /* 76 */ 
-892,	-519,	 /* 77 */ 
-568,	738,	 /* 78 */ 
3691,	-653,	 /* 79 */ 
-664,	355,	 /* 80 */ 
1743,	2108,	 /* 81 */ 
-426,	-238,	 /* 82 */ 
1662,	-2951,	 /* 83 */ 
-2604,	-591,	 /* 84 */ 
-3297,	-6550,	 /* 85 */ 
1150,	1864,	 /* 86 */ 
884,	-379,	 /* 87 */ 
935,	1435,	 /* 88 */ 
-1636,	1668,	 /* 89 */ 
4476,	2,	 /* 90 */ 
-557,	-1785,	 /* 91 */ 
-408,	-2495,	 /* 92 */ 
390,	630,	 /* 93 */ 
5025,	341,	 /* 94 */ 
1020,	1119,	 /* 95 */ 
1577,	-1497,	 /* 96 */ 
3161,	1117,	 /* 97 */ 
-524,	2127,	 /* 98 */ 
6725,	-950,	 /* 99 */ 
-1755,	-306,	 /* 100 */ 
2989,	-1169,	 /* 101 */ 
1838,	1444,	 /* 102 */ 
-3042,	2265,	 /* 103 */ 
2536,	-1757,	 /* 104 */ 
1033,	1696,	 /* 105 */ 
1283,	-2322,	 /* 106 */ 
-7059,	382,	 /* 107 */ 
6877,	2090,	 /* 108 */ 
2078,	988,	 /* 109 */ 
1582,	154,	 /* 110 */ 
-1359,	1024,	 /* 111 */ 
4793,	-1501,	 /* 112 */ 
-2681,	-3213,	 /* 113 */ 
-1530,	5316,	 /* 114 */ 
2654,	-2094,	 /* 115 */ 
-827,	138,	 /* 116 */ 
1369,	1031,	 /* 117 */ 
-3019,	4418,	 /* 118 */ 
-666,	2797,	 /* 119 */ 
2421,	-1205,	 /* 120 */ 
-1707,	721,	 /* 121 */ 
-3417,	2011,	 /* 122 */ 
-108,	2423,	 /* 123 */ 
3161,	1907,	 /* 124 */ 
286,	1981,	 /* 125 */ 
1278,	1098,	 /* 126 */ 
-553,	-14,	 /* 127 */ 
877,	2914,	 /* 128 */ 
-3110,	3351,	 /* 129 */ 
148,	617,	 /* 130 */ 
91,	1274,	 /* 131 */ 
-2824,	-1415,	 /* 132 */ 
-1361,	2218,	 /* 133 */ 
2613,	-1088,	 /* 134 */ 
-1474,	707,	 /* 135 */ 
2527,	-1172,	 /* 136 */ 
-689,	-3285,	 /* 137 */ 
2774,	-2430,	 /* 138 */ 
-53,	-4778,	 /* 139 */ 
5439,	-481,	 /* 140 */ 
-2232,	4004,	 /* 141 */ 
-1599,	-1765,	 /* 142 */ 
-1075,	1055,	 /* 143 */ 
-3323,	612,	 /* 144 */ 
-1791,	-1159,	 /* 145 */ 
-3871,	1424,	 /* 146 */ 
1416,	-5205,	 /* 147 */ 
5111,	3322,	 /* 148 */ 
1578,	-974,	 /* 149 */ 
2567,	1160,	 /* 150 */ 
1435,	-8,	 /* 151 */ 
2100,	560,	 /* 152 */ 
1179,	1335,	 /* 153 */ 
-3063,	-744,	 /* 154 */ 
2729,	2112,	 /* 155 */ 
-656,	1996,	 /* 156 */ 
-3904,	1401,	 /* 157 */ 
-2332,	558,	 /* 158 */ 
-624,	3548,	 /* 159 */ 
-4614,	3183,	 /* 160 */ 
168,	3898,	 /* 161 */ 
1556,	1233,	 /* 162 */ 
4197,	-265,	 /* 163 */ 
-3679,	616,	 /* 164 */ 
-1394,	10,	 /* 165 */ 
1379,	2953,	 /* 166 */ 
539,	-281,	 /* 167 */ 
4719,	-2374,	 /* 168 */ 
998,	2945,	 /* 169 */ 
-2454,	4469,	 /* 170 */ 
154,	2918,	 /* 171 */ 
3082,	-3129,	 /* 172 */ 
-5518,	2792,	 /* 173 */ 
1781,	-995,	 /* 174 */ 
-2341,	2757,	 /* 175 */ 
-3257,	2554,	 /* 176 */ 
-2618,	-884,	 /* 177 */ 
1924,	1529,	 /* 178 */ 
2605,	1630,	 /* 179 */ 
1346,	3890,	 /* 180 */ 
1854,	-1531,	 /* 181 */ 
2443,	-1479,	 /* 182 */ 
-2610,	-930,	 /* 183 */ 
-582,	1706,	 /* 184 */ 
-873,	1773,	 /* 185 */ 
2686,	392,	 /* 186 */ 
-1896,	2971,	 /* 187 */ 
5789,	-4079,	 /* 188 */ 
-632,	-341,	 /* 189 */ 
464,	-4750,	 /* 190 */ 
-386,	4699,	 /* 191 */ 
4346,	-362,	 /* 192 */ 
-2104,	-1281,	 /* 193 */ 
-1784,	-381,	 /* 194 */ 
674,	1694,	 /* 195 */ 
-2136,	-133,	 /* 196 */ 
249,	-3517,	 /* 197 */ 
-928,	883,	 /* 198 */ 
2821,	-2879,	 /* 199 */ 
1932,	1765,	 /* 200 */ 
-1017,	-1549,	 /* 201 */ 
1711,	928,	 /* 202 */ 
1113,	-1628,	 /* 203 */ 
1089,	-793,	 /* 204 */ 
2363,	-5533,	 /* 205 */ 
-1892,	-2289,	 /* 206 */ 
987,	-2414,	 /* 207 */ 
2407,	2874,	 /* 208 */ 
-2984,	1548,	 /* 209 */ 
-412,	-1876,	 /* 210 */ 
1753,	5072,	 /* 211 */ 
4593,	-4116,	 /* 212 */ 
-1085,	944,	 /* 213 */ 
-3035,	1178,	 /* 214 */ 
2871,	-1337,	 /* 215 */ 
-2374,	4136,	 /* 216 */ 
423,	862,	 /* 217 */ 
4332,	1692,	 /* 218 */ 
46,	1176,	 /* 219 */ 
597,	-797,	 /* 220 */ 
1559,	2046,	 /* 221 */ 
3589,	-771,	 /* 222 */ 
1386,	1181,	 /* 223 */ 
4235,	-1765,	 /* 224 */ 
3422,	1777,	 /* 225 */ 
732,	-4763,	 /* 226 */ 
-595,	-4081,	 /* 227 */ 
-1318,	-3590,	 /* 228 */ 
-424,	3833,	 /* 229 */ 
1274,	-4884,	 /* 230 */ 
644,	-657,	 /* 231 */ 
3171,	-2591,	 /* 232 */ 
3551,	-87,	 /* 233 */ 
-1580,	-437,	 /* 234 */ 
907,	3149,	 /* 235 */ 
-1367,	-206,	 /* 236 */ 
-383,	-4192,	 /* 237 */ 
-2992,	947,	 /* 238 */ 
-375,	1578,	 /* 239 */ 
-2663,	436,	 /* 240 */ 
1570,	-773,	 /* 241 */ 
-226,	-1231,	 /* 242 */ 
-1360,	-2987,	 /* 243 */ 
1024,	-1342,	 /* 244 */ 
-4528,	2941,	 /* 245 */ 
1626,	195,	 /* 246 */ 
-2700,	-1005,	 /* 247 */ 
3119,	-646,	 /* 248 */ 
-3679,	3013,	 /* 249 */ 
-108,	3839,	 /* 250 */ 
-607,	-48,	 /* 251 */ 
-1344,	668,	 /* 252 */ 
-642,	-3156,	 /* 253 */ 
-2284,	-2147,	 /* 254 */ 
-3167,	1094,	 /* 255 */ 
-1831,	-684,	 /* 256 */ 
879,	-123,	 /* 257 */ 
-994,	1462,	 /* 258 */ 
-3812,	378,	 /* 259 */ 
-992,	2998,	 /* 260 */ 
359,	96,	 /* 261 */ 
2375,	-188,	 /* 262 */ 
458,	300,	 /* 263 */ 
-1423,	-2441,	 /* 264 */ 
1272,	1327,	 /* 265 */ 
21,	709,	 /* 266 */ 
183,	-2227,	 /* 267 */ 
-1703,	2069,	 /* 268 */ 
956,	1090,	 /* 269 */ 
3298,	-654,	 /* 270 */ 
745,	-689,	 /* 271 */ 
-3113,	-2090,	 /* 272 */ 
-1719,	-4337,	 /* 273 */ 
2667,	341,	 /* 274 */ 
1871,	-5702,	 /* 275 */ 
-2405,	1975,	 /* 276 */ 
4603,	-49,	 /* 277 */ 
-506,	-4037,	 /* 278 */ 
-5,	-4727,	 /* 279 */ 
-186,	-1609,	 /* 280 */ 
-356,	-553,	 /* 281 */ 
1546,	3197,	 /* 282 */ 
5094,	-825,	 /* 283 */ 
-7,	372,	 /* 284 */ 
964,	-2469,	 /* 285 */ 
-2756,	1645,	 /* 286 */ 
1505,	-414,	 /* 287 */ 
-1854,	-1940,	 /* 288 */ 
1521,	-3067,	 /* 289 */ 
-345,	-229,	 /* 290 */ 
1360,	-2140,	 /* 291 */ 
958,	-1812,	 /* 292 */ 
11,	-4199,	 /* 293 */ 
1820,	-1900,	 /* 294 */ 
1971,	2937,	 /* 295 */ 
2024,	-1929,	 /* 296 */ 
-140,	-4653,	 /* 297 */ 
1621,	-400,	 /* 298 */ 
2547,	-1396,	 /* 299 */ 
105,	697,	 /* 300 */ 
-581,	245,	 /* 301 */ 
2998,	2354,	 /* 302 */ 
4179,	3984,	 /* 303 */ 
-2832,	-507,	 /* 304 */ 
-3712,	-1305,	 /* 305 */ 
825,	3821,	 /* 306 */ 
2459,	224,	 /* 307 */ 
1802,	-928,	 /* 308 */ 
1137,	160,	 /* 309 */ 
1463,	-673,	 /* 310 */ 
716,	2047,	 /* 311 */ 
3082,	-2186,	 /* 312 */ 
-1525,	-2737,	 /* 313 */ 
822,	4221,	 /* 314 */ 
258,	5388,	 /* 315 */ 
97,	2946,	 /* 316 */ 
-1602,	-88,	 /* 317 */ 
870,	69,	 /* 318 */ 
4382,	-7592,	 /* 319 */ 
-989,	2609,	 /* 320 */ 
-806,	-734,	 /* 321 */ 
-5816,	1912,	 /* 322 */ 
1315,	706,	 /* 323 */ 
2641,	6327,	 /* 324 */ 
-1258,	2588,	 /* 325 */ 
2815,	-1015,	 /* 326 */ 
-695,	-9499,	 /* 327 */ 
-1056,	-253,	 /* 328 */ 
892,	1106,	 /* 329 */ 
-1478,	-137,	 /* 330 */ 
-947,	1170,	 /* 331 */ 
-729,	-230,	 /* 332 */ 
1108,	-274,	 /* 333 */ 
2408,	-626,	 /* 334 */ 
645,	-1189,	 /* 335 */ 
2904,	-3077,	 /* 336 */ 
4029,	1943,	 /* 337 */ 
-53,	415,	 /* 338 */ 
1806,	3090,	 /* 339 */ 
-2026,	75,	 /* 340 */ 
217,	-932,	 /* 341 */ 
-2060,	-12,	 /* 342 */ 
3726,	2741,	 /* 343 */ 
1994,	-1682,	 /* 344 */ 
2984,	3920,	 /* 345 */ 
1801,	785,	 /* 346 */ 
-3356,	1133,	 /* 347 */ 
-1309,	-2688,	 /* 348 */ 
3225,	5390,	 /* 349 */ 
-5995,	403,	 /* 350 */ 
15,	-3459,	 /* 351 */ 
-3833,	1938,	 /* 352 */ 
-6464,	-143,	 /* 353 */ 
-456,	3997,	 /* 354 */ 
-1828,	-1457,	 /* 355 */ 
-51,	1004,	 /* 356 */ 
4273,	1971,	 /* 357 */ 
2455,	-1369,	 /* 358 */ 
504,	2147,	 /* 359 */ 
3990,	-2571,	 /* 360 */ 
-114,	-4603,	 /* 361 */ 
-1168,	2404,	 /* 362 */ 
1667,	-2087,	 /* 363 */ 
-679,	-1938,	 /* 364 */ 
-1529,	1287,	 /* 365 */ 
-2135,	-1451,	 /* 366 */ 
270,	2190,	 /* 367 */ 
-1429,	2100,	 /* 368 */ 
918,	243,	 /* 369 */ 
-4550,	-752,	 /* 370 */ 
3544,	-2159,	 /* 371 */ 
-1095,	-5364,	 /* 372 */ 
2642,	2694,	 /* 373 */ 
2850,	-1191,	 /* 374 */ 
-1977,	344,	 /* 375 */ 
144,	-1185,	 /* 376 */ 
-985,	-2626,	 /* 377 */ 
-21,	1851,	 /* 378 */ 
-4049,	1747,	 /* 379 */ 
-2237,	4583,	 /* 380 */ 
-2873,	492,	 /* 381 */ 
4124,	951,	 /* 382 */ 
-961,	-23,	 /* 383 */ 
4229,	-1827,	 /* 384 */ 
-2724,	-3088,	 /* 385 */ 
-4693,	-5944,	 /* 386 */ 
-389,	209,	 /* 387 */ 
1565,	2248,	 /* 388 */ 
-305,	-525,	 /* 389 */ 
3316,	402,	 /* 390 */ 
2046,	3804,	 /* 391 */ 
3315,	1236,	 /* 392 */ 
2718,	1186,	 /* 393 */ 
389,	-4316,	 /* 394 */ 
-952,	-3495,	 /* 395 */ 
-487,	-2027,	 /* 396 */ 
3041,	-3098,	 /* 397 */ 
834,	288,	 /* 398 */ 
-2509,	-7,	 /* 399 */ 
-781,	606,	 /* 400 */ 
2465,	3661,	 /* 401 */ 
-4241,	1340,	 /* 402 */ 
-504,	3810,	 /* 403 */ 
-25,	-538,	 /* 404 */ 
1288,	5257,	 /* 405 */ 
85,	1119,	 /* 406 */ 
4752,	-486,	 /* 407 */ 
-2587,	17,	 /* 408 */ 
2624,	-830,	 /* 409 */ 
335,	1533,	 /* 410 */ 
784,	556,	 /* 411 */ 
3913,	-1699,	 /* 412 */ 
1167,	-3737,	 /* 413 */ 
1576,	-2539,	 /* 414 */ 
-410,	207,	 /* 415 */ 
-352,	1299,	 /* 416 */ 
-4092,	1399,	 /* 417 */ 
-68,	-1505,	 /* 418 */ 
1545,	-1131,	 /* 419 */ 
-1565,	-2411,	 /* 420 */ 
538,	-2923,	 /* 421 */ 
-1900,	-2211,	 /* 422 */ 
186,	997,	 /* 423 */ 
-1418,	5869,	 /* 424 */ 
-561,	-2996,	 /* 425 */ 
-1180,	1346,	 /* 426 */ 
-1727,	-2084,	 /* 427 */ 
-4340,	-84,	 /* 428 */ 
1201,	-450,	 /* 429 */ 
-3374,	-2478,	 /* 430 */ 
-2654,	-563,	 /* 431 */ 
527,	-434,	 /* 432 */ 
-4036,	-653,	 /* 433 */ 
-1202,	888,	 /* 434 */ 
-2402,	456,	 /* 435 */ 
795,	-309,	 /* 436 */ 
4608,	-5055,	 /* 437 */ 
5291,	-2619,	 /* 438 */ 
-3027,	555,	 /* 439 */ 
-377,	-1082,	 /* 440 */ 
4357,	1301,	 /* 441 */ 
1123,	-18,	 /* 442 */ 
-219,	-4315,	 /* 443 */ 
-816,	618,	 /* 444 */ 
-2236,	-934,	 /* 445 */ 
715,	-14,	 /* 446 */ 
-2702,	1452,	 /* 447 */ 
-2069,	-697,	 /* 448 */ 
-4861,	182,	 /* 449 */ 
-4894,	-689,	 /* 450 */ 
-1092,	-6,	 /* 451 */ 
3251,	1729,	 /* 452 */ 
1018,	-74,	 /* 453 */ 
973,	1178,	 /* 454 */ 
1082,	-224,	 /* 455 */ 
1366,	5774,	 /* 456 */ 
-1001,	-1056,	 /* 457 */ 
-187,	4109,	 /* 458 */ 
1975,	3028,	 /* 459 */ 
-1988,	-4385,	 /* 460 */ 
441,	3764,	 /* 461 */ 
-948,	-987,	 /* 462 */ 
3842,	-1407,	 /* 463 */ 
2362,	4836,	 /* 464 */ 
-3138,	3278,	 /* 465 */ 
-2084,	-12,	 /* 466 */ 
-2884,	-89,	 /* 467 */ 
-1254,	1503,	 /* 468 */ 
1504,	-1757,	 /* 469 */ 
-643,	-1035,	 /* 470 */ 
-482,	-2593,	 /* 471 */ 
-6548,	-2161,	 /* 472 */ 
560,	-622,	 /* 473 */ 
287,	809,	 /* 474 */ 
1474,	1772,	 /* 475 */ 
2685,	-4693,	 /* 476 */ 
-3514,	278,	 /* 477 */ 
3725,	1952,	 /* 478 */ 
2605,	222,	 /* 479 */ 
-1434,	-2208,	 /* 480 */ 
445,	320,	 /* 481 */ 
296,	4078,	 /* 482 */ 
1697,	740,	 /* 483 */ 
-3480,	-751,	 /* 484 */ 
2487,	-1165,	 /* 485 */ 
1133,	1159,	 /* 486 */ 
-3541,	-2231,	 /* 487 */ 
1572,	382,	 /* 488 */ 
2412,	-3200,	 /* 489 */ 
-2966,	-2062,	 /* 490 */ 
-696,	-1358,	 /* 491 */ 
1466,	962,	 /* 492 */ 
-1856,	-1670,	 /* 493 */ 
-1831,	2098,	 /* 494 */ 
1527,	-458,	 /* 495 */ 
-1649,	-1464,	 /* 496 */ 
2418,	-1835,	 /* 497 */ 
-1418,	-1479,	 /* 498 */ 
-196,	2011,	 /* 499 */ 
-945,	1038,	 /* 500 */ 
-3238,	50,	 /* 501 */ 
-2595,	2285,	 /* 502 */ 
3476,	2503,	 /* 503 */ 
-826,	-4248,	 /* 504 */ 
4741,	80,	 /* 505 */ 
-1845,	2021,	 /* 506 */ 
269,	4121,	 /* 507 */ 
-949,	-4455,	 /* 508 */ 
-334,	2339,	 /* 509 */ 
-2669,	-3221,	 /* 510 */ 
3409,	4930,	 /* 511 */ 
4284,	-3161,	 /* 512 */ 
-911,	-383,	 /* 513 */ 
70,	-3347,	 /* 514 */ 
1592,	2315,	 /* 515 */ 
-2016,	-1193,	 /* 516 */ 
-8238,	242,	 /* 517 */ 
841,	2035,	 /* 518 */ 
3754,	92,	 /* 519 */ 
-2130,	1212,	 /* 520 */ 
1348,	7303,	 /* 521 */ 
-895,	629,	 /* 522 */ 
1476,	1450,	 /* 523 */ 
3372,	-899,	 /* 524 */ 
-624,	-4116,	 /* 525 */ 
715,	116,	 /* 526 */ 
558,	1411,	 /* 527 */ 
-1023,	3699,	 /* 528 */ 
-2107,	-3473,	 /* 529 */ 
682,	2119,	 /* 530 */ 
4372,	-2652,	 /* 531 */ 
1383,	3590,	 /* 532 */ 
-2322,	3861,	 /* 533 */ 
-3087,	-1841,	 /* 534 */ 
2449,	1179,	 /* 535 */ 
-1318,	1708,	 /* 536 */ 
-595,	1644,	 /* 537 */ 
-1294,	114,	 /* 538 */ 
-4004,	-838,	 /* 539 */ 
405,	5460,	 /* 540 */ 
1180,	-3983,	 /* 541 */ 
3340,	550,	 /* 542 */ 
2197,	-363,	 /* 543 */ 
2767,	331,	 /* 544 */ 
-5085,	-2127,	 /* 545 */ 
-2917,	-2361,	 /* 546 */ 
2066,	-623,	 /* 547 */ 
-1246,	-153,	 /* 548 */ 
-2366,	4841,	 /* 549 */ 
357,	-2453,	 /* 550 */ 
1843,	-6562,	 /* 551 */ 
-3865,	1539,	 /* 552 */ 
-965,	-876,	 /* 553 */ 
-1789,	-2142,	 /* 554 */ 
1688,	-3301,	 /* 555 */ 
-445,	1410,	 /* 556 */ 
-1275,	-803,	 /* 557 */ 
2245,	-976,	 /* 558 */ 
2272,	676,	 /* 559 */ 
1894,	3178,	 /* 560 */ 
-2570,	-715,	 /* 561 */ 
-139,	-897,	 /* 562 */ 
2234,	439,	 /* 563 */ 
-2548,	1015,	 /* 564 */ 
2919,	820,	 /* 565 */ 
3477,	828,	 /* 566 */ 
2784,	1321,	 /* 567 */ 
215,	611,	 /* 568 */ 
1690,	-262,	 /* 569 */ 
531,	1574,	 /* 570 */ 
2530,	-1019,	 /* 571 */ 
169,	469,	 /* 572 */ 
-3569,	-2727,	 /* 573 */ 
207,	-487,	 /* 574 */ 
-231,	2040,	 /* 575 */ 
816,	2807,	 /* 576 */ 
-932,	-5781,	 /* 577 */ 
-518,	996,	 /* 578 */ 
4823,	-406,	 /* 579 */ 
-2803,	2069,	 /* 580 */ 
-3364,	-1272,	 /* 581 */ 
3455,	2126,	 /* 582 */ 
2817,	-780,	 /* 583 */ 
-107,	-1490,	 /* 584 */ 
-51,	-1996,	 /* 585 */ 
-1365,	302,	 /* 586 */ 
2708,	-2284,	 /* 587 */ 
4750,	-3670,	 /* 588 */ 
2425,	2935,	 /* 589 */ 
-3566,	367,	 /* 590 */ 
-1045,	265,	 /* 591 */ 
2275,	-2854,	 /* 592 */ 
-3465,	1299,	 /* 593 */ 
354,	190,	 /* 594 */ 
2705,	-1833,	 /* 595 */ 
-468,	-1520,	 /* 596 */ 
-1952,	-1949,	 /* 597 */ 
-963,	-2230,	 /* 598 */ 
1738,	-101,	 /* 599 */ 
-1932,	1612,	 /* 600 */ 
-1145,	-5265,	 /* 601 */ 
1180,	4159,	 /* 602 */ 
-2800,	1216,	 /* 603 */ 
-2003,	-127,	 /* 604 */ 
2516,	1214,	 /* 605 */ 
-2729,	-758,	 /* 606 */ 
158,	-763,	 /* 607 */ 
1624,	5071,	 /* 608 */ 
710,	-151,	 /* 609 */ 
1389,	2747,	 /* 610 */ 
40,	-386,	 /* 611 */ 
-2883,	3889,	 /* 612 */ 
15,	470,	 /* 613 */ 
-272,	350,	 /* 614 */ 
4526,	845,	 /* 615 */ 
-1812,	-3552,	 /* 616 */ 
647,	-4022,	 /* 617 */ 
-1464,	2536,	 /* 618 */ 
-2410,	2278,	 /* 619 */ 
-1129,	413,	 /* 620 */ 
-176,	2219,	 /* 621 */ 
338,	-679,	 /* 622 */ 
-2275,	995,	 /* 623 */ 
863,	-2072,	 /* 624 */ 
-2773,	-1976,	 /* 625 */ 
-1548,	153,	 /* 626 */ 
-1741,	2190,	 /* 627 */ 
-1624,	3808,	 /* 628 */ 
1367,	-3771,	 /* 629 */ 
2202,	142,	 /* 630 */ 
-2864,	-1620,	 /* 631 */ 
-2324,	-1556,	 /* 632 */ 
-1040,	972,	 /* 633 */ 
360,	784,	 /* 634 */ 
-1210,	3022,	 /* 635 */ 
-3883,	2207,	 /* 636 */ 
1046,	2938,	 /* 637 */ 
-1170,	3784,	 /* 638 */ 
-898,	-1050,	 /* 639 */ 
1823,	-2564,	 /* 640 */ 
-2478,	1992,	 /* 641 */ 
-1008,	-3649,	 /* 642 */ 
101,	-3343,	 /* 643 */ 
901,	-1714,	 /* 644 */ 
-3186,	1483,	 /* 645 */ 
448,	-4102,	 /* 646 */ 
-718,	-1628,	 /* 647 */ 
-984,	1645,	 /* 648 */ 
1651,	-298,	 /* 649 */ 
-954,	390,	 /* 650 */ 
-807,	1460,	 /* 651 */ 
1405,	-1685,	 /* 652 */ 
-1495,	752,	 /* 653 */ 
-3917,	-4979,	 /* 654 */ 
1857,	-5174,	 /* 655 */ 
-361,	1788,	 /* 656 */ 
1719,	-1977,	 /* 657 */ 
-4334,	-3636,	 /* 658 */ 
1396,	4124,	 /* 659 */ 
-2224,	1479,	 /* 660 */ 
2095,	-760,	 /* 661 */ 
-3180,	640,	 /* 662 */ 
-856,	-271,	 /* 663 */ 
-1075,	2533,	 /* 664 */ 
-2294,	1293,	 /* 665 */ 
-1072,	2750,	 /* 666 */ 
542,	-3828,	 /* 667 */ 
-719,	-165,	 /* 668 */ 
-1851,	3797,	 /* 669 */ 
-78,	2723,	 /* 670 */ 
-3977,	907,	 /* 671 */ 
-1372,	-1574,	 /* 672 */ 
-1109,	-927,	 /* 673 */ 
476,	-2104,	 /* 674 */ 
-2485,	413,	 /* 675 */ 
2298,	1581,	 /* 676 */ 
-1064,	-2102,	 /* 677 */ 
-2342,	-2294,	 /* 678 */ 
3177,	-1737,	 /* 679 */ 
-3600,	1131,	 /* 680 */ 
-2741,	3738,	 /* 681 */ 
-47,	-151,	 /* 682 */ 
-3418,	1193,	 /* 683 */ 
105,	1397,	 /* 684 */ 
-5927,	-865,	 /* 685 */ 
905,	-815,	 /* 686 */ 
1184,	-3589,	 /* 687 */ 
187,	1532,	 /* 688 */ 
-1064,	1080,	 /* 689 */ 
884,	-443,	 /* 690 */ 
-966,	313,	 /* 691 */ 
1816,	2322,	 /* 692 */ 
1544,	1088,	 /* 693 */ 
1070,	643,	 /* 694 */ 
-1696,	-5918,	 /* 695 */ 
914,	-269,	 /* 696 */ 
1165,	986,	 /* 697 */ 
-393,	-1890,	 /* 698 */ 
-1105,	5255,	 /* 699 */ 
-2615,	-1986,	 /* 700 */ 
-1444,	5472,	 /* 701 */ 
1268,	2640,	 /* 702 */ 
1253,	-185,	 /* 703 */ 
2676,	-1439,	 /* 704 */ 
2020,	-9,	 /* 705 */ 
2423,	-676,	 /* 706 */ 
-532,	-421,	 /* 707 */ 
3561,	-7,	 /* 708 */ 
3620,	-216,	 /* 709 */ 
-4141,	-4459,	 /* 710 */ 
-1857,	3586,	 /* 711 */ 
3864,	817,	 /* 712 */ 
-1829,	1206,	 /* 713 */ 
2177,	2138,	 /* 714 */ 
3263,	4970,	 /* 715 */ 
567,	-46,	 /* 716 */ 
552,	-434,	 /* 717 */ 
-228,	1685,	 /* 718 */ 
-1661,	2895,	 /* 719 */ 
1290,	-264,	 /* 720 */ 
2281,	729,	 /* 721 */ 
2762,	-3740,	 /* 722 */ 
2545,	-1579,	 /* 723 */ 
239,	3681,	 /* 724 */ 
-587,	-880,	 /* 725 */ 
1797,	-260,	 /* 726 */ 
-918,	2045,	 /* 727 */ 
5577,	2799,	 /* 728 */ 
-885,	2950,	 /* 729 */ 
4075,	-2227,	 /* 730 */ 
249,	-383,	 /* 731 */ 
-457,	-3518,	 /* 732 */ 
-1791,	162,	 /* 733 */ 
359,	-2739,	 /* 734 */ 
3796,	787,	 /* 735 */ 
944,	1074,	 /* 736 */ 
2603,	1570,	 /* 737 */ 
1011,	1270,	 /* 738 */ 
2050,	-2783,	 /* 739 */ 
677,	-84,	 /* 740 */ 
-3028,	2394,	 /* 741 */ 
-5736,	-2700,	 /* 742 */ 
2395,	3079,	 /* 743 */ 
-180,	81,	 /* 744 */ 
1231,	-1936,	 /* 745 */ 
-99,	6530,	 /* 746 */ 
20,	1209,	 /* 747 */ 
3721,	454,	 /* 748 */ 
-2714,	-1467,	 /* 749 */ 
-1312,	1068,	 /* 750 */ 
2139,	-1899,	 /* 751 */ 
244,	-2402,	 /* 752 */ 
2778,	1040,	 /* 753 */ 
3777,	1000,	 /* 754 */ 
-939,	415,	 /* 755 */ 
1293,	-1385,	 /* 756 */ 
3095,	-4622,	 /* 757 */ 
897,	954,	 /* 758 */ 
-5466,	2376,	 /* 759 */ 
1012,	2337,	 /* 760 */ 
-773,	78,	 /* 761 */ 
1075,	589,	 /* 762 */ 
-1420,	-4686,	 /* 763 */ 
-144,	160,	 /* 764 */ 
-1755,	-2700,	 /* 765 */ 
-2152,	-3229,	 /* 766 */ 
162,	-2177,	 /* 767 */ 
-3858,	322,	 /* 768 */ 
1803,	113,	 /* 769 */ 
-716,	3207,	 /* 770 */ 
1376,	1467,	 /* 771 */ 
453,	-990,	 /* 772 */ 
-1940,	-1684,	 /* 773 */ 
-503,	-882,	 /* 774 */ 
1663,	1631,	 /* 775 */ 
183,	199,	 /* 776 */ 
-1005,	4017,	 /* 777 */ 
1061,	5486,	 /* 778 */ 
-5301,	1406,	 /* 779 */ 
1465,	-1001,	 /* 780 */ 
3398,	-4783,	 /* 781 */ 
-606,	44,	 /* 782 */ 
-959,	4868,	 /* 783 */ 
4985,	4007,	 /* 784 */ 
112,	307,	 /* 785 */ 
4610,	208,	 /* 786 */ 
-5579,	-1587,	 /* 787 */ 
1931,	3523,	 /* 788 */ 
-2820,	1300,	 /* 789 */ 
-1165,	2600,	 /* 790 */ 
-1640,	-3717,	 /* 791 */ 
-3491,	3241,	 /* 792 */ 
-308,	-1382,	 /* 793 */ 
3171,	-1351,	 /* 794 */ 
988,	90,	 /* 795 */ 
-2581,	-691,	 /* 796 */ 
-1384,	904,	 /* 797 */ 
2229,	-2470,	 /* 798 */ 
-1394,	-2861,	 /* 799 */ 
3816,	-1321,	 /* 800 */ 
612,	1732,	 /* 801 */ 
-979,	3308,	 /* 802 */ 
-3083,	2627,	 /* 803 */ 
-231,	1255,	 /* 804 */ 
2860,	1983,	 /* 805 */ 
4,	3012,	 /* 806 */ 
4058,	1279,	 /* 807 */ 
1521,	2535,	 /* 808 */ 
3545,	528,	 /* 809 */ 
6345,	1843,	 /* 810 */ 
-696,	1025,	 /* 811 */ 
-575,	3506,	 /* 812 */ 
-1366,	1882,	 /* 813 */ 
-482,	-335,	 /* 814 */ 
-238,	306,	 /* 815 */ 
-2973,	-187,	 /* 816 */ 
-4125,	-2006,	 /* 817 */ 
209,	-2289,	 /* 818 */ 
109,	853,	 /* 819 */ 
490,	2760,	 /* 820 */ 
1778,	-1392,	 /* 821 */ 
-789,	1711,	 /* 822 */ 
-1318,	284,	 /* 823 */ 
-207,	-1361,	 /* 824 */ 
1378,	-3558,	 /* 825 */ 
-1485,	-2822,	 /* 826 */ 
4277,	501,	 /* 827 */ 
-1219,	-141,	 /* 828 */ 
-4282,	-785,	 /* 829 */ 
3590,	1023,	 /* 830 */ 
2361,	883,	 /* 831 */ 
-2231,	1375,	 /* 832 */ 
673,	-1640,	 /* 833 */ 
-1061,	-1199,	 /* 834 */ 
-1681,	-1505,	 /* 835 */ 
-1483,	4501,	 /* 836 */ 
2565,	-1335,	 /* 837 */ 
485,	-2362,	 /* 838 */ 
-2781,	2723,	 /* 839 */ 
5585,	1998,	 /* 840 */ 
2831,	4784,	 /* 841 */ 
-2628,	2136,	 /* 842 */ 
1169,	-853,	 /* 843 */ 
1459,	2031,	 /* 844 */ 
-422,	-2579,	 /* 845 */ 
1806,	-651,	 /* 846 */ 
852,	2547,	 /* 847 */ 
-1014,	2826,	 /* 848 */ 
4561,	-1287,	 /* 849 */ 
-3958,	660,	 /* 850 */ 
-2389,	-674,	 /* 851 */ 
-992,	-814,	 /* 852 */ 
-3183,	-5049,	 /* 853 */ 
3717,	999,	 /* 854 */ 
-101,	-2629,	 /* 855 */ 
3735,	-677,	 /* 856 */ 
119,	-289,	 /* 857 */ 
-3456,	-1721,	 /* 858 */ 
-305,	1629,	 /* 859 */ 
1386,	501,	 /* 860 */ 
-1034,	4339,	 /* 861 */ 
1247,	-1993,	 /* 862 */ 
-1791,	-1940,	 /* 863 */ 
1016,	-3092,	 /* 864 */ 
-2858,	-2264,	 /* 865 */ 
-5239,	-1918,	 /* 866 */ 
258,	2474,	 /* 867 */ 
-3241,	-3769,	 /* 868 */ 
4485,	1390,	 /* 869 */ 
-528,	-4507,	 /* 870 */ 
-3147,	2383,	 /* 871 */ 
-4627,	-3021,	 /* 872 */ 
872,	-2527,	 /* 873 */ 
1451,	-2459,	 /* 874 */ 
250,	-710,	 /* 875 */ 
2774,	885,	 /* 876 */ 
-3338,	-251,	 /* 877 */ 
-110,	616,	 /* 878 */ 
602,	1037,	 /* 879 */ 
1801,	-1583,	 /* 880 */ 
-1212,	675,	 /* 881 */ 
2189,	313,	 /* 882 */ 
129,	770,	 /* 883 */ 
-1096,	4793,	 /* 884 */ 
3615,	-1560,	 /* 885 */ 
4265,	-1557,	 /* 886 */ 
-708,	3412,	 /* 887 */ 
-2417,	-311,	 /* 888 */ 
1335,	3647,	 /* 889 */ 
-2390,	1951,	 /* 890 */ 
-4104,	-1093,	 /* 891 */ 
1240,	-3903,	 /* 892 */ 
-4955,	3408,	 /* 893 */ 
1673,	-3557,	 /* 894 */ 
3733,	1219,	 /* 895 */ 
-2551,	1336,	 /* 896 */ 
1251,	473,	 /* 897 */ 
-116,	1566,	 /* 898 */ 
1129,	-2033,	 /* 899 */ 
1405,	-246,	 /* 900 */ 
-141,	-820,	 /* 901 */ 
-3589,	261,	 /* 902 */ 
-1506,	-1765,	 /* 903 */ 
2884,	1102,	 /* 904 */ 
664,	242,	 /* 905 */ 
4452,	-3628,	 /* 906 */ 
135,	-216,	 /* 907 */ 
-637,	283,	 /* 908 */ 
-6407,	-2781,	 /* 909 */ 
2738,	-1788,	 /* 910 */ 
622,	3229,	 /* 911 */ 
498,	2146,	 /* 912 */ 
-1138,	-1727,	 /* 913 */ 
-707,	-164,	 /* 914 */ 
-384,	2321,	 /* 915 */ 
599,	-994,	 /* 916 */ 
-3398,	2803,	 /* 917 */ 
482,	2047,	 /* 918 */ 
-893,	-1123,	 /* 919 */ 
-2509,	1991,	 /* 920 */ 
564,	989,	 /* 921 */ 
-1187,	2086,	 /* 922 */ 
2786,	2774,	 /* 923 */ 
-4893,	-1488,	 /* 924 */ 
4185,	-4652,	 /* 925 */ 
-1971,	280,	 /* 926 */ 
-1734,	2769,	 /* 927 */ 
1754,	-2627,	 /* 928 */ 
-4678,	-69,	 /* 929 */ 
267,	1248,	 /* 930 */ 
670,	-1373,	 /* 931 */ 
-363,	-1927,	 /* 932 */ 
991,	-42,	 /* 933 */ 
2195,	148,	 /* 934 */ 
-768,	1118,	 /* 935 */ 
-893,	-3118,	 /* 936 */ 
558,	733,	 /* 937 */ 
-3519,	-836,	 /* 938 */ 
-2403,	1347,	 /* 939 */ 
883,	432,	 /* 940 */ 
1518,	-4135,	 /* 941 */ 
-2929,	2691,	 /* 942 */ 
-640,	-910,	 /* 943 */ 
-1338,	150,	 /* 944 */ 
3646,	-6,	 /* 945 */ 
299,	-537,	 /* 946 */ 
-2574,	-4185,	 /* 947 */ 
-1291,	4588,	 /* 948 */ 
1522,	976,	 /* 949 */ 
-5563,	-234,	 /* 950 */ 
1398,	-1427,	 /* 951 */ 
2371,	-2584,	 /* 952 */ 
899,	-1369,	 /* 953 */ 
-1630,	-766,	 /* 954 */ 
-565,	-2076,	 /* 955 */ 
270,	-859,	 /* 956 */ 
-3141,	4966,	 /* 957 */ 
1214,	-158,	 /* 958 */ 
2730,	839,	 /* 959 */ 
104,	-1899,	 /* 960 */ 
1153,	-1173,	 /* 961 */ 
-296,	-170,	 /* 962 */ 
-2056,	1938,	 /* 963 */ 
2360,	-3469,	 /* 964 */ 
-2823,	-3113,	 /* 965 */ 
-766,	-1757,	 /* 966 */ 
5157,	-4619,	 /* 967 */ 
-516,	-2083,	 /* 968 */ 
1011,	-2517,	 /* 969 */ 
3258,	898,	 /* 970 */ 
1041,	-3283,	 /* 971 */ 
4732,	-1249,	 /* 972 */ 
614,	-1063,	 /* 973 */ 
-636,	-1317,	 /* 974 */ 
-2814,	-2028,	 /* 975 */ 
-1887,	-3103,	 /* 976 */ 
665,	3168,	 /* 977 */ 
5218,	258,	 /* 978 */ 
-5980,	4248,	 /* 979 */ 
-1100,	3325,	 /* 980 */ 
-1937,	-4363,	 /* 981 */ 
1441,	-4445,	 /* 982 */ 
1339,	4418,	 /* 983 */ 
6405,	2002,	 /* 984 */ 
-940,	-1024,	 /* 985 */ 
2383,	741,	 /* 986 */ 
822,	1234,	 /* 987 */ 
1968,	-1417,	 /* 988 */ 
-1016,	-195,	 /* 989 */ 
1551,	95,	 /* 990 */ 
1944,	-6506,	 /* 991 */ 
1776,	3,	 /* 992 */ 
-349,	3092,	 /* 993 */ 
-333,	-1765,	 /* 994 */ 
585,	17,	 /* 995 */ 
-1964,	3290,	 /* 996 */ 
2028,	-2097,	 /* 997 */ 
2783,	5490,	 /* 998 */ 
3185,	-144,	 /* 999 */ 
-445,	812,	 /* 1000 */ 
989,	1588,	 /* 1001 */ 
-41,	-134,	 /* 1002 */ 
3120,	1434,	 /* 1003 */ 
-340,	-2585,	 /* 1004 */ 
1271,	1072,	 /* 1005 */ 
850,	3457,	 /* 1006 */ 
-4923,	1334,	 /* 1007 */ 
779,	-3632,	 /* 1008 */ 
2304,	-3166,	 /* 1009 */ 
1314,	-1810,	 /* 1010 */ 
235,	-3451,	 /* 1011 */ 
1058,	29,	 /* 1012 */ 
-3126,	2144,	 /* 1013 */ 
346,	-346,	 /* 1014 */ 
-2402,	-1894,	 /* 1015 */ 
2132,	-738,	 /* 1016 */ 
774,	-1496,	 /* 1017 */ 
-3940,	-706,	 /* 1018 */ 
752,	2583,	 /* 1019 */ 
-1716,	-564,	 /* 1020 */ 
-3520,	1871,	 /* 1021 */ 
1054,	614,	 /* 1022 */ 
1202,	2829,	 /* 1023 */ 
};

DATA error;

