/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Test for cfft: rand */
#define NX 1024
#define FNAME "t8"
#define MAXERROR 16
#define SCALING 1
#pragma DATA_SECTION (x_br,".input")
#pragma DATA_ALIGN (x_br, 2048)
DATA x_br[2*NX]  ;

#pragma DATA_SECTION (scratch,".input")
#pragma DATA_ALIGN (scratch, 2048)
DATA scratch[2*NX]   ;
#pragma DATA_SECTION (x,".input")

DATA x[2*NX] ={
-559,	11885,	/* 0 */ 
1062,	-16518,	/* 1 */ 
13279,	7574,	/* 2 */ 
4295,	-12386,	/* 3 */ 
-17590,	10716,	/* 4 */ 
-18375,	-11369,	/* 5 */ 
7669,	-1436,	/* 6 */ 
23403,	16832,	/* 7 */ 
-7243,	15697,	/* 8 */ 
-15252,	-1132,	/* 9 */ 
-20345,	-7527,	/* 10 */ 
-8974,	1987,	/* 11 */ 
-7780,	2895,	/* 12 */ 
-5831,	20019,	/* 13 */ 
21290,	-10622,	/* 14 */ 
10325,	-9622,	/* 15 */ 
13151,	5298,	/* 16 */ 
5539,	18391,	/* 17 */ 
7026,	10096,	/* 18 */ 
12066,	-14054,	/* 19 */ 
-16581,	-18448,	/* 20 */ 
4682,	11206,	/* 21 */ 
18767,	12336,	/* 22 */ 
-15446,	-10407,	/* 23 */ 
15015,	16253,	/* 24 */ 
-20279,	5856,	/* 25 */ 
21454,	5728,	/* 26 */ 
-8600,	21416,	/* 27 */ 
-23296,	-9633,	/* 28 */ 
12238,	6206,	/* 29 */ 
-9008,	1473,	/* 30 */ 
10134,	17474,	/* 31 */ 
-19730,	3976,	/* 32 */ 
16284,	4832,	/* 33 */ 
10281,	-558,	/* 34 */ 
17438,	20840,	/* 35 */ 
17521,	-7226,	/* 36 */ 
12314,	-14139,	/* 37 */ 
7978,	-18922,	/* 38 */ 
18928,	7161,	/* 39 */ 
15134,	4989,	/* 40 */ 
15661,	14645,	/* 41 */ 
6587,	-1801,	/* 42 */ 
-16187,	-19129,	/* 43 */ 
13331,	-18706,	/* 44 */ 
10894,	17634,	/* 45 */ 
3047,	-20681,	/* 46 */ 
10515,	16348,	/* 47 */ 
-12254,	-2161,	/* 48 */ 
-478,	-11856,	/* 49 */ 
-3597,	23003,	/* 50 */ 
13920,	3028,	/* 51 */ 
12401,	-13158,	/* 52 */ 
-12294,	17773,	/* 53 */ 
6361,	10713,	/* 54 */ 
-12640,	16623,	/* 55 */ 
5458,	-15176,	/* 56 */ 
-10900,	1897,	/* 57 */ 
23126,	-1310,	/* 58 */ 
12256,	10941,	/* 59 */ 
-840,	22627,	/* 60 */ 
20960,	7854,	/* 61 */ 
-6557,	8622,	/* 62 */ 
-19568,	17674,	/* 63 */ 
21116,	362,	/* 64 */ 
8984,	-1512,	/* 65 */ 
5438,	-12014,	/* 66 */ 
18596,	3108,	/* 67 */ 
-22951,	12275,	/* 68 */ 
-9374,	-7290,	/* 69 */ 
21896,	-2470,	/* 70 */ 
-18735,	743,	/* 71 */ 
4520,	-16133,	/* 72 */ 
-1461,	22640,	/* 73 */ 
10231,	-9475,	/* 74 */ 
16896,	-16262,	/* 75 */ 
-14803,	20515,	/* 76 */ 
-1772,	8185,	/* 77 */ 
18987,	-3395,	/* 78 */ 
-22500,	15669,	/* 79 */ 
12260,	-15475,	/* 80 */ 
13929,	-2795,	/* 81 */ 
-8765,	11885,	/* 82 */ 
-12438,	5437,	/* 83 */ 
-262,	-11575,	/* 84 */ 
8722,	-7043,	/* 85 */ 
20933,	5320,	/* 86 */ 
-2858,	-7641,	/* 87 */ 
-121,	6402,	/* 88 */ 
-18898,	781,	/* 89 */ 
2562,	919,	/* 90 */ 
-3028,	5953,	/* 91 */ 
-15007,	21148,	/* 92 */ 
-16299,	-13019,	/* 93 */ 
20420,	23288,	/* 94 */ 
-17126,	17768,	/* 95 */ 
23472,	5929,	/* 96 */ 
8974,	-13566,	/* 97 */ 
21706,	19564,	/* 98 */ 
12970,	-17220,	/* 99 */ 
-23507,	22037,	/* 100 */ 
-8218,	5645,	/* 101 */ 
2076,	6627,	/* 102 */ 
-9110,	-22902,	/* 103 */ 
8131,	13631,	/* 104 */ 
-7265,	18811,	/* 105 */ 
22627,	-23439,	/* 106 */ 
-6876,	769,	/* 107 */ 
-22622,	5858,	/* 108 */ 
14724,	-11056,	/* 109 */ 
22731,	-4757,	/* 110 */ 
-8860,	22487,	/* 111 */ 
-5702,	-9242,	/* 112 */ 
11677,	3142,	/* 113 */ 
-2692,	-13366,	/* 114 */ 
-18838,	-17166,	/* 115 */ 
23193,	22534,	/* 116 */ 
1707,	-13450,	/* 117 */ 
-17206,	-17148,	/* 118 */ 
-17359,	-21062,	/* 119 */ 
17137,	-11082,	/* 120 */ 
9805,	12115,	/* 121 */ 
23457,	-3028,	/* 122 */ 
14866,	313,	/* 123 */ 
13288,	-249,	/* 124 */ 
12411,	-19106,	/* 125 */ 
19066,	22185,	/* 126 */ 
-18686,	-3536,	/* 127 */ 
-13574,	-10820,	/* 128 */ 
16529,	20492,	/* 129 */ 
11439,	-13148,	/* 130 */ 
-4470,	-14614,	/* 131 */ 
-9179,	-10330,	/* 132 */ 
-1215,	8194,	/* 133 */ 
-16727,	4623,	/* 134 */ 
-267,	-5234,	/* 135 */ 
1418,	20520,	/* 136 */ 
482,	15392,	/* 137 */ 
-12832,	-21127,	/* 138 */ 
20480,	15428,	/* 139 */ 
832,	-5283,	/* 140 */ 
-1919,	-2555,	/* 141 */ 
13029,	-23109,	/* 142 */ 
11007,	-10350,	/* 143 */ 
4820,	-9793,	/* 144 */ 
-20861,	-3301,	/* 145 */ 
-20151,	9479,	/* 146 */ 
6388,	-23054,	/* 147 */ 
17718,	-12383,	/* 148 */ 
-3415,	-4639,	/* 149 */ 
9811,	-19413,	/* 150 */ 
-20237,	18057,	/* 151 */ 
-22644,	-2990,	/* 152 */ 
391,	-9003,	/* 153 */ 
17392,	15266,	/* 154 */ 
14056,	8827,	/* 155 */ 
14088,	1431,	/* 156 */ 
-14308,	-15180,	/* 157 */ 
10093,	18691,	/* 158 */ 
-13418,	14593,	/* 159 */ 
13489,	-5220,	/* 160 */ 
-15436,	-989,	/* 161 */ 
-13835,	5056,	/* 162 */ 
-1673,	7151,	/* 163 */ 
-20032,	12359,	/* 164 */ 
4547,	-2462,	/* 165 */ 
-14549,	6731,	/* 166 */ 
20471,	-10331,	/* 167 */ 
-9063,	-2671,	/* 168 */ 
-1795,	-11855,	/* 169 */ 
15525,	-16403,	/* 170 */ 
-9410,	-13818,	/* 171 */ 
9869,	19499,	/* 172 */ 
-20029,	3889,	/* 173 */ 
11780,	9100,	/* 174 */ 
-1464,	16784,	/* 175 */ 
20947,	-637,	/* 176 */ 
-22883,	-7405,	/* 177 */ 
-20989,	-3831,	/* 178 */ 
11226,	-17952,	/* 179 */ 
6382,	874,	/* 180 */ 
20290,	22202,	/* 181 */ 
-1839,	-8048,	/* 182 */ 
606,	-7573,	/* 183 */ 
-3556,	14212,	/* 184 */ 
-3959,	-16022,	/* 185 */ 
-5263,	-16044,	/* 186 */ 
16739,	-15836,	/* 187 */ 
15208,	19508,	/* 188 */ 
19487,	12948,	/* 189 */ 
15821,	-3302,	/* 190 */ 
17330,	-11340,	/* 191 */ 
12975,	5762,	/* 192 */ 
-3205,	22846,	/* 193 */ 
-3009,	6446,	/* 194 */ 
-12981,	-12568,	/* 195 */ 
-22920,	13394,	/* 196 */ 
-5840,	-23381,	/* 197 */ 
15939,	14002,	/* 198 */ 
-10064,	-13765,	/* 199 */ 
-10164,	-14147,	/* 200 */ 
-8142,	22485,	/* 201 */ 
-1121,	5794,	/* 202 */ 
-12902,	-20942,	/* 203 */ 
21751,	-16842,	/* 204 */ 
-9113,	-4339,	/* 205 */ 
13132,	13095,	/* 206 */ 
18613,	-15878,	/* 207 */ 
-11596,	-22307,	/* 208 */ 
-16679,	16542,	/* 209 */ 
-7463,	-11633,	/* 210 */ 
10976,	-4937,	/* 211 */ 
-21947,	8817,	/* 212 */ 
2082,	17466,	/* 213 */ 
2751,	8520,	/* 214 */ 
7988,	-16987,	/* 215 */ 
3951,	3624,	/* 216 */ 
8752,	8682,	/* 217 */ 
12522,	-8654,	/* 218 */ 
18722,	557,	/* 219 */ 
21977,	-2538,	/* 220 */ 
19105,	950,	/* 221 */ 
-15133,	-6308,	/* 222 */ 
22527,	7170,	/* 223 */ 
18737,	17493,	/* 224 */ 
-22159,	17324,	/* 225 */ 
-10263,	1403,	/* 226 */ 
-14695,	21625,	/* 227 */ 
5120,	4285,	/* 228 */ 
-13684,	-22444,	/* 229 */ 
23433,	-14961,	/* 230 */ 
-22752,	-1532,	/* 231 */ 
-2843,	5339,	/* 232 */ 
-16555,	-16966,	/* 233 */ 
5717,	-13571,	/* 234 */ 
11976,	23073,	/* 235 */ 
-10330,	-8002,	/* 236 */ 
1279,	-3492,	/* 237 */ 
-8831,	-16655,	/* 238 */ 
-14985,	2153,	/* 239 */ 
13147,	-19211,	/* 240 */ 
14572,	-3063,	/* 241 */ 
10513,	-19601,	/* 242 */ 
-21408,	2585,	/* 243 */ 
5334,	-22702,	/* 244 */ 
-7759,	6784,	/* 245 */ 
3948,	-5073,	/* 246 */ 
19452,	-8163,	/* 247 */ 
59,	-11073,	/* 248 */ 
-3884,	483,	/* 249 */ 
14098,	-2095,	/* 250 */ 
18390,	14612,	/* 251 */ 
628,	-1539,	/* 252 */ 
-5192,	871,	/* 253 */ 
20275,	-13980,	/* 254 */ 
-10230,	3796,	/* 255 */ 
12708,	4599,	/* 256 */ 
10714,	7371,	/* 257 */ 
19520,	3836,	/* 258 */ 
-18545,	12422,	/* 259 */ 
18311,	-15841,	/* 260 */ 
4474,	15995,	/* 261 */ 
-22972,	23367,	/* 262 */ 
-12321,	7539,	/* 263 */ 
-17721,	-17738,	/* 264 */ 
17927,	4102,	/* 265 */ 
14747,	-16656,	/* 266 */ 
12398,	21173,	/* 267 */ 
14613,	11392,	/* 268 */ 
8580,	17542,	/* 269 */ 
5875,	-15792,	/* 270 */ 
-6212,	-1235,	/* 271 */ 
-13994,	-7221,	/* 272 */ 
-10591,	-9506,	/* 273 */ 
-869,	-21649,	/* 274 */ 
-4700,	-5575,	/* 275 */ 
9524,	-17330,	/* 276 */ 
-8411,	-16809,	/* 277 */ 
-21260,	-5558,	/* 278 */ 
13064,	6441,	/* 279 */ 
2514,	13199,	/* 280 */ 
-20351,	-3397,	/* 281 */ 
-181,	-15479,	/* 282 */ 
15824,	-6277,	/* 283 */ 
-1840,	22496,	/* 284 */ 
13183,	-1917,	/* 285 */ 
-389,	17614,	/* 286 */ 
9214,	-16381,	/* 287 */ 
22837,	-2710,	/* 288 */ 
-6913,	19811,	/* 289 */ 
5743,	22617,	/* 290 */ 
748,	-1717,	/* 291 */ 
14832,	-7322,	/* 292 */ 
-515,	-13680,	/* 293 */ 
10897,	-8653,	/* 294 */ 
9914,	18730,	/* 295 */ 
15744,	-20215,	/* 296 */ 
-23027,	-11869,	/* 297 */ 
-21263,	-22606,	/* 298 */ 
59,	23392,	/* 299 */ 
-9808,	-18827,	/* 300 */ 
-22892,	19720,	/* 301 */ 
13850,	-17232,	/* 302 */ 
-20373,	-13887,	/* 303 */ 
-8938,	-15813,	/* 304 */ 
-7533,	13043,	/* 305 */ 
14914,	2831,	/* 306 */ 
-23335,	7773,	/* 307 */ 
-292,	17587,	/* 308 */ 
5341,	5170,	/* 309 */ 
-5929,	20661,	/* 310 */ 
-14205,	-10096,	/* 311 */ 
18600,	12471,	/* 312 */ 
22921,	-16511,	/* 313 */ 
19857,	5620,	/* 314 */ 
-4971,	5800,	/* 315 */ 
7640,	14517,	/* 316 */ 
1888,	-8576,	/* 317 */ 
-13603,	-7130,	/* 318 */ 
-9166,	-11603,	/* 319 */ 
-22910,	19844,	/* 320 */ 
-23326,	9580,	/* 321 */ 
22965,	9709,	/* 322 */ 
14679,	-16450,	/* 323 */ 
12731,	9592,	/* 324 */ 
18987,	-20067,	/* 325 */ 
-17714,	-21068,	/* 326 */ 
-19018,	1112,	/* 327 */ 
2423,	7040,	/* 328 */ 
-23234,	-12553,	/* 329 */ 
-17623,	-16943,	/* 330 */ 
-20915,	-12355,	/* 331 */ 
12367,	17616,	/* 332 */ 
-20179,	16983,	/* 333 */ 
10274,	7137,	/* 334 */ 
-16931,	17615,	/* 335 */ 
5447,	21830,	/* 336 */ 
-1342,	21024,	/* 337 */ 
487,	18188,	/* 338 */ 
-7296,	1773,	/* 339 */ 
-19551,	14744,	/* 340 */ 
-11498,	-12124,	/* 341 */ 
1203,	-6406,	/* 342 */ 
-16925,	8358,	/* 343 */ 
-17869,	-14262,	/* 344 */ 
128,	-14383,	/* 345 */ 
-10080,	2372,	/* 346 */ 
-18270,	-22676,	/* 347 */ 
2,	-15960,	/* 348 */ 
-5749,	1655,	/* 349 */ 
-10803,	-3385,	/* 350 */ 
21501,	-4375,	/* 351 */ 
-1975,	15643,	/* 352 */ 
-12005,	-14469,	/* 353 */ 
15558,	8471,	/* 354 */ 
-9267,	19695,	/* 355 */ 
-21977,	-21366,	/* 356 */ 
22954,	17931,	/* 357 */ 
-953,	-3655,	/* 358 */ 
4874,	-2087,	/* 359 */ 
765,	5526,	/* 360 */ 
22470,	11427,	/* 361 */ 
-11903,	23351,	/* 362 */ 
7918,	20148,	/* 363 */ 
-16633,	-22641,	/* 364 */ 
-4467,	-5592,	/* 365 */ 
-16853,	7391,	/* 366 */ 
-7334,	-22213,	/* 367 */ 
2350,	5250,	/* 368 */ 
-21543,	1127,	/* 369 */ 
-12620,	5787,	/* 370 */ 
-4766,	-16976,	/* 371 */ 
-17859,	-2296,	/* 372 */ 
-2702,	-4277,	/* 373 */ 
-21119,	19253,	/* 374 */ 
23382,	-4655,	/* 375 */ 
9151,	-14561,	/* 376 */ 
5415,	14906,	/* 377 */ 
5515,	-3647,	/* 378 */ 
15524,	-5378,	/* 379 */ 
22565,	10173,	/* 380 */ 
-2946,	4956,	/* 381 */ 
16300,	-19689,	/* 382 */ 
-4846,	-17401,	/* 383 */ 
-3749,	-6221,	/* 384 */ 
18455,	2827,	/* 385 */ 
-7267,	11308,	/* 386 */ 
14520,	22714,	/* 387 */ 
23271,	-670,	/* 388 */ 
13232,	-23523,	/* 389 */ 
16563,	13260,	/* 390 */ 
7561,	-7196,	/* 391 */ 
-10730,	-9610,	/* 392 */ 
-12202,	15608,	/* 393 */ 
-3488,	-18929,	/* 394 */ 
4593,	-5940,	/* 395 */ 
-3765,	6603,	/* 396 */ 
12595,	-21937,	/* 397 */ 
-22332,	-8504,	/* 398 */ 
9076,	21735,	/* 399 */ 
11932,	7834,	/* 400 */ 
21354,	-19469,	/* 401 */ 
-5306,	-11509,	/* 402 */ 
-20897,	-16821,	/* 403 */ 
-5870,	-10486,	/* 404 */ 
7415,	13015,	/* 405 */ 
9499,	9792,	/* 406 */ 
-19269,	4845,	/* 407 */ 
21091,	-21685,	/* 408 */ 
1640,	16275,	/* 409 */ 
19314,	-12725,	/* 410 */ 
-8978,	-233,	/* 411 */ 
10588,	-22126,	/* 412 */ 
-5487,	6965,	/* 413 */ 
18779,	-4688,	/* 414 */ 
-20319,	12594,	/* 415 */ 
-11065,	-5468,	/* 416 */ 
5864,	18428,	/* 417 */ 
8487,	-4342,	/* 418 */ 
11153,	-5799,	/* 419 */ 
20385,	-19377,	/* 420 */ 
5398,	22720,	/* 421 */ 
11219,	19853,	/* 422 */ 
6427,	-1794,	/* 423 */ 
-15531,	2893,	/* 424 */ 
-10719,	-312,	/* 425 */ 
14710,	23257,	/* 426 */ 
-4555,	-22332,	/* 427 */ 
7536,	-11323,	/* 428 */ 
-10073,	-8138,	/* 429 */ 
21722,	-17756,	/* 430 */ 
3604,	11578,	/* 431 */ 
21969,	6090,	/* 432 */ 
655,	-14285,	/* 433 */ 
17148,	-1706,	/* 434 */ 
-12932,	-11020,	/* 435 */ 
-12079,	-23371,	/* 436 */ 
18777,	-18091,	/* 437 */ 
9849,	2773,	/* 438 */ 
22370,	18468,	/* 439 */ 
-1904,	18889,	/* 440 */ 
11383,	9410,	/* 441 */ 
7955,	-12535,	/* 442 */ 
-22147,	1388,	/* 443 */ 
-7046,	14348,	/* 444 */ 
-19677,	9407,	/* 445 */ 
-20677,	-23522,	/* 446 */ 
12245,	-10119,	/* 447 */ 
6018,	-15500,	/* 448 */ 
1434,	-13973,	/* 449 */ 
23035,	-19083,	/* 450 */ 
-9277,	-21720,	/* 451 */ 
-15034,	-5021,	/* 452 */ 
3260,	-12551,	/* 453 */ 
-1574,	-18239,	/* 454 */ 
-5074,	-3133,	/* 455 */ 
-22251,	-10259,	/* 456 */ 
-7464,	16699,	/* 457 */ 
22427,	-21902,	/* 458 */ 
3622,	22711,	/* 459 */ 
12742,	21430,	/* 460 */ 
5951,	22805,	/* 461 */ 
10972,	15009,	/* 462 */ 
-16510,	-21503,	/* 463 */ 
-4019,	-9790,	/* 464 */ 
-20293,	10466,	/* 465 */ 
18088,	-18626,	/* 466 */ 
15630,	20499,	/* 467 */ 
-8701,	-1942,	/* 468 */ 
18740,	22935,	/* 469 */ 
11916,	-4051,	/* 470 */ 
-16359,	14602,	/* 471 */ 
10141,	-21196,	/* 472 */ 
16084,	5468,	/* 473 */ 
13345,	-4568,	/* 474 */ 
23438,	4789,	/* 475 */ 
4054,	-12645,	/* 476 */ 
-6555,	15534,	/* 477 */ 
-5937,	-20277,	/* 478 */ 
22938,	-12594,	/* 479 */ 
18230,	-618,	/* 480 */ 
-14801,	21167,	/* 481 */ 
-12047,	-20343,	/* 482 */ 
-11918,	-2631,	/* 483 */ 
-15358,	-13724,	/* 484 */ 
-7802,	14493,	/* 485 */ 
-4416,	211,	/* 486 */ 
5827,	12638,	/* 487 */ 
18738,	-13071,	/* 488 */ 
8435,	14112,	/* 489 */ 
-17348,	-21739,	/* 490 */ 
-1277,	10919,	/* 491 */ 
22008,	21421,	/* 492 */ 
-59,	-7862,	/* 493 */ 
-4846,	-8124,	/* 494 */ 
22986,	2787,	/* 495 */ 
12633,	10762,	/* 496 */ 
22747,	-9197,	/* 497 */ 
-12276,	14960,	/* 498 */ 
-1576,	14661,	/* 499 */ 
-21877,	-640,	/* 500 */ 
11165,	-3196,	/* 501 */ 
16464,	-16928,	/* 502 */ 
786,	3551,	/* 503 */ 
-16781,	-13981,	/* 504 */ 
13040,	-3879,	/* 505 */ 
-2474,	-13938,	/* 506 */ 
-15751,	8737,	/* 507 */ 
-11461,	15586,	/* 508 */ 
10797,	-10152,	/* 509 */ 
-20655,	-6025,	/* 510 */ 
-18208,	2673,	/* 511 */ 
14813,	-7632,	/* 512 */ 
-1812,	18975,	/* 513 */ 
19246,	-12503,	/* 514 */ 
18659,	-4529,	/* 515 */ 
-13796,	-8188,	/* 516 */ 
17612,	-4936,	/* 517 */ 
-12369,	-10341,	/* 518 */ 
8677,	6696,	/* 519 */ 
21663,	-9837,	/* 520 */ 
-3457,	21936,	/* 521 */ 
-15341,	-4446,	/* 522 */ 
-4832,	-13664,	/* 523 */ 
8047,	-22411,	/* 524 */ 
-704,	12458,	/* 525 */ 
-5528,	-2768,	/* 526 */ 
2990,	-19075,	/* 527 */ 
-477,	-23382,	/* 528 */ 
-16238,	-13489,	/* 529 */ 
7116,	13547,	/* 530 */ 
10687,	15030,	/* 531 */ 
-23368,	-16556,	/* 532 */ 
19262,	6415,	/* 533 */ 
7620,	3924,	/* 534 */ 
-21204,	-13839,	/* 535 */ 
-2250,	9675,	/* 536 */ 
-15815,	23420,	/* 537 */ 
-1381,	15246,	/* 538 */ 
15229,	12635,	/* 539 */ 
16477,	-5209,	/* 540 */ 
21856,	-23342,	/* 541 */ 
14721,	-3322,	/* 542 */ 
-11093,	-8116,	/* 543 */ 
-13826,	13432,	/* 544 */ 
20349,	-3048,	/* 545 */ 
-5022,	9907,	/* 546 */ 
-20605,	21222,	/* 547 */ 
-21479,	9757,	/* 548 */ 
-23252,	-17040,	/* 549 */ 
14930,	-8288,	/* 550 */ 
19547,	13600,	/* 551 */ 
11376,	-9995,	/* 552 */ 
-13945,	14021,	/* 553 */ 
-12514,	-13429,	/* 554 */ 
18761,	-5395,	/* 555 */ 
13547,	20374,	/* 556 */ 
-14926,	22764,	/* 557 */ 
270,	11827,	/* 558 */ 
-20670,	5635,	/* 559 */ 
-17172,	-20922,	/* 560 */ 
-22494,	-7603,	/* 561 */ 
17411,	-12254,	/* 562 */ 
5373,	1613,	/* 563 */ 
-7574,	8332,	/* 564 */ 
8741,	-13185,	/* 565 */ 
-13307,	7668,	/* 566 */ 
-12645,	-17922,	/* 567 */ 
-2721,	16653,	/* 568 */ 
-7822,	-15635,	/* 569 */ 
-10994,	5388,	/* 570 */ 
12005,	6430,	/* 571 */ 
-3941,	12682,	/* 572 */ 
21208,	2159,	/* 573 */ 
15846,	-4353,	/* 574 */ 
18638,	-13537,	/* 575 */ 
-11522,	6004,	/* 576 */ 
993,	15624,	/* 577 */ 
-7686,	12367,	/* 578 */ 
7353,	12397,	/* 579 */ 
-4951,	9480,	/* 580 */ 
-18801,	14969,	/* 581 */ 
-1794,	-14700,	/* 582 */ 
2653,	-14271,	/* 583 */ 
-9307,	-13578,	/* 584 */ 
6156,	12532,	/* 585 */ 
1143,	19490,	/* 586 */ 
-8998,	-12672,	/* 587 */ 
-1738,	-7201,	/* 588 */ 
-17299,	9366,	/* 589 */ 
12290,	-22746,	/* 590 */ 
-17189,	2754,	/* 591 */ 
-3243,	5000,	/* 592 */ 
16915,	-2351,	/* 593 */ 
-1555,	-22109,	/* 594 */ 
-10065,	23030,	/* 595 */ 
-20468,	-21610,	/* 596 */ 
7392,	-21298,	/* 597 */ 
6132,	-18174,	/* 598 */ 
10900,	-8967,	/* 599 */ 
21417,	9873,	/* 600 */ 
-6153,	-17736,	/* 601 */ 
-20274,	586,	/* 602 */ 
17303,	-19012,	/* 603 */ 
-9668,	9114,	/* 604 */ 
2512,	-10591,	/* 605 */ 
13284,	-1783,	/* 606 */ 
-20237,	6739,	/* 607 */ 
6278,	-21778,	/* 608 */ 
-21606,	18581,	/* 609 */ 
-22400,	21939,	/* 610 */ 
10439,	-14380,	/* 611 */ 
18163,	-16294,	/* 612 */ 
20583,	-13287,	/* 613 */ 
19996,	2577,	/* 614 */ 
12067,	18327,	/* 615 */ 
-5772,	-8556,	/* 616 */ 
15733,	-2277,	/* 617 */ 
8787,	-2255,	/* 618 */ 
2598,	4178,	/* 619 */ 
-19485,	10043,	/* 620 */ 
2578,	10051,	/* 621 */ 
8446,	-11534,	/* 622 */ 
-3413,	-18129,	/* 623 */ 
-15871,	-18429,	/* 624 */ 
9109,	-18084,	/* 625 */ 
902,	-7004,	/* 626 */ 
14150,	10695,	/* 627 */ 
13109,	-5563,	/* 628 */ 
20152,	9639,	/* 629 */ 
10650,	-6662,	/* 630 */ 
-19050,	-22851,	/* 631 */ 
-2388,	-15768,	/* 632 */ 
22439,	17188,	/* 633 */ 
22078,	2728,	/* 634 */ 
6839,	-21912,	/* 635 */ 
-19174,	-15667,	/* 636 */ 
12807,	-15517,	/* 637 */ 
-4522,	-18996,	/* 638 */ 
-10372,	12049,	/* 639 */ 
-12880,	-12082,	/* 640 */ 
-16723,	12372,	/* 641 */ 
-19172,	1828,	/* 642 */ 
9544,	21084,	/* 643 */ 
8531,	23092,	/* 644 */ 
-1995,	-21388,	/* 645 */ 
1522,	22775,	/* 646 */ 
-9495,	-8555,	/* 647 */ 
-4568,	-2202,	/* 648 */ 
-16363,	10201,	/* 649 */ 
13663,	20409,	/* 650 */ 
-14193,	2370,	/* 651 */ 
-261,	-18003,	/* 652 */ 
-9263,	1149,	/* 653 */ 
-16576,	2947,	/* 654 */ 
21846,	-14646,	/* 655 */ 
11153,	-8914,	/* 656 */ 
882,	21668,	/* 657 */ 
18751,	20684,	/* 658 */ 
9745,	-13310,	/* 659 */ 
-4953,	14391,	/* 660 */ 
6694,	-10926,	/* 661 */ 
-9213,	14550,	/* 662 */ 
-19547,	-4102,	/* 663 */ 
18145,	5806,	/* 664 */ 
-19117,	2258,	/* 665 */ 
21243,	690,	/* 666 */ 
5564,	-22535,	/* 667 */ 
12268,	-3385,	/* 668 */ 
5683,	-22590,	/* 669 */ 
3730,	-22400,	/* 670 */ 
-10318,	-1128,	/* 671 */ 
-18844,	1262,	/* 672 */ 
10431,	21435,	/* 673 */ 
16075,	12899,	/* 674 */ 
15124,	-15985,	/* 675 */ 
2051,	5723,	/* 676 */ 
-6385,	11648,	/* 677 */ 
44,	-16325,	/* 678 */ 
-7986,	4018,	/* 679 */ 
-12687,	20240,	/* 680 */ 
4940,	-1422,	/* 681 */ 
-21312,	13342,	/* 682 */ 
11137,	5761,	/* 683 */ 
-578,	-21462,	/* 684 */ 
22870,	-19842,	/* 685 */ 
22527,	-1359,	/* 686 */ 
-16841,	-3493,	/* 687 */ 
20195,	23080,	/* 688 */ 
-22796,	2187,	/* 689 */ 
10721,	20841,	/* 690 */ 
11005,	-18416,	/* 691 */ 
-20342,	-15633,	/* 692 */ 
14005,	-6097,	/* 693 */ 
-2199,	8707,	/* 694 */ 
-13620,	22580,	/* 695 */ 
11075,	-21097,	/* 696 */ 
3643,	-19270,	/* 697 */ 
13628,	-19725,	/* 698 */ 
-19645,	8414,	/* 699 */ 
-5849,	19629,	/* 700 */ 
-14080,	-20223,	/* 701 */ 
6861,	4353,	/* 702 */ 
-17709,	-12808,	/* 703 */ 
354,	22344,	/* 704 */ 
-18571,	-4606,	/* 705 */ 
-22171,	727,	/* 706 */ 
-21155,	477,	/* 707 */ 
-14938,	4403,	/* 708 */ 
455,	-6227,	/* 709 */ 
6949,	-18256,	/* 710 */ 
451,	5119,	/* 711 */ 
4669,	1291,	/* 712 */ 
-7702,	341,	/* 713 */ 
10522,	-16919,	/* 714 */ 
-17982,	-8346,	/* 715 */ 
934,	461,	/* 716 */ 
23313,	11562,	/* 717 */ 
-8788,	10645,	/* 718 */ 
273,	10027,	/* 719 */ 
15055,	-3806,	/* 720 */ 
-9478,	3747,	/* 721 */ 
9820,	-11527,	/* 722 */ 
17396,	5199,	/* 723 */ 
7367,	5792,	/* 724 */ 
17052,	18961,	/* 725 */ 
20084,	5022,	/* 726 */ 
20656,	23319,	/* 727 */ 
7802,	19704,	/* 728 */ 
4601,	-23358,	/* 729 */ 
-4496,	20370,	/* 730 */ 
-17231,	-12222,	/* 731 */ 
-9325,	22794,	/* 732 */ 
-1868,	9687,	/* 733 */ 
154,	10772,	/* 734 */ 
12379,	18591,	/* 735 */ 
20917,	-2826,	/* 736 */ 
7054,	22751,	/* 737 */ 
21015,	13314,	/* 738 */ 
-1709,	2570,	/* 739 */ 
-10774,	-14199,	/* 740 */ 
-20274,	1449,	/* 741 */ 
-14719,	-18933,	/* 742 */ 
-7108,	-2755,	/* 743 */ 
19505,	-8984,	/* 744 */ 
-22893,	13542,	/* 745 */ 
22953,	13864,	/* 746 */ 
-15348,	2690,	/* 747 */ 
-4569,	9486,	/* 748 */ 
-4743,	-20793,	/* 749 */ 
13449,	-9413,	/* 750 */ 
277,	-21300,	/* 751 */ 
2936,	19224,	/* 752 */ 
9474,	-10026,	/* 753 */ 
-10105,	17083,	/* 754 */ 
22911,	-5194,	/* 755 */ 
-12980,	-2700,	/* 756 */ 
44,	-3828,	/* 757 */ 
-3300,	22547,	/* 758 */ 
753,	4786,	/* 759 */ 
-21335,	-14255,	/* 760 */ 
21876,	3562,	/* 761 */ 
-20445,	21980,	/* 762 */ 
471,	8279,	/* 763 */ 
9670,	-22620,	/* 764 */ 
5880,	-4336,	/* 765 */ 
-12830,	5367,	/* 766 */ 
6152,	-11190,	/* 767 */ 
-16330,	16072,	/* 768 */ 
-8909,	-9821,	/* 769 */ 
7030,	-13034,	/* 770 */ 
15799,	-12904,	/* 771 */ 
-22708,	-10206,	/* 772 */ 
-4501,	15499,	/* 773 */ 
14101,	2472,	/* 774 */ 
-16028,	346,	/* 775 */ 
-8832,	4850,	/* 776 */ 
6171,	7605,	/* 777 */ 
4285,	4078,	/* 778 */ 
-20976,	19886,	/* 779 */ 
17395,	-39,	/* 780 */ 
10733,	15939,	/* 781 */ 
-22762,	19748,	/* 782 */ 
11491,	4991,	/* 783 */ 
-9809,	16739,	/* 784 */ 
12075,	-13896,	/* 785 */ 
-18656,	-1035,	/* 786 */ 
-12833,	-5594,	/* 787 */ 
-568,	-3572,	/* 788 */ 
17573,	-121,	/* 789 */ 
3722,	-19378,	/* 790 */ 
-3706,	3864,	/* 791 */ 
14749,	-22548,	/* 792 */ 
9193,	-23319,	/* 793 */ 
-2764,	2546,	/* 794 */ 
-1380,	-18268,	/* 795 */ 
17957,	9331,	/* 796 */ 
6832,	11820,	/* 797 */ 
-16656,	-11778,	/* 798 */ 
-13542,	-11811,	/* 799 */ 
-17610,	21855,	/* 800 */ 
1699,	-7167,	/* 801 */ 
16000,	-1227,	/* 802 */ 
-12246,	16995,	/* 803 */ 
-22490,	-18287,	/* 804 */ 
-16557,	-4978,	/* 805 */ 
-1145,	16632,	/* 806 */ 
17797,	11268,	/* 807 */ 
17100,	12358,	/* 808 */ 
23358,	-12455,	/* 809 */ 
12114,	12101,	/* 810 */ 
18162,	-12611,	/* 811 */ 
-6183,	-1843,	/* 812 */ 
10167,	-21875,	/* 813 */ 
-10089,	1140,	/* 814 */ 
13629,	-4745,	/* 815 */ 
-13870,	18805,	/* 816 */ 
-3303,	-15470,	/* 817 */ 
6065,	-22377,	/* 818 */ 
2794,	4340,	/* 819 */ 
-11943,	3306,	/* 820 */ 
7369,	3882,	/* 821 */ 
-17311,	-7471,	/* 822 */ 
631,	2804,	/* 823 */ 
-10641,	-4818,	/* 824 */ 
4112,	20983,	/* 825 */ 
-10903,	17726,	/* 826 */ 
13384,	22996,	/* 827 */ 
-16544,	-5115,	/* 828 */ 
12866,	19779,	/* 829 */ 
937,	-2001,	/* 830 */ 
4082,	7610,	/* 831 */ 
893,	1009,	/* 832 */ 
-16923,	22735,	/* 833 */ 
-8667,	18816,	/* 834 */ 
17009,	6130,	/* 835 */ 
-3134,	-7212,	/* 836 */ 
-20741,	-9142,	/* 837 */ 
18166,	18890,	/* 838 */ 
-11489,	-18522,	/* 839 */ 
-10003,	-9590,	/* 840 */ 
-12998,	16551,	/* 841 */ 
4294,	10801,	/* 842 */ 
3028,	6722,	/* 843 */ 
17229,	-10915,	/* 844 */ 
-13200,	10740,	/* 845 */ 
-9358,	18465,	/* 846 */ 
4098,	467,	/* 847 */ 
18928,	2499,	/* 848 */ 
1117,	17931,	/* 849 */ 
7944,	16773,	/* 850 */ 
8327,	4686,	/* 851 */ 
21324,	-836,	/* 852 */ 
5835,	-22976,	/* 853 */ 
-1983,	-10415,	/* 854 */ 
6956,	3490,	/* 855 */ 
22545,	15438,	/* 856 */ 
-3699,	9631,	/* 857 */ 
22400,	-7446,	/* 858 */ 
876,	-4613,	/* 859 */ 
2019,	1831,	/* 860 */ 
-5691,	-14608,	/* 861 */ 
16439,	-3075,	/* 862 */ 
2145,	-4300,	/* 863 */ 
14837,	-13860,	/* 864 */ 
-671,	-9728,	/* 865 */ 
-18071,	-11483,	/* 866 */ 
-16788,	-8823,	/* 867 */ 
13403,	2291,	/* 868 */ 
-10879,	15575,	/* 869 */ 
2672,	-9535,	/* 870 */ 
-17152,	17757,	/* 871 */ 
-3553,	12000,	/* 872 */ 
-20828,	-8229,	/* 873 */ 
13974,	-11389,	/* 874 */ 
2801,	11023,	/* 875 */ 
12775,	-2946,	/* 876 */ 
23305,	-8830,	/* 877 */ 
-19324,	19004,	/* 878 */ 
10420,	9184,	/* 879 */ 
23414,	12090,	/* 880 */ 
-18452,	-10987,	/* 881 */ 
-2036,	5236,	/* 882 */ 
-17277,	-15430,	/* 883 */ 
9596,	-16391,	/* 884 */ 
-9121,	8660,	/* 885 */ 
-20513,	-13280,	/* 886 */ 
-15360,	12414,	/* 887 */ 
-14478,	-20389,	/* 888 */ 
8020,	-12233,	/* 889 */ 
-5318,	-6864,	/* 890 */ 
-20233,	5068,	/* 891 */ 
8524,	-4102,	/* 892 */ 
16768,	5467,	/* 893 */ 
-18970,	-3210,	/* 894 */ 
-5092,	-3960,	/* 895 */ 
-5841,	10160,	/* 896 */ 
730,	17725,	/* 897 */ 
18562,	-11194,	/* 898 */ 
6677,	-22108,	/* 899 */ 
-13971,	6747,	/* 900 */ 
-20298,	15280,	/* 901 */ 
14131,	13118,	/* 902 */ 
-3623,	-1165,	/* 903 */ 
18470,	16161,	/* 904 */ 
23159,	-12119,	/* 905 */ 
-4667,	-6123,	/* 906 */ 
-7501,	21876,	/* 907 */ 
-8629,	-1457,	/* 908 */ 
-6390,	1550,	/* 909 */ 
5448,	-20997,	/* 910 */ 
4588,	5757,	/* 911 */ 
8721,	7776,	/* 912 */ 
22308,	12218,	/* 913 */ 
-10343,	8263,	/* 914 */ 
-15351,	-8139,	/* 915 */ 
19864,	22802,	/* 916 */ 
-11289,	577,	/* 917 */ 
-5883,	14942,	/* 918 */ 
6814,	-4966,	/* 919 */ 
-8641,	-854,	/* 920 */ 
-14482,	10492,	/* 921 */ 
-12563,	3730,	/* 922 */ 
-13191,	-13067,	/* 923 */ 
-19801,	-12904,	/* 924 */ 
-17709,	-6809,	/* 925 */ 
1769,	6688,	/* 926 */ 
8891,	6733,	/* 927 */ 
10363,	-21086,	/* 928 */ 
20659,	23188,	/* 929 */ 
-23154,	-5281,	/* 930 */ 
3845,	-9461,	/* 931 */ 
2652,	-11886,	/* 932 */ 
8916,	-21170,	/* 933 */ 
12285,	2552,	/* 934 */ 
15268,	6549,	/* 935 */ 
1303,	-13519,	/* 936 */ 
-7462,	-12880,	/* 937 */ 
-20326,	-20411,	/* 938 */ 
-11110,	2210,	/* 939 */ 
23266,	-7041,	/* 940 */ 
-5394,	-20747,	/* 941 */ 
13477,	6920,	/* 942 */ 
17401,	22273,	/* 943 */ 
-19530,	-300,	/* 944 */ 
-768,	-4116,	/* 945 */ 
16221,	22610,	/* 946 */ 
-1609,	2211,	/* 947 */ 
4672,	8383,	/* 948 */ 
-13741,	434,	/* 949 */ 
803,	15506,	/* 950 */ 
-16102,	14909,	/* 951 */ 
11505,	-13175,	/* 952 */ 
-515,	-19234,	/* 953 */ 
7045,	-2233,	/* 954 */ 
-21575,	12532,	/* 955 */ 
-7778,	-11156,	/* 956 */ 
-3138,	20869,	/* 957 */ 
-18899,	-1704,	/* 958 */ 
8518,	-497,	/* 959 */ 
-22264,	10719,	/* 960 */ 
-8435,	19447,	/* 961 */ 
-21070,	2531,	/* 962 */ 
-6142,	-2504,	/* 963 */ 
-5468,	12137,	/* 964 */ 
-7728,	9014,	/* 965 */ 
18394,	4804,	/* 966 */ 
-12329,	-17782,	/* 967 */ 
-19730,	-5140,	/* 968 */ 
-9347,	8297,	/* 969 */ 
-15065,	14400,	/* 970 */ 
10177,	-19041,	/* 971 */ 
13666,	-10506,	/* 972 */ 
-7942,	-21882,	/* 973 */ 
13258,	-2147,	/* 974 */ 
13025,	1535,	/* 975 */ 
-18612,	-11020,	/* 976 */ 
-8052,	-18707,	/* 977 */ 
-11248,	2312,	/* 978 */ 
-5255,	20516,	/* 979 */ 
18708,	-16778,	/* 980 */ 
12560,	1875,	/* 981 */ 
-12040,	-13886,	/* 982 */ 
-2136,	3570,	/* 983 */ 
-10718,	-11620,	/* 984 */ 
-3617,	7053,	/* 985 */ 
9368,	-23226,	/* 986 */ 
14945,	-23022,	/* 987 */ 
15323,	11032,	/* 988 */ 
-4555,	-18809,	/* 989 */ 
7137,	12950,	/* 990 */ 
-16364,	11571,	/* 991 */ 
-7538,	-16483,	/* 992 */ 
-22633,	-22829,	/* 993 */ 
12631,	-21120,	/* 994 */ 
-1984,	-5482,	/* 995 */ 
-21490,	-2868,	/* 996 */ 
-18854,	-21853,	/* 997 */ 
21512,	15782,	/* 998 */ 
5122,	13287,	/* 999 */ 
-11924,	16866,	/* 1000 */ 
20222,	10019,	/* 1001 */ 
-3300,	4453,	/* 1002 */ 
-21235,	11788,	/* 1003 */ 
19062,	-13855,	/* 1004 */ 
22515,	-19078,	/* 1005 */ 
7428,	-13148,	/* 1006 */ 
10685,	-16007,	/* 1007 */ 
-536,	6609,	/* 1008 */ 
8746,	6625,	/* 1009 */ 
-6453,	-11819,	/* 1010 */ 
-4662,	-17584,	/* 1011 */ 
675,	14827,	/* 1012 */ 
-21398,	5381,	/* 1013 */ 
23133,	667,	/* 1014 */ 
-8964,	-23237,	/* 1015 */ 
-11466,	-22351,	/* 1016 */ 
5183,	15747,	/* 1017 */ 
-2497,	-16392,	/* 1018 */ 
-3840,	18779,	/* 1019 */ 
-4151,	15090,	/* 1020 */ 
10078,	2416,	/* 1021 */ 
-18702,	22939,	/* 1022 */ 
-5642,	2964,	/* 1023 */ 
};

#pragma DATA_SECTION (rtest,".test")

DATA rtest[2*NX] ={
391,	-191,	 /* 0 */ 
-284,	123,	 /* 1 */ 
145,	-470,	 /* 2 */ 
187,	-403,	 /* 3 */ 
491,	313,	 /* 4 */ 
493,	-1026,	 /* 5 */ 
147,	77,	 /* 6 */ 
235,	27,	 /* 7 */ 
355,	-434,	 /* 8 */ 
-377,	-226,	 /* 9 */ 
493,	-16,	 /* 10 */ 
103,	492,	 /* 11 */ 
-584,	81,	 /* 12 */ 
330,	294,	 /* 13 */ 
-143,	192,	 /* 14 */ 
123,	729,	 /* 15 */ 
-202,	244,	 /* 16 */ 
4,	-6,	 /* 17 */ 
-438,	132,	 /* 18 */ 
-486,	274,	 /* 19 */ 
116,	-180,	 /* 20 */ 
-220,	335,	 /* 21 */ 
-714,	-409,	 /* 22 */ 
272,	-534,	 /* 23 */ 
897,	-127,	 /* 24 */ 
570,	-18,	 /* 25 */ 
-70,	-167,	 /* 26 */ 
423,	221,	 /* 27 */ 
-230,	926,	 /* 28 */ 
155,	-504,	 /* 29 */ 
-1056,	-396,	 /* 30 */ 
-820,	631,	 /* 31 */ 
111,	765,	 /* 32 */ 
-5,	-525,	 /* 33 */ 
504,	-465,	 /* 34 */ 
-207,	87,	 /* 35 */ 
-539,	-387,	 /* 36 */ 
278,	780,	 /* 37 */ 
-101,	-202,	 /* 38 */ 
-807,	415,	 /* 39 */ 
525,	-48,	 /* 40 */ 
249,	-201,	 /* 41 */ 
-254,	777,	 /* 42 */ 
243,	-169,	 /* 43 */ 
-246,	-631,	 /* 44 */ 
-106,	193,	 /* 45 */ 
139,	579,	 /* 46 */ 
316,	25,	 /* 47 */ 
-75,	210,	 /* 48 */ 
398,	452,	 /* 49 */ 
452,	-155,	 /* 50 */ 
-882,	662,	 /* 51 */ 
322,	-638,	 /* 52 */ 
-42,	314,	 /* 53 */ 
482,	24,	 /* 54 */ 
-95,	-59,	 /* 55 */ 
366,	-256,	 /* 56 */ 
-200,	-313,	 /* 57 */ 
193,	611,	 /* 58 */ 
-46,	33,	 /* 59 */ 
-343,	-326,	 /* 60 */ 
556,	-882,	 /* 61 */ 
-292,	-589,	 /* 62 */ 
-150,	292,	 /* 63 */ 
-43,	684,	 /* 64 */ 
427,	455,	 /* 65 */ 
227,	-442,	 /* 66 */ 
-49,	-110,	 /* 67 */ 
-304,	484,	 /* 68 */ 
-700,	-234,	 /* 69 */ 
343,	-15,	 /* 70 */ 
-476,	-243,	 /* 71 */ 
-156,	-574,	 /* 72 */ 
102,	636,	 /* 73 */ 
-457,	-554,	 /* 74 */ 
632,	-593,	 /* 75 */ 
212,	352,	 /* 76 */ 
-68,	-167,	 /* 77 */ 
-261,	-64,	 /* 78 */ 
72,	655,	 /* 79 */ 
-173,	-116,	 /* 80 */ 
-516,	274,	 /* 81 */ 
-51,	-70,	 /* 82 */ 
314,	434,	 /* 83 */ 
172,	-400,	 /* 84 */ 
1213,	21,	 /* 85 */ 
-496,	-28,	 /* 86 */ 
-149,	149,	 /* 87 */ 
-400,	-82,	 /* 88 */ 
-61,	-439,	 /* 89 */ 
-765,	424,	 /* 90 */ 
145,	211,	 /* 91 */ 
146,	360,	 /* 92 */ 
-191,	-116,	 /* 93 */ 
-987,	86,	 /* 94 */ 
-290,	-213,	 /* 95 */ 
-370,	237,	 /* 96 */ 
-630,	-289,	 /* 97 */ 
84,	-391,	 /* 98 */ 
-1287,	-223,	 /* 99 */ 
190,	135,	 /* 100 */ 
-651,	-105,	 /* 101 */ 
-208,	-437,	 /* 102 */ 
604,	-7,	 /* 103 */ 
-620,	-139,	 /* 104 */ 
44,	-378,	 /* 105 */ 
-547,	-2,	 /* 106 */ 
587,	1043,	 /* 107 */ 
-196,	-1329,	 /* 108 */ 
-8,	-454,	 /* 109 */ 
-96,	-330,	 /* 110 */ 
140,	178,	 /* 111 */ 
-335,	-909,	 /* 112 */ 
-686,	373,	 /* 113 */ 
820,	405,	 /* 114 */ 
-283,	-617,	 /* 115 */ 
-94,	94,	 /* 116 */ 
221,	-184,	 /* 117 */ 
302,	836,	 /* 118 */ 
258,	355,	 /* 119 */ 
102,	-518,	 /* 120 */ 
-205,	236,	 /* 121 */ 
-358,	581,	 /* 122 */ 
142,	332,	 /* 123 */ 
612,	37,	 /* 124 */ 
111,	263,	 /* 125 */ 
225,	85,	 /* 126 */ 
-135,	-57,	 /* 127 */ 
125,	459,	 /* 128 */ 
-645,	480,	 /* 129 */ 
-22,	49,	 /* 130 */ 
-74,	159,	 /* 131 */ 
-391,	-493,	 /* 132 */ 
-420,	173,	 /* 133 */ 
486,	36,	 /* 134 */ 
-295,	-132,	 /* 135 */ 
464,	112,	 /* 136 */ 
375,	-529,	 /* 137 */ 
641,	115,	 /* 138 */ 
757,	-468,	 /* 139 */ 
461,	817,	 /* 140 */ 
-794,	-224,	 /* 141 */ 
268,	-390,	 /* 142 */ 
-191,	-216,	 /* 143 */ 
-91,	-636,	 /* 144 */ 
260,	-335,	 /* 145 */ 
-92,	-763,	 /* 146 */ 
846,	488,	 /* 147 */ 
-876,	598,	 /* 148 */ 
49,	315,	 /* 149 */ 
-400,	255,	 /* 150 */ 
-133,	193,	 /* 151 */ 
-309,	194,	 /* 152 */ 
-287,	-48,	 /* 153 */ 
560,	-186,	 /* 154 */ 
-584,	-89,	 /* 155 */ 
-3,	-357,	 /* 156 */ 
621,	-419,	 /* 157 */ 
412,	-150,	 /* 158 */ 
67,	-610,	 /* 159 */ 
843,	-531,	 /* 160 */ 
49,	-654,	 /* 161 */ 
-225,	-222,	 /* 162 */ 
-734,	-119,	 /* 163 */ 
649,	209,	 /* 164 */ 
212,	178,	 /* 165 */ 
73,	-514,	 /* 166 */ 
-129,	46,	 /* 167 */ 
-930,	-228,	 /* 168 */ 
259,	-402,	 /* 169 */ 
869,	-6,	 /* 170 */ 
399,	-197,	 /* 171 */ 
-789,	-222,	 /* 172 */ 
702,	878,	 /* 173 */ 
-311,	-205,	 /* 174 */ 
453,	442,	 /* 175 */ 
370,	655,	 /* 176 */ 
-300,	520,	 /* 177 */ 
233,	-221,	 /* 178 */ 
305,	-302,	 /* 179 */ 
620,	100,	 /* 180 */ 
-211,	-372,	 /* 181 */ 
-109,	-467,	 /* 182 */ 
-565,	296,	 /* 183 */ 
-1,	324,	 /* 184 */ 
-68,	372,	 /* 185 */ 
286,	-191,	 /* 186 */ 
-208,	642,	 /* 187 */ 
518,	-1072,	 /* 188 */ 
-292,	-32,	 /* 189 */ 
-253,	-868,	 /* 190 */ 
-157,	822,	 /* 191 */ 
608,	-99,	 /* 192 */ 
-527,	-309,	 /* 193 */ 
-474,	-182,	 /* 194 */ 
-145,	264,	 /* 195 */ 
-517,	-241,	 /* 196 */ 
168,	-618,	 /* 197 */ 
-394,	-52,	 /* 198 */ 
556,	-179,	 /* 199 */ 
-139,	360,	 /* 200 */ 
-56,	-436,	 /* 201 */ 
-118,	221,	 /* 202 */ 
208,	-97,	 /* 203 */ 
68,	-17,	 /* 204 */ 
943,	-33,	 /* 205 */ 
213,	-571,	 /* 206 */ 
333,	-29,	 /* 207 */ 
-624,	263,	 /* 208 */ 
-323,	-735,	 /* 209 */ 
255,	-185,	 /* 210 */ 
-1044,	-146,	 /* 211 */ 
296,	859,	 /* 212 */ 
-120,	-440,	 /* 213 */ 
75,	-761,	 /* 214 */ 
-184,	360,	 /* 215 */ 
-257,	-1018,	 /* 216 */ 
-180,	-263,	 /* 217 */ 
-829,	-11,	 /* 218 */ 
-111,	-371,	 /* 219 */ 
-39,	-13,	 /* 220 */ 
-361,	-454,	 /* 221 */ 
-582,	81,	 /* 222 */ 
-237,	-363,	 /* 223 */ 
-722,	145,	 /* 224 */ 
-534,	-545,	 /* 225 */ 
-242,	652,	 /* 226 */ 
-50,	577,	 /* 227 */ 
38,	537,	 /* 228 */ 
463,	-714,	 /* 229 */ 
-601,	467,	 /* 230 */ 
-83,	-110,	 /* 231 */ 
-647,	-195,	 /* 232 */ 
-329,	-596,	 /* 233 */ 
183,	174,	 /* 234 */ 
514,	-508,	 /* 235 */ 
153,	151,	 /* 236 */ 
-606,	202,	 /* 237 */ 
366,	419,	 /* 238 */ 
383,	-29,	 /* 239 */ 
171,	417,	 /* 240 */ 
-19,	-348,	 /* 241 */ 
-135,	-51,	 /* 242 */ 
-497,	37,	 /* 243 */ 
-68,	-297,	 /* 244 */ 
163,	937,	 /* 245 */ 
269,	-248,	 /* 246 */ 
-374,	241,	 /* 247 */ 
383,	-493,	 /* 248 */ 
-103,	826,	 /* 249 */ 
427,	576,	 /* 250 */ 
-45,	38,	 /* 251 */ 
-127,	200,	 /* 252 */ 
-230,	-510,	 /* 253 */ 
-438,	-298,	 /* 254 */ 
-512,	253,	 /* 255 */ 
-299,	-121,	 /* 256 */ 
184,	-5,	 /* 257 */ 
-206,	224,	 /* 258 */ 
-659,	-134,	 /* 259 */ 
-360,	428,	 /* 260 */ 
56,	43,	 /* 261 */ 
377,	204,	 /* 262 */ 
29,	87,	 /* 263 */ 
126,	-501,	 /* 264 */ 
-46,	315,	 /* 265 */ 
-113,	58,	 /* 266 */ 
357,	-179,	 /* 267 */ 
-474,	-163,	 /* 268 */ 
-152,	195,	 /* 269 */ 
215,	528,	 /* 270 */ 
120,	87,	 /* 271 */ 
359,	-597,	 /* 272 */ 
789,	-272,	 /* 273 */ 
-170,	413,	 /* 274 */ 
867,	570,	 /* 275 */ 
-176,	-587,	 /* 276 */ 
-394,	678,	 /* 277 */ 
643,	269,	 /* 278 */ 
649,	476,	 /* 279 */ 
222,	116,	 /* 280 */ 
109,	-30,	 /* 281 */ 
-550,	-392,	 /* 282 */ 
-734,	491,	 /* 283 */ 
-18,	-135,	 /* 284 */ 
-27,	401,	 /* 285 */ 
441,	-461,	 /* 286 */ 
-245,	25,	 /* 287 */ 
353,	273,	 /* 288 */ 
-302,	446,	 /* 289 */ 
80,	-23,	 /* 290 */ 
-315,	222,	 /* 291 */ 
-249,	161,	 /* 292 */ 
-320,	592,	 /* 293 */ 
-420,	31,	 /* 294 */ 
105,	-702,	 /* 295 */ 
-455,	-79,	 /* 296 */ 
-580,	485,	 /* 297 */ 
-169,	-265,	 /* 298 */ 
-382,	-345,	 /* 299 */ 
165,	-122,	 /* 300 */ 
131,	33,	 /* 301 */ 
370,	-662,	 /* 302 */ 
700,	-865,	 /* 303 */ 
-28,	464,	 /* 304 */ 
-235,	599,	 /* 305 */ 
766,	-50,	 /* 306 */ 
231,	-446,	 /* 307 */ 
34,	-394,	 /* 308 */ 
186,	-195,	 /* 309 */ 
109,	-311,	 /* 310 */ 
429,	112,	 /* 311 */ 
176,	-688,	 /* 312 */ 
-463,	-223,	 /* 313 */ 
603,	535,	 /* 314 */ 
555,	821,	 /* 315 */ 
275,	474,	 /* 316 */ 
-226,	62,	 /* 317 */ 
208,	-23,	 /* 318 */ 
700,	-1437,	 /* 319 */ 
-130,	468,	 /* 320 */ 
-85,	-145,	 /* 321 */ 
-1048,	135,	 /* 322 */ 
230,	193,	 /* 323 */ 
42,	1235,	 /* 324 */ 
-382,	308,	 /* 325 */ 
556,	134,	 /* 326 */ 
1018,	-1393,	 /* 327 */ 
-73,	-161,	 /* 328 */ 
-25,	255,	 /* 329 */ 
-102,	-230,	 /* 330 */ 
-243,	-47,	 /* 331 */ 
9,	-133,	 /* 332 */ 
124,	179,	 /* 333 */ 
212,	404,	 /* 334 */ 
239,	95,	 /* 335 */ 
567,	521,	 /* 336 */ 
-406,	685,	 /* 337 */ 
-60,	-26,	 /* 338 */ 
-615,	146,	 /* 339 */ 
136,	-346,	 /* 340 */ 
137,	107,	 /* 341 */ 
214,	-314,	 /* 342 */ 
-799,	196,	 /* 343 */ 
-34,	456,	 /* 344 */ 
-856,	-216,	 /* 345 */ 
-343,	49,	 /* 346 */ 
440,	-478,	 /* 347 */ 
406,	340,	 /* 348 */ 
-832,	-776,	 /* 349 */ 
1046,	-300,	 /* 350 */ 
62,	598,	 /* 351 */ 
692,	-370,	 /* 352 */ 
1157,	117,	 /* 353 */ 
224,	-712,	 /* 354 */ 
242,	321,	 /* 355 */ 
82,	-189,	 /* 356 */ 
-506,	-701,	 /* 357 */ 
-498,	-69,	 /* 358 */ 
180,	-385,	 /* 359 */ 
-828,	-211,	 /* 360 */ 
-620,	508,	 /* 361 */ 
482,	-98,	 /* 362 */ 
-465,	-121,	 /* 363 */ 
-268,	211,	 /* 364 */ 
308,	159,	 /* 365 */ 
-173,	390,	 /* 366 */ 
395,	-125,	 /* 367 */ 
386,	217,	 /* 368 */ 
69,	-201,	 /* 369 */ 
-282,	733,	 /* 370 */ 
-175,	-765,	 /* 371 */ 
-954,	-232,	 /* 372 */ 
663,	-237,	 /* 373 */ 
120,	-592,	 /* 374 */ 
-163,	265,	 /* 375 */ 
-116,	-219,	 /* 376 */ 
-419,	-304,	 /* 377 */ 
200,	225,	 /* 378 */ 
-473,	565,	 /* 379 */ 
-34,	858,	 /* 380 */ 
-445,	177,	 /* 381 */ 
785,	-36,	 /* 382 */ 
-145,	-47,	 /* 383 */ 
789,	-389,	 /* 384 */ 
-401,	-662,	 /* 385 */ 
-584,	-1275,	 /* 386 */ 
-41,	-49,	 /* 387 */ 
145,	415,	 /* 388 */ 
39,	-175,	 /* 389 */ 
501,	324,	 /* 390 */ 
-101,	694,	 /* 391 */ 
316,	510,	 /* 392 */ 
201,	445,	 /* 393 */ 
742,	-441,	 /* 394 */ 
536,	-514,	 /* 395 */ 
369,	-287,	 /* 396 */ 
761,	295,	 /* 397 */ 
53,	91,	 /* 398 */ 
35,	-513,	 /* 399 */ 
-27,	-203,	 /* 400 */ 
-612,	315,	 /* 401 */ 
2,	-853,	 /* 402 */ 
-535,	-342,	 /* 403 */ 
188,	-22,	 /* 404 */ 
-841,	-293,	 /* 405 */ 
-71,	-148,	 /* 406 */ 
-366,	670,	 /* 407 */ 
438,	-372,	 /* 408 */ 
-155,	377,	 /* 409 */ 
-85,	-229,	 /* 410 */ 
-51,	-51,	 /* 411 */ 
-410,	526,	 /* 412 */ 
119,	684,	 /* 413 */ 
-62,	488,	 /* 414 */ 
199,	-54,	 /* 415 */ 
194,	-237,	 /* 416 */ 
887,	-176,	 /* 417 */ 
91,	275,	 /* 418 */ 
-192,	127,	 /* 419 */ 
227,	527,	 /* 420 */ 
-200,	442,	 /* 421 */ 
195,	551,	 /* 422 */ 
219,	-123,	 /* 423 */ 
1055,	-523,	 /* 424 */ 
-224,	468,	 /* 425 */ 
444,	96,	 /* 426 */ 
-61,	510,	 /* 427 */ 
405,	791,	 /* 428 */ 
-23,	-113,	 /* 429 */ 
-205,	757,	 /* 430 */ 
55,	565,	 /* 431 */ 
27,	-9,	 /* 432 */ 
-87,	799,	 /* 433 */ 
210,	337,	 /* 434 */ 
44,	534,	 /* 435 */ 
89,	-52,	 /* 436 */ 
-330,	-1054,	 /* 437 */ 
212,	-944,	 /* 438 */ 
-199,	593,	 /* 439 */ 
-122,	22,	 /* 440 */ 
810,	-202,	 /* 441 */ 
217,	0,	 /* 442 */ 
-355,	-549,	 /* 443 */ 
-54,	275,	 /* 444 */ 
-400,	72,	 /* 445 */ 
152,	88,	 /* 446 */ 
-437,	423,	 /* 447 */ 
-357,	-11,	 /* 448 */ 
-864,	60,	 /* 449 */ 
-835,	-182,	 /* 450 */ 
-190,	51,	 /* 451 */ 
413,	617,	 /* 452 */ 
154,	179,	 /* 453 */ 
10,	374,	 /* 454 */ 
153,	190,	 /* 455 */ 
-587,	1001,	 /* 456 */ 
1,	-169,	 /* 457 */ 
-667,	469,	 /* 458 */ 
-351,	652,	 /* 459 */ 
549,	-553,	 /* 460 */ 
-668,	346,	 /* 461 */ 
94,	-133,	 /* 462 */ 
270,	726,	 /* 463 */ 
-920,	484,	 /* 464 */ 
-583,	-564,	 /* 465 */ 
22,	-317,	 /* 466 */ 
111,	-446,	 /* 467 */ 
-218,	-271,	 /* 468 */ 
96,	422,	 /* 469 */ 
164,	38,	 /* 470 */ 
360,	255,	 /* 471 */ 
1052,	-536,	 /* 472 */ 
-60,	168,	 /* 473 */ 
-175,	-79,	 /* 474 */ 
-434,	-147,	 /* 475 */ 
-171,	969,	 /* 476 */ 
543,	-229,	 /* 477 */ 
-769,	-215,	 /* 478 */ 
-511,	1,	 /* 479 */ 
218,	389,	 /* 480 */ 
-111,	-76,	 /* 481 */ 
57,	-742,	 /* 482 */ 
-284,	-231,	 /* 483 */ 
498,	346,	 /* 484 */ 
-518,	-46,	 /* 485 */ 
-75,	-307,	 /* 486 */ 
219,	691,	 /* 487 */ 
-167,	-272,	 /* 488 */ 
-732,	5,	 /* 489 */ 
-21,	624,	 /* 490 */ 
-162,	200,	 /* 491 */ 
56,	-335,	 /* 492 */ 
-190,	380,	 /* 493 */ 
437,	223,	 /* 494 */ 
-103,	-290,	 /* 495 */ 
-254,	271,	 /* 496 */ 
-274,	-489,	 /* 497 */ 
-296,	174,	 /* 498 */ 
352,	116,	 /* 499 */ 
126,	207,	 /* 500 */ 
-245,	497,	 /* 501 */ 
106,	596,	 /* 502 */ 
769,	-215,	 /* 503 */ 
-617,	-451,	 /* 504 */ 
697,	-544,	 /* 505 */ 
-43,	473,	 /* 506 */ 
424,	618,	 /* 507 */ 
-430,	-684,	 /* 508 */ 
100,	412,	 /* 509 */ 
-547,	-480,	 /* 510 */ 
734,	817,	 /* 511 */ 
808,	-570,	 /* 512 */ 
-117,	-85,	 /* 513 */ 
170,	-586,	 /* 514 */ 
194,	484,	 /* 515 */ 
-211,	-331,	 /* 516 */ 
-1283,	-652,	 /* 517 */ 
-35,	397,	 /* 518 */ 
554,	452,	 /* 519 */ 
-381,	-103,	 /* 520 */ 
-817,	1034,	 /* 521 */ 
-139,	-54,	 /* 522 */ 
-61,	376,	 /* 523 */ 
425,	519,	 /* 524 */ 
719,	-299,	 /* 525 */ 
48,	155,	 /* 526 */ 
-199,	151,	 /* 527 */ 
-621,	-155,	 /* 528 */ 
701,	-285,	 /* 529 */ 
-355,	78,	 /* 530 */ 
270,	924,	 /* 531 */ 
-650,	19,	 /* 532 */ 
-375,	-657,	 /* 533 */ 
623,	-237,	 /* 534 */ 
-404,	247,	 /* 535 */ 
-12,	-341,	 /* 536 */ 
-68,	-251,	 /* 537 */ 
218,	-99,	 /* 538 */ 
740,	-157,	 /* 539 */ 
-409,	-828,	 /* 540 */ 
37,	798,	 /* 541 */ 
-577,	74,	 /* 542 */ 
-357,	159,	 /* 543 */ 
-469,	-2,	 /* 544 */ 
897,	528,	 /* 545 */ 
455,	578,	 /* 546 */ 
-365,	61,	 /* 547 */ 
217,	174,	 /* 548 */ 
803,	-503,	 /* 549 */ 
-282,	396,	 /* 550 */ 
-989,	767,	 /* 551 */ 
698,	363,	 /* 552 */ 
-2,	302,	 /* 553 */ 
-134,	550,	 /* 554 */ 
-661,	81,	 /* 555 */ 
267,	47,	 /* 556 */ 
-71,	331,	 /* 557 */ 
-253,	-291,	 /* 558 */ 
76,	-347,	 /* 559 */ 
563,	-269,	 /* 560 */ 
-183,	518,	 /* 561 */ 
-176,	64,	 /* 562 */ 
177,	-291,	 /* 563 */ 
-24,	562,	 /* 564 */ 
357,	-324,	 /* 565 */ 
448,	-368,	 /* 566 */ 
475,	-169,	 /* 567 */ 
77,	117,	 /* 568 */ 
175,	-164,	 /* 569 */ 
204,	246,	 /* 570 */ 
280,	-313,	 /* 571 */ 
24,	127,	 /* 572 */ 
-794,	-223,	 /* 573 */ 
-21,	-35,	 /* 574 */ 
-47,	425,	 /* 575 */ 
103,	558,	 /* 576 */ 
-110,	-998,	 /* 577 */ 
-173,	208,	 /* 578 */ 
802,	230,	 /* 579 */ 
-656,	197,	 /* 580 */ 
-475,	-442,	 /* 581 */ 
253,	704,	 /* 582 */ 
428,	252,	 /* 583 */ 
123,	-165,	 /* 584 */ 
219,	-199,	 /* 585 */ 
-234,	-141,	 /* 586 */ 
538,	266,	 /* 587 */ 
882,	565,	 /* 588 */ 
-431,	597,	 /* 589 */ 
-243,	-591,	 /* 590 */ 
-119,	-159,	 /* 591 */ 
460,	430,	 /* 592 */ 
-223,	-623,	 /* 593 */ 
-97,	73,	 /* 594 */ 
124,	576,	 /* 595 */ 
235,	41,	 /* 596 */ 
425,	-131,	 /* 597 */ 
381,	90,	 /* 598 */ 
-231,	263,	 /* 599 */ 
-5,	-441,	 /* 600 */ 
714,	609,	 /* 601 */ 
-635,	-496,	 /* 602 */ 
298,	-423,	 /* 603 */ 
300,	-110,	 /* 604 */ 
-536,	-72,	 /* 605 */ 
468,	43,	 /* 606 */ 
-53,	144,	 /* 607 */ 
-329,	-906,	 /* 608 */ 
-166,	20,	 /* 609 */ 
-184,	-527,	 /* 610 */ 
-61,	70,	 /* 611 */ 
712,	-442,	 /* 612 */ 
5,	-70,	 /* 613 */ 
44,	-19,	 /* 614 */ 
-564,	-626,	 /* 615 */ 
-252,	689,	 /* 616 */ 
-663,	377,	 /* 617 */ 
495,	-25,	 /* 618 */ 
535,	199,	 /* 619 */ 
116,	170,	 /* 620 */ 
361,	-74,	 /* 621 */ 
-162,	-23,	 /* 622 */ 
188,	403,	 /* 623 */ 
-403,	-141,	 /* 624 */ 
-433,	476,	 /* 625 */ 
-59,	294,	 /* 626 */ 
253,	430,	 /* 627 */ 
487,	549,	 /* 628 */ 
-516,	-517,	 /* 629 */ 
205,	-295,	 /* 630 */ 
-588,	233,	 /* 631 */ 
-531,	119,	 /* 632 */ 
-73,	275,	 /* 633 */ 
91,	103,	 /* 634 */ 
22,	604,	 /* 635 */ 
-537,	656,	 /* 636 */ 
287,	474,	 /* 637 */ 
-121,	731,	 /* 638 */ 
-229,	-148,	 /* 639 */ 
275,	-437,	 /* 640 */ 
-532,	336,	 /* 641 */ 
-106,	-654,	 /* 642 */ 
133,	-546,	 /* 643 */ 
206,	-200,	 /* 644 */ 
-694,	-13,	 /* 645 */ 
410,	-547,	 /* 646 */ 
17,	-287,	 /* 647 */ 
-405,	103,	 /* 648 */ 
156,	213,	 /* 649 */ 
-230,	-87,	 /* 650 */ 
-378,	11,	 /* 651 */ 
295,	131,	 /* 652 */ 
-291,	-206,	 /* 653 */ 
653,	-855,	 /* 654 */ 
868,	248,	 /* 655 */ 
-413,	-60,	 /* 656 */ 
229,	344,	 /* 657 */ 
696,	-637,	 /* 658 */ 
-881,	21,	 /* 659 */ 
-194,	-478,	 /* 660 */ 
-161,	386,	 /* 661 */ 
116,	-553,	 /* 662 */ 
28,	-106,	 /* 663 */ 
-295,	-480,	 /* 664 */ 
60,	-467,	 /* 665 */ 
-227,	-548,	 /* 666 */ 
124,	617,	 /* 667 */ 
16,	-62,	 /* 668 */ 
4,	-794,	 /* 669 */ 
-198,	-533,	 /* 670 */ 
578,	-288,	 /* 671 */ 
129,	222,	 /* 672 */ 
64,	119,	 /* 673 */ 
-275,	282,	 /* 674 */ 
332,	-19,	 /* 675 */ 
-388,	-504,	 /* 676 */ 
-124,	333,	 /* 677 */ 
8,	481,	 /* 678 */ 
-750,	-222,	 /* 679 */ 
492,	206,	 /* 680 */ 
725,	-159,	 /* 681 */ 
-122,	-98,	 /* 682 */ 
378,	315,	 /* 683 */ 
128,	-245,	 /* 684 */ 
67,	926,	 /* 685 */ 
-264,	-274,	 /* 686 */ 
-746,	-297,	 /* 687 */ 
196,	-188,	 /* 688 */ 
101,	50,	 /* 689 */ 
-115,	-336,	 /* 690 */ 
-58,	13,	 /* 691 */ 
456,	-316,	 /* 692 */ 
255,	-331,	 /* 693 */ 
162,	-278,	 /* 694 */ 
-1048,	-625,	 /* 695 */ 
57,	-339,	 /* 696 */ 
257,	-188,	 /* 697 */ 
-256,	-437,	 /* 698 */ 
269,	730,	 /* 699 */ 
-562,	-347,	 /* 700 */ 
54,	817,	 /* 701 */ 
342,	221,	 /* 702 */ 
256,	-254,	 /* 703 */ 
525,	-457,	 /* 704 */ 
415,	-164,	 /* 705 */ 
514,	-230,	 /* 706 */ 
3,	-294,	 /* 707 */ 
673,	52,	 /* 708 */ 
682,	84,	 /* 709 */ 
-74,	-1264,	 /* 710 */ 
-558,	106,	 /* 711 */ 
504,	419,	 /* 712 */ 
-251,	-287,	 /* 713 */ 
31,	374,	 /* 714 */ 
-370,	779,	 /* 715 */ 
195,	-61,	 /* 716 */ 
259,	-72,	 /* 717 */ 
-143,	-118,	 /* 718 */ 
-379,	-375,	 /* 719 */ 
221,	111,	 /* 720 */ 
8,	283,	 /* 721 */ 
745,	515,	 /* 722 */ 
326,	426,	 /* 723 */ 
-437,	-297,	 /* 724 */ 
383,	-93,	 /* 725 */ 
55,	230,	 /* 726 */ 
18,	-415,	 /* 727 */ 
-866,	308,	 /* 728 */ 
-15,	-545,	 /* 729 */ 
-188,	715,	 /* 730 */ 
191,	67,	 /* 731 */ 
514,	547,	 /* 732 */ 
494,	-117,	 /* 733 */ 
224,	509,	 /* 734 */ 
-504,	-50,	 /* 735 */ 
15,	-161,	 /* 736 */ 
-258,	-286,	 /* 737 */ 
41,	-210,	 /* 738 */ 
-328,	428,	 /* 739 */ 
46,	32,	 /* 740 */ 
840,	-52,	 /* 741 */ 
738,	1053,	 /* 742 */ 
162,	-617,	 /* 743 */ 
170,	101,	 /* 744 */ 
-280,	143,	 /* 745 */ 
1107,	-539,	 /* 746 */ 
304,	-4,	 /* 747 */ 
-75,	-544,	 /* 748 */ 
-13,	650,	 /* 749 */ 
323,	302,	 /* 750 */ 
-296,	-239,	 /* 751 */ 
-358,	66,	 /* 752 */ 
300,	-368,	 /* 753 */ 
366,	-521,	 /* 754 */ 
72,	292,	 /* 755 */ 
-99,	-203,	 /* 756 */ 
-435,	-777,	 /* 757 */ 
260,	63,	 /* 758 */ 
-271,	1128,	 /* 759 */ 
441,	263,	 /* 760 */ 
-88,	190,	 /* 761 */ 
224,	67,	 /* 762 */ 
-622,	-540,	 /* 763 */ 
-17,	114,	 /* 764 */ 
-450,	-301,	 /* 765 */ 
-503,	-427,	 /* 766 */ 
-23,	-331,	 /* 767 */ 
-709,	113,	 /* 768 */ 
302,	102,	 /* 769 */ 
-257,	584,	 /* 770 */ 
140,	362,	 /* 771 */ 
124,	-100,	 /* 772 */ 
-184,	-404,	 /* 773 */ 
-5,	-160,	 /* 774 */ 
28,	433,	 /* 775 */ 
-17,	61,	 /* 776 */ 
-685,	326,	 /* 777 */ 
-723,	709,	 /* 778 */ 
-679,	-722,	 /* 779 */ 
263,	170,	 /* 780 */ 
1000,	327,	 /* 781 */ 
-25,	-116,	 /* 782 */ 
-878,	-99,	 /* 783 */ 
-707,	881,	 /* 784 */ 
-39,	-1,	 /* 785 */ 
-176,	788,	 /* 786 */ 
591,	-894,	 /* 787 */ 
-686,	61,	 /* 788 */ 
69,	-574,	 /* 789 */ 
-231,	-449,	 /* 790 */ 
749,	181,	 /* 791 */ 
82,	-868,	 /* 792 */ 
255,	147,	 /* 793 */ 
-280,	511,	 /* 794 */ 
-102,	65,	 /* 795 */ 
542,	-63,	 /* 796 */ 
260,	-224,	 /* 797 */ 
-234,	521,	 /* 798 */ 
374,	499,	 /* 799 */ 
-609,	254,	 /* 800 */ 
-1,	-299,	 /* 801 */ 
368,	-522,	 /* 802 */ 
747,	-259,	 /* 803 */ 
205,	-155,	 /* 804 */ 
-205,	-514,	 /* 805 */ 
380,	-402,	 /* 806 */ 
-339,	-586,	 /* 807 */ 
206,	-456,	 /* 808 */ 
-255,	-488,	 /* 809 */ 
-285,	-1062,	 /* 810 */ 
292,	98,	 /* 811 */ 
689,	-66,	 /* 812 */ 
458,	221,	 /* 813 */ 
18,	185,	 /* 814 */ 
114,	130,	 /* 815 */ 
17,	630,	 /* 816 */ 
-385,	802,	 /* 817 */ 
-355,	-14,	 /* 818 */ 
187,	131,	 /* 819 */ 
521,	216,	 /* 820 */ 
-46,	-290,	 /* 821 */ 
194,	400,	 /* 822 */ 
-99,	328,	 /* 823 */ 
-194,	-34,	 /* 824 */ 
-215,	-538,	 /* 825 */ 
-510,	-161,	 /* 826 */ 
707,	-171,	 /* 827 */ 
-231,	171,	 /* 828 */ 
-802,	197,	 /* 829 */ 
637,	161,	 /* 830 */ 
401,	221,	 /* 831 */ 
-443,	349,	 /* 832 */ 
102,	-183,	 /* 833 */ 
-197,	-153,	 /* 834 */ 
-268,	-255,	 /* 835 */ 
-617,	732,	 /* 836 */ 
454,	89,	 /* 837 */ 
239,	-226,	 /* 838 */ 
-770,	135,	 /* 839 */ 
379,	1032,	 /* 840 */ 
-421,	1002,	 /* 841 */ 
-663,	-121,	 /* 842 */ 
150,	166,	 /* 843 */ 
-322,	429,	 /* 844 */ 
334,	-165,	 /* 845 */ 
90,	332,	 /* 846 */ 
-529,	228,	 /* 847 */ 
-596,	-157,	 /* 848 */ 
61,	858,	 /* 849 */ 
-66,	-706,	 /* 850 */ 
153,	-366,	 /* 851 */ 
117,	-104,	 /* 852 */ 
984,	-77,	 /* 853 */ 
-604,	450,	 /* 854 */ 
295,	276,	 /* 855 */ 
-468,	546,	 /* 856 */ 
-61,	35,	 /* 857 */ 
613,	-111,	 /* 858 */ 
-162,	-310,	 /* 859 */ 
-334,	-18,	 /* 860 */ 
-115,	-833,	 /* 861 */ 
-213,	358,	 /* 862 */ 
294,	276,	 /* 863 */ 
-239,	513,	 /* 864 */ 
418,	410,	 /* 865 */ 
806,	475,	 /* 866 */ 
38,	-487,	 /* 867 */ 
236,	798,	 /* 868 */ 
-632,	-652,	 /* 869 */ 
-407,	672,	 /* 870 */ 
676,	-27,	 /* 871 */ 
175,	916,	 /* 872 */ 
-476,	111,	 /* 873 */ 
-534,	-28,	 /* 874 */ 
-153,	-37,	 /* 875 */ 
-60,	-579,	 /* 876 */ 
118,	529,	 /* 877 */ 
103,	-60,	 /* 878 */ 
168,	-184,	 /* 879 */ 
-288,	-381,	 /* 880 */ 
99,	171,	 /* 881 */ 
134,	-432,	 /* 882 */ 
144,	-39,	 /* 883 */ 
728,	455,	 /* 884 */ 
69,	-760,	 /* 885 */ 
206,	-847,	 /* 886 */ 
409,	433,	 /* 887 */ 
-329,	214,	 /* 888 */ 
621,	302,	 /* 889 */ 
-140,	478,	 /* 890 */ 
-718,	124,	 /* 891 */ 
-35,	-782,	 /* 892 */ 
-644,	796,	 /* 893 */ 
202,	-733,	 /* 894 */ 
723,	106,	 /* 895 */ 
-422,	195,	 /* 896 */ 
253,	63,	 /* 897 */ 
-35,	230,	 /* 898 */ 
342,	-332,	 /* 899 */ 
294,	16,	 /* 900 */ 
93,	-180,	 /* 901 */ 
-514,	-355,	 /* 902 */ 
42,	-451,	 /* 903 */ 
278,	473,	 /* 904 */ 
95,	89,	 /* 905 */ 
1041,	274,	 /* 906 */ 
102,	-24,	 /* 907 */ 
-33,	-111,	 /* 908 */ 
204,	-1269,	 /* 909 */ 
472,	399,	 /* 910 */ 
-504,	149,	 /* 911 */ 
-322,	73,	 /* 912 */ 
394,	-187,	 /* 913 */ 
120,	-130,	 /* 914 */ 
-312,	-196,	 /* 915 */ 
191,	162,	 /* 916 */ 
-88,	-779,	 /* 917 */ 
-285,	-133,	 /* 918 */ 
327,	6,	 /* 919 */ 
135,	-567,	 /* 920 */ 
-121,	-66,	 /* 921 */ 
39,	-420,	 /* 922 */ 
-607,	-191,	 /* 923 */ 
983,	-74,	 /* 924 */ 
-408,	1036,	 /* 925 */ 
405,	-97,	 /* 926 */ 
328,	-502,	 /* 927 */ 
-249,	498,	 /* 928 */ 
900,	123,	 /* 929 */ 
61,	-198,	 /* 930 */ 
-124,	234,	 /* 931 */ 
-11,	380,	 /* 932 */ 
-101,	-40,	 /* 933 */ 
-255,	-202,	 /* 934 */ 
290,	-27,	 /* 935 */ 
-228,	552,	 /* 936 */ 
91,	-117,	 /* 937 */ 
277,	655,	 /* 938 */ 
465,	313,	 /* 939 */ 
57,	-128,	 /* 940 */ 
-746,	3,	 /* 941 */ 
619,	471,	 /* 942 */ 
-111,	180,	 /* 943 */ 
65,	290,	 /* 944 */ 
100,	-602,	 /* 945 */ 
-50,	-21,	 /* 946 */ 
-821,	274,	 /* 947 */ 
704,	580,	 /* 948 */ 
313,	-109,	 /* 949 */ 
-562,	857,	 /* 950 */ 
-12,	-308,	 /* 951 */ 
-2,	-581,	 /* 952 */ 
-7,	-245,	 /* 953 */ 
-296,	95,	 /* 954 */ 
-243,	-236,	 /* 955 */ 
8,	-117,	 /* 956 */ 
-259,	1061,	 /* 957 */ 
230,	-28,	 /* 958 */ 
524,	144,	 /* 959 */ 
40,	-300,	 /* 960 */ 
248,	-149,	 /* 961 */ 
-24,	-1,	 /* 962 */ 
-432,	265,	 /* 963 */ 
653,	-375,	 /* 964 */ 
-160,	-694,	 /* 965 */ 
85,	-301,	 /* 966 */ 
1268,	-16,	 /* 967 */ 
225,	-292,	 /* 968 */ 
492,	-109,	 /* 969 */ 
220,	615,	 /* 970 */ 
638,	-74,	 /* 971 */ 
564,	739,	 /* 972 */ 
247,	91,	 /* 973 */ 
243,	-117,	 /* 974 */ 
347,	-496,	 /* 975 */ 
593,	-295,	 /* 976 */ 
-541,	109,	 /* 977 */ 
-191,	958,	 /* 978 */ 
-380,	-1200,	 /* 979 */ 
-437,	-359,	 /* 980 */ 
894,	117,	 /* 981 */ 
559,	716,	 /* 982 */ 
-727,	-258,	 /* 983 */ 
-1028,	621,	 /* 984 */ 
286,	100,	 /* 985 */ 
-391,	195,	 /* 986 */ 
-197,	-55,	 /* 987 */ 
-192,	444,	 /* 988 */ 
220,	57,	 /* 989 */ 
-243,	117,	 /* 990 */ 
-201,	1279,	 /* 991 */ 
-289,	84,	 /* 992 */ 
145,	-459,	 /* 993 */ 
22,	412,	 /* 994 */ 
-77,	59,	 /* 995 */ 
572,	-316,	 /* 996 */ 
-482,	257,	 /* 997 */ 
146,	-999,	 /* 998 */ 
-449,	-243,	 /* 999 */ 
166,	55,	 /* 1000 */ 
110,	-215,	 /* 1001 */ 
-17,	124,	 /* 1002 */ 
-42,	-511,	 /* 1003 */ 
-415,	339,	 /* 1004 */ 
104,	-169,	 /* 1005 */ 
561,	-166,	 /* 1006 */ 
303,	961,	 /* 1007 */ 
-679,	-36,	 /* 1008 */ 
-556,	-364,	 /* 1009 */ 
-307,	-193,	 /* 1010 */ 
-619,	-120,	 /* 1011 */ 
35,	-75,	 /* 1012 */ 
29,	773,	 /* 1013 */ 
-66,	7,	 /* 1014 */ 
-589,	209,	 /* 1015 */ 
121,	-276,	 /* 1016 */ 
-122,	-211,	 /* 1017 */ 
-720,	369,	 /* 1018 */ 
274,	424,	 /* 1019 */ 
-389,	99,	 /* 1020 */ 
-575,	576,	 /* 1021 */ 
138,	138,	 /* 1022 */ 
195,	548,	 /* 1023 */ 
};

DATA error;

