/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

//*****************************************************************************
//  Filename:	 maxval_t.c
//  Version:	 0.01
//  Description: test for maxidx routine
// Revision History:	 
//    0.02  R. Katzur   03/30/16   Benchmark
//*****************************************************************************

#include <stdlib.h>
#include <math.h>
#include <tms320.h>
#include <stdio.h>
#include <dsplib.h>
#include <time.h>

#define  NUMBER_OF_ITERATIONS   100l

#pragma DATA_ALIGN(x, 2)

//#include "t1.h"
//#include "t2.h"
//#include "t3.h"
//#include "t4.h"
//#include "t5.h"
//#include "t6.h"
//#include "t7.h"
#include "t8.h"
//#include "test.h"

short test(DATA *r, DATA *rtest, short n, DATA maxerror);

short eflag = PASS;		// error flag or index into r vector where error


void main()
{
    // clear
     r = 0;                      // clear output index (optional)
	   int nx  ;
	   long  iterations1   ;
	   clock_t   t1,t2, t11,t22 ,total1_t ,total2_t,diff  ;

	    t1 = clock()   ;
	    t2 = clock()  ;
	    diff = t2 - t1 ;   ///   overhead of calling
	    t1 = clock()   ;
    // compute
    r = maxval(x, 100);
    nx = 100  ;
    t2 = clock()  ;
    total1_t = (double) (t2 - t1-diff)   ;
    printf("number of elements in the vector is  is %d  \n",nx ) ;
    printf("max value  time (in cycles)  %ld \n", total1_t) ;
    // test  
    eflag = test(&r, &rtest, 1, MAXERROR);

    if(eflag != PASS)
    {
        exit(-1);
    }
    for (iterations1 = 0; iterations1 < NUMBER_OF_ITERATIONS;iterations1++)

    {

        r = maxval(x, NX);

    }


    printf("Done with %ld iteration  \n",iterations1 );


    return;
}






